allow(actor, action, resource) if
    has_permission(actor, action, resource);

actor User {}

resource Base {
    permissions = ["can:query_one", "can:query_many", "can:create_one", "can:create_bulk", "can:update_one", "can:update_bulk", "can:delete_one", "can:delete_bulk"];
    roles = ["is:default"];

    "can:query_one" if "is:default";
    "can:query_many" if "is:default";
    "can:create_one" if "is:default";
    "can:create_bulk" if "is:default";
    "can:update_one" if "is:default";
    "can:update_bulk" if "is:default";
    "can:delete_one" if "is:default";
    "can:delete_bulk" if "is:default";
}

has_role(actor: User, role: String, _resource: Base) if
    role in actor.capabilities;
