allow(actor, action, resource) if
    has_permission(actor, action, resource);

actor User {}

resource Base {
    permissions = ["can:query_one", "can:query_many", "can:create_one", "can:create_bulk", "can:update_one", "can:update_bulk", "can:delete_one", "can:delete_bulk"];
    roles = [
        "urn:geant:orion.lan:group:csirt#identity.orion.lan",
        "urn:geant:orion.lan:group:ORION:all#identity.orion.lan",
        "urn:geant:orion.lan:res:CSIRT#identity.orion.lan",
        "urn:geant:orion.lan:res:ITall#identity.orion.lan",
        "service_token|default"
    ];

    "can:query_one" if "urn:geant:orion.lan:group:csirt#identity.orion.lan";
    "can:query_many" if "urn:geant:orion.lan:group:csirt#identity.orion.lan";
    "can:query_many" if "urn:geant:orion.lan:group:csirt#identity.orion.lan";
    "can:create_one" if "urn:geant:orion.lan:group:csirt#identity.orion.lan";
    "can:create_bulk" if "urn:geant:orion.lan:group:csirt#identity.orion.lan";
    "can:update_one" if "urn:geant:orion.lan:group:csirt#identity.orion.lan";
    "can:update_bulk" if "urn:geant:orion.lan:group:csirt#identity.orion.lan";
    "can:delete_one" if "urn:geant:orion.lan:group:csirt#identity.orion.lan";
    "can:delete_bulk" if "urn:geant:orion.lan:group:csirt#identity.orion.lan";
    "can:query_one" if "service_token|default";
    "can:query_many" if "service_token|default";
}
has_role(actor: User, role: String, _resource: Base) if
    role in actor.capabilities;
