"""lastupdated

Revision ID: 3a5fdb2317ee
Revises: b54aea836ba8
Create Date: 2022-11-15 14:48:29.195529

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '3a5fdb2317ee'
down_revision = 'e12e1b46e0d8'
branch_labels = None
depends_on = None


def upgrade():
    op.alter_column('case', 'last_updated', server_default=sa.text('now()'))
    op.alter_column('case_management_external_reference', 'last_updated', server_default=sa.text('now()'))
    op.alter_column('comment', 'last_updated', server_default=sa.text('now()'))
    op.alter_column('workflow', 'last_updated', server_default=sa.text('now()'))
    op.alter_column('stage', 'last_updated', server_default=sa.text('now()'))
    op.alter_column('task', 'last_updated', server_default=sa.text('now()'))
    op.alter_column('workflow_template', 'last_updated', server_default=sa.text('now()'))
    op.alter_column('task_template', 'last_updated', server_default=sa.text('now()'))

    pass
    # ### end Alembic commands ###


def downgrade():
    op.alter_column('case', 'last_updated', server_default=None)
    op.alter_column('case_management_external_reference', 'last_updated', server_default=None)
    op.alter_column('comment', 'last_updated', server_default=None)
    op.alter_column('workflow', 'last_updated', server_default=None)
    op.alter_column('stage', 'last_updated', server_default=None)
    op.alter_column('task', 'last_updated', server_default=None)
    op.alter_column('workflow_template', 'last_updated', server_default=None)
    op.alter_column('task_template', 'last_updated', server_default=None)