from starlette.authentication import AuthCredentials, AuthenticationBackend, SimpleUser
from starlette.requests import HTTPConnection


class FakeAuthenticationBackend(AuthenticationBackend):
    async def authenticate(self, request: HTTPConnection):
        user = SimpleUser('fake_user')
        user.__setattr__('jwt_token', 'fake_token')
        return AuthCredentials(['authenticated']), user
