# Integration test-specific constants
KEYCLOAK_PUBLIC_URL = 'http://localhost:8021'
KEYCLOAK_MASTER_USER = 'admin'
KEYCLOAK_MASTER_PASS = 'admin'
KEYCLOAK_TEST_CLIENT = 'test-client'
KEYCLOAK_TEST_CLIENT_SECRET = 'test-client-secret'

KEYCLOAK_TEST_USER = 'tester'
KEYCLOAK_TEST_PASS = 'tester'

# Mock of MUNI's OIDC
MUNI_MOCK_SCOPES = ['openid', 'profile', 'eduperson_entitlement', 'email']

# SCOPE: eduperson_entitlement
MUNI_MOCK_MAPPED_CLAIMS = [
    'urn:geant:orion.lan:group:ORION:all#identity.orion.lan',
    'urn:geant:orion.lan:res:all:role:member#identity.orion.lan'
]
