#!/bin/bash
RETRIES=120 # 120seconds-ish
echo "Waiting for keycloak to start on ${KEYCLOAK_CONTAINER_HOST}:${KEYCLOAK_CONTAINER_PORT}"
until curl -f -v "http://${KEYCLOAK_CONTAINER_HOST}:${KEYCLOAK_CONTAINER_PORT}" >/dev/null 2>/dev/null
do
    RETRIES=$((RETRIES - 1))
    if [ "$RETRIES" -eq 0 ]
    then
        echo "Failed to start Keycloak"
        exit 1
    fi
    sleep 1
done
echo "Keycloak is up."

sleep 30
