import enum


class KnownTTPsTypesEnum(enum.Enum):
    TTP = 'TTP'
    TACTIC = 'Tactic'
    TECHNIQUE = 'Technique'
    SUB_TECHNIQUE = 'SubTechnique'


class DefinitionTypeOV(enum.Enum):
    STATEMENT = "statement"
    TLP = "tlp"


class AttackResourceLevelOV(enum.Enum):
    INDIVIDUAL = "individual"
    CLUB = "club"
    CONTEST = "contest"
    TEAM = "team"
    ORGANIZATION = "organization"
    GOVERNMENT = "government"


class AttackMotivationOV(enum.Enum):
    ACCIDENTAL = "accidental"
    COERCION = "coercion"
    DOMINANCE = "dominance"
    IDEOLOGY = "ideology"
    NOTORIETY = "notoriety"
    ORGANIZATIONAL_GAIN = "organizational-gain"
    PERSONAL_GAIN = "personal-gain"
    PERSONAL_SATISFACTION = "personal-satisfaction"
    REVENGE = "revenge"
    UNPREDICTABLE = "unpredictable"


class IdentityClassOV(enum.Enum):
    INDIVIDUAL = "individual"
    GROUP = "group"
    ORGANIZATION = "organization"
    CLASS = "class"
    UNKNOWN = "unknown"


class IndustrySectorOV(enum.Enum):
    AGRICULTURE = "agriculture"
    AEROSPACE = "aerospace"
    AUTOMOTIVE = "automotive"
    COMMUNICATIONS = "communications"
    CONSTRUCTION = "construction"
    DEFENCE = "defence"
    EDUCATION = "education"
    ENERGY = "energy"
    ENTERTAINMENT = "entertainment"
    FINANCIAL_SERVICES = "financial-services"
    GOVERNMENT_NATIONAL = "government-national"
    GOVERNMENT_REGIONAL = "government-regional"
    GOVERNMENT_LOCAL = "government-local"
    GOVERNMENT_PUBLIC_SERVICES = "government-public-services"
    HEALTHCARE = "healthcare"
    HOSPITALITY_LEISURE = "hospitality-leisure"
    INFRASTRUCTURE = "infrastructure"
    INSURANCE = "insurance"
    MANUFACTURING = "manufacturing"
    MINING = "mining"
    NON_PROFIT = "non-profit"
    PHARMACEUTICALS = "pharmaceuticals"
    RETAIL = "retail"
    TECHNOLOGY = "technology"
    TELECOMMUNICATIONS = "telecommunications"
    TRANSPORTATION = "transportation"
    UTILITIES = "utilities"
