allow(actor, action, resource) if
    has_permission(actor, action, resource);

actor User {}

resource KeycloakClient {
    permissions = ["can:query"];
    roles = [
        "urn:geant:orion.lan:group:ORION:all#identity.orion.lan",
        "urn:geant:orion.lan:res:all:role:member#identity.orion.lan",
    ];

    "can:query" if "urn:geant:orion.lan:group:ORION:all#identity.orion.lan";
    "can:query" if "urn:geant:orion.lan:res:all:role:member#identity.orion.lan";
}

has_role(actor: User, role: String, _resource: KeycloakClient) if
    role in actor.capabilities;
