resource IPAddress {}

# Define roles based on claims / permissions

has_role(actor: Actor, "read", resource: Resource) if
  has_permission(actor, "something", resource);

has_role(actor: Actor, "write", resource: Resource) if
  has_permission(actor, "administrator", resource);

# Define rules for said roles

allow(actor, "read", resource: Resource) if
  has_role(actor, "read", resource);

allow(actor, "write", ip: IPAddress) if
  has_role(actor, "read", ip);