# CSIRT-MU ORION Frontend

Authors: CSIRT-MU ORION Development Team <172673@muni.cz>

CSIRT-MU ORION Frontend is an Angular web application containg the user interface for ORION.

It uses ORION SCMFM Microframework and Sentinel.

It consists of following agendas.

- Assets,
- Observables,
- IPFIX,
- User Accounting,
- Case Management,
- Labels,
- Workflow Templates,
- TTPs.

## Configuration
You can configure the application by editting the [file](src/assets/config.json).

---
## Local Development
- Required dependencies:
    - [npm](https://www.npmjs.com)
    - [angular-cli](https://github.com/angular/angular-cli)

``` console
$ npm install # to install dependencies.
$ ng serve    # for a dev server.
```

### Docker Build

```console
$ docker build -t csirtmu-orion-frontend .
$ docker run -p 127.0.0.1:4200:4200 csirtmu-orion-frontend
```


## Helm

```bash
cd csirtmu-orion-frontend-chart
helm repo add --username orion --password ${PACKAGE_REGISTRY_PULL} gitlab-orion https://gitlab.orion.lan/api/v4/projects/2485/packages/helm/stable
helm dependency update
kubectl create secret docker-registry csirtmu-orion-frontend-chart-secret --docker-server=registry.gitlab.orion.lan:443 --docker-username=orion --docker-password=<password>
helm upgrade --install csirtmu .
```

