import { ChangeDetectionStrategy, Component } from '@angular/core';
import { PresentationModeThemeService } from '@orion/shared/services/global';
import { OrionServiceWorkerConfigMessengerService } from './orion-service-worker-config-messenger.service';

@Component({
  selector: 'orion-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AppComponent {
  constructor(
    // @ts-ignore need to inject for Angular DI to create the service
    private presentationModeThemeService: PresentationModeThemeService,
    // @ts-ignore need to inject for Angular DI to create the service
    private serviceWorkerMessenger: OrionServiceWorkerConfigMessengerService
  ) {}
}
