import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type AssetDetailSharedMainContentAsnTypeFragment = {
  __typename?: 'ASNType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentAggregateTypeFragment = {
  __typename?: 'AggregateType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentCableTypeFragment = {
  __typename?: 'CableType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentCircuitTerminationTypeFragment = {
  __typename?: 'CircuitTerminationType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
};

export type AssetDetailSharedMainContentCircuitTypeFragment = {
  __typename?: 'CircuitType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentCircuitTypeTypeFragment = {
  __typename?: 'CircuitTypeType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentClusterGroupTypeFragment = {
  __typename?: 'ClusterGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentClusterTypeFragment = {
  __typename?: 'ClusterType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentClusterTypeTypeFragment = {
  __typename?: 'ClusterTypeType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentConsolePortTypeFragment = {
  __typename?: 'ConsolePortType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentDeviceBayTypeFragment = {
  __typename?: 'DeviceBayType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentDeviceRoleTypeFragment = {
  __typename?: 'DeviceRoleType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentDeviceTypeFragment = {
  __typename?: 'DeviceType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentDeviceTypeTypeFragment = {
  __typename?: 'DeviceTypeType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  model?: string | undefined;
};

export type AssetDetailSharedMainContentFhrpGroupTypeFragment = {
  __typename?: 'FHRPGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentFrontPortTypeFragment = {
  __typename?: 'FrontPortType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentIpAddressTypeFragment = {
  __typename?: 'IPAddressType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  address?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentIpRangeTypeFragment = {
  __typename?: 'IPRangeType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  startAddress?: string | undefined;
  endAddress?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentInterfaceTypeFragment = {
  __typename?: 'InterfaceType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentInventoryItemTypeFragment = {
  __typename?: 'InventoryItemType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentLocationTypeFragment = {
  __typename?: 'LocationType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentManufacturerTypeFragment = {
  __typename?: 'ManufacturerType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentPlatformTypeFragment = {
  __typename?: 'PlatformType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentPowerFeedTypeFragment = {
  __typename?: 'PowerFeedType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentPowerOutletTypeFragment = {
  __typename?: 'PowerOutletType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentPowerPanelTypeFragment = {
  __typename?: 'PowerPanelType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentPowerPortTypeFragment = {
  __typename?: 'PowerPortType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentPrefixTypeFragment = {
  __typename?: 'PrefixType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentProviderNetworkTypeFragment = {
  __typename?: 'ProviderNetworkType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentProviderTypeFragment = {
  __typename?: 'ProviderType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentRirTypeFragment = {
  __typename?: 'RIRType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentRackReservationTypeFragment = {
  __typename?: 'RackReservationType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
  rack?: { __typename?: 'RackType'; name?: string | undefined } | undefined;
};

export type AssetDetailSharedMainContentRackRoleTypeFragment = {
  __typename?: 'RackRoleType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentRackTypeFragment = {
  __typename?: 'RackType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentRearPortTypeFragment = {
  __typename?: 'RearPortType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentRegionTypeFragment = {
  __typename?: 'RegionType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentRoleTypeFragment = {
  __typename?: 'RoleType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentRouteTargetTypeFragment = {
  __typename?: 'RouteTargetType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentServiceTypeFragment = {
  __typename?: 'ServiceType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentSiteGroupTypeFragment = {
  __typename?: 'SiteGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentSiteTypeFragment = {
  __typename?: 'SiteType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentTenantGroupTypeFragment = {
  __typename?: 'TenantGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentTenantTypeFragment = {
  __typename?: 'TenantType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentVlanGroupTypeFragment = {
  __typename?: 'VLANGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentVlanTypeFragment = {
  __typename?: 'VLANType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentVmInterfaceTypeFragment = {
  __typename?: 'VMInterfaceType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentVrfTypeFragment = {
  __typename?: 'VRFType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetDetailSharedMainContentWirelessLanGroupTypeFragment = {
  __typename?: 'WirelessLanGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentWirelessLanTypeFragment = {
  __typename?: 'WirelessLanType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentWirelessLinkTypeFragment = {
  __typename?: 'WirelessLinkType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetDetailSharedMainContentFragment =
  | AssetDetailSharedMainContentAsnTypeFragment
  | AssetDetailSharedMainContentAggregateTypeFragment
  | AssetDetailSharedMainContentCableTypeFragment
  | AssetDetailSharedMainContentCircuitTerminationTypeFragment
  | AssetDetailSharedMainContentCircuitTypeFragment
  | AssetDetailSharedMainContentCircuitTypeTypeFragment
  | AssetDetailSharedMainContentClusterGroupTypeFragment
  | AssetDetailSharedMainContentClusterTypeFragment
  | AssetDetailSharedMainContentClusterTypeTypeFragment
  | AssetDetailSharedMainContentConsolePortTypeFragment
  | AssetDetailSharedMainContentConsoleServerPortTypeFragment
  | AssetDetailSharedMainContentDeviceBayTypeFragment
  | AssetDetailSharedMainContentDeviceRoleTypeFragment
  | AssetDetailSharedMainContentDeviceTypeFragment
  | AssetDetailSharedMainContentDeviceTypeTypeFragment
  | AssetDetailSharedMainContentFhrpGroupTypeFragment
  | AssetDetailSharedMainContentFrontPortTypeFragment
  | AssetDetailSharedMainContentIpAddressTypeFragment
  | AssetDetailSharedMainContentIpRangeTypeFragment
  | AssetDetailSharedMainContentInterfaceTypeFragment
  | AssetDetailSharedMainContentInventoryItemTypeFragment
  | AssetDetailSharedMainContentLocationTypeFragment
  | AssetDetailSharedMainContentManufacturerTypeFragment
  | AssetDetailSharedMainContentPlatformTypeFragment
  | AssetDetailSharedMainContentPowerFeedTypeFragment
  | AssetDetailSharedMainContentPowerOutletTypeFragment
  | AssetDetailSharedMainContentPowerPanelTypeFragment
  | AssetDetailSharedMainContentPowerPortTypeFragment
  | AssetDetailSharedMainContentPrefixTypeFragment
  | AssetDetailSharedMainContentProviderNetworkTypeFragment
  | AssetDetailSharedMainContentProviderTypeFragment
  | AssetDetailSharedMainContentRirTypeFragment
  | AssetDetailSharedMainContentRackReservationTypeFragment
  | AssetDetailSharedMainContentRackRoleTypeFragment
  | AssetDetailSharedMainContentRackTypeFragment
  | AssetDetailSharedMainContentRearPortTypeFragment
  | AssetDetailSharedMainContentRegionTypeFragment
  | AssetDetailSharedMainContentRoleTypeFragment
  | AssetDetailSharedMainContentRouteTargetTypeFragment
  | AssetDetailSharedMainContentServiceTypeFragment
  | AssetDetailSharedMainContentSiteGroupTypeFragment
  | AssetDetailSharedMainContentSiteTypeFragment
  | AssetDetailSharedMainContentTenantGroupTypeFragment
  | AssetDetailSharedMainContentTenantTypeFragment
  | AssetDetailSharedMainContentVlanGroupTypeFragment
  | AssetDetailSharedMainContentVlanTypeFragment
  | AssetDetailSharedMainContentVmInterfaceTypeFragment
  | AssetDetailSharedMainContentVrfTypeFragment
  | AssetDetailSharedMainContentVirtualChassisTypeFragment
  | AssetDetailSharedMainContentVirtualMachineTypeFragment
  | AssetDetailSharedMainContentWirelessLanGroupTypeFragment
  | AssetDetailSharedMainContentWirelessLanTypeFragment
  | AssetDetailSharedMainContentWirelessLinkTypeFragment;

export type MaybeTagsAsnTypeFragment = { __typename?: 'ASNType' };

export type MaybeTagsAggregateTypeFragment = {
  __typename?: 'AggregateType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsCableTypeFragment = {
  __typename?: 'CableType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsCircuitTerminationTypeFragment = { __typename?: 'CircuitTerminationType' };

export type MaybeTagsCircuitTypeFragment = {
  __typename?: 'CircuitType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsCircuitTypeTypeFragment = { __typename?: 'CircuitTypeType' };

export type MaybeTagsClusterGroupTypeFragment = { __typename?: 'ClusterGroupType' };

export type MaybeTagsClusterTypeFragment = {
  __typename?: 'ClusterType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsClusterTypeTypeFragment = { __typename?: 'ClusterTypeType' };

export type MaybeTagsConsolePortTypeFragment = {
  __typename?: 'ConsolePortType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsDeviceBayTypeFragment = {
  __typename?: 'DeviceBayType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsDeviceRoleTypeFragment = { __typename?: 'DeviceRoleType' };

export type MaybeTagsDeviceTypeFragment = {
  __typename?: 'DeviceType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsDeviceTypeTypeFragment = { __typename?: 'DeviceTypeType' };

export type MaybeTagsFhrpGroupTypeFragment = { __typename?: 'FHRPGroupType' };

export type MaybeTagsFrontPortTypeFragment = {
  __typename?: 'FrontPortType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsIpAddressTypeFragment = {
  __typename?: 'IPAddressType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsIpRangeTypeFragment = {
  __typename?: 'IPRangeType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsInterfaceTypeFragment = {
  __typename?: 'InterfaceType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsInventoryItemTypeFragment = {
  __typename?: 'InventoryItemType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsLocationTypeFragment = { __typename?: 'LocationType' };

export type MaybeTagsManufacturerTypeFragment = { __typename?: 'ManufacturerType' };

export type MaybeTagsPlatformTypeFragment = { __typename?: 'PlatformType' };

export type MaybeTagsPowerFeedTypeFragment = {
  __typename?: 'PowerFeedType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsPowerOutletTypeFragment = {
  __typename?: 'PowerOutletType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsPowerPanelTypeFragment = {
  __typename?: 'PowerPanelType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsPowerPortTypeFragment = {
  __typename?: 'PowerPortType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsPrefixTypeFragment = {
  __typename?: 'PrefixType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsProviderNetworkTypeFragment = { __typename?: 'ProviderNetworkType' };

export type MaybeTagsProviderTypeFragment = { __typename?: 'ProviderType' };

export type MaybeTagsRirTypeFragment = { __typename?: 'RIRType' };

export type MaybeTagsRackReservationTypeFragment = {
  __typename?: 'RackReservationType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsRackRoleTypeFragment = { __typename?: 'RackRoleType' };

export type MaybeTagsRackTypeFragment = {
  __typename?: 'RackType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsRearPortTypeFragment = {
  __typename?: 'RearPortType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsRegionTypeFragment = { __typename?: 'RegionType' };

export type MaybeTagsRoleTypeFragment = { __typename?: 'RoleType' };

export type MaybeTagsRouteTargetTypeFragment = {
  __typename?: 'RouteTargetType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsServiceTypeFragment = {
  __typename?: 'ServiceType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsSiteGroupTypeFragment = { __typename?: 'SiteGroupType' };

export type MaybeTagsSiteTypeFragment = {
  __typename?: 'SiteType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsTenantGroupTypeFragment = { __typename?: 'TenantGroupType' };

export type MaybeTagsTenantTypeFragment = {
  __typename?: 'TenantType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsVlanGroupTypeFragment = { __typename?: 'VLANGroupType' };

export type MaybeTagsVlanTypeFragment = {
  __typename?: 'VLANType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsVmInterfaceTypeFragment = {
  __typename?: 'VMInterfaceType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsVrfTypeFragment = { __typename?: 'VRFType' };

export type MaybeTagsVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type MaybeTagsWirelessLanGroupTypeFragment = { __typename?: 'WirelessLanGroupType' };

export type MaybeTagsWirelessLanTypeFragment = { __typename?: 'WirelessLanType' };

export type MaybeTagsWirelessLinkTypeFragment = { __typename?: 'WirelessLinkType' };

export type MaybeTagsFragment =
  | MaybeTagsAsnTypeFragment
  | MaybeTagsAggregateTypeFragment
  | MaybeTagsCableTypeFragment
  | MaybeTagsCircuitTerminationTypeFragment
  | MaybeTagsCircuitTypeFragment
  | MaybeTagsCircuitTypeTypeFragment
  | MaybeTagsClusterGroupTypeFragment
  | MaybeTagsClusterTypeFragment
  | MaybeTagsClusterTypeTypeFragment
  | MaybeTagsConsolePortTypeFragment
  | MaybeTagsConsoleServerPortTypeFragment
  | MaybeTagsDeviceBayTypeFragment
  | MaybeTagsDeviceRoleTypeFragment
  | MaybeTagsDeviceTypeFragment
  | MaybeTagsDeviceTypeTypeFragment
  | MaybeTagsFhrpGroupTypeFragment
  | MaybeTagsFrontPortTypeFragment
  | MaybeTagsIpAddressTypeFragment
  | MaybeTagsIpRangeTypeFragment
  | MaybeTagsInterfaceTypeFragment
  | MaybeTagsInventoryItemTypeFragment
  | MaybeTagsLocationTypeFragment
  | MaybeTagsManufacturerTypeFragment
  | MaybeTagsPlatformTypeFragment
  | MaybeTagsPowerFeedTypeFragment
  | MaybeTagsPowerOutletTypeFragment
  | MaybeTagsPowerPanelTypeFragment
  | MaybeTagsPowerPortTypeFragment
  | MaybeTagsPrefixTypeFragment
  | MaybeTagsProviderNetworkTypeFragment
  | MaybeTagsProviderTypeFragment
  | MaybeTagsRirTypeFragment
  | MaybeTagsRackReservationTypeFragment
  | MaybeTagsRackRoleTypeFragment
  | MaybeTagsRackTypeFragment
  | MaybeTagsRearPortTypeFragment
  | MaybeTagsRegionTypeFragment
  | MaybeTagsRoleTypeFragment
  | MaybeTagsRouteTargetTypeFragment
  | MaybeTagsServiceTypeFragment
  | MaybeTagsSiteGroupTypeFragment
  | MaybeTagsSiteTypeFragment
  | MaybeTagsTenantGroupTypeFragment
  | MaybeTagsTenantTypeFragment
  | MaybeTagsVlanGroupTypeFragment
  | MaybeTagsVlanTypeFragment
  | MaybeTagsVmInterfaceTypeFragment
  | MaybeTagsVrfTypeFragment
  | MaybeTagsVirtualChassisTypeFragment
  | MaybeTagsVirtualMachineTypeFragment
  | MaybeTagsWirelessLanGroupTypeFragment
  | MaybeTagsWirelessLanTypeFragment
  | MaybeTagsWirelessLinkTypeFragment;

export const MaybeTagsFragmentDoc = gql`
  fragment maybeTags on AssetType {
    ... on AggregateType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on CableType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on CircuitType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on ClusterType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on ConsolePortType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on ConsoleServerPortType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on DeviceType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on DeviceBayType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on FrontPortType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on InterfaceType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on InventoryItemType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on IPAddressType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on IPRangeType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on PowerFeedType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on PowerOutletType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on PowerPanelType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on PowerPortType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on PrefixType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on RackType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on RackReservationType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on RearPortType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on RouteTargetType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on ServiceType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on SiteType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on TenantType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on VirtualChassisType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on VirtualMachineType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on VLANType {
      tags {
        data {
          ...assetTag
        }
      }
    }
    ... on VMInterfaceType {
      tags {
        data {
          ...assetTag
        }
      }
    }
  }
`;
export const AssetDetailSharedMainContentFragmentDoc = gql`
  fragment assetDetailSharedMainContent on AssetType {
    id
    netboxUrl
    created
    lastUpdated
    assetType
    uuid
    ...assetBaseView
    ...maybeTags
  }
`;
