import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type AssetIdAsnTypeFragment = { __typename?: 'ASNType'; id: string; assetType: SchemaTypes.KnownAssetsEnum };

export type AssetIdAggregateTypeFragment = {
  __typename?: 'AggregateType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdCableTypeFragment = { __typename?: 'CableType'; id: string; assetType: SchemaTypes.KnownAssetsEnum };

export type AssetIdCircuitTerminationTypeFragment = {
  __typename?: 'CircuitTerminationType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdCircuitTypeFragment = {
  __typename?: 'CircuitType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdCircuitTypeTypeFragment = {
  __typename?: 'CircuitTypeType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdClusterGroupTypeFragment = {
  __typename?: 'ClusterGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdClusterTypeFragment = {
  __typename?: 'ClusterType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdClusterTypeTypeFragment = {
  __typename?: 'ClusterTypeType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdConsolePortTypeFragment = {
  __typename?: 'ConsolePortType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdDeviceBayTypeFragment = {
  __typename?: 'DeviceBayType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdDeviceRoleTypeFragment = {
  __typename?: 'DeviceRoleType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdDeviceTypeFragment = {
  __typename?: 'DeviceType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdDeviceTypeTypeFragment = {
  __typename?: 'DeviceTypeType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdFhrpGroupTypeFragment = {
  __typename?: 'FHRPGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdFrontPortTypeFragment = {
  __typename?: 'FrontPortType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdIpAddressTypeFragment = {
  __typename?: 'IPAddressType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdIpRangeTypeFragment = {
  __typename?: 'IPRangeType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdInterfaceTypeFragment = {
  __typename?: 'InterfaceType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdInventoryItemTypeFragment = {
  __typename?: 'InventoryItemType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdLocationTypeFragment = {
  __typename?: 'LocationType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdManufacturerTypeFragment = {
  __typename?: 'ManufacturerType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdPlatformTypeFragment = {
  __typename?: 'PlatformType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdPowerFeedTypeFragment = {
  __typename?: 'PowerFeedType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdPowerOutletTypeFragment = {
  __typename?: 'PowerOutletType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdPowerPanelTypeFragment = {
  __typename?: 'PowerPanelType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdPowerPortTypeFragment = {
  __typename?: 'PowerPortType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdPrefixTypeFragment = {
  __typename?: 'PrefixType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdProviderNetworkTypeFragment = {
  __typename?: 'ProviderNetworkType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdProviderTypeFragment = {
  __typename?: 'ProviderType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdRirTypeFragment = { __typename?: 'RIRType'; id: string; assetType: SchemaTypes.KnownAssetsEnum };

export type AssetIdRackReservationTypeFragment = {
  __typename?: 'RackReservationType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdRackRoleTypeFragment = {
  __typename?: 'RackRoleType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdRackTypeFragment = { __typename?: 'RackType'; id: string; assetType: SchemaTypes.KnownAssetsEnum };

export type AssetIdRearPortTypeFragment = {
  __typename?: 'RearPortType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdRegionTypeFragment = {
  __typename?: 'RegionType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdRoleTypeFragment = { __typename?: 'RoleType'; id: string; assetType: SchemaTypes.KnownAssetsEnum };

export type AssetIdRouteTargetTypeFragment = {
  __typename?: 'RouteTargetType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdServiceTypeFragment = {
  __typename?: 'ServiceType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdSiteGroupTypeFragment = {
  __typename?: 'SiteGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdSiteTypeFragment = { __typename?: 'SiteType'; id: string; assetType: SchemaTypes.KnownAssetsEnum };

export type AssetIdTenantGroupTypeFragment = {
  __typename?: 'TenantGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdTenantTypeFragment = {
  __typename?: 'TenantType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdVlanGroupTypeFragment = {
  __typename?: 'VLANGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdVlanTypeFragment = { __typename?: 'VLANType'; id: string; assetType: SchemaTypes.KnownAssetsEnum };

export type AssetIdVmInterfaceTypeFragment = {
  __typename?: 'VMInterfaceType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdVrfTypeFragment = { __typename?: 'VRFType'; id: string; assetType: SchemaTypes.KnownAssetsEnum };

export type AssetIdVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdWirelessLanGroupTypeFragment = {
  __typename?: 'WirelessLanGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdWirelessLanTypeFragment = {
  __typename?: 'WirelessLanType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdWirelessLinkTypeFragment = {
  __typename?: 'WirelessLinkType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetIdFragment =
  | AssetIdAsnTypeFragment
  | AssetIdAggregateTypeFragment
  | AssetIdCableTypeFragment
  | AssetIdCircuitTerminationTypeFragment
  | AssetIdCircuitTypeFragment
  | AssetIdCircuitTypeTypeFragment
  | AssetIdClusterGroupTypeFragment
  | AssetIdClusterTypeFragment
  | AssetIdClusterTypeTypeFragment
  | AssetIdConsolePortTypeFragment
  | AssetIdConsoleServerPortTypeFragment
  | AssetIdDeviceBayTypeFragment
  | AssetIdDeviceRoleTypeFragment
  | AssetIdDeviceTypeFragment
  | AssetIdDeviceTypeTypeFragment
  | AssetIdFhrpGroupTypeFragment
  | AssetIdFrontPortTypeFragment
  | AssetIdIpAddressTypeFragment
  | AssetIdIpRangeTypeFragment
  | AssetIdInterfaceTypeFragment
  | AssetIdInventoryItemTypeFragment
  | AssetIdLocationTypeFragment
  | AssetIdManufacturerTypeFragment
  | AssetIdPlatformTypeFragment
  | AssetIdPowerFeedTypeFragment
  | AssetIdPowerOutletTypeFragment
  | AssetIdPowerPanelTypeFragment
  | AssetIdPowerPortTypeFragment
  | AssetIdPrefixTypeFragment
  | AssetIdProviderNetworkTypeFragment
  | AssetIdProviderTypeFragment
  | AssetIdRirTypeFragment
  | AssetIdRackReservationTypeFragment
  | AssetIdRackRoleTypeFragment
  | AssetIdRackTypeFragment
  | AssetIdRearPortTypeFragment
  | AssetIdRegionTypeFragment
  | AssetIdRoleTypeFragment
  | AssetIdRouteTargetTypeFragment
  | AssetIdServiceTypeFragment
  | AssetIdSiteGroupTypeFragment
  | AssetIdSiteTypeFragment
  | AssetIdTenantGroupTypeFragment
  | AssetIdTenantTypeFragment
  | AssetIdVlanGroupTypeFragment
  | AssetIdVlanTypeFragment
  | AssetIdVmInterfaceTypeFragment
  | AssetIdVrfTypeFragment
  | AssetIdVirtualChassisTypeFragment
  | AssetIdVirtualMachineTypeFragment
  | AssetIdWirelessLanGroupTypeFragment
  | AssetIdWirelessLanTypeFragment
  | AssetIdWirelessLinkTypeFragment;

export type AssetFederationIdAsnTypeFragment = {
  __typename?: 'ASNType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdAggregateTypeFragment = {
  __typename?: 'AggregateType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdCableTypeFragment = {
  __typename?: 'CableType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdCircuitTerminationTypeFragment = {
  __typename?: 'CircuitTerminationType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdCircuitTypeFragment = {
  __typename?: 'CircuitType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdCircuitTypeTypeFragment = {
  __typename?: 'CircuitTypeType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdClusterGroupTypeFragment = {
  __typename?: 'ClusterGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdClusterTypeFragment = {
  __typename?: 'ClusterType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdClusterTypeTypeFragment = {
  __typename?: 'ClusterTypeType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdConsolePortTypeFragment = {
  __typename?: 'ConsolePortType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdDeviceBayTypeFragment = {
  __typename?: 'DeviceBayType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdDeviceRoleTypeFragment = {
  __typename?: 'DeviceRoleType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdDeviceTypeFragment = {
  __typename?: 'DeviceType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdDeviceTypeTypeFragment = {
  __typename?: 'DeviceTypeType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdFhrpGroupTypeFragment = {
  __typename?: 'FHRPGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdFrontPortTypeFragment = {
  __typename?: 'FrontPortType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdIpAddressTypeFragment = {
  __typename?: 'IPAddressType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdIpRangeTypeFragment = {
  __typename?: 'IPRangeType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdInterfaceTypeFragment = {
  __typename?: 'InterfaceType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdInventoryItemTypeFragment = {
  __typename?: 'InventoryItemType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdLocationTypeFragment = {
  __typename?: 'LocationType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdManufacturerTypeFragment = {
  __typename?: 'ManufacturerType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdPlatformTypeFragment = {
  __typename?: 'PlatformType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdPowerFeedTypeFragment = {
  __typename?: 'PowerFeedType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdPowerOutletTypeFragment = {
  __typename?: 'PowerOutletType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdPowerPanelTypeFragment = {
  __typename?: 'PowerPanelType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdPowerPortTypeFragment = {
  __typename?: 'PowerPortType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdPrefixTypeFragment = {
  __typename?: 'PrefixType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdProviderNetworkTypeFragment = {
  __typename?: 'ProviderNetworkType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdProviderTypeFragment = {
  __typename?: 'ProviderType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdRirTypeFragment = {
  __typename?: 'RIRType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdRackReservationTypeFragment = {
  __typename?: 'RackReservationType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdRackRoleTypeFragment = {
  __typename?: 'RackRoleType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdRackTypeFragment = {
  __typename?: 'RackType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdRearPortTypeFragment = {
  __typename?: 'RearPortType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdRegionTypeFragment = {
  __typename?: 'RegionType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdRoleTypeFragment = {
  __typename?: 'RoleType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdRouteTargetTypeFragment = {
  __typename?: 'RouteTargetType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdServiceTypeFragment = {
  __typename?: 'ServiceType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdSiteGroupTypeFragment = {
  __typename?: 'SiteGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdSiteTypeFragment = {
  __typename?: 'SiteType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdTenantGroupTypeFragment = {
  __typename?: 'TenantGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdTenantTypeFragment = {
  __typename?: 'TenantType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdVlanGroupTypeFragment = {
  __typename?: 'VLANGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdVlanTypeFragment = {
  __typename?: 'VLANType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdVmInterfaceTypeFragment = {
  __typename?: 'VMInterfaceType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdVrfTypeFragment = {
  __typename?: 'VRFType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdWirelessLanGroupTypeFragment = {
  __typename?: 'WirelessLanGroupType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdWirelessLanTypeFragment = {
  __typename?: 'WirelessLanType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdWirelessLinkTypeFragment = {
  __typename?: 'WirelessLinkType';
  id: string;
  assetType: SchemaTypes.KnownAssetsEnum;
};

export type AssetFederationIdFragment =
  | AssetFederationIdAsnTypeFragment
  | AssetFederationIdAggregateTypeFragment
  | AssetFederationIdCableTypeFragment
  | AssetFederationIdCircuitTerminationTypeFragment
  | AssetFederationIdCircuitTypeFragment
  | AssetFederationIdCircuitTypeTypeFragment
  | AssetFederationIdClusterGroupTypeFragment
  | AssetFederationIdClusterTypeFragment
  | AssetFederationIdClusterTypeTypeFragment
  | AssetFederationIdConsolePortTypeFragment
  | AssetFederationIdConsoleServerPortTypeFragment
  | AssetFederationIdDeviceBayTypeFragment
  | AssetFederationIdDeviceRoleTypeFragment
  | AssetFederationIdDeviceTypeFragment
  | AssetFederationIdDeviceTypeTypeFragment
  | AssetFederationIdFhrpGroupTypeFragment
  | AssetFederationIdFrontPortTypeFragment
  | AssetFederationIdIpAddressTypeFragment
  | AssetFederationIdIpRangeTypeFragment
  | AssetFederationIdInterfaceTypeFragment
  | AssetFederationIdInventoryItemTypeFragment
  | AssetFederationIdLocationTypeFragment
  | AssetFederationIdManufacturerTypeFragment
  | AssetFederationIdPlatformTypeFragment
  | AssetFederationIdPowerFeedTypeFragment
  | AssetFederationIdPowerOutletTypeFragment
  | AssetFederationIdPowerPanelTypeFragment
  | AssetFederationIdPowerPortTypeFragment
  | AssetFederationIdPrefixTypeFragment
  | AssetFederationIdProviderNetworkTypeFragment
  | AssetFederationIdProviderTypeFragment
  | AssetFederationIdRirTypeFragment
  | AssetFederationIdRackReservationTypeFragment
  | AssetFederationIdRackRoleTypeFragment
  | AssetFederationIdRackTypeFragment
  | AssetFederationIdRearPortTypeFragment
  | AssetFederationIdRegionTypeFragment
  | AssetFederationIdRoleTypeFragment
  | AssetFederationIdRouteTargetTypeFragment
  | AssetFederationIdServiceTypeFragment
  | AssetFederationIdSiteGroupTypeFragment
  | AssetFederationIdSiteTypeFragment
  | AssetFederationIdTenantGroupTypeFragment
  | AssetFederationIdTenantTypeFragment
  | AssetFederationIdVlanGroupTypeFragment
  | AssetFederationIdVlanTypeFragment
  | AssetFederationIdVmInterfaceTypeFragment
  | AssetFederationIdVrfTypeFragment
  | AssetFederationIdVirtualChassisTypeFragment
  | AssetFederationIdVirtualMachineTypeFragment
  | AssetFederationIdWirelessLanGroupTypeFragment
  | AssetFederationIdWirelessLanTypeFragment
  | AssetFederationIdWirelessLinkTypeFragment;

export const AssetIdFragmentDoc = gql`
  fragment assetId on AssetType {
    id
    assetType
  }
`;
export const AssetFederationIdFragmentDoc = gql`
  fragment assetFederationId on AssetFederationBase {
    id
    assetType
  }
`;
