import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';
import { AssetTagFragment } from './asset-tag';

@Component({
  selector: 'orion-asset-tags',
  templateUrl: './asset-tags.component.html',
  styleUrls: ['./asset-tags.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AssetTagsComponent {
  @Input() tags?: AssetTagFragment[];
  trackByFn = trackByIndex;
}
