import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { AssetSharedDetailFragment } from './asset-shared-detail.fragment.generated';

@Component({
  selector: 'orion-asset-shared-detail-page',
  templateUrl: './asset-shared-detail-page.component.html',
  styleUrls: ['./asset-shared-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AssetSharedDetailPageComponent {
  @Input() asset?: AssetSharedDetailFragment;
  @Input() isLoading = false;
  @Input() hasError = false;
  @Output() refetch: EventEmitter<void> = new EventEmitter<void>();

  onRefetch(): void {
    this.refetch.emit();
  }
}
