import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { AssetDetailMainContentModule } from './asset-detail-main-content';
import { AssetOverviewTabContentDirective } from './asset-overview-tab-content.directive';
import { AssetSharedDetailPageComponent } from './asset-shared-detail-page.component';

@NgModule({
  declarations: [AssetSharedDetailPageComponent, AssetOverviewTabContentDirective],
  imports: [CommonModule, AssetDetailMainContentModule, EntityDetailPageModule, AssetPageWrapperModule],
  exports: [AssetSharedDetailPageComponent, AssetOverviewTabContentDirective],
})
export class AssetSharedDetailPageModule {}
