import * as SchemaTypes from '../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type AssetSharedDetailAsnTypeFragment = {
  __typename?: 'ASNType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailAggregateTypeFragment = {
  __typename?: 'AggregateType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailCableTypeFragment = {
  __typename?: 'CableType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailCircuitTerminationTypeFragment = {
  __typename?: 'CircuitTerminationType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
};

export type AssetSharedDetailCircuitTypeFragment = {
  __typename?: 'CircuitType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailCircuitTypeTypeFragment = {
  __typename?: 'CircuitTypeType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailClusterGroupTypeFragment = {
  __typename?: 'ClusterGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailClusterTypeFragment = {
  __typename?: 'ClusterType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailClusterTypeTypeFragment = {
  __typename?: 'ClusterTypeType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailConsolePortTypeFragment = {
  __typename?: 'ConsolePortType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailDeviceBayTypeFragment = {
  __typename?: 'DeviceBayType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailDeviceRoleTypeFragment = {
  __typename?: 'DeviceRoleType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailDeviceTypeFragment = {
  __typename?: 'DeviceType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailDeviceTypeTypeFragment = {
  __typename?: 'DeviceTypeType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  model?: string | undefined;
};

export type AssetSharedDetailFhrpGroupTypeFragment = {
  __typename?: 'FHRPGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailFrontPortTypeFragment = {
  __typename?: 'FrontPortType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailIpAddressTypeFragment = {
  __typename?: 'IPAddressType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  address?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailIpRangeTypeFragment = {
  __typename?: 'IPRangeType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  startAddress?: string | undefined;
  endAddress?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailInterfaceTypeFragment = {
  __typename?: 'InterfaceType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailInventoryItemTypeFragment = {
  __typename?: 'InventoryItemType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailLocationTypeFragment = {
  __typename?: 'LocationType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailManufacturerTypeFragment = {
  __typename?: 'ManufacturerType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailPlatformTypeFragment = {
  __typename?: 'PlatformType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailPowerFeedTypeFragment = {
  __typename?: 'PowerFeedType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailPowerOutletTypeFragment = {
  __typename?: 'PowerOutletType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailPowerPanelTypeFragment = {
  __typename?: 'PowerPanelType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailPowerPortTypeFragment = {
  __typename?: 'PowerPortType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailPrefixTypeFragment = {
  __typename?: 'PrefixType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailProviderNetworkTypeFragment = {
  __typename?: 'ProviderNetworkType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailProviderTypeFragment = {
  __typename?: 'ProviderType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailRirTypeFragment = {
  __typename?: 'RIRType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailRackReservationTypeFragment = {
  __typename?: 'RackReservationType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
  rack?: { __typename?: 'RackType'; name?: string | undefined } | undefined;
};

export type AssetSharedDetailRackRoleTypeFragment = {
  __typename?: 'RackRoleType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailRackTypeFragment = {
  __typename?: 'RackType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailRearPortTypeFragment = {
  __typename?: 'RearPortType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailRegionTypeFragment = {
  __typename?: 'RegionType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailRoleTypeFragment = {
  __typename?: 'RoleType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailRouteTargetTypeFragment = {
  __typename?: 'RouteTargetType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailServiceTypeFragment = {
  __typename?: 'ServiceType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailSiteGroupTypeFragment = {
  __typename?: 'SiteGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailSiteTypeFragment = {
  __typename?: 'SiteType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailTenantGroupTypeFragment = {
  __typename?: 'TenantGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailTenantTypeFragment = {
  __typename?: 'TenantType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailVlanGroupTypeFragment = {
  __typename?: 'VLANGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailVlanTypeFragment = {
  __typename?: 'VLANType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailVmInterfaceTypeFragment = {
  __typename?: 'VMInterfaceType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailVrfTypeFragment = {
  __typename?: 'VRFType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export type AssetSharedDetailWirelessLanGroupTypeFragment = {
  __typename?: 'WirelessLanGroupType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailWirelessLanTypeFragment = {
  __typename?: 'WirelessLanType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailWirelessLinkTypeFragment = {
  __typename?: 'WirelessLinkType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
};

export type AssetSharedDetailFragment =
  | AssetSharedDetailAsnTypeFragment
  | AssetSharedDetailAggregateTypeFragment
  | AssetSharedDetailCableTypeFragment
  | AssetSharedDetailCircuitTerminationTypeFragment
  | AssetSharedDetailCircuitTypeFragment
  | AssetSharedDetailCircuitTypeTypeFragment
  | AssetSharedDetailClusterGroupTypeFragment
  | AssetSharedDetailClusterTypeFragment
  | AssetSharedDetailClusterTypeTypeFragment
  | AssetSharedDetailConsolePortTypeFragment
  | AssetSharedDetailConsoleServerPortTypeFragment
  | AssetSharedDetailDeviceBayTypeFragment
  | AssetSharedDetailDeviceRoleTypeFragment
  | AssetSharedDetailDeviceTypeFragment
  | AssetSharedDetailDeviceTypeTypeFragment
  | AssetSharedDetailFhrpGroupTypeFragment
  | AssetSharedDetailFrontPortTypeFragment
  | AssetSharedDetailIpAddressTypeFragment
  | AssetSharedDetailIpRangeTypeFragment
  | AssetSharedDetailInterfaceTypeFragment
  | AssetSharedDetailInventoryItemTypeFragment
  | AssetSharedDetailLocationTypeFragment
  | AssetSharedDetailManufacturerTypeFragment
  | AssetSharedDetailPlatformTypeFragment
  | AssetSharedDetailPowerFeedTypeFragment
  | AssetSharedDetailPowerOutletTypeFragment
  | AssetSharedDetailPowerPanelTypeFragment
  | AssetSharedDetailPowerPortTypeFragment
  | AssetSharedDetailPrefixTypeFragment
  | AssetSharedDetailProviderNetworkTypeFragment
  | AssetSharedDetailProviderTypeFragment
  | AssetSharedDetailRirTypeFragment
  | AssetSharedDetailRackReservationTypeFragment
  | AssetSharedDetailRackRoleTypeFragment
  | AssetSharedDetailRackTypeFragment
  | AssetSharedDetailRearPortTypeFragment
  | AssetSharedDetailRegionTypeFragment
  | AssetSharedDetailRoleTypeFragment
  | AssetSharedDetailRouteTargetTypeFragment
  | AssetSharedDetailServiceTypeFragment
  | AssetSharedDetailSiteGroupTypeFragment
  | AssetSharedDetailSiteTypeFragment
  | AssetSharedDetailTenantGroupTypeFragment
  | AssetSharedDetailTenantTypeFragment
  | AssetSharedDetailVlanGroupTypeFragment
  | AssetSharedDetailVlanTypeFragment
  | AssetSharedDetailVmInterfaceTypeFragment
  | AssetSharedDetailVrfTypeFragment
  | AssetSharedDetailVirtualChassisTypeFragment
  | AssetSharedDetailVirtualMachineTypeFragment
  | AssetSharedDetailWirelessLanGroupTypeFragment
  | AssetSharedDetailWirelessLanTypeFragment
  | AssetSharedDetailWirelessLinkTypeFragment;

export const AssetSharedDetailFragmentDoc = gql`
  fragment assetSharedDetail on AssetType {
    ...assetDetailSharedMainContent
  }
`;
