import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { CircuitAssetDetailService } from './circuit-asset-detail.service';
import { CircuitAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-circuit-asset-detail-page',
  templateUrl: './circuit-asset-detail-page.component.html',
  styleUrls: ['./circuit-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [CircuitAssetDetailService],
})
export class CircuitAssetDetailPageComponent extends EntityDetailPageBaseDirective<CircuitAssetDetailFragment> {
  constructor(protected assetService: CircuitAssetDetailService) {
    super(assetService);
  }
}
