import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetDetailCommentModule } from '@orion/asset-components/comments-card';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { CircuitAssetDetailPageComponent } from './circuit-asset-detail-page.component';
import { CircuitDetailCardComponent } from './circuit-detail-card';

@NgModule({
  declarations: [CircuitAssetDetailPageComponent, CircuitDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    AssetDetailCommentModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [CircuitAssetDetailPageComponent],
})
export class CircuitAssetDetailPageModule {}
