import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { CircuitTypeAssetDetailService } from './circuit-type-asset-detail.service';
import { CircuitTypeAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-circuit-type-asset-detail-page',
  templateUrl: './circuit-type-asset-detail-page.component.html',
  styleUrls: ['./circuit-type-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [CircuitTypeAssetDetailService],
})
export class CircuitTypeAssetDetailPageComponent extends EntityDetailPageBaseDirective<CircuitTypeAssetDetailFragment> {
  constructor(entityService: CircuitTypeAssetDetailService) {
    super(entityService);
  }
}
