import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CircuitAssetTableModule } from '@orion/asset-components/circuit-table';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { CircuitTypeAssetDetailPageComponent } from './circuit-type-asset-detail-page.component';
import { CircuitTypeDetailCardComponent } from './circuit-type-detail-card';

@NgModule({
  declarations: [CircuitTypeAssetDetailPageComponent, CircuitTypeDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    CircuitAssetTableModule,
    OrionAttributeModule,
  ],
  exports: [CircuitTypeAssetDetailPageComponent],
})
export class CircuitTypeAssetDetailPageModule {}
