import { gql } from 'apollo-angular';

export type CircuitTypeDetailCardFragment = {
  __typename?: 'CircuitTypeType';
  name?: string | undefined;
  description?: string | undefined;
  circuitsCount?: number | undefined;
};

export const CircuitTypeDetailCardFragmentDoc = gql`
  fragment circuitTypeDetailCard on CircuitTypeType {
    name
    description
    circuitsCount
  }
`;
