import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ProviderAssetDetailFragment } from './graphql';
import { ProviderAssetDetailService } from './provider-asset-detail.service';

@Component({
  selector: 'orion-provider-asset-detail-page',
  templateUrl: './provider-asset-detail-page.component.html',
  styleUrls: ['./provider-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ProviderAssetDetailService],
})
export class ProviderAssetDetailPageComponent extends EntityDetailPageBaseDirective<ProviderAssetDetailFragment> {
  constructor(entityService: ProviderAssetDetailService) {
    super(entityService);
  }
}
