import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CircuitAssetTableModule } from '@orion/asset-components/circuit-table';
import { AssetDetailCommentModule } from '@orion/asset-components/comments-card';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { ProviderAssetDetailPageComponent } from './provider-asset-detail-page.component';
import { ProviderDetailCardComponent } from './provider-detail-card';

@NgModule({
  declarations: [ProviderAssetDetailPageComponent, ProviderDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    CircuitAssetTableModule,
    OrionCardModule,
    AssetDetailCommentModule,
    OrionAttributeModule,
  ],
  exports: [ProviderAssetDetailPageComponent],
})
export class ProviderAssetDetailPageModule {}
