import { gql } from 'apollo-angular';

export type ProviderDetailCardFragment = {
  __typename?: 'ProviderType';
  asn?: number | undefined;
  account?: string | undefined;
  portalUrl?: string | undefined;
  nocContact?: string | undefined;
  adminContact?: string | undefined;
  circuitCount?: number | undefined;
};

export const ProviderDetailCardFragmentDoc = gql`
  fragment providerDetailCard on ProviderType {
    asn
    account
    portalUrl
    nocContact
    adminContact
    circuitCount
  }
`;
