import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ProviderNetworkAssetDetailFragment } from './graphql';
import { ProviderNetworkAssetDetailService } from './provider-network-asset-detail.service';

@Component({
  selector: 'orion-provider-network-asset-detail-page',
  templateUrl: './provider-network-asset-detail-page.component.html',
  styleUrls: ['./provider-network-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ProviderNetworkAssetDetailService],
})
export class ProviderNetworkAssetDetailPageComponent extends EntityDetailPageBaseDirective<ProviderNetworkAssetDetailFragment> {
  constructor(protected assetService: ProviderNetworkAssetDetailService) {
    super(assetService);
  }
}
