import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ProviderNetworkDetailCardFragment = {
  __typename?: 'ProviderNetworkType';
  name?: string | undefined;
  description?: string | undefined;
  provider?:
    | {
        __typename?: 'ProviderType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const ProviderNetworkDetailCardFragmentDoc = gql`
  fragment providerNetworkDetailCard on ProviderNetworkType {
    name
    provider {
      ...assetBaseView
    }
    description
  }
`;
