import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { CableAssetDetailService } from './cable-asset-detail.service';
import { CableAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-cable-asset-detail-page',
  templateUrl: './cable-asset-detail-page.component.html',
  styleUrls: ['./cable-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [CableAssetDetailService],
})
export class CableAssetDetailPageComponent extends EntityDetailPageBaseDirective<CableAssetDetailFragment> {
  constructor(entityService: CableAssetDetailService) {
    super(entityService);
  }
}
