import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { WirelessLinkAssetDetailFragment } from './graphql';
import { WirelessLinkAssetDetailService } from './wireless-link-asset-detail.service';

@Component({
  selector: 'orion-wireless-link-asset-detail-page',
  templateUrl: './wireless-link-asset-detail-page.component.html',
  styleUrls: ['./wireless-link-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [WirelessLinkAssetDetailService],
})
export class WirelessLinkAssetDetailPageComponent extends EntityDetailPageBaseDirective<WirelessLinkAssetDetailFragment> {
  constructor(entityService: WirelessLinkAssetDetailService) {
    super(entityService);
  }
}
