import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { WirelessLinkAssetDetailPageComponent } from './wireless-link-asset-detail-page.component';
import { WirelessLinkDetailCardComponent } from './wireless-link-detail-card';
import { WirelessLinkInterfaceCardComponent } from './wireless-link-interface-card';

@NgModule({
  declarations: [
    WirelessLinkAssetDetailPageComponent,
    WirelessLinkDetailCardComponent,
    WirelessLinkInterfaceCardComponent,
  ],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SLetModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [WirelessLinkAssetDetailPageComponent],
})
export class WirelessLinkAssetDetailPageModule {}
