import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type WirelessLinkInterfaceCardFragment = {
  __typename?: 'InterfaceType';
  type?: SchemaTypes.DcimInterfaceTypeChoices | undefined;
  macAddress?: string | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const WirelessLinkInterfaceCardFragmentDoc = gql`
  fragment wirelessLinkInterfaceCard on InterfaceType {
    ...assetBaseView
    device {
      ...assetBaseView
    }
    type
    cable {
      ...assetBaseView
    }
    macAddress
  }
`;
