import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ConsolePortAssetDetailService } from './console-port-asset-detail.service';
import { ConsolePortAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-console-port-asset-detail-page',
  templateUrl: './console-port-asset-detail-page.component.html',
  styleUrls: ['./console-port-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ConsolePortAssetDetailService],
})
export class ConsolePortAssetDetailPageComponent extends EntityDetailPageBaseDirective<ConsolePortAssetDetailFragment> {
  constructor(protected assetService: ConsolePortAssetDetailService) {
    super(assetService);
  }
}
