import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ConsoleServerPortDetailCardFragment = {
  __typename?: 'ConsoleServerPortType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimConsoleServerPortTypeChoices | undefined;
  speed?: string | undefined;
  description?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const ConsoleServerPortDetailCardFragmentDoc = gql`
  fragment consoleServerPortDetailCard on ConsoleServerPortType {
    name
    label
    type
    speed
    description
    device {
      ...assetBaseView
    }
  }
`;
