import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ConsoleServerPortDetailFragment = {
  __typename?: 'ConsoleServerPortType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimConsoleServerPortTypeChoices | undefined;
  speed?: string | undefined;
  description?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const ConsoleServerPortDetailFragmentDoc = gql`
  fragment consoleServerPortDetail on ConsoleServerPortType {
    ...assetSharedDetail
    ...consoleServerPortDetailCard
  }
`;
