import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { DeviceBayAssetDetailPageComponent } from './device-bay-asset-detail-page.component';
import { DeviceBayDetailCardComponent } from './device-bay-detail-card';

@NgModule({
  declarations: [DeviceBayAssetDetailPageComponent, DeviceBayDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [DeviceBayAssetDetailPageComponent],
})
export class DeviceBayAssetDetailPageModule {}
