import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { DeviceAssetDetailService } from './device-asset-detail.service';
import { DeviceAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-device-asset-detail-page',
  templateUrl: './device-asset-detail-page.component.html',
  styleUrls: ['./device-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [DeviceAssetDetailService],
})
export class DeviceAssetDetailPageComponent extends EntityDetailPageBaseDirective<DeviceAssetDetailFragment> {
  constructor(protected assetService: DeviceAssetDetailService) {
    super(assetService);
  }
}
