import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type FrontPortAssetDetailFragment = {
  __typename?: 'FrontPortType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimFrontPortTypeChoices | undefined;
  color?: string | undefined;
  rearPortPosition?: number | undefined;
  description?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  rearPort?:
    | {
        __typename?: 'RearPortType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        status?: SchemaTypes.DcimCableStatusChoices | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const FrontPortAssetDetailFragmentDoc = gql`
  fragment frontPortAssetDetail on FrontPortType {
    ...assetSharedDetail
    ...frontPortDetailCard
  }
`;
