import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type InterfaceAssetDetailFragment = {
  __typename?: 'InterfaceType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimInterfaceTypeChoices | undefined;
  enabled?: boolean | undefined;
  mgmtOnly?: boolean | undefined;
  description?: string | undefined;
  mtu?: number | undefined;
  macAddress?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  parent?:
    | {
        __typename?: 'InterfaceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  bridge?:
    | {
        __typename?: 'InterfaceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  lag?:
    | {
        __typename?: 'InterfaceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const InterfaceAssetDetailFragmentDoc = gql`
  fragment interfaceAssetDetail on InterfaceType {
    ...assetSharedDetail
    ...interfaceDetailCard
  }
`;
