import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type InterfaceDetailCardFragment = {
  __typename?: 'InterfaceType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimInterfaceTypeChoices | undefined;
  enabled?: boolean | undefined;
  mgmtOnly?: boolean | undefined;
  description?: string | undefined;
  mtu?: number | undefined;
  macAddress?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  parent?:
    | {
        __typename?: 'InterfaceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  bridge?:
    | {
        __typename?: 'InterfaceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  lag?:
    | {
        __typename?: 'InterfaceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const InterfaceDetailCardFragmentDoc = gql`
  fragment interfaceDetailCard on InterfaceType {
    name
    device {
      ...assetBaseView
    }
    label
    type
    enabled
    mgmtOnly
    parent {
      ...assetBaseView
    }
    bridge {
      ...assetBaseView
    }
    lag {
      ...assetBaseView
    }
    description
    mtu
    macAddress
  }
`;
