import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { InventoryItemAssetDetailFragment } from './graphql';
import { InventoryItemDetailService } from './inventory-item-detail.service';

@Component({
  selector: 'orion-inventory-item-asset-detail-page',
  templateUrl: './inventory-item-asset-detail-page.component.html',
  styleUrls: ['./inventory-item-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [InventoryItemDetailService],
})
export class InventoryItemAssetDetailPageComponent extends EntityDetailPageBaseDirective<InventoryItemAssetDetailFragment> {
  constructor(entityService: InventoryItemDetailService) {
    super(entityService);
  }
}
