import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ManufacturerAssetDetailFragment } from './graphql';
import { ManufacturerAssetDetailService } from './manufacturer-asset-detail.service';

@Component({
  selector: 'orion-manufacturer-asset-detail-page',
  templateUrl: './manufacturer-asset-detail-page.component.html',
  styleUrls: ['./manufacturer-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ManufacturerAssetDetailService],
})
export class ManufacturerAssetDetailPageComponent extends EntityDetailPageBaseDirective<ManufacturerAssetDetailFragment> {
  constructor(entityService: ManufacturerAssetDetailService) {
    super(entityService);
  }
}
