import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { DeviceTypeAssetTableModule } from '@orion/asset-components/device-type-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { ManufacturerAssetDetailPageComponent } from './manufacturer-asset-detail-page.component';
import { ManufacturerDetailCardComponent } from './manufacturer-detail-card';

@NgModule({
  declarations: [ManufacturerAssetDetailPageComponent, ManufacturerDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    DeviceTypeAssetTableModule,
    OrionCardModule,
    OrionAttributeModule,
  ],
  exports: [ManufacturerAssetDetailPageComponent],
})
export class ManufacturerAssetDetailPageModule {}
