import { gql } from 'apollo-angular';

export type ManufacturerDetailCardFragment = {
  __typename?: 'ManufacturerType';
  name?: string | undefined;
  description?: string | undefined;
  devicetypeCount?: number | undefined;
  inventoryitemCount?: number | undefined;
};

export const ManufacturerDetailCardFragmentDoc = gql`
  fragment manufacturerDetailCard on ManufacturerType {
    name
    description
    devicetypeCount
    inventoryitemCount
  }
`;
