import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { PlatformAssetDetailFragment } from './graphql';
import { PlatformAssetDetailService } from './platform-asset-detail.service';

@Component({
  selector: 'orion-platform-asset-detail-page',
  templateUrl: './platform-asset-detail-page.component.html',
  styleUrls: ['./platform-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [PlatformAssetDetailService],
})
export class PlatformAssetDetailPageComponent extends EntityDetailPageBaseDirective<PlatformAssetDetailFragment> {
  constructor(protected assetService: PlatformAssetDetailService) {
    super(assetService);
  }
}
