import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { PowerOutletAssetDetailFragment } from './graphql';
import { PowerOutletAssetDetailService } from './power-outlet-asset-detail.service';

@Component({
  selector: 'orion-power-outlet-asset-detail-page',
  templateUrl: './power-outlet-asset-detail-page.component.html',
  styleUrls: ['./power-outlet-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [PowerOutletAssetDetailService],
})
export class PowerOutletAssetDetailPageComponent extends EntityDetailPageBaseDirective<PowerOutletAssetDetailFragment> {
  constructor(entityService: PowerOutletAssetDetailService) {
    super(entityService);
  }
}
