import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { PowerPortAssetDetailFragment } from './graphql';
import { PowerPortAssetDetailService } from './power-port-asset-detail.service';

@Component({
  selector: 'orion-power-port-asset-detail-page',
  templateUrl: './power-port-asset-detail-page.component.html',
  styleUrls: ['./power-port-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [PowerPortAssetDetailService],
})
export class PowerPortAssetDetailPageComponent extends EntityDetailPageBaseDirective<PowerPortAssetDetailFragment> {
  constructor(entityService: PowerPortAssetDetailService) {
    super(entityService);
  }
}
