import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { PowerPortAssetDetailPageComponent } from './power-port-asset-detail-page.component';
import { PowerPortDetailCardComponent } from './power-port-detail-card';

@NgModule({
  declarations: [PowerPortAssetDetailPageComponent, PowerPortDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [PowerPortAssetDetailPageComponent],
})
export class PowerPortAssetDetailPageModule {}
