import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { RearPortAssetDetailFragment } from './graphql';
import { RearPortAssetDetailService } from './rear-port-asset-detail.service';

@Component({
  selector: 'orion-rear-port-asset-detail-page',
  templateUrl: './rear-port-asset-detail-page.component.html',
  styleUrls: ['./rear-port-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [RearPortAssetDetailService],
})
export class RearPortAssetDetailPageComponent extends EntityDetailPageBaseDirective<RearPortAssetDetailFragment> {
  constructor(protected assetService: RearPortAssetDetailService) {
    super(assetService);
  }
}
