import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionColorBlockModule } from '@csirtmu-orion/microframework/color-block';
import { RearPortAssetDetailPageComponent } from './rear-port-asset-detail-page.component';
import { RearPortDetailCardComponent } from './rear-port-detail-card';

@NgModule({
  declarations: [RearPortAssetDetailPageComponent, RearPortDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    AssetSharedDetailPageModule,
    SentinelPipesModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
    OrionColorBlockModule,
  ],
  exports: [RearPortAssetDetailPageComponent],
})
export class RearPortAssetDetailPageModule {}
