import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RearPortDetailCardFragment = {
  __typename?: 'RearPortType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimRearPortTypeChoices | undefined;
  color?: string | undefined;
  positions?: number | undefined;
  description?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        status?: SchemaTypes.DcimCableStatusChoices | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const RearPortDetailCardFragmentDoc = gql`
  fragment rearPortDetailCard on RearPortType {
    name
    device {
      ...assetBaseView
    }
    label
    type
    color
    positions
    description
    cable {
      ...assetBaseView
      status
    }
  }
`;
