import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VirtualChassisDetailCardFragment = {
  __typename?: 'VirtualChassisType';
  domain?: string | undefined;
  master?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const VirtualChassisDetailCardFragmentDoc = gql`
  fragment virtualChassisDetailCard on VirtualChassisType {
    domain
    master {
      ...assetBaseView
    }
  }
`;
