import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { AggregateAssetDetailPageComponent } from './aggregate-asset-detail-page.component';
import { AggregateDetailCardComponent } from './aggregate-detail-card';

@NgModule({
  declarations: [AggregateAssetDetailPageComponent, AggregateDetailCardComponent],
  imports: [
    CommonModule,
    AssetSharedDetailPageModule,
    SentinelPipesModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
    SLetModule,
  ],
  exports: [AggregateAssetDetailPageComponent],
})
export class AggregateAssetDetailPageModule {}
