import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type AggregateDetailCardFragment = {
  __typename?: 'AggregateType';
  prefix?: string | undefined;
  description?: string | undefined;
  rir?:
    | {
        __typename?: 'RIRType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const AggregateDetailCardFragmentDoc = gql`
  fragment aggregateDetailCard on AggregateType {
    prefix
    rir {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
    description
  }
`;
