import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { AsnAssetDetailService } from './asn-asset-detail.service';
import { AsnAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-asn-asset-detail-page',
  templateUrl: './asn-asset-detail-page.component.html',
  styleUrls: ['./asn-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [AsnAssetDetailService],
})
export class AsnAssetDetailPageComponent extends EntityDetailPageBaseDirective<AsnAssetDetailFragment> {
  constructor(entityService: AsnAssetDetailService) {
    super(entityService);
  }
}
