import { gql } from 'apollo-angular';

export type FhrpGroupDetailCardFragment = {
  __typename?: 'FHRPGroupType';
  groupId?: number | undefined;
  protocol?: string | undefined;
  description?: string | undefined;
  authType?: string | undefined;
  authKey?: string | undefined;
};

export const FhrpGroupDetailCardFragmentDoc = gql`
  fragment fhrpGroupDetailCard on FHRPGroupType {
    groupId
    protocol
    description
    authType
    authKey
  }
`;
