import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type FhrpGroupAssetDetailFragment = {
  __typename?: 'FHRPGroupType';
  groupId?: number | undefined;
  protocol?: string | undefined;
  description?: string | undefined;
  authType?: string | undefined;
  authKey?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  ipAddresses: Array<{
    __typename?: 'IPAddressType';
    status?: SchemaTypes.IpamIpAddressStatusChoices | undefined;
    role?: SchemaTypes.IpamIpAddressRoleChoices | undefined;
    assignedObjectId?: string | undefined;
    dnsName?: string | undefined;
    created?: any | undefined;
    lastUpdated?: any | undefined;
    assetType: SchemaTypes.KnownAssetsEnum;
    id: string;
    address?: string | undefined;
    vrf?:
      | {
          __typename?: 'VRFType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | undefined;
    tenant?:
      | {
          __typename?: 'TenantType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | undefined;
  }>;
};

export const FhrpGroupAssetDetailFragmentDoc = gql`
  fragment fhrpGroupAssetDetail on FHRPGroupType {
    ...assetSharedDetail
    ...fhrpGroupDetailCard
    ipAddresses {
      ...ipAddressAssetTableElement
    }
  }
`;
