import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type IpAddressAssetDetailFragment = {
  __typename?: 'IPAddressType';
  address?: string | undefined;
  status?: SchemaTypes.IpamIpAddressStatusChoices | undefined;
  role?: SchemaTypes.IpamIpAddressRoleChoices | undefined;
  dnsName?: string | undefined;
  description?: string | undefined;
  assignedObjectType?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  vrf?:
    | {
        __typename?: 'VRFType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  natInside?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
  natOutside?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const IpAddressAssetDetailFragmentDoc = gql`
  fragment ipAddressAssetDetail on IPAddressType {
    ...assetSharedDetail
    ...ipAddressDetailCard
  }
`;
