import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { IpAddressAssetDetailFragment } from './graphql';
import { IpAddressAssetDetailService } from './ip-address-asset-detail.service';

@Component({
  selector: 'orion-ip-address-asset-detail',
  templateUrl: './ip-address-asset-detail-page.component.html',
  styleUrls: ['./ip-address-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [IpAddressAssetDetailService],
})
export class IpAddressAssetDetailPageComponent extends EntityDetailPageBaseDirective<IpAddressAssetDetailFragment> {
  constructor(protected assetService: IpAddressAssetDetailService) {
    super(assetService);
  }
}
