import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { IpAddressStatusModule } from '@orion/asset-components/ip-address-status';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { IpAddressAssetDetailPageComponent } from './ip-address-asset-detail-page.component';
import { IpAddressDetailCardComponent } from './ip-address-detail-card';

@NgModule({
  declarations: [IpAddressAssetDetailPageComponent, IpAddressDetailCardComponent],
  imports: [
    CommonModule,
    AssetSharedDetailPageModule,
    SLetModule,
    SentinelPipesModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
    IpAddressStatusModule,
  ],
  exports: [IpAddressAssetDetailPageComponent, IpAddressDetailCardComponent],
})
export class IpAddressAssetDetailPageModule {}
