import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type IpRangeAssetDetailFragment = {
  __typename?: 'IPRangeType';
  startAddress?: string | undefined;
  endAddress?: string | undefined;
  size?: number | undefined;
  status?: SchemaTypes.IpamIpRangeStatusChoices | undefined;
  description?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  vrf?:
    | {
        __typename?: 'VRFType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  role?:
    | {
        __typename?: 'RoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const IpRangeAssetDetailFragmentDoc = gql`
  fragment ipRangeAssetDetail on IPRangeType {
    ...assetSharedDetail
    ...ipRangeDetailCard
  }
`;
