import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { IpRangeAssetDetailFragment } from './graphql';
import { IpRangeAssetDetailService } from './ip-range-asset-detail.service';

@Component({
  selector: 'orion-ip-range-asset-detail',
  templateUrl: './ip-range-asset-detail-page.component.html',
  styleUrls: ['./ip-range-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [IpRangeAssetDetailService],
})
export class IpRangeAssetDetailPageComponent extends EntityDetailPageBaseDirective<IpRangeAssetDetailFragment> {
  constructor(protected assetService: IpRangeAssetDetailService) {
    super(assetService);
  }
}
