import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { IpRangeStatusModule } from '@orion/asset-components/ip-range-status';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { IpRangeAssetDetailPageComponent } from './ip-range-asset-detail-page.component';
import { IpRangeDetailCardComponent } from './ip-range-detail-card';

@NgModule({
  declarations: [IpRangeAssetDetailPageComponent, IpRangeDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
    IpRangeStatusModule,
  ],
  exports: [IpRangeAssetDetailPageComponent],
})
export class IpRangeAssetDetailPageModule {}
