import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type IpRangeDetailCardFragment = {
  __typename?: 'IPRangeType';
  startAddress?: string | undefined;
  endAddress?: string | undefined;
  size?: number | undefined;
  status?: SchemaTypes.IpamIpRangeStatusChoices | undefined;
  description?: string | undefined;
  vrf?:
    | {
        __typename?: 'VRFType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  role?:
    | {
        __typename?: 'RoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const IpRangeDetailCardFragmentDoc = gql`
  fragment ipRangeDetailCard on IPRangeType {
    startAddress
    endAddress
    size
    vrf {
      ...assetBaseView
    }
    role {
      ...assetBaseView
    }
    status
    tenant {
      ...assetBaseView
    }
    description
  }
`;
