import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { PrefixAndVlanRoleAssetDetailFragment } from './graphql';
import { PrefixAndVlanRoleAssetDetailService } from './prefix-and-vlan-role-asset-detail.service';

@Component({
  selector: 'orion-prefix-and-vlan-role-asset-detail',
  templateUrl: './prefix-and-vlan-role-asset-detail-page.component.html',
  styleUrls: ['./prefix-and-vlan-role-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [PrefixAndVlanRoleAssetDetailService],
})
export class PrefixAndVlanRoleAssetDetailPageComponent extends EntityDetailPageBaseDirective<PrefixAndVlanRoleAssetDetailFragment> {
  constructor(protected assetService: PrefixAndVlanRoleAssetDetailService) {
    super(assetService);
  }
}
