import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { PrefixAssetDetailFragment } from './graphql';
import { PrefixAssetDetailService } from './prefix-asset-detail.service';

@Component({
  selector: 'orion-prefix-asset-detail',
  templateUrl: './prefix-asset-detail-page.component.html',
  styleUrls: ['./prefix-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [PrefixAssetDetailService],
})
export class PrefixAssetDetailPageComponent extends EntityDetailPageBaseDirective<PrefixAssetDetailFragment> {
  constructor(protected assetService: PrefixAssetDetailService) {
    super(assetService);
  }
}
