import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { RirAssetDetailFragment } from './graphql';
import { RirAssetDetailService } from './rir-asset-detail.service';

@Component({
  selector: 'orion-rir-asset-detail',
  templateUrl: './rir-asset-detail-page.component.html',
  styleUrls: ['./rir-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [RirAssetDetailService],
})
export class RirAssetDetailPageComponent extends EntityDetailPageBaseDirective<RirAssetDetailFragment> {
  constructor(protected assetService: RirAssetDetailService) {
    super(assetService);
  }
}
