import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AggregateAssetTableModule } from '@orion/asset-components/aggregate-table';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { RirAssetDetailPageComponent } from './rir-asset-detail-page.component';
import { RirDetailCardComponent } from './rir-detail-card';

@NgModule({
  declarations: [RirAssetDetailPageComponent, RirDetailCardComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SLetModule,
    AssetSharedDetailPageModule,
    AggregateAssetTableModule,
    OrionCardModule,
    OrionAttributeModule,
  ],
  exports: [RirAssetDetailPageComponent],
})
export class RirAssetDetailPageModule {}
