import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ServiceAssetDetailFragment } from './graphql';
import { ServiceAssetDetailService } from './service-asset-detail.service';

@Component({
  selector: 'orion-service-asset-detail',
  templateUrl: './service-asset-detail-page.component.html',
  styleUrls: ['./service-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ServiceAssetDetailService],
})
export class ServiceAssetDetailPageComponent extends EntityDetailPageBaseDirective<ServiceAssetDetailFragment> {
  constructor(protected assetService: ServiceAssetDetailService) {
    super(assetService);
  }
}
