import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { VlanAssetDetailFragment } from './graphql';
import { VlanAssetDetailService } from './vlan-asset-detail.service';

@Component({
  selector: 'orion-vlan-asset-detail',
  templateUrl: './vlan-asset-detail-page.component.html',
  styleUrls: ['./vlan-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [VlanAssetDetailService],
})
export class VlanAssetDetailPageComponent extends EntityDetailPageBaseDirective<VlanAssetDetailFragment> {
  constructor(protected assetService: VlanAssetDetailService) {
    super(assetService);
  }
}
