import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { VlanAssetTableModule } from '@orion/asset-components/vlan-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { VlanGroupAssetDetailPageComponent } from './vlan-group-asset-detail-page.component';
import { VlanGroupDetailCardComponent } from './vlan-group-detail-card';

@NgModule({
  declarations: [VlanGroupAssetDetailPageComponent, VlanGroupDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    VlanAssetTableModule,
    OrionAttributeModule,
  ],
  exports: [VlanGroupAssetDetailPageComponent],
})
export class VlanGroupAssetDetailPageModule {}
