import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { VrfAssetDetailFragment } from './graphql';
import { VrfAssetDetailService } from './vrf-asset-detail.service';

@Component({
  selector: 'orion-vrf-asset-detail',
  templateUrl: './vrf-asset-detail-page.component.html',
  styleUrls: ['./vrf-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [VrfAssetDetailService],
})
export class VrfAssetDetailPageComponent extends EntityDetailPageBaseDirective<VrfAssetDetailFragment> {
  constructor(protected assetService: VrfAssetDetailService) {
    super(assetService);
  }
}
