import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { LocationAssetDetailFragment } from './graphql';
import { LocationAssetDetailService } from './location-asset-detail.service';

@Component({
  selector: 'orion-location-asset-detail-page',
  templateUrl: './location-asset-detail-page.component.html',
  styleUrls: ['./location-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [LocationAssetDetailService],
})
export class LocationAssetDetailPageComponent extends EntityDetailPageBaseDirective<LocationAssetDetailFragment> {
  constructor(protected assetService: LocationAssetDetailService) {
    super(assetService);
  }
}
