import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RackReservationAssetDetailFragment = {
  __typename?: 'RackReservationType';
  units: Array<number | undefined>;
  description?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  rack?:
    | {
        __typename?: 'RackType';
        name?: string | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        site?:
          | {
              __typename?: 'SiteType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        location?:
          | {
              __typename?: 'LocationType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const RackReservationAssetDetailFragmentDoc = gql`
  fragment rackReservationAssetDetail on RackReservationType {
    ...assetSharedDetail
    ...rackReservationDetailCard
  }
`;
