import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { RackReservationAssetDetailFragment } from './graphql';
import { RackReservationAssetDetailService } from './rack-reservation-asset-detail.service';

@Component({
  selector: 'orion-rack-reservation-asset-detail-page',
  templateUrl: './rack-reservation-asset-detail-page.component.html',
  styleUrls: ['./rack-reservation-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [RackReservationAssetDetailService],
})
export class RackReservationAssetDetailPageComponent extends EntityDetailPageBaseDirective<RackReservationAssetDetailFragment> {
  constructor(protected assetService: RackReservationAssetDetailService) {
    super(assetService);
  }
}
