import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { RackReservationAssetDetailPageComponent } from './rack-reservation-asset-detail-page.component';
import { RackReservationDetailCardComponent } from './rack-reservation-detail-card';

@NgModule({
  declarations: [RackReservationAssetDetailPageComponent, RackReservationDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [RackReservationAssetDetailPageComponent],
})
export class RackReservationAssetDetailPageModule {}
