import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RackReservationDetailCardFragment = {
  __typename?: 'RackReservationType';
  units: Array<number | undefined>;
  description?: string | undefined;
  rack?:
    | {
        __typename?: 'RackType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
        site?:
          | {
              __typename?: 'SiteType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        location?:
          | {
              __typename?: 'LocationType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const RackReservationDetailCardFragmentDoc = gql`
  fragment rackReservationDetailCard on RackReservationType {
    rack {
      ...assetBaseView
      site {
        ...assetBaseView
      }
      location {
        ...assetBaseView
      }
    }
    units
    tenant {
      ...assetBaseView
    }
    description
  }
`;
