import { gql } from 'apollo-angular';

export type RackRoleDetailCardFragment = {
  __typename?: 'RackRoleType';
  name?: string | undefined;
  description?: string | undefined;
  color?: string | undefined;
  rackCount?: number | undefined;
};

export const RackRoleDetailCardFragmentDoc = gql`
  fragment rackRoleDetailCard on RackRoleType {
    name
    description
    color
    rackCount
  }
`;
