import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RegionDetailCardFragment = {
  __typename?: 'RegionType';
  name?: string | undefined;
  description?: string | undefined;
  siteCount?: number | undefined;
  parent?:
    | {
        __typename?: 'RegionType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const RegionDetailCardFragmentDoc = gql`
  fragment regionDetailCard on RegionType {
    name
    description
    parent {
      ...assetBaseView
    }
    siteCount
  }
`;
