import { gql } from 'apollo-angular';

export type SiteDetailRelatedObjectsCardFragment = {
  __typename?: 'SiteType';
  rackCount?: number | undefined;
  deviceCount?: number | undefined;
  virtualmachineCount?: number | undefined;
  prefixCount?: number | undefined;
  vlanCount?: number | undefined;
  circuitCount?: number | undefined;
};

export const SiteDetailRelatedObjectsCardFragmentDoc = gql`
  fragment siteDetailRelatedObjectsCard on SiteType {
    rackCount
    deviceCount
    virtualmachineCount
    prefixCount
    vlanCount
    circuitCount
  }
`;
