import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TenantGroupAssetDetailFragment = {
  __typename?: 'TenantGroupType';
  name?: string | undefined;
  description?: string | undefined;
  tenantCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  tenants: {
    __typename?: 'TenantTypeResultSet';
    data: Array<{
      __typename?: 'TenantType';
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      group?:
        | {
            __typename?: 'TenantGroupType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  parent?:
    | {
        __typename?: 'TenantGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const TenantGroupAssetDetailFragmentDoc = gql`
  fragment tenantGroupAssetDetail on TenantGroupType {
    ...assetSharedDetail
    ...tenantGroupDetailCard
    tenants {
      data {
        ...tenantAssetTableElement
      }
    }
  }
`;
