import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { TenantGroupAssetDetailFragment } from './graphql';
import { TenantGroupAssetDetailService } from './tenant-group-asset-detail.service';

@Component({
  selector: 'orion-tenant-group-asset-detail-page',
  templateUrl: './tenant-group-asset-detail-page.component.html',
  styleUrls: ['./tenant-group-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [TenantGroupAssetDetailService],
})
export class TenantGroupAssetDetailPageComponent extends EntityDetailPageBaseDirective<TenantGroupAssetDetailFragment> {
  constructor(entityService: TenantGroupAssetDetailService) {
    super(entityService);
  }
}
