import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TenantGroupDetailCardFragment = {
  __typename?: 'TenantGroupType';
  name?: string | undefined;
  description?: string | undefined;
  tenantCount?: number | undefined;
  parent?:
    | {
        __typename?: 'TenantGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const TenantGroupDetailCardFragmentDoc = gql`
  fragment tenantGroupDetailCard on TenantGroupType {
    name
    description
    parent {
      ...assetBaseView
    }
    tenantCount
  }
`;
