import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PowerPanelDetailCardFragment = {
  __typename?: 'PowerPanelType';
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  location?:
    | {
        __typename?: 'LocationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const PowerPanelDetailCardFragmentDoc = gql`
  fragment powerPanelDetailCard on PowerPanelType {
    site {
      ...assetBaseView
    }
    location {
      ...assetBaseView
    }
  }
`;
