import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ClusterGroupAssetDetailService } from './cluster-group-asset-detail.service';
import { ClusterGroupAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-cluster-group-asset-detail-page',
  templateUrl: './cluster-group-asset-detail-page.component.html',
  styleUrls: ['./cluster-group-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ClusterGroupAssetDetailService],
})
export class ClusterGroupAssetDetailPageComponent extends EntityDetailPageBaseDirective<ClusterGroupAssetDetailFragment> {
  constructor(entityService: ClusterGroupAssetDetailService) {
    super(entityService);
  }
}
