import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ClusterAssetTableModule } from '@orion/asset-components/cluster-table';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { ClusterGroupAssetDetailPageComponent } from './cluster-group-asset-detail-page.component';
import { ClusterGroupDetailCardComponent } from './cluster-group-detail-card';

@NgModule({
  declarations: [ClusterGroupAssetDetailPageComponent, ClusterGroupDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    ClusterAssetTableModule,
    OrionAttributeModule,
  ],
  exports: [ClusterGroupAssetDetailPageComponent],
})
export class ClusterGroupAssetDetailPageModule {}
