import { gql } from 'apollo-angular';

export type ClusterGroupDetailCardFragment = {
  __typename?: 'ClusterGroupType';
  name?: string | undefined;
  description?: string | undefined;
  clusterCount?: number | undefined;
};

export const ClusterGroupDetailCardFragmentDoc = gql`
  fragment clusterGroupDetailCard on ClusterGroupType {
    name
    description
    clusterCount
  }
`;
