import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ClusterTypeAssetDetailService } from './cluster-type-asset-detail.service';
import { ClusterTypeAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-cluster-type-asset-detail-page',
  templateUrl: './cluster-type-asset-detail-page.component.html',
  styleUrls: ['./cluster-type-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ClusterTypeAssetDetailService],
})
export class ClusterTypeAssetDetailPageComponent extends EntityDetailPageBaseDirective<ClusterTypeAssetDetailFragment> {
  constructor(protected assetService: ClusterTypeAssetDetailService) {
    super(assetService);
  }
}
