import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ClusterAssetTableModule } from '@orion/asset-components/cluster-table';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { ClusterTypeAssetDetailPageComponent } from './cluster-type-asset-detail-page.component';
import { ClusterTypeDetailCardComponent } from './cluster-type-detail-card';

@NgModule({
  declarations: [ClusterTypeAssetDetailPageComponent, ClusterTypeDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    ClusterAssetTableModule,
    OrionAttributeModule,
  ],
  exports: [ClusterTypeAssetDetailPageComponent],
})
export class ClusterTypeAssetDetailPageModule {}
