import { gql } from 'apollo-angular';

export type ClusterTypeDetailCardFragment = {
  __typename?: 'ClusterTypeType';
  name?: string | undefined;
  description?: string | undefined;
  clusterCount?: number | undefined;
};

export const ClusterTypeDetailCardFragmentDoc = gql`
  fragment clusterTypeDetailCard on ClusterTypeType {
    name
    description
    clusterCount
  }
`;
