import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { VmAssetDetailFragment } from './graphql';
import { VmAssetDetailService } from './vm-asset-detail.service';

@Component({
  selector: 'orion-vm-asset-detail-page',
  templateUrl: './vm-asset-detail-page.component.html',
  styleUrls: ['./vm-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [VmAssetDetailService],
})
export class VmAssetDetailPageComponent extends EntityDetailPageBaseDirective<VmAssetDetailFragment> {
  constructor(protected assetService: VmAssetDetailService) {
    super(assetService);
  }
}
