import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { VmInterfaceDetailFragment } from './graphql';
import { VmInterfaceDetailService } from './vm-interface-detail.service';

@Component({
  selector: 'orion-vm-interface-asset-detail-page',
  templateUrl: './vm-interface-asset-detail-page.component.html',
  styleUrls: ['./vm-interface-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [VmInterfaceDetailService],
})
export class VmInterfaceAssetDetailPageComponent extends EntityDetailPageBaseDirective<VmInterfaceDetailFragment> {
  constructor(protected assetService: VmInterfaceDetailService) {
    super(assetService);
  }
}
