import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { VlanAssetTableModule } from '@orion/asset-components/vlan-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { VmInterfaceAssetDetailPageComponent } from './vm-interface-asset-detail-page.component';
import { VmInterfaceDetailCardComponent } from './vm-interface-detail-card';

@NgModule({
  declarations: [VmInterfaceAssetDetailPageComponent, VmInterfaceDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    VlanAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [VmInterfaceAssetDetailPageComponent],
})
export class VmInterfaceAssetDetailPageModule {}
