import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VmInterfaceDetailCardFragment = {
  __typename?: 'VMInterfaceType';
  name?: string | undefined;
  enabled?: boolean | undefined;
  description?: string | undefined;
  mtu?: number | undefined;
  macAddress?: string | undefined;
  mode?: SchemaTypes.VirtualizationVmInterfaceModeChoices | undefined;
  virtualMachine?:
    | {
        __typename?: 'VirtualMachineType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  parent?:
    | {
        __typename?: 'VMInterfaceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const VmInterfaceDetailCardFragmentDoc = gql`
  fragment vmInterfaceDetailCard on VMInterfaceType {
    virtualMachine {
      ...assetBaseView
    }
    name
    enabled
    parent {
      ...assetBaseView
    }
    description
    mtu
    macAddress
    mode
  }
`;
