import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type WirelessLanAssetDetailFragment = {
  __typename?: 'WirelessLanType';
  ssid?: string | undefined;
  description?: string | undefined;
  authType?: SchemaTypes.WirelessLanAuthTypeChoices | undefined;
  authCipher?: SchemaTypes.WirelessLanAuthCipherChoices | undefined;
  authPsk?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  group?:
    | {
        __typename?: 'WirelessLanGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  vlan?:
    | {
        __typename?: 'VLANType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const WirelessLanAssetDetailFragmentDoc = gql`
  fragment wirelessLanAssetDetail on WirelessLanType {
    ...assetSharedDetail
    ...wirelessLanDetailCard
  }
`;
