import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type WirelessLanDetailCardFragment = {
  __typename?: 'WirelessLanType';
  ssid?: string | undefined;
  description?: string | undefined;
  authType?: SchemaTypes.WirelessLanAuthTypeChoices | undefined;
  authCipher?: SchemaTypes.WirelessLanAuthCipherChoices | undefined;
  authPsk?: string | undefined;
  group?:
    | {
        __typename?: 'WirelessLanGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  vlan?:
    | {
        __typename?: 'VLANType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const WirelessLanDetailCardFragmentDoc = gql`
  fragment wirelessLanDetailCard on WirelessLanType {
    ssid
    group {
      ...assetBaseView
    }
    description
    vlan {
      ...assetBaseView
    }
    authType
    authCipher
    authPsk
  }
`;
