import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { WirelessLanGroupAssetDetailFragment } from './graphql';
import { WirelessLanGroupDetailService } from './wireless-lan-group-detail.service';

@Component({
  selector: 'orion-wireless-lan-group-asset-detail-page',
  templateUrl: './wireless-lan-group-asset-detail-page.component.html',
  styleUrls: ['./wireless-lan-group-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [WirelessLanGroupDetailService],
})
export class WirelessLanGroupAssetDetailPageComponent extends EntityDetailPageBaseDirective<WirelessLanGroupAssetDetailFragment> {
  constructor(entityService: WirelessLanGroupDetailService) {
    super(entityService);
  }
}
