import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type WirelessLanGroupDetailCardFragment = {
  __typename?: 'WirelessLanGroupType';
  name?: string | undefined;
  description?: string | undefined;
  wirelesslanCount?: number | undefined;
  parent?:
    | {
        __typename?: 'WirelessLanGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const WirelessLanGroupDetailCardFragmentDoc = gql`
  fragment wirelessLanGroupDetailCard on WirelessLanGroupType {
    name
    description
    parent {
      ...assetBaseView
    }
    wirelesslanCount
  }
`;
