import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CircuitAssetTableModule } from '@orion/asset-components/circuit-table';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { CircuitAssetOverviewPageComponent } from './circuit-asset-overview-page.component';

@NgModule({
  declarations: [CircuitAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    CircuitAssetTableModule,
    SentinelPipesModule,
  ],
  exports: [CircuitAssetOverviewPageComponent],
})
export class CircuitAssetOverviewPageModule {}
