import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CircuitTerminationTableElementFragment = {
  __typename?: 'CircuitTerminationType';
  description?: string | undefined;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  circuit?:
    | {
        __typename?: 'CircuitType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const CircuitTerminationTableElementFragmentDoc = gql`
  fragment circuitTerminationTableElement on CircuitTerminationType {
    ...assetBaseView
    description
    lastUpdated
    created
    site {
      ...assetBaseView
    }
    cable {
      ...assetBaseView
    }
    circuit {
      ...assetBaseView
    }
  }
`;
