import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ProviderNetworkAssetOverviewFragment = {
  __typename?: 'ProviderNetworkType';
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  provider?:
    | {
        __typename?: 'ProviderType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const ProviderNetworkAssetOverviewFragmentDoc = gql`
  fragment providerNetworkAssetOverview on ProviderNetworkType {
    ...providerNetworkAssetTableElement
  }
`;
