import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ConsolePortAssetTableElementFragment = {
  __typename?: 'ConsolePortType';
  label?: string | undefined;
  type?: SchemaTypes.DcimConsolePortTypeChoices | undefined;
  speed?: SchemaTypes.DcimConsolePortSpeedChoices | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const ConsolePortAssetTableElementFragmentDoc = gql`
  fragment consolePortAssetTableElement on ConsolePortType {
    ...assetBaseView
    device {
      ...assetBaseView
    }
    label
    type
    speed
    description
    created
    lastUpdated
  }
`;
