import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type DeviceRoleAssetTableElementFragment = {
  __typename?: 'DeviceRoleType';
  deviceCount?: number | undefined;
  virtualmachineCount?: number | undefined;
  color?: string | undefined;
  vmRole?: boolean | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const DeviceRoleAssetTableElementFragmentDoc = gql`
  fragment deviceRoleAssetTableElement on DeviceRoleType {
    ...assetBaseView
    deviceCount
    virtualmachineCount
    color
    vmRole
    description
    created
    lastUpdated
  }
`;
