import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FrontPortAssetTableModule } from '@orion/asset-components/front-port-table';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { FrontPortAssetOverviewPageComponent } from './front-port-asset-overview-page.component';

@NgModule({
  declarations: [FrontPortAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    FrontPortAssetTableModule,
  ],
  exports: [FrontPortAssetOverviewPageComponent],
})
export class FrontPortAssetOverviewPageModule {}
