import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type FrontPortAssetOverviewFragment = {
  __typename?: 'FrontPortType';
  label?: string | undefined;
  type?: SchemaTypes.DcimFrontPortTypeChoices | undefined;
  color?: string | undefined;
  rearPortPosition?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  rearPort?:
    | {
        __typename?: 'RearPortType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const FrontPortAssetOverviewFragmentDoc = gql`
  fragment frontPortAssetOverview on FrontPortType {
    ...frontPortAssetTableElement
  }
`;
