import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type InterfaceAssetOverviewFragment = {
  __typename?: 'InterfaceType';
  label?: string | undefined;
  enabled?: boolean | undefined;
  type?: SchemaTypes.DcimInterfaceTypeChoices | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const InterfaceAssetOverviewFragmentDoc = gql`
  fragment interfaceAssetOverview on InterfaceType {
    ...interfaceAssetTableElement
  }
`;
