import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type InventoryItemAssetOverviewFragment = {
  __typename?: 'InventoryItemType';
  label?: string | undefined;
  partId?: string | undefined;
  serial?: string | undefined;
  assetTag?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  manufacturer?:
    | {
        __typename?: 'ManufacturerType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const InventoryItemAssetOverviewFragmentDoc = gql`
  fragment inventoryItemAssetOverview on InventoryItemType {
    ...inventoryItemAssetTableElement
  }
`;
