import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ManufacturerAssetTableElementFragment = {
  __typename?: 'ManufacturerType';
  devicetypeCount?: number | undefined;
  inventoryitemCount?: number | undefined;
  platformCount?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const ManufacturerAssetTableElementFragmentDoc = gql`
  fragment manufacturerAssetTableElement on ManufacturerType {
    ...assetBaseView
    devicetypeCount
    inventoryitemCount
    platformCount
    description
    created
    lastUpdated
  }
`;
