import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PowerOutletAssetTableElementFragment = {
  __typename?: 'PowerOutletType';
  label?: string | undefined;
  type?: SchemaTypes.DcimPowerOutletTypeChoices | undefined;
  description?: string | undefined;
  feedLeg?: SchemaTypes.DcimPowerOutletFeedLegChoices | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  powerPort?:
    | {
        __typename?: 'PowerPortType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const PowerOutletAssetTableElementFragmentDoc = gql`
  fragment powerOutletAssetTableElement on PowerOutletType {
    ...assetBaseView
    device {
      ...assetBaseView
    }
    label
    type
    description
    powerPort {
      ...assetBaseView
    }
    feedLeg
    created
    lastUpdated
  }
`;
