import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { IpAddressAssetTableModule } from '@orion/asset-components/ip-address-table';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { IpAddressAssetOverviewPageComponent } from './ip-address-asset-overview-page.component';

@NgModule({
  declarations: [IpAddressAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    OrionCardModule,
    IpAddressAssetTableModule,
    AssetSharedFiltersModule,
  ],
  exports: [IpAddressAssetOverviewPageComponent],
})
export class IpAddressAssetOverviewPageModule {}
