import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PrefixAndVlanRoleAssetTableElementFragment = {
  __typename?: 'RoleType';
  prefixCount?: number | undefined;
  vlanCount?: number | undefined;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const PrefixAndVlanRoleAssetTableElementFragmentDoc = gql`
  fragment prefixAndVlanRoleAssetTableElement on RoleType {
    ...assetBaseView
    prefixCount
    vlanCount
    lastUpdated
    created
  }
`;
