import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RouteTargetAssetOverviewFragment = {
  __typename?: 'RouteTargetType';
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const RouteTargetAssetOverviewFragmentDoc = gql`
  fragment routeTargetAssetOverview on RouteTargetType {
    ...routeTargetAssetTableElement
  }
`;
