import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VlanGroupAssetTableElementFragment = {
  __typename?: 'VLANGroupType';
  vlanCount?: number | undefined;
  scopeType?: string | undefined;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const VlanGroupAssetTableElementFragmentDoc = gql`
  fragment vlanGroupAssetTableElement on VLANGroupType {
    ...assetBaseView
    vlanCount
    scopeType
    lastUpdated
    created
  }
`;
