import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VlanAssetOverviewFragment = {
  __typename?: 'VLANType';
  vid?: number | undefined;
  status?: SchemaTypes.IpamVlanStatusChoices | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  group?:
    | {
        __typename?: 'VLANGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  role?:
    | {
        __typename?: 'RoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const VlanAssetOverviewFragmentDoc = gql`
  fragment vlanAssetOverview on VLANType {
    ...vlanAssetTableElement
  }
`;
