import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VrfAssetOverviewFragment = {
  __typename?: 'VRFType';
  rd?: string | undefined;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  description?: string | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const VrfAssetOverviewFragmentDoc = gql`
  fragment vrfAssetOverview on VRFType {
    ...vrfAssetTableElement
  }
`;
