import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { LocationAssetTableModule } from '@orion/asset-components/location-table';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { LocationAssetOverviewPageComponent } from './location-asset-overview-page.component';

@NgModule({
  declarations: [LocationAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    LocationAssetTableModule,
  ],
  exports: [LocationAssetOverviewPageComponent],
})
export class LocationAssetOverviewPageModule {}
