import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { RackAssetTableModule } from '@orion/asset-components/rack-table';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { RackAssetOverviewPageComponent } from './rack-asset-overview-page.component';

@NgModule({
  declarations: [RackAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    RackAssetTableModule,
  ],
  exports: [RackAssetOverviewPageComponent],
})
export class RackAssetOverviewPageModule {}
