import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { RackReservationAssetTableModule } from '@orion/asset-components/rack-reservation-table';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { RackReservationAssetOverviewPageComponent } from './rack-reservation-asset-overview-page.component';

@NgModule({
  declarations: [RackReservationAssetOverviewPageComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    AssetPageWrapperModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    RackReservationAssetTableModule,
  ],
  exports: [RackReservationAssetOverviewPageComponent],
})
export class RackReservationAssetOverviewPageModule {}
