import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { RegionAssetTableModule } from '@orion/asset-components/region-table';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { RegionAssetOverviewPageComponent } from './region-asset-overview-page.component';

@NgModule({
  declarations: [RegionAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    RegionAssetTableModule,
  ],
  exports: [RegionAssetOverviewPageComponent],
})
export class RegionAssetOverviewPageModule {}
