import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SiteGroupAssetTableModule } from '@orion/asset-components/site-group-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { SiteGroupAssetOverviewPageComponent } from './site-group-asset-overview-page.component';

@NgModule({
  declarations: [SiteGroupAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    AssetSharedFiltersModule,
    SentinelPipesModule,
    OrionCardModule,
    SiteGroupAssetTableModule,
  ],
  exports: [SiteGroupAssetOverviewPageComponent],
})
export class SiteGroupAssetOverviewPageModule {}
