import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SiteAssetTableModule } from '@orion/asset-components/site-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { SiteAssetOverviewPageComponent } from './site-asset-overview-page.component';

@NgModule({
  declarations: [SiteAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    SiteAssetTableModule,
  ],
  exports: [SiteAssetOverviewPageComponent],
})
export class SiteAssetOverviewPageModule {}
