import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TenantGroupAssetTableElementFragment = {
  __typename?: 'TenantGroupType';
  tenantCount?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const TenantGroupAssetTableElementFragmentDoc = gql`
  fragment tenantGroupAssetTableElement on TenantGroupType {
    ...assetBaseView
    tenantCount
    description
    created
    lastUpdated
  }
`;
