import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { TenantAssetTableModule } from '@orion/asset-components/tenant-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { TenantAssetOverviewPageComponent } from './tenant-asset-overview-page.component';

@NgModule({
  declarations: [TenantAssetOverviewPageComponent],
  imports: [
    CommonModule,
    OrionCardModule,
    AssetSharedFiltersModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetPageWrapperModule,
    TenantAssetTableModule,
  ],
  exports: [TenantAssetOverviewPageComponent],
})
export class TenantAssetOverviewPageModule {}
