import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ClusterTypeAssetTableElementFragment = {
  __typename?: 'ClusterTypeType';
  clusterCount?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const ClusterTypeAssetTableElementFragmentDoc = gql`
  fragment clusterTypeAssetTableElement on ClusterTypeType {
    ...assetBaseView
    clusterCount
    description
    created
    lastUpdated
  }
`;
