import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { VmAssetTableModule } from '@orion/asset-components/vm-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { VmAssetOverviewPageComponent } from './vm-asset-overview-page.component';

@NgModule({
  declarations: [VmAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    VmAssetTableModule,
  ],
  exports: [VmAssetOverviewPageComponent],
})
export class VmAssetOverviewPageModule {}
