import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { WirelessLanAssetTableModule } from '@orion/asset-components/wireless-lan-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { WirelessLanAssetOverviewPageComponent } from './wireless-lan-asset-overview-page.component';

@NgModule({
  declarations: [WirelessLanAssetOverviewPageComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    AssetPageWrapperModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    WirelessLanAssetTableModule,
    SentinelPipesModule,
  ],
  exports: [WirelessLanAssetOverviewPageComponent],
})
export class WirelessLanAssetOverviewPageModule {}
