import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type AssetCategoryMetadataFragment = {
  __typename?: 'CategoryMetadata';
  name: SchemaTypes.CategoryEnum;
  assetData: Array<{ __typename?: 'Metadata'; assetType: SchemaTypes.KnownAssetsEnum; instances: number }>;
};

export const AssetCategoryMetadataFragmentDoc = gql`
  fragment assetCategoryMetadata on CategoryMetadata {
    name
    assetData {
      ...assetMetadataElement
    }
  }
`;
