import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RelatedAssetAsnTypeFragment = {
  __typename?: 'ASNType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetAggregateTypeFragment = {
  __typename?: 'AggregateType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetCableTypeFragment = {
  __typename?: 'CableType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetCircuitTerminationTypeFragment = {
  __typename?: 'CircuitTerminationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
};

export type RelatedAssetCircuitTypeFragment = {
  __typename?: 'CircuitType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetCircuitTypeTypeFragment = {
  __typename?: 'CircuitTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetClusterGroupTypeFragment = {
  __typename?: 'ClusterGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetClusterTypeFragment = {
  __typename?: 'ClusterType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetClusterTypeTypeFragment = {
  __typename?: 'ClusterTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetConsolePortTypeFragment = {
  __typename?: 'ConsolePortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetDeviceBayTypeFragment = {
  __typename?: 'DeviceBayType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetDeviceRoleTypeFragment = {
  __typename?: 'DeviceRoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetDeviceTypeFragment = {
  __typename?: 'DeviceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetDeviceTypeTypeFragment = {
  __typename?: 'DeviceTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  model?: string | undefined;
};

export type RelatedAssetFhrpGroupTypeFragment = {
  __typename?: 'FHRPGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetFrontPortTypeFragment = {
  __typename?: 'FrontPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetIpAddressTypeFragment = {
  __typename?: 'IPAddressType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  address?: string | undefined;
};

export type RelatedAssetIpRangeTypeFragment = {
  __typename?: 'IPRangeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  startAddress?: string | undefined;
  endAddress?: string | undefined;
  id: string;
};

export type RelatedAssetInterfaceTypeFragment = {
  __typename?: 'InterfaceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetInventoryItemTypeFragment = {
  __typename?: 'InventoryItemType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetLocationTypeFragment = {
  __typename?: 'LocationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetManufacturerTypeFragment = {
  __typename?: 'ManufacturerType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetPlatformTypeFragment = {
  __typename?: 'PlatformType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetPowerFeedTypeFragment = {
  __typename?: 'PowerFeedType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetPowerOutletTypeFragment = {
  __typename?: 'PowerOutletType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetPowerPanelTypeFragment = {
  __typename?: 'PowerPanelType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetPowerPortTypeFragment = {
  __typename?: 'PowerPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetPrefixTypeFragment = {
  __typename?: 'PrefixType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetProviderNetworkTypeFragment = {
  __typename?: 'ProviderNetworkType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetProviderTypeFragment = {
  __typename?: 'ProviderType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetRirTypeFragment = {
  __typename?: 'RIRType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetRackReservationTypeFragment = {
  __typename?: 'RackReservationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  rack?: { __typename?: 'RackType'; name?: string | undefined } | undefined;
};

export type RelatedAssetRackRoleTypeFragment = {
  __typename?: 'RackRoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetRackTypeFragment = {
  __typename?: 'RackType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetRearPortTypeFragment = {
  __typename?: 'RearPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetRegionTypeFragment = {
  __typename?: 'RegionType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetRoleTypeFragment = {
  __typename?: 'RoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetRouteTargetTypeFragment = {
  __typename?: 'RouteTargetType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetServiceTypeFragment = {
  __typename?: 'ServiceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetSiteGroupTypeFragment = {
  __typename?: 'SiteGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetSiteTypeFragment = {
  __typename?: 'SiteType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTenantGroupTypeFragment = {
  __typename?: 'TenantGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTenantTypeFragment = {
  __typename?: 'TenantType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetVlanGroupTypeFragment = {
  __typename?: 'VLANGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetVlanTypeFragment = {
  __typename?: 'VLANType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetVmInterfaceTypeFragment = {
  __typename?: 'VMInterfaceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetVrfTypeFragment = {
  __typename?: 'VRFType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetWirelessLanGroupTypeFragment = {
  __typename?: 'WirelessLanGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetWirelessLanTypeFragment = {
  __typename?: 'WirelessLanType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetWirelessLinkTypeFragment = {
  __typename?: 'WirelessLinkType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetFragment =
  | RelatedAssetAsnTypeFragment
  | RelatedAssetAggregateTypeFragment
  | RelatedAssetCableTypeFragment
  | RelatedAssetCircuitTerminationTypeFragment
  | RelatedAssetCircuitTypeFragment
  | RelatedAssetCircuitTypeTypeFragment
  | RelatedAssetClusterGroupTypeFragment
  | RelatedAssetClusterTypeFragment
  | RelatedAssetClusterTypeTypeFragment
  | RelatedAssetConsolePortTypeFragment
  | RelatedAssetConsoleServerPortTypeFragment
  | RelatedAssetDeviceBayTypeFragment
  | RelatedAssetDeviceRoleTypeFragment
  | RelatedAssetDeviceTypeFragment
  | RelatedAssetDeviceTypeTypeFragment
  | RelatedAssetFhrpGroupTypeFragment
  | RelatedAssetFrontPortTypeFragment
  | RelatedAssetIpAddressTypeFragment
  | RelatedAssetIpRangeTypeFragment
  | RelatedAssetInterfaceTypeFragment
  | RelatedAssetInventoryItemTypeFragment
  | RelatedAssetLocationTypeFragment
  | RelatedAssetManufacturerTypeFragment
  | RelatedAssetPlatformTypeFragment
  | RelatedAssetPowerFeedTypeFragment
  | RelatedAssetPowerOutletTypeFragment
  | RelatedAssetPowerPanelTypeFragment
  | RelatedAssetPowerPortTypeFragment
  | RelatedAssetPrefixTypeFragment
  | RelatedAssetProviderNetworkTypeFragment
  | RelatedAssetProviderTypeFragment
  | RelatedAssetRirTypeFragment
  | RelatedAssetRackReservationTypeFragment
  | RelatedAssetRackRoleTypeFragment
  | RelatedAssetRackTypeFragment
  | RelatedAssetRearPortTypeFragment
  | RelatedAssetRegionTypeFragment
  | RelatedAssetRoleTypeFragment
  | RelatedAssetRouteTargetTypeFragment
  | RelatedAssetServiceTypeFragment
  | RelatedAssetSiteGroupTypeFragment
  | RelatedAssetSiteTypeFragment
  | RelatedAssetTenantGroupTypeFragment
  | RelatedAssetTenantTypeFragment
  | RelatedAssetVlanGroupTypeFragment
  | RelatedAssetVlanTypeFragment
  | RelatedAssetVmInterfaceTypeFragment
  | RelatedAssetVrfTypeFragment
  | RelatedAssetVirtualChassisTypeFragment
  | RelatedAssetVirtualMachineTypeFragment
  | RelatedAssetWirelessLanGroupTypeFragment
  | RelatedAssetWirelessLanTypeFragment
  | RelatedAssetWirelessLinkTypeFragment;

export const RelatedAssetFragmentDoc = gql`
  fragment relatedAsset on AssetFederationBase {
    ...relatedAssetTable
  }
`;
