import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { RelatedAssetTableFragment } from './related-asset-table.fragment.generated';
import { RelatedAssetsTable } from './related-assets-table';

@Component({
  selector: 'orion-related-assets-table',
  templateUrl: './related-assets-table.component.html',
  styleUrls: ['./related-assets-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RelatedAssetsTableComponent extends EntityTableDirective<RelatedAssetTableFragment, RelatedAssetsTable> {
  protected createTable(entities: RelatedAssetTableFragment[]): RelatedAssetsTable {
    return new RelatedAssetsTable(entities);
  }
}
