import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type AssetBaseViewAsnTypeFragment = {
  __typename?: 'ASNType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewAggregateTypeFragment = {
  __typename?: 'AggregateType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewCableTypeFragment = {
  __typename?: 'CableType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewCircuitTerminationTypeFragment = {
  __typename?: 'CircuitTerminationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
};

export type AssetBaseViewCircuitTypeFragment = {
  __typename?: 'CircuitType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewCircuitTypeTypeFragment = {
  __typename?: 'CircuitTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewClusterGroupTypeFragment = {
  __typename?: 'ClusterGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewClusterTypeFragment = {
  __typename?: 'ClusterType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewClusterTypeTypeFragment = {
  __typename?: 'ClusterTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewConsolePortTypeFragment = {
  __typename?: 'ConsolePortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewDeviceBayTypeFragment = {
  __typename?: 'DeviceBayType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewDeviceRoleTypeFragment = {
  __typename?: 'DeviceRoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewDeviceTypeFragment = {
  __typename?: 'DeviceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewDeviceTypeTypeFragment = {
  __typename?: 'DeviceTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  model?: string | undefined;
};

export type AssetBaseViewFhrpGroupTypeFragment = {
  __typename?: 'FHRPGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewFrontPortTypeFragment = {
  __typename?: 'FrontPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewIpAddressTypeFragment = {
  __typename?: 'IPAddressType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  address?: string | undefined;
};

export type AssetBaseViewIpRangeTypeFragment = {
  __typename?: 'IPRangeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  startAddress?: string | undefined;
  endAddress?: string | undefined;
  id: string;
};

export type AssetBaseViewInterfaceTypeFragment = {
  __typename?: 'InterfaceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewInventoryItemTypeFragment = {
  __typename?: 'InventoryItemType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewLocationTypeFragment = {
  __typename?: 'LocationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewManufacturerTypeFragment = {
  __typename?: 'ManufacturerType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewPlatformTypeFragment = {
  __typename?: 'PlatformType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewPowerFeedTypeFragment = {
  __typename?: 'PowerFeedType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewPowerOutletTypeFragment = {
  __typename?: 'PowerOutletType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewPowerPanelTypeFragment = {
  __typename?: 'PowerPanelType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewPowerPortTypeFragment = {
  __typename?: 'PowerPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewPrefixTypeFragment = {
  __typename?: 'PrefixType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewProviderNetworkTypeFragment = {
  __typename?: 'ProviderNetworkType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewProviderTypeFragment = {
  __typename?: 'ProviderType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewRirTypeFragment = {
  __typename?: 'RIRType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewRackReservationTypeFragment = {
  __typename?: 'RackReservationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  rack?: { __typename?: 'RackType'; name?: string | undefined } | undefined;
};

export type AssetBaseViewRackRoleTypeFragment = {
  __typename?: 'RackRoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewRackTypeFragment = {
  __typename?: 'RackType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewRearPortTypeFragment = {
  __typename?: 'RearPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewRegionTypeFragment = {
  __typename?: 'RegionType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewRoleTypeFragment = {
  __typename?: 'RoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewRouteTargetTypeFragment = {
  __typename?: 'RouteTargetType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewServiceTypeFragment = {
  __typename?: 'ServiceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewSiteGroupTypeFragment = {
  __typename?: 'SiteGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewSiteTypeFragment = {
  __typename?: 'SiteType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewTenantGroupTypeFragment = {
  __typename?: 'TenantGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewTenantTypeFragment = {
  __typename?: 'TenantType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewVlanGroupTypeFragment = {
  __typename?: 'VLANGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewVlanTypeFragment = {
  __typename?: 'VLANType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewVmInterfaceTypeFragment = {
  __typename?: 'VMInterfaceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewVrfTypeFragment = {
  __typename?: 'VRFType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewWirelessLanGroupTypeFragment = {
  __typename?: 'WirelessLanGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewWirelessLanTypeFragment = {
  __typename?: 'WirelessLanType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewWirelessLinkTypeFragment = {
  __typename?: 'WirelessLinkType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetBaseViewFragment =
  | AssetBaseViewAsnTypeFragment
  | AssetBaseViewAggregateTypeFragment
  | AssetBaseViewCableTypeFragment
  | AssetBaseViewCircuitTerminationTypeFragment
  | AssetBaseViewCircuitTypeFragment
  | AssetBaseViewCircuitTypeTypeFragment
  | AssetBaseViewClusterGroupTypeFragment
  | AssetBaseViewClusterTypeFragment
  | AssetBaseViewClusterTypeTypeFragment
  | AssetBaseViewConsolePortTypeFragment
  | AssetBaseViewConsoleServerPortTypeFragment
  | AssetBaseViewDeviceBayTypeFragment
  | AssetBaseViewDeviceRoleTypeFragment
  | AssetBaseViewDeviceTypeFragment
  | AssetBaseViewDeviceTypeTypeFragment
  | AssetBaseViewFhrpGroupTypeFragment
  | AssetBaseViewFrontPortTypeFragment
  | AssetBaseViewIpAddressTypeFragment
  | AssetBaseViewIpRangeTypeFragment
  | AssetBaseViewInterfaceTypeFragment
  | AssetBaseViewInventoryItemTypeFragment
  | AssetBaseViewLocationTypeFragment
  | AssetBaseViewManufacturerTypeFragment
  | AssetBaseViewPlatformTypeFragment
  | AssetBaseViewPowerFeedTypeFragment
  | AssetBaseViewPowerOutletTypeFragment
  | AssetBaseViewPowerPanelTypeFragment
  | AssetBaseViewPowerPortTypeFragment
  | AssetBaseViewPrefixTypeFragment
  | AssetBaseViewProviderNetworkTypeFragment
  | AssetBaseViewProviderTypeFragment
  | AssetBaseViewRirTypeFragment
  | AssetBaseViewRackReservationTypeFragment
  | AssetBaseViewRackRoleTypeFragment
  | AssetBaseViewRackTypeFragment
  | AssetBaseViewRearPortTypeFragment
  | AssetBaseViewRegionTypeFragment
  | AssetBaseViewRoleTypeFragment
  | AssetBaseViewRouteTargetTypeFragment
  | AssetBaseViewServiceTypeFragment
  | AssetBaseViewSiteGroupTypeFragment
  | AssetBaseViewSiteTypeFragment
  | AssetBaseViewTenantGroupTypeFragment
  | AssetBaseViewTenantTypeFragment
  | AssetBaseViewVlanGroupTypeFragment
  | AssetBaseViewVlanTypeFragment
  | AssetBaseViewVmInterfaceTypeFragment
  | AssetBaseViewVrfTypeFragment
  | AssetBaseViewVirtualChassisTypeFragment
  | AssetBaseViewVirtualMachineTypeFragment
  | AssetBaseViewWirelessLanGroupTypeFragment
  | AssetBaseViewWirelessLanTypeFragment
  | AssetBaseViewWirelessLinkTypeFragment;

export type AssetFederationBaseViewAsnTypeFragment = {
  __typename?: 'ASNType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewAggregateTypeFragment = {
  __typename?: 'AggregateType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewCableTypeFragment = {
  __typename?: 'CableType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewCircuitTerminationTypeFragment = {
  __typename?: 'CircuitTerminationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
};

export type AssetFederationBaseViewCircuitTypeFragment = {
  __typename?: 'CircuitType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewCircuitTypeTypeFragment = {
  __typename?: 'CircuitTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewClusterGroupTypeFragment = {
  __typename?: 'ClusterGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewClusterTypeFragment = {
  __typename?: 'ClusterType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewClusterTypeTypeFragment = {
  __typename?: 'ClusterTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewConsolePortTypeFragment = {
  __typename?: 'ConsolePortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewDeviceBayTypeFragment = {
  __typename?: 'DeviceBayType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewDeviceRoleTypeFragment = {
  __typename?: 'DeviceRoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewDeviceTypeFragment = {
  __typename?: 'DeviceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewDeviceTypeTypeFragment = {
  __typename?: 'DeviceTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  model?: string | undefined;
};

export type AssetFederationBaseViewFhrpGroupTypeFragment = {
  __typename?: 'FHRPGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewFrontPortTypeFragment = {
  __typename?: 'FrontPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewIpAddressTypeFragment = {
  __typename?: 'IPAddressType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  address?: string | undefined;
};

export type AssetFederationBaseViewIpRangeTypeFragment = {
  __typename?: 'IPRangeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  startAddress?: string | undefined;
  endAddress?: string | undefined;
  id: string;
};

export type AssetFederationBaseViewInterfaceTypeFragment = {
  __typename?: 'InterfaceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewInventoryItemTypeFragment = {
  __typename?: 'InventoryItemType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewLocationTypeFragment = {
  __typename?: 'LocationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewManufacturerTypeFragment = {
  __typename?: 'ManufacturerType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewPlatformTypeFragment = {
  __typename?: 'PlatformType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewPowerFeedTypeFragment = {
  __typename?: 'PowerFeedType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewPowerOutletTypeFragment = {
  __typename?: 'PowerOutletType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewPowerPanelTypeFragment = {
  __typename?: 'PowerPanelType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewPowerPortTypeFragment = {
  __typename?: 'PowerPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewPrefixTypeFragment = {
  __typename?: 'PrefixType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewProviderNetworkTypeFragment = {
  __typename?: 'ProviderNetworkType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewProviderTypeFragment = {
  __typename?: 'ProviderType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewRirTypeFragment = {
  __typename?: 'RIRType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewRackReservationTypeFragment = {
  __typename?: 'RackReservationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  rack?: { __typename?: 'RackType'; name?: string | undefined } | undefined;
};

export type AssetFederationBaseViewRackRoleTypeFragment = {
  __typename?: 'RackRoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewRackTypeFragment = {
  __typename?: 'RackType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewRearPortTypeFragment = {
  __typename?: 'RearPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewRegionTypeFragment = {
  __typename?: 'RegionType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewRoleTypeFragment = {
  __typename?: 'RoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewRouteTargetTypeFragment = {
  __typename?: 'RouteTargetType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewServiceTypeFragment = {
  __typename?: 'ServiceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewSiteGroupTypeFragment = {
  __typename?: 'SiteGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewSiteTypeFragment = {
  __typename?: 'SiteType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewTenantGroupTypeFragment = {
  __typename?: 'TenantGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewTenantTypeFragment = {
  __typename?: 'TenantType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewVlanGroupTypeFragment = {
  __typename?: 'VLANGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewVlanTypeFragment = {
  __typename?: 'VLANType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewVmInterfaceTypeFragment = {
  __typename?: 'VMInterfaceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewVrfTypeFragment = {
  __typename?: 'VRFType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewWirelessLanGroupTypeFragment = {
  __typename?: 'WirelessLanGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewWirelessLanTypeFragment = {
  __typename?: 'WirelessLanType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewWirelessLinkTypeFragment = {
  __typename?: 'WirelessLinkType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetFederationBaseViewFragment =
  | AssetFederationBaseViewAsnTypeFragment
  | AssetFederationBaseViewAggregateTypeFragment
  | AssetFederationBaseViewCableTypeFragment
  | AssetFederationBaseViewCircuitTerminationTypeFragment
  | AssetFederationBaseViewCircuitTypeFragment
  | AssetFederationBaseViewCircuitTypeTypeFragment
  | AssetFederationBaseViewClusterGroupTypeFragment
  | AssetFederationBaseViewClusterTypeFragment
  | AssetFederationBaseViewClusterTypeTypeFragment
  | AssetFederationBaseViewConsolePortTypeFragment
  | AssetFederationBaseViewConsoleServerPortTypeFragment
  | AssetFederationBaseViewDeviceBayTypeFragment
  | AssetFederationBaseViewDeviceRoleTypeFragment
  | AssetFederationBaseViewDeviceTypeFragment
  | AssetFederationBaseViewDeviceTypeTypeFragment
  | AssetFederationBaseViewFhrpGroupTypeFragment
  | AssetFederationBaseViewFrontPortTypeFragment
  | AssetFederationBaseViewIpAddressTypeFragment
  | AssetFederationBaseViewIpRangeTypeFragment
  | AssetFederationBaseViewInterfaceTypeFragment
  | AssetFederationBaseViewInventoryItemTypeFragment
  | AssetFederationBaseViewLocationTypeFragment
  | AssetFederationBaseViewManufacturerTypeFragment
  | AssetFederationBaseViewPlatformTypeFragment
  | AssetFederationBaseViewPowerFeedTypeFragment
  | AssetFederationBaseViewPowerOutletTypeFragment
  | AssetFederationBaseViewPowerPanelTypeFragment
  | AssetFederationBaseViewPowerPortTypeFragment
  | AssetFederationBaseViewPrefixTypeFragment
  | AssetFederationBaseViewProviderNetworkTypeFragment
  | AssetFederationBaseViewProviderTypeFragment
  | AssetFederationBaseViewRirTypeFragment
  | AssetFederationBaseViewRackReservationTypeFragment
  | AssetFederationBaseViewRackRoleTypeFragment
  | AssetFederationBaseViewRackTypeFragment
  | AssetFederationBaseViewRearPortTypeFragment
  | AssetFederationBaseViewRegionTypeFragment
  | AssetFederationBaseViewRoleTypeFragment
  | AssetFederationBaseViewRouteTargetTypeFragment
  | AssetFederationBaseViewServiceTypeFragment
  | AssetFederationBaseViewSiteGroupTypeFragment
  | AssetFederationBaseViewSiteTypeFragment
  | AssetFederationBaseViewTenantGroupTypeFragment
  | AssetFederationBaseViewTenantTypeFragment
  | AssetFederationBaseViewVlanGroupTypeFragment
  | AssetFederationBaseViewVlanTypeFragment
  | AssetFederationBaseViewVmInterfaceTypeFragment
  | AssetFederationBaseViewVrfTypeFragment
  | AssetFederationBaseViewVirtualChassisTypeFragment
  | AssetFederationBaseViewVirtualMachineTypeFragment
  | AssetFederationBaseViewWirelessLanGroupTypeFragment
  | AssetFederationBaseViewWirelessLanTypeFragment
  | AssetFederationBaseViewWirelessLinkTypeFragment;

export type CircuitTerminationNameFragment = {
  __typename?: 'CircuitTerminationType';
  circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
};

export type RackReservationNameFragment = {
  __typename?: 'RackReservationType';
  rack?: { __typename?: 'RackType'; name?: string | undefined } | undefined;
};

export type IpRangeNameFragment = {
  __typename?: 'IPRangeType';
  startAddress?: string | undefined;
  endAddress?: string | undefined;
};

export type AssetSimpleNameAsnTypeFragment = { __typename?: 'ASNType'; name?: string | undefined };

export type AssetSimpleNameAggregateTypeFragment = { __typename?: 'AggregateType'; name?: string | undefined };

export type AssetSimpleNameCableTypeFragment = { __typename?: 'CableType'; name?: string | undefined };

export type AssetSimpleNameCircuitTerminationTypeFragment = { __typename?: 'CircuitTerminationType' };

export type AssetSimpleNameCircuitTypeFragment = { __typename?: 'CircuitType'; name?: string | undefined };

export type AssetSimpleNameCircuitTypeTypeFragment = { __typename?: 'CircuitTypeType'; name?: string | undefined };

export type AssetSimpleNameClusterGroupTypeFragment = { __typename?: 'ClusterGroupType'; name?: string | undefined };

export type AssetSimpleNameClusterTypeFragment = { __typename?: 'ClusterType'; name?: string | undefined };

export type AssetSimpleNameClusterTypeTypeFragment = { __typename?: 'ClusterTypeType'; name?: string | undefined };

export type AssetSimpleNameConsolePortTypeFragment = { __typename?: 'ConsolePortType'; name?: string | undefined };

export type AssetSimpleNameConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  name?: string | undefined;
};

export type AssetSimpleNameDeviceBayTypeFragment = { __typename?: 'DeviceBayType'; name?: string | undefined };

export type AssetSimpleNameDeviceRoleTypeFragment = { __typename?: 'DeviceRoleType'; name?: string | undefined };

export type AssetSimpleNameDeviceTypeFragment = { __typename?: 'DeviceType'; name?: string | undefined };

export type AssetSimpleNameDeviceTypeTypeFragment = { __typename?: 'DeviceTypeType'; model?: string | undefined };

export type AssetSimpleNameFhrpGroupTypeFragment = { __typename?: 'FHRPGroupType'; name?: string | undefined };

export type AssetSimpleNameFrontPortTypeFragment = { __typename?: 'FrontPortType'; name?: string | undefined };

export type AssetSimpleNameIpAddressTypeFragment = { __typename?: 'IPAddressType'; address?: string | undefined };

export type AssetSimpleNameIpRangeTypeFragment = { __typename?: 'IPRangeType' };

export type AssetSimpleNameInterfaceTypeFragment = { __typename?: 'InterfaceType'; name?: string | undefined };

export type AssetSimpleNameInventoryItemTypeFragment = { __typename?: 'InventoryItemType'; name?: string | undefined };

export type AssetSimpleNameLocationTypeFragment = { __typename?: 'LocationType'; name?: string | undefined };

export type AssetSimpleNameManufacturerTypeFragment = { __typename?: 'ManufacturerType'; name?: string | undefined };

export type AssetSimpleNamePlatformTypeFragment = { __typename?: 'PlatformType'; name?: string | undefined };

export type AssetSimpleNamePowerFeedTypeFragment = { __typename?: 'PowerFeedType'; name?: string | undefined };

export type AssetSimpleNamePowerOutletTypeFragment = { __typename?: 'PowerOutletType'; name?: string | undefined };

export type AssetSimpleNamePowerPanelTypeFragment = { __typename?: 'PowerPanelType'; name?: string | undefined };

export type AssetSimpleNamePowerPortTypeFragment = { __typename?: 'PowerPortType'; name?: string | undefined };

export type AssetSimpleNamePrefixTypeFragment = { __typename?: 'PrefixType'; name?: string | undefined };

export type AssetSimpleNameProviderNetworkTypeFragment = {
  __typename?: 'ProviderNetworkType';
  name?: string | undefined;
};

export type AssetSimpleNameProviderTypeFragment = { __typename?: 'ProviderType'; name?: string | undefined };

export type AssetSimpleNameRirTypeFragment = { __typename?: 'RIRType'; name?: string | undefined };

export type AssetSimpleNameRackReservationTypeFragment = { __typename?: 'RackReservationType' };

export type AssetSimpleNameRackRoleTypeFragment = { __typename?: 'RackRoleType'; name?: string | undefined };

export type AssetSimpleNameRackTypeFragment = { __typename?: 'RackType'; name?: string | undefined };

export type AssetSimpleNameRearPortTypeFragment = { __typename?: 'RearPortType'; name?: string | undefined };

export type AssetSimpleNameRegionTypeFragment = { __typename?: 'RegionType'; name?: string | undefined };

export type AssetSimpleNameRoleTypeFragment = { __typename?: 'RoleType'; name?: string | undefined };

export type AssetSimpleNameRouteTargetTypeFragment = { __typename?: 'RouteTargetType'; name?: string | undefined };

export type AssetSimpleNameServiceTypeFragment = { __typename?: 'ServiceType'; name?: string | undefined };

export type AssetSimpleNameSiteGroupTypeFragment = { __typename?: 'SiteGroupType'; name?: string | undefined };

export type AssetSimpleNameSiteTypeFragment = { __typename?: 'SiteType'; name?: string | undefined };

export type AssetSimpleNameTenantGroupTypeFragment = { __typename?: 'TenantGroupType'; name?: string | undefined };

export type AssetSimpleNameTenantTypeFragment = { __typename?: 'TenantType'; name?: string | undefined };

export type AssetSimpleNameVlanGroupTypeFragment = { __typename?: 'VLANGroupType'; name?: string | undefined };

export type AssetSimpleNameVlanTypeFragment = { __typename?: 'VLANType'; name?: string | undefined };

export type AssetSimpleNameVmInterfaceTypeFragment = { __typename?: 'VMInterfaceType'; name?: string | undefined };

export type AssetSimpleNameVrfTypeFragment = { __typename?: 'VRFType'; name?: string | undefined };

export type AssetSimpleNameVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  name?: string | undefined;
};

export type AssetSimpleNameVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  name?: string | undefined;
};

export type AssetSimpleNameWirelessLanGroupTypeFragment = {
  __typename?: 'WirelessLanGroupType';
  name?: string | undefined;
};

export type AssetSimpleNameWirelessLanTypeFragment = { __typename?: 'WirelessLanType'; name?: string | undefined };

export type AssetSimpleNameWirelessLinkTypeFragment = { __typename?: 'WirelessLinkType'; name?: string | undefined };

export type AssetSimpleNameFragment =
  | AssetSimpleNameAsnTypeFragment
  | AssetSimpleNameAggregateTypeFragment
  | AssetSimpleNameCableTypeFragment
  | AssetSimpleNameCircuitTerminationTypeFragment
  | AssetSimpleNameCircuitTypeFragment
  | AssetSimpleNameCircuitTypeTypeFragment
  | AssetSimpleNameClusterGroupTypeFragment
  | AssetSimpleNameClusterTypeFragment
  | AssetSimpleNameClusterTypeTypeFragment
  | AssetSimpleNameConsolePortTypeFragment
  | AssetSimpleNameConsoleServerPortTypeFragment
  | AssetSimpleNameDeviceBayTypeFragment
  | AssetSimpleNameDeviceRoleTypeFragment
  | AssetSimpleNameDeviceTypeFragment
  | AssetSimpleNameDeviceTypeTypeFragment
  | AssetSimpleNameFhrpGroupTypeFragment
  | AssetSimpleNameFrontPortTypeFragment
  | AssetSimpleNameIpAddressTypeFragment
  | AssetSimpleNameIpRangeTypeFragment
  | AssetSimpleNameInterfaceTypeFragment
  | AssetSimpleNameInventoryItemTypeFragment
  | AssetSimpleNameLocationTypeFragment
  | AssetSimpleNameManufacturerTypeFragment
  | AssetSimpleNamePlatformTypeFragment
  | AssetSimpleNamePowerFeedTypeFragment
  | AssetSimpleNamePowerOutletTypeFragment
  | AssetSimpleNamePowerPanelTypeFragment
  | AssetSimpleNamePowerPortTypeFragment
  | AssetSimpleNamePrefixTypeFragment
  | AssetSimpleNameProviderNetworkTypeFragment
  | AssetSimpleNameProviderTypeFragment
  | AssetSimpleNameRirTypeFragment
  | AssetSimpleNameRackReservationTypeFragment
  | AssetSimpleNameRackRoleTypeFragment
  | AssetSimpleNameRackTypeFragment
  | AssetSimpleNameRearPortTypeFragment
  | AssetSimpleNameRegionTypeFragment
  | AssetSimpleNameRoleTypeFragment
  | AssetSimpleNameRouteTargetTypeFragment
  | AssetSimpleNameServiceTypeFragment
  | AssetSimpleNameSiteGroupTypeFragment
  | AssetSimpleNameSiteTypeFragment
  | AssetSimpleNameTenantGroupTypeFragment
  | AssetSimpleNameTenantTypeFragment
  | AssetSimpleNameVlanGroupTypeFragment
  | AssetSimpleNameVlanTypeFragment
  | AssetSimpleNameVmInterfaceTypeFragment
  | AssetSimpleNameVrfTypeFragment
  | AssetSimpleNameVirtualChassisTypeFragment
  | AssetSimpleNameVirtualMachineTypeFragment
  | AssetSimpleNameWirelessLanGroupTypeFragment
  | AssetSimpleNameWirelessLanTypeFragment
  | AssetSimpleNameWirelessLinkTypeFragment;

export type AssetFederationBaseSimpleNameAsnTypeFragment = { __typename?: 'ASNType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameAggregateTypeFragment = {
  __typename?: 'AggregateType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameCableTypeFragment = { __typename?: 'CableType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameCircuitTerminationTypeFragment = { __typename?: 'CircuitTerminationType' };

export type AssetFederationBaseSimpleNameCircuitTypeFragment = {
  __typename?: 'CircuitType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameCircuitTypeTypeFragment = {
  __typename?: 'CircuitTypeType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameClusterGroupTypeFragment = {
  __typename?: 'ClusterGroupType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameClusterTypeFragment = {
  __typename?: 'ClusterType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameClusterTypeTypeFragment = {
  __typename?: 'ClusterTypeType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameConsolePortTypeFragment = {
  __typename?: 'ConsolePortType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameDeviceBayTypeFragment = {
  __typename?: 'DeviceBayType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameDeviceRoleTypeFragment = {
  __typename?: 'DeviceRoleType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameDeviceTypeFragment = { __typename?: 'DeviceType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameDeviceTypeTypeFragment = {
  __typename?: 'DeviceTypeType';
  model?: string | undefined;
};

export type AssetFederationBaseSimpleNameFhrpGroupTypeFragment = {
  __typename?: 'FHRPGroupType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameFrontPortTypeFragment = {
  __typename?: 'FrontPortType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameIpAddressTypeFragment = {
  __typename?: 'IPAddressType';
  address?: string | undefined;
};

export type AssetFederationBaseSimpleNameIpRangeTypeFragment = { __typename?: 'IPRangeType' };

export type AssetFederationBaseSimpleNameInterfaceTypeFragment = {
  __typename?: 'InterfaceType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameInventoryItemTypeFragment = {
  __typename?: 'InventoryItemType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameLocationTypeFragment = {
  __typename?: 'LocationType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameManufacturerTypeFragment = {
  __typename?: 'ManufacturerType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNamePlatformTypeFragment = {
  __typename?: 'PlatformType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNamePowerFeedTypeFragment = {
  __typename?: 'PowerFeedType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNamePowerOutletTypeFragment = {
  __typename?: 'PowerOutletType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNamePowerPanelTypeFragment = {
  __typename?: 'PowerPanelType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNamePowerPortTypeFragment = {
  __typename?: 'PowerPortType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNamePrefixTypeFragment = { __typename?: 'PrefixType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameProviderNetworkTypeFragment = {
  __typename?: 'ProviderNetworkType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameProviderTypeFragment = {
  __typename?: 'ProviderType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameRirTypeFragment = { __typename?: 'RIRType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameRackReservationTypeFragment = { __typename?: 'RackReservationType' };

export type AssetFederationBaseSimpleNameRackRoleTypeFragment = {
  __typename?: 'RackRoleType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameRackTypeFragment = { __typename?: 'RackType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameRearPortTypeFragment = {
  __typename?: 'RearPortType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameRegionTypeFragment = { __typename?: 'RegionType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameRoleTypeFragment = { __typename?: 'RoleType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameRouteTargetTypeFragment = {
  __typename?: 'RouteTargetType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameServiceTypeFragment = {
  __typename?: 'ServiceType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameSiteGroupTypeFragment = {
  __typename?: 'SiteGroupType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameSiteTypeFragment = { __typename?: 'SiteType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameTenantGroupTypeFragment = {
  __typename?: 'TenantGroupType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameTenantTypeFragment = { __typename?: 'TenantType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameVlanGroupTypeFragment = {
  __typename?: 'VLANGroupType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameVlanTypeFragment = { __typename?: 'VLANType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameVmInterfaceTypeFragment = {
  __typename?: 'VMInterfaceType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameVrfTypeFragment = { __typename?: 'VRFType'; name?: string | undefined };

export type AssetFederationBaseSimpleNameVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameWirelessLanGroupTypeFragment = {
  __typename?: 'WirelessLanGroupType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameWirelessLanTypeFragment = {
  __typename?: 'WirelessLanType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameWirelessLinkTypeFragment = {
  __typename?: 'WirelessLinkType';
  name?: string | undefined;
};

export type AssetFederationBaseSimpleNameFragment =
  | AssetFederationBaseSimpleNameAsnTypeFragment
  | AssetFederationBaseSimpleNameAggregateTypeFragment
  | AssetFederationBaseSimpleNameCableTypeFragment
  | AssetFederationBaseSimpleNameCircuitTerminationTypeFragment
  | AssetFederationBaseSimpleNameCircuitTypeFragment
  | AssetFederationBaseSimpleNameCircuitTypeTypeFragment
  | AssetFederationBaseSimpleNameClusterGroupTypeFragment
  | AssetFederationBaseSimpleNameClusterTypeFragment
  | AssetFederationBaseSimpleNameClusterTypeTypeFragment
  | AssetFederationBaseSimpleNameConsolePortTypeFragment
  | AssetFederationBaseSimpleNameConsoleServerPortTypeFragment
  | AssetFederationBaseSimpleNameDeviceBayTypeFragment
  | AssetFederationBaseSimpleNameDeviceRoleTypeFragment
  | AssetFederationBaseSimpleNameDeviceTypeFragment
  | AssetFederationBaseSimpleNameDeviceTypeTypeFragment
  | AssetFederationBaseSimpleNameFhrpGroupTypeFragment
  | AssetFederationBaseSimpleNameFrontPortTypeFragment
  | AssetFederationBaseSimpleNameIpAddressTypeFragment
  | AssetFederationBaseSimpleNameIpRangeTypeFragment
  | AssetFederationBaseSimpleNameInterfaceTypeFragment
  | AssetFederationBaseSimpleNameInventoryItemTypeFragment
  | AssetFederationBaseSimpleNameLocationTypeFragment
  | AssetFederationBaseSimpleNameManufacturerTypeFragment
  | AssetFederationBaseSimpleNamePlatformTypeFragment
  | AssetFederationBaseSimpleNamePowerFeedTypeFragment
  | AssetFederationBaseSimpleNamePowerOutletTypeFragment
  | AssetFederationBaseSimpleNamePowerPanelTypeFragment
  | AssetFederationBaseSimpleNamePowerPortTypeFragment
  | AssetFederationBaseSimpleNamePrefixTypeFragment
  | AssetFederationBaseSimpleNameProviderNetworkTypeFragment
  | AssetFederationBaseSimpleNameProviderTypeFragment
  | AssetFederationBaseSimpleNameRirTypeFragment
  | AssetFederationBaseSimpleNameRackReservationTypeFragment
  | AssetFederationBaseSimpleNameRackRoleTypeFragment
  | AssetFederationBaseSimpleNameRackTypeFragment
  | AssetFederationBaseSimpleNameRearPortTypeFragment
  | AssetFederationBaseSimpleNameRegionTypeFragment
  | AssetFederationBaseSimpleNameRoleTypeFragment
  | AssetFederationBaseSimpleNameRouteTargetTypeFragment
  | AssetFederationBaseSimpleNameServiceTypeFragment
  | AssetFederationBaseSimpleNameSiteGroupTypeFragment
  | AssetFederationBaseSimpleNameSiteTypeFragment
  | AssetFederationBaseSimpleNameTenantGroupTypeFragment
  | AssetFederationBaseSimpleNameTenantTypeFragment
  | AssetFederationBaseSimpleNameVlanGroupTypeFragment
  | AssetFederationBaseSimpleNameVlanTypeFragment
  | AssetFederationBaseSimpleNameVmInterfaceTypeFragment
  | AssetFederationBaseSimpleNameVrfTypeFragment
  | AssetFederationBaseSimpleNameVirtualChassisTypeFragment
  | AssetFederationBaseSimpleNameVirtualMachineTypeFragment
  | AssetFederationBaseSimpleNameWirelessLanGroupTypeFragment
  | AssetFederationBaseSimpleNameWirelessLanTypeFragment
  | AssetFederationBaseSimpleNameWirelessLinkTypeFragment;

export const AssetSimpleNameFragmentDoc = gql`
  fragment assetSimpleName on AssetType {
    ... on AggregateType {
      name: prefix
    }
    ... on ServiceType {
      name
    }
    ... on CableType {
      name: label
    }
    ... on CircuitType {
      name: cid
    }
    ... on CircuitTypeType {
      name
    }
    ... on ClusterType {
      name
    }
    ... on ClusterGroupType {
      name
    }
    ... on ClusterTypeType {
      name
    }
    ... on ConsolePortType {
      name
    }
    ... on ConsoleServerPortType {
      name
    }
    ... on DeviceType {
      name
    }
    ... on DeviceBayType {
      name
    }
    ... on DeviceRoleType {
      name
    }
    ... on DeviceTypeType {
      model
    }
    ... on FrontPortType {
      name
    }
    ... on InventoryItemType {
      name
    }
    ... on InterfaceType {
      name
    }
    ... on IPAddressType {
      address
    }
    ... on LocationType {
      name
    }
    ... on ManufacturerType {
      name
    }
    ... on PlatformType {
      name
    }
    ... on PowerFeedType {
      name
    }
    ... on PowerOutletType {
      name
    }
    ... on PowerPanelType {
      name
    }
    ... on PowerPortType {
      name
    }
    ... on PrefixType {
      name: prefix
    }
    ... on ProviderType {
      name
    }
    ... on ProviderNetworkType {
      name
    }
    ... on RIRType {
      name
    }
    ... on RackType {
      name
    }
    ... on RackRoleType {
      name
    }
    ... on RearPortType {
      name
    }
    ... on RegionType {
      name
    }
    ... on RoleType {
      name
    }
    ... on RouteTargetType {
      name
    }
    ... on ServiceType {
      name
    }
    ... on SiteType {
      name
    }
    ... on SiteGroupType {
      name
    }
    ... on TenantType {
      name
    }
    ... on TenantGroupType {
      name
    }
    ... on VLANType {
      name
    }
    ... on VLANGroupType {
      name
    }
    ... on VirtualMachineType {
      name
    }
    ... on VirtualChassisType {
      name
    }
    ... on VMInterfaceType {
      name
    }
    ... on VRFType {
      name
    }
    ... on WirelessLinkType {
      name: Name
    }
    ... on WirelessLanGroupType {
      name
    }
    ... on WirelessLanType {
      name: Name
    }
    ... on ASNType {
      name: Name
    }
    ... on FHRPGroupType {
      name: Name
    }
  }
`;
export const CircuitTerminationNameFragmentDoc = gql`
  fragment circuitTerminationName on CircuitTerminationType {
    circuit {
      name: cid
    }
  }
`;
export const RackReservationNameFragmentDoc = gql`
  fragment rackReservationName on RackReservationType {
    rack {
      name
    }
  }
`;
export const IpRangeNameFragmentDoc = gql`
  fragment ipRangeName on IPRangeType {
    startAddress
    endAddress
  }
`;
export const AssetBaseViewFragmentDoc = gql`
  fragment assetBaseView on AssetType {
    ...assetId
    ...assetSimpleName
    assetType
    created
    ... on CircuitTerminationType {
      ...circuitTerminationName
    }
    ... on RackReservationType {
      ...rackReservationName
    }
    ... on IPRangeType {
      ...ipRangeName
    }
  }
`;
export const AssetFederationBaseSimpleNameFragmentDoc = gql`
  fragment assetFederationBaseSimpleName on AssetFederationBase {
    ... on AggregateType {
      name: prefix
    }
    ... on ServiceType {
      name
    }
    ... on CableType {
      name: label
    }
    ... on CircuitType {
      name: cid
    }
    ... on CircuitTypeType {
      name
    }
    ... on ClusterType {
      name
    }
    ... on ClusterGroupType {
      name
    }
    ... on ClusterTypeType {
      name
    }
    ... on ConsolePortType {
      name
    }
    ... on ConsoleServerPortType {
      name
    }
    ... on DeviceType {
      name
    }
    ... on DeviceBayType {
      name
    }
    ... on DeviceRoleType {
      name
    }
    ... on DeviceTypeType {
      model
    }
    ... on FrontPortType {
      name
    }
    ... on InventoryItemType {
      name
    }
    ... on InterfaceType {
      name
    }
    ... on IPAddressType {
      address
    }
    ... on LocationType {
      name
    }
    ... on ManufacturerType {
      name
    }
    ... on PlatformType {
      name
    }
    ... on PowerFeedType {
      name
    }
    ... on PowerOutletType {
      name
    }
    ... on PowerPanelType {
      name
    }
    ... on PowerPortType {
      name
    }
    ... on PrefixType {
      name: prefix
    }
    ... on ProviderType {
      name
    }
    ... on ProviderNetworkType {
      name
    }
    ... on RIRType {
      name
    }
    ... on RackType {
      name
    }
    ... on RackRoleType {
      name
    }
    ... on RearPortType {
      name
    }
    ... on RegionType {
      name
    }
    ... on RoleType {
      name
    }
    ... on RouteTargetType {
      name
    }
    ... on ServiceType {
      name
    }
    ... on SiteType {
      name
    }
    ... on SiteGroupType {
      name
    }
    ... on TenantType {
      name
    }
    ... on TenantGroupType {
      name
    }
    ... on VLANType {
      name
    }
    ... on VLANGroupType {
      name
    }
    ... on VirtualMachineType {
      name
    }
    ... on VirtualChassisType {
      name
    }
    ... on VMInterfaceType {
      name
    }
    ... on VRFType {
      name
    }
    ... on WirelessLinkType {
      name: Name
    }
    ... on WirelessLanGroupType {
      name
    }
    ... on WirelessLanType {
      name: Name
    }
    ... on ASNType {
      name: Name
    }
    ... on FHRPGroupType {
      name: Name
    }
  }
`;
export const AssetFederationBaseViewFragmentDoc = gql`
  fragment assetFederationBaseView on AssetFederationBase {
    ...assetFederationId
    ...assetFederationBaseSimpleName
    assetType
    created
    ... on CircuitTerminationType {
      ...circuitTerminationName
    }
    ... on RackReservationType {
      ...rackReservationName
    }
    ... on IPRangeType {
      ...ipRangeName
    }
  }
`;
