import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntitySelectionDirective } from '@orion/shared-components/related-entity-overview';
import { AssetSelectionFragment } from './asset-selection.fragment.generated';

@Component({
  selector: 'orion-asset-selection',
  templateUrl: './asset-selection.component.html',
  styleUrls: ['./asset-selection.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AssetSelectionComponent extends EntitySelectionDirective<AssetSelectionFragment> {
  assetIdentity = (a: AssetSelectionFragment, b: AssetSelectionFragment) =>
    a.id === b.id && a.assetType === b.assetType;
}
