import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionDateRangeFormModule } from '@csirtmu-orion/microframework/date-range-forms';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { AssetSharedFiltersComponent } from './index';

@NgModule({
  declarations: [AssetSharedFiltersComponent],
  imports: [CommonModule, OrionDateRangeFormModule, OrionFilterModule, SentinelPipesModule],
  exports: [AssetSharedFiltersComponent],
})
export class AssetSharedFiltersModule {}
