import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type AggregateAssetTableElementFragment = {
  __typename?: 'AggregateType';
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  rir?:
    | {
        __typename?: 'RIRType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const AggregateAssetTableElementFragmentDoc = gql`
  fragment aggregateAssetTableElement on AggregateType {
    ...assetBaseView
    created
    lastUpdated
    rir {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
  }
`;
