import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { DeviceTypeAssetTableComponent } from './device-type-asset-table.component';

@NgModule({
  declarations: [DeviceTypeAssetTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    AssetBaseViewModule,
    OrionTimeAgoModule,
    MatIconModule,
    SentinelErrorModule,
  ],
  exports: [DeviceTypeAssetTableComponent],
})
export class DeviceTypeAssetTableModule {}
