import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { OrionColorBlockModule } from '@csirtmu-orion/microframework/color-block';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { FrontPortAssetTableComponent } from './front-port-asset-table.component';

@NgModule({
  declarations: [FrontPortAssetTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    AssetBaseViewModule,
    OrionColorBlockModule,
    OrionTimeAgoModule,
    SentinelErrorModule,
  ],
  exports: [FrontPortAssetTableComponent],
})
export class FrontPortAssetTableModule {}
