import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type LocationAssetTableElementFragment = {
  __typename?: 'LocationType';
  rackCount?: number | undefined;
  deviceCount?: number | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
        tenant?:
          | {
              __typename?: 'TenantType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
  parent?:
    | {
        __typename?: 'LocationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const LocationAssetTableElementFragmentDoc = gql`
  fragment locationAssetTableElement on LocationType {
    ...assetBaseView
    site {
      ...assetBaseView
      tenant {
        ...assetBaseView
      }
    }
    parent {
      ...assetBaseView
    }
    rackCount
    deviceCount
    created
    lastUpdated
  }
`;
