import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PowerPanelAssetTableElementFragment = {
  __typename?: 'PowerPanelType';
  powerfeedCount?: number | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  location?:
    | {
        __typename?: 'LocationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const PowerPanelAssetTableElementFragmentDoc = gql`
  fragment powerPanelAssetTableElement on PowerPanelType {
    ...assetBaseView
    site {
      ...assetBaseView
    }
    location {
      ...assetBaseView
    }
    powerfeedCount
    created
    lastUpdated
  }
`;
