import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { RegionAssetTableComponent } from './region-asset-table.component';

@NgModule({
  declarations: [RegionAssetTableComponent],
  imports: [CommonModule, SentinelTableModule, AssetBaseViewModule, OrionTimeAgoModule, SentinelErrorModule],
  exports: [RegionAssetTableComponent],
})
export class RegionAssetTableModule {}
