import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetTagsModule } from '@orion/asset-components/detail-shared';
import { SiteStatusModule } from '@orion/asset-components/site-status';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { SiteAssetTableComponent } from './site-asset-table.component';

@NgModule({
  declarations: [SiteAssetTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    AssetBaseViewModule,
    OrionTimeAgoModule,
    AssetTagsModule,
    SiteStatusModule,
    SentinelErrorModule,
  ],
  exports: [SiteAssetTableComponent],
})
export class SiteAssetTableModule {}
