import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type SiteGroupAssetTableElementFragment = {
  __typename?: 'SiteGroupType';
  siteCount?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const SiteGroupAssetTableElementFragmentDoc = gql`
  fragment siteGroupAssetTableElement on SiteGroupType {
    ...assetBaseView
    siteCount
    description
    created
    lastUpdated
  }
`;
