import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { VmStatusModule } from '@orion/asset-components/vm-status';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { VmAssetTableComponent } from './vm-asset-table.component';

@NgModule({
  declarations: [VmAssetTableComponent],
  imports: [
    CommonModule,
    AssetBaseViewModule,
    SentinelTableModule,
    OrionTimeAgoModule,
    VmStatusModule,
    SentinelErrorModule,
  ],
  exports: [VmAssetTableComponent],
})
export class VmAssetTableModule {}
