import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { VrfAssetTableComponent } from './vrf-asset-table.component';

@NgModule({
  declarations: [VrfAssetTableComponent],
  imports: [CommonModule, SentinelTableModule, OrionTimeAgoModule, AssetBaseViewModule, SentinelErrorModule],
  exports: [VrfAssetTableComponent],
})
export class VrfAssetTableModule {}
