import { Injectable } from '@angular/core';
import { AssetAbstractDetailResolver } from '../asset-abstract-detail.resolver';
import { entityId, entityTitle } from '@orion/common';

@Injectable()
export class CircuitAssetBreadcrumbResolver extends AssetAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return `Circuit ${entityId(id)}`;
  }
}

@Injectable()
export class CircuitAssetTitleResolver extends AssetAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Circuit');
  }
}
