import { Injectable } from '@angular/core';
import { AssetAbstractDetailResolver } from '../asset-abstract-detail.resolver';
import { entityId, entityTitle } from '@orion/common';

@Injectable()
export class RackAssetBreadcrumbResolver extends AssetAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return `Rack ${entityId(id)}`;
  }
}

@Injectable()
export class RackAssetTitleResolver extends AssetAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Rack');
  }
}
