import { Injectable } from '@angular/core';
import { AssetAbstractDetailResolver } from '../asset-abstract-detail.resolver';
import { entityId, entityTitle } from '@orion/common';

@Injectable()
export class SiteAssetBreadcrumbResolver extends AssetAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return `Site ${entityId(id)}`;
  }
}

@Injectable()
export class SiteAssetTitleResolver extends AssetAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Site');
  }
}
