import { Injectable } from '@angular/core';
import { AssetAbstractDetailResolver } from '../asset-abstract-detail.resolver';
import { entityId, entityTitle } from '@orion/common';

@Injectable()
export class PowerFeedAssetBreadcrumbResolver extends AssetAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return `Power Feed ${entityId(id)}`;
  }
}
@Injectable()
export class PowerFeedAssetTitleResolver extends AssetAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Power Feed');
  }
}
