import { Injectable } from '@angular/core';
import { AssetAbstractDetailResolver } from '../asset-abstract-detail.resolver';
import { entityId, entityTitle } from '@orion/common';

@Injectable()
export class PowerPanelAssetBreadcrumbResolver extends AssetAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return `Power Panel ${entityId(id)}`;
  }
}

@Injectable()
export class PowerPanelAssetTitleResolver extends AssetAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Power Panel');
  }
}
