import { KnownAssetsEnum } from '@orion/graphql-types';

export const EXCLUDED_ASSETS_TYPES: KnownAssetsEnum[] = [
  KnownAssetsEnum.ASSET,
  KnownAssetsEnum.CONSOLE_PORT_TEMPLATE,
  KnownAssetsEnum.CONSOLE_SERVER_PORT_TEMPLATE,
  KnownAssetsEnum.FRONT_PORT_TEMPLATE,
  KnownAssetsEnum.POWER_PORT_TEMPLATE,
  KnownAssetsEnum.DEVICE_BAY_TEMPLATE,
  KnownAssetsEnum.EXPORT_TEMPLATE,
  KnownAssetsEnum.INTERFACE_TEMPLATE,
  KnownAssetsEnum.POWER_OUTLET_TEMPLATE,
  KnownAssetsEnum.REAR_PORT_TEMPLATE,
  KnownAssetsEnum.UNKNOWN,
  KnownAssetsEnum.CUSTOM_LINK,
];
export const ASSET_DROPDOWN_TYPES: KnownAssetsEnum[] = Object.values(KnownAssetsEnum).filter(
  (type) => !EXCLUDED_ASSETS_TYPES.includes(type)
);
