import { formatEnum } from '@orion/common';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { FilterChip } from '@csirtmu-orion/microframework/filter';

export class AssetTypeFilterChip extends FilterChip {
  constructor(assetType: KnownAssetsEnum) {
    super(formatEnum(assetType));
  }
}
