import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CaseManagementExternalReferenceDetailFragment } from '@orion/external-reference-components/detail-graphql';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ExternalReferenceDetailService } from './external-reference-detail.service';

@Component({
  selector: 'orion-external-reference-detail-page',
  templateUrl: './external-reference-detail-page.component.html',
  styleUrls: ['./external-reference-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ExternalReferenceDetailService],
})
export class ExternalReferenceDetailPageComponent extends EntityDetailPageBaseDirective<CaseManagementExternalReferenceDetailFragment> {
  constructor(protected entityService: ExternalReferenceDetailService) {
    super(entityService);
  }
}
