import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ExternalReferenceOverviewFragment = {
  __typename?: 'CaseManagementExternalReference';
  id: string;
  platform: SchemaTypes.CaseManagementExternalReferencePlatformEnum;
  category: SchemaTypes.CaseManagementExternalReferenceCategoryEnum;
  created?: any | undefined;
  url: string;
};

export const ExternalReferenceOverviewFragmentDoc = gql`
  fragment externalReferenceOverview on CaseManagementExternalReference {
    ...externalReferenceTable
  }
`;
