import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ExternalReferenceTableFragment = {
  __typename?: 'CaseManagementExternalReference';
  id: string;
  platform: SchemaTypes.CaseManagementExternalReferencePlatformEnum;
  category: SchemaTypes.CaseManagementExternalReferenceCategoryEnum;
  created?: any | undefined;
  url: string;
};

export const ExternalReferenceTableFragmentDoc = gql`
  fragment externalReferenceTable on CaseManagementExternalReference {
    id
    platform
    category
    created
    ...externalReferenceRow
  }
`;
