import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ExternalReferenceOverviewModule } from '@orion/external-reference-components/overview';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CaseExternalReferencesComponent } from './case-external-references.component';

@NgModule({
  declarations: [CaseExternalReferencesComponent],
  imports: [CommonModule, SentinelPipesModule, ExternalReferenceOverviewModule],
  exports: [CaseExternalReferencesComponent],
})
export class CaseExternalReferencesModule {}
