import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import { CreateEditCaseFileItemForm } from './create-edit-case-file-item-form';

@Component({
  selector: 'orion-create-edit-case-file-item-form',
  templateUrl: './create-edit-case-file-item-form.component.html',
  styleUrls: ['./create-edit-case-file-item-form.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CreateEditCaseFileItemFormComponent {
  @Input() form?: CreateEditCaseFileItemForm;
  @Input() appearance: MatFormFieldAppearance = 'outline';
}
