import { gql } from 'apollo-angular';

export type FileItemBreadcrumbCaseFileItemBaseFragment = { __typename?: 'CaseFileItemBase'; id: string; name: string };

export type FileItemBreadcrumbDirectoryFragment = { __typename?: 'Directory'; id: string; name: string };

export type FileItemBreadcrumbFileFragment = { __typename?: 'File'; id: string; name: string };

export type FileItemBreadcrumbFragment =
  | FileItemBreadcrumbCaseFileItemBaseFragment
  | FileItemBreadcrumbDirectoryFragment
  | FileItemBreadcrumbFileFragment;

export const FileItemBreadcrumbFragmentDoc = gql`
  fragment fileItemBreadcrumb on CaseFileItem {
    ... on File {
      id
      name
    }
    ... on Directory {
      id
      name
    }
    ... on CaseFileItemBase {
      id
      name
    }
  }
`;
