import { gql } from 'apollo-angular';

export type CaseFileItemNameCaseFileItemBaseFragment = { __typename?: 'CaseFileItemBase'; id: string; name: string };

export type CaseFileItemNameDirectoryFragment = { __typename?: 'Directory'; id: string; name: string };

export type CaseFileItemNameFileFragment = {
  __typename?: 'File';
  id: string;
  src: string;
  displayName?: string | undefined;
  extension?: string | undefined;
};

export type CaseFileItemNameFragment =
  | CaseFileItemNameCaseFileItemBaseFragment
  | CaseFileItemNameDirectoryFragment
  | CaseFileItemNameFileFragment;

export const CaseFileItemNameFragmentDoc = gql`
  fragment caseFileItemName on CaseFileItem {
    ... on File {
      id
      src
      displayName
      extension
    }
    ... on Directory {
      id
      name
    }
    ... on CaseFileItemBase {
      id
      name
    }
  }
`;
