import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { CaseFileItemNameFileFragment } from '../case-file-item-name.fragment.generated';

@Component({
  selector: 'orion-file-item',
  templateUrl: './file-item.component.html',
  styleUrls: ['./file-item.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FileItemComponent {
  @Input() file?: CaseFileItemNameFileFragment;
  @Output() itemClicked: EventEmitter<CaseFileItemNameFileFragment> = new EventEmitter<CaseFileItemNameFileFragment>();
  onItemClick(): void {
    this.itemClicked.emit(this.file);
  }
}
