import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetNavigator } from '@orion/asset-components/base-view';
import { RelatedAssetsModule } from '@orion/asset-components/related-assets';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CaseRelatedAssetsComponent } from './case-related-assets.component';

@NgModule({
  declarations: [CaseRelatedAssetsComponent],
  imports: [CommonModule, SentinelPipesModule, RelatedAssetsModule],
  exports: [CaseRelatedAssetsComponent],
  providers: [AssetNavigator],
})
export class CaseRelatedAssetsModule {}
