import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedFlowEventsModule } from '@orion/event-components/related-flow-events';
import { EventNavigator } from '@orion/event-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CaseRelatedEventsComponent } from './case-related-events.component';

@NgModule({
  declarations: [CaseRelatedEventsComponent],
  imports: [CommonModule, RelatedFlowEventsModule, SentinelPipesModule, RelatedFlowEventsModule],
  providers: [EventNavigator],
  exports: [CaseRelatedEventsComponent],
})
export class CaseRelatedEventsModule {}
