import { CaseRelationshipTypeEnum } from '@orion/graphql-types';
import { CaseRelationshipView } from './case-relationship-view';
import { CaseRelationshipViewType } from './case-relationship-view-type';

export type CaseRelationshipGroups = CaseRelationshipGroup[];

export class CaseRelationshipGroup {
  type: CaseRelationshipViewType;
  relationships: CaseRelationshipView[];

  constructor(type: CaseRelationshipTypeEnum, entries: CaseRelationshipView[]) {
    this.type = type;
    this.relationships = entries;
  }
}
