import { Injectable } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';

@Injectable()
export class CaseRelationshipViewStateService {
  private addComponentDisplayedSubject$: BehaviorSubject<boolean> = new BehaviorSubject<boolean>(false);
  addComponentDisplayed$: Observable<boolean> = this.addComponentDisplayedSubject$.asObservable();

  displayAddComponent(): void {
    this.addComponentDisplayedSubject$.next(true);
  }

  hideAddComponent(): void {
    this.addComponentDisplayedSubject$.next(false);
  }
}
