import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CaseRelationshipTableFragment = {
  __typename?: 'Case';
  id: string;
  name: string;
  state?: SchemaTypes.CaseStateEnum | undefined;
  assignees?:
    | {
        __typename?: 'CaseDBUserNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
      }
    | undefined;
};

export const CaseRelationshipTableFragmentDoc = gql`
  fragment caseRelationshipTable on Case {
    id
    name
    state
    assignees {
      data {
        ...userNameAndIcon
      }
      totalCount
    }
  }
`;
