import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { COMMENT_EDITOR_WATCHED_TAGS_TOKEN } from '@orion/comment-components';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CaseDetailPageComponent } from './case-detail-page.component';
import { CaseDetailMainContentModule } from './detail-main-content';
import { CaseDetailSidebarModule } from './detail-sidebar';

@NgModule({
  declarations: [CaseDetailPageComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    CaseDetailMainContentModule,
    CaseDetailSidebarModule,
    EntityDetailPageModule,
    SLetModule,
  ],
  providers: [{ provide: COMMENT_EDITOR_WATCHED_TAGS_TOKEN, useValue: ['!', '@', '#', '$', '%', '^', '&'] }],
  exports: [CaseDetailPageComponent],
})
export class CaseDetailPageModule {}
