import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CaseNameModule, CaseStateModule } from '@orion/case-components/shared';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CaseDetailMainContentComponent } from './case-detail-main-content.component';
import { CaseDetailTabsModule } from './detail-tabs';
import { MatIconModule } from '@angular/material/icon';

@NgModule({
  declarations: [CaseDetailMainContentComponent],
  imports: [
    CommonModule,
    CaseDetailTabsModule,
    SentinelPipesModule,
    CaseStateModule,
    EntityToolbarModule,
    EditableEntityModule,
    EntityToolbarInfoModule,
    CaseNameModule,
    MatIconModule,
  ],
  exports: [CaseDetailMainContentComponent],
})
export class CaseDetailMainContentModule {}
