import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CasePriorityModule } from '@orion/case-components/shared';
import { LabelsSidebarElementModule } from '@orion/label-components/shared';
import { UsersModule, UsersSidebarElementModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionDueDateSidebarElementModule } from '@csirtmu-orion/microframework/due-date';
import { OrionEditableComponentModule } from '@csirtmu-orion/microframework/editable';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { CaseDetailSidebarComponent } from './case-detail-sidebar.component';
import { PrioritySidebarElementModule } from './priority-sidebar-element';

@NgModule({
  declarations: [CaseDetailSidebarComponent],
  imports: [
    CommonModule,
    OrionEditableComponentModule,
    SentinelPipesModule,
    LabelsSidebarElementModule,
    PrioritySidebarElementModule,
    UsersModule,
    OrionSidebarModule,
    CasePriorityModule,
    OrionDueDateSidebarElementModule,
    UsersSidebarElementModule,
  ],
  exports: [CaseDetailSidebarComponent],
})
export class CaseDetailSidebarModule {}
