import { Injectable } from '@angular/core';
import { RelatedCaseFilter } from '@orion/case-types';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
import { FilterChipsService } from '@csirtmu-orion/microframework/filter-services';
import { RelatedCaseFilterService } from './related-case-filter.service';

@Injectable()
export class RelatedCaseFilterChipsService extends FilterChipsService<RelatedCaseFilter> {
  constructor(filterService: RelatedCaseFilterService) {
    super(filterService);
  }

  protected createChips(filter: RelatedCaseFilter | undefined): FilterChip[] {
    return [];
  }

  removeChip(removedChip: FilterChip): void {}
}
