import { ActivatedRoute, Router } from '@angular/router';
import { RelatedCaseFilter } from '@orion/case-types';
import { QueryParamFilterService } from '@csirtmu-orion/microframework/filter-services';

export abstract class RelatedCaseFilterService extends QueryParamFilterService<RelatedCaseFilter> {
  protected constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createEmptyFilter(): RelatedCaseFilter {
    return {};
  }
}
