import * as SchemaTypes from '../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CaseOverviewElementFragment = {
  __typename?: 'Case';
  lastUpdated?: any | undefined;
  dueDate?: any | undefined;
  priority: SchemaTypes.CasePriorityEnum;
  state?: SchemaTypes.CaseStateEnum | undefined;
  id: string;
  name: string;
  created?: any | undefined;
  assignees?:
    | {
        __typename?: 'CaseDBUserNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
      }
    | undefined;
  labels?:
    | {
        __typename?: 'LabelNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Label';
          id: string;
          name: string;
          backgroundColor?: string | undefined;
          textColor?: string | undefined;
        }>;
      }
    | undefined;
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const CaseOverviewElementFragmentDoc = gql`
  fragment caseOverviewElement on Case {
    ...caseTable
  }
`;
