import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CaseFiltersModule } from '@orion/case-components/filters';
import { CaseTableModule } from '@orion/case-components/shared';

import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { CaseOverviewComponent } from './case-overview.component';

@NgModule({
  declarations: [CaseOverviewComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    CaseFiltersModule,
    SentinelControlsModule,
    CaseTableModule,
    SentinelPipesModule,
    OrionCardModule,
  ],
  exports: [CaseOverviewComponent],
})
export class CaseOverviewModule {}
