import { gql } from 'apollo-angular';

export type CaseActiveUserAssignedTasksPanelFragment = {
  __typename?: 'Case';
  id: string;
  workflowsWithStageIds?:
    | {
        __typename?: 'WorkflowNestedList';
        data: Array<{
          __typename?: 'Workflow';
          stageIds?: { __typename?: 'StageNestedList'; data: Array<{ __typename?: 'Stage'; id: string }> } | undefined;
        }>;
      }
    | undefined;
};

export const CaseActiveUserAssignedTasksPanelFragmentDoc = gql`
  fragment caseActiveUserAssignedTasksPanel on Case {
    id
    workflowsWithStageIds: workflows(limit: 1000) {
      data {
        stageIds: stages(limit: 1000) {
          data {
            id
          }
        }
      }
    }
  }
`;
