import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { CaseRelationshipModule } from '@orion/case-components/case-relationship';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { LinkedCasesPanelComponent } from './linked-cases-panel.component';

@NgModule({
  declarations: [LinkedCasesPanelComponent],
  imports: [
    CommonModule,
    MatIconModule,
    CaseRelationshipModule,
    OrionBadgeModule,
    OrionPanelModule,
    SentinelPipesModule,
  ],
  exports: [LinkedCasesPanelComponent],
})
export class LinkedCasesPanelModule {}
