import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CaseOverviewModule } from '@orion/case-components/overview';
import { CaseTableModule } from '@orion/case-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { RelatedCasesComponent } from './related-cases.component';

@NgModule({
  declarations: [RelatedCasesComponent],
  imports: [
    CommonModule,
    CaseOverviewModule,
    CaseTableModule,
    OrionCardModule,
    SentinelControlsModule,
    SentinelPipesModule,
  ],
  exports: [RelatedCasesComponent],
})
export class RelatedCasesModule {}
