import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { OrionSidebarElementComponent } from '@csirtmu-orion/microframework/sidebar';
import { CaseNameFragment } from '../case-name';
import { CASE_ICON } from '@orion/common';

@Component({
  selector: 'orion-case-name-sidebar-element',
  templateUrl: './case-name-sidebar-element.component.html',
  styleUrls: ['./case-name-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CaseNameSidebarElementComponent extends OrionSidebarElementComponent {
  @Input() caseFragment?: CaseNameFragment;
  icon = CASE_ICON;
}
