import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntityNameSidebarElementModule } from '@orion/shared-components/entity-name-sidebar-element';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CaseNameModule } from '../case-name';
import { CaseNameSidebarElementComponent } from './case-name-sidebar-element.component';

@NgModule({
  declarations: [CaseNameSidebarElementComponent],
  imports: [CommonModule, SentinelPipesModule, CaseNameModule, EntityNameSidebarElementModule],
  exports: [CaseNameSidebarElementComponent],
})
export class CaseNameSidebarElementModule {}
