import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { CaseNameFragment } from './case-name.fragment.generated';

@Component({
  selector: 'orion-case-name',
  templateUrl: './case-name.component.html',
  styleUrls: ['./case-name.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CaseNameComponent {
  @Input() withSubtitle = false;
  @Input() caseFragment?: CaseNameFragment;
  @Input() maxLength = 45;
}
