import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntitySelectionDirective } from '@orion/shared-components/related-entity-overview';
import { SentinelResourceSelectorMapping } from '@sentinel/components/resource-selector';
import { CaseListElementFragment } from '../case-list';

@Component({
  selector: 'orion-case-selection',
  templateUrl: './case-selection.component.html',
  styleUrls: ['./case-selection.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CaseSelectionComponent extends EntitySelectionDirective<CaseListElementFragment> {
  caseSelectorMapping: SentinelResourceSelectorMapping = { id: 'id', title: 'name' };
}
