import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { CasePriorityEnum } from '@orion/graphql-types';

@Component({
  selector: 'orion-case-priority',
  templateUrl: './case-priority.component.html',
  styleUrls: ['./case-priority.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CasePriorityComponent {
  @Input() priority?: CasePriorityEnum;
  @Input() noContentMessage?: string;
  @Input() textMode = false;
  @Input() showTooltip = true;
}
