import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CaseStateComponent } from './case-state.component';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { CaseStateIconPipe } from './case-state-icon.pipe';
import { CaseStateTooltipPipe } from './case-state-tooltip.pipe';

@NgModule({
  declarations: [CaseStateComponent, CaseStateIconPipe, CaseStateTooltipPipe],
  imports: [CommonModule, SentinelPipesModule, MatIconModule, MatTooltipModule],
  exports: [CaseStateComponent],
})
export class CaseStateModule {}
