import { fileToNameAndExtension } from '@orion/common';

export class CreateFileDTO {
  name: string;
  extension: string;
  parent: string;
  file: File;

  constructor(file: File, parentId: string) {
    this.file = file;
    const filenameData = fileToNameAndExtension(file);
    this.name = filenameData.name;
    this.extension = filenameData.extension;
    this.parent = parentId;
  }
}
