import { AssigneeListElementFragment } from '@orion/case-services';
import { CasePriorityEnum, CaseStateEnum, CaseTypeEnum } from '@orion/graphql-types';
import { LabelListElementFragment } from '@orion/label-services';

export interface CaseClientFilter {
  id?: string;
  name?: string;
  idOrName?: string;
  exceptId?: string;
  externalReferenceId?: string;
  state?: CaseStateEnum;
  priority?: CasePriorityEnum;
  type?: CaseTypeEnum;
  from?: Date;
  to?: Date;
  dueDateUntil?: Date;
  assignees?: AssigneeListElementFragment[];
  labels?: LabelListElementFragment[];
}
