import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CaseListElementFragment } from '@orion/case-components/shared';
import { TagSelectListDirective } from '../../tag-select-list.directive';

@Component({
  selector: 'orion-case-tag-select-list',
  templateUrl: './case-tag-select-list.component.html',
  styleUrls: ['./case-tag-select-list.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CaseTagSelectListComponent extends TagSelectListDirective<CaseListElementFragment> {}
