import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'orion-comment-editor-tag-popup',
  templateUrl: './comment-editor-tag-popup.component.html',
  styleUrls: ['./comment-editor-tag-popup.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CommentEditorTagPopupComponent {
  @Input() activeTag?: string;
  @Input() activeTagText?: string;
  @Output() tagSelected: EventEmitter<string> = new EventEmitter<string>();

  onTagSelected(tag: string): void {
    this.tagSelected.emit(tag);
  }
}
