import { ChangeDetectionStrategy, Component } from '@angular/core';
import { TaskListElementFragment } from '@orion/task-components/shared';
import { TagSelectListDirective } from '../../tag-select-list.directive';

@Component({
  selector: 'orion-task-tag-select-list',
  templateUrl: './task-tag-select-list.component.html',
  styleUrls: ['./task-tag-select-list.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskTagSelectListComponent extends TagSelectListDirective<TaskListElementFragment> {}
