import { ChangeDetectionStrategy, Component, ContentChild, Input } from '@angular/core';
import { OrionPanelContentDirective } from '@csirtmu-orion/microframework/panel';

@Component({
  selector: 'orion-reply-panel',
  templateUrl: './reply-panel.component.html',
  styleUrls: ['./reply-panel.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ReplyPanelComponent {
  @Input() count?: number;
  @ContentChild(OrionPanelContentDirective) panelContent?: OrionPanelContentDirective;
}
