import { gql } from 'apollo-angular';

export type CommentHeaderFragment = {
  __typename?: 'Comment';
  created?: any | undefined;
  author: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined };
};

export const CommentHeaderFragmentDoc = gql`
  fragment commentHeader on Comment {
    author {
      ...userNameAndIcon
    }
    created
  }
`;
