import { gql } from 'apollo-angular';

export type CommentFragment = {
  __typename?: 'Comment';
  id: string;
  created?: any | undefined;
  content: string;
  lastUpdated?: any | undefined;
  author: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined };
};

export const CommentFragmentDoc = gql`
  fragment comment on Comment {
    id
    ...commentHeader
    ...commentContent
  }
`;
