import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'orion-comments-show-more',
  templateUrl: './comments-show-more.component.html',
  styleUrls: ['./comments-show-more.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CommentsShowMoreComponent {
  @Input() isLoading = false;
  @Output() showMore: EventEmitter<void> = new EventEmitter<void>();

  onShowMore(): void {
    this.showMore.emit();
  }
}
