import { AddCommentPayload } from './add-comment-payload';
import { CommentEvent } from './comment-event';

export class AddCommentEvent extends CommentEvent {
  payload: AddCommentPayload;

  constructor(content: string, replyToId?: string) {
    const payload = new AddCommentPayload(content, replyToId);
    super(payload);
    this.payload = payload;
  }
}
