export type FileUploadResult = FailedFileUpload | SuccessfulFileUpload;

export class FailedFileUpload {
  file: File;
  constructor(file: File) {
    this.file = file;
  }
}

export class SuccessfulFileUpload {
  file: File;
  url: string;

  constructor(file: File, url: string) {
    this.file = file;
    this.url = url;
  }
}
