import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { DashboardPageComponent } from './dashboard-page.component';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { TasksOverviewModule } from '@orion/task-components/overview';
import { CaseTableModule } from '@orion/case-components/shared';
import { TodoOverviewComponent } from './todo';
import { NumberCardModule } from '@swimlane/ngx-charts';

@NgModule({
  declarations: [DashboardPageComponent, TodoOverviewComponent],
  imports: [
    CommonModule,
    CommonModule,
    OrionCardModule,
    SentinelPipesModule,
    TasksOverviewModule,
    CaseTableModule,
    NumberCardModule,
  ],
  exports: [DashboardPageComponent],
})
export class DashboardPageModule {}
