import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { OrionDateRangeFormModule } from '@csirtmu-orion/microframework/date-range-forms';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { IpFixFilterComponent } from './ip-fix-filter.component';

@NgModule({
  declarations: [IpFixFilterComponent],
  imports: [CommonModule, OrionFilterModule, OrionDateRangeFormModule, MatFormFieldModule, MatInputModule, FormsModule],
  exports: [IpFixFilterComponent],
})
export class IpFixFilterModule {}
