import { gql } from 'apollo-angular';

export type IpFixDetailFragment = {
  __typename?: 'DataPlatformServiceIPFix';
  id: string;
  exporttime?: any | undefined;
  seqnumber?: any | undefined;
  odid?: number | undefined;
  msglength?: number | undefined;
  srcaddr?: string | undefined;
  templateid?: number | undefined;
  applicationid?: string | undefined;
  applicationidrev?: string | undefined;
  applicationname?: string | undefined;
  applicationnamerev?: string | undefined;
  bgpdestinationasnumber?: any | undefined;
  bgpdestinationasnumberrev?: any | undefined;
  bgpsourceasnumber?: any | undefined;
  bgpsourceasnumberrev?: any | undefined;
  destinationipv4address?: string | undefined;
  destinationipv6address?: string | undefined;
  destinationtransportport?: number | undefined;
  flowendmilliseconds?: any | undefined;
  flowendmillisecondsrev?: any | undefined;
  flowstartmilliseconds?: any | undefined;
  flowstartmillisecondsrev?: any | undefined;
  icmptypecodeipv4?: number | undefined;
  ingressinterface?: any | undefined;
  ipclassofservice?: number | undefined;
  ipclassofservicerev?: number | undefined;
  ipversion?: number | undefined;
  mplstoplabelstacksection?: string | undefined;
  mplstoplabelstacksectionrev?: string | undefined;
  mplslabelstacksection2?: string | undefined;
  mplslabelstacksection2rev?: string | undefined;
  mplslabelstacksection3?: string | undefined;
  mplslabelstacksection3rev?: string | undefined;
  mplslabelstacksection4?: string | undefined;
  mplslabelstacksection4rev?: string | undefined;
  mplslabelstacksection5?: string | undefined;
  mplslabelstacksection5rev?: string | undefined;
  mplslabelstacksection6?: string | undefined;
  mplslabelstacksection6rev?: string | undefined;
  mplslabelstacksection7?: string | undefined;
  mplslabelstacksection7rev?: string | undefined;
  mplslabelstacksection8?: string | undefined;
  mplslabelstacksection8rev?: string | undefined;
  mplslabelstacksection9?: string | undefined;
  mplslabelstacksection9rev?: string | undefined;
  mplslabelstacksection10?: string | undefined;
  mplslabelstacksection10rev?: string | undefined;
  octetdeltacount?: any | undefined;
  octetdeltacountrev?: any | undefined;
  originalexporteripv6address?: string | undefined;
  packetdeltacount?: any | undefined;
  packetdeltacountrev?: any | undefined;
  protocolidentifier?: number | undefined;
  samplingalgorithm?: number | undefined;
  samplingalgorithmrev?: number | undefined;
  samplinginterval?: any | undefined;
  samplingintervalrev?: any | undefined;
  sourceipv4address?: string | undefined;
  sourceipv6address?: string | undefined;
  sourcetransportport?: number | undefined;
  tcpcontrolbits?: number | undefined;
  tcpcontrolbitsrev?: number | undefined;
  tcpwindowsize?: number | undefined;
  tcpwindowsizerev?: number | undefined;
  vlanid?: number | undefined;
  vlanidrev?: number | undefined;
  timestamp?: any | undefined;
};

export type UserIpFixDetailFragment = {
  __typename?: 'UserAccountingIPFix';
  id: string;
  timestamp?: any | undefined;
  applicationid?: string | undefined;
  applicationidrev?: string | undefined;
  applicationname?: string | undefined;
  applicationnamerev?: string | undefined;
  bgpdestinationasnumber?: any | undefined;
  bgpdestinationasnumberrev?: any | undefined;
  bgpsourceasnumber?: any | undefined;
  bgpsourceasnumberrev?: any | undefined;
  destinationipv4address?: string | undefined;
  destinationipv6address?: string | undefined;
  destinationtransportport?: number | undefined;
  flowendmilliseconds?: any | undefined;
  flowendmillisecondsrev?: any | undefined;
  flowstartmilliseconds?: any | undefined;
  flowstartmillisecondsrev?: any | undefined;
  icmptypecodeipv4?: number | undefined;
  ingressinterface?: any | undefined;
  ipclassofservice?: number | undefined;
  ipclassofservicerev?: number | undefined;
  ipversion?: number | undefined;
  mplslabelstacksection10?: string | undefined;
  mplslabelstacksection10rev?: string | undefined;
  mplslabelstacksection2?: string | undefined;
  mplslabelstacksection2rev?: string | undefined;
  mplslabelstacksection3?: string | undefined;
  mplslabelstacksection3rev?: string | undefined;
  mplslabelstacksection4?: string | undefined;
  mplslabelstacksection4rev?: string | undefined;
  mplslabelstacksection5?: string | undefined;
  mplslabelstacksection5rev?: string | undefined;
  mplslabelstacksection6?: string | undefined;
  mplslabelstacksection6rev?: string | undefined;
  mplslabelstacksection7?: string | undefined;
  mplslabelstacksection7rev?: string | undefined;
  mplslabelstacksection8?: string | undefined;
  mplslabelstacksection8rev?: string | undefined;
  mplslabelstacksection9?: string | undefined;
  mplslabelstacksection9rev?: string | undefined;
  mplstoplabelstacksection?: string | undefined;
  mplstoplabelstacksectionrev?: string | undefined;
  octetdeltacount?: any | undefined;
  octetdeltacountrev?: any | undefined;
  originalexporteripv6address?: string | undefined;
  packetdeltacount?: any | undefined;
  packetdeltacountrev?: any | undefined;
  protocolidentifier?: number | undefined;
  samplingalgorithm?: number | undefined;
  samplingalgorithmrev?: number | undefined;
  samplinginterval?: any | undefined;
  samplingintervalrev?: any | undefined;
  sourceipv4address?: string | undefined;
  sourceipv6address?: string | undefined;
  sourcetransportport?: number | undefined;
  tcpcontrolbits?: number | undefined;
  tcpcontrolbitsrev?: number | undefined;
  tcpwindowsize?: number | undefined;
  tcpwindowsizerev?: number | undefined;
  vlanid?: number | undefined;
  vlanidrev?: number | undefined;
};

export type FlowDataIpFixDetailFragment = {
  __typename?: 'FlowEventData';
  id: string;
  timestamp?: any | undefined;
  applicationid?: string | undefined;
  applicationidrev?: string | undefined;
  applicationname?: string | undefined;
  applicationnamerev?: string | undefined;
  bgpdestinationasnumber?: any | undefined;
  bgpdestinationasnumberrev?: any | undefined;
  bgpsourceasnumber?: any | undefined;
  bgpsourceasnumberrev?: any | undefined;
  destinationipv4address?: string | undefined;
  destinationipv6address?: string | undefined;
  destinationtransportport?: number | undefined;
  flowendmilliseconds?: any | undefined;
  flowendmillisecondsrev?: any | undefined;
  flowstartmilliseconds?: any | undefined;
  flowstartmillisecondsrev?: any | undefined;
  icmptypecodeipv4?: number | undefined;
  ingressinterface?: any | undefined;
  ipclassofservice?: number | undefined;
  ipclassofservicerev?: number | undefined;
  ipversion?: number | undefined;
  mplslabelstacksection10?: string | undefined;
  mplslabelstacksection10rev?: string | undefined;
  mplslabelstacksection2?: string | undefined;
  mplslabelstacksection2rev?: string | undefined;
  mplslabelstacksection3?: string | undefined;
  mplslabelstacksection3rev?: string | undefined;
  mplslabelstacksection4?: string | undefined;
  mplslabelstacksection4rev?: string | undefined;
  mplslabelstacksection5?: string | undefined;
  mplslabelstacksection5rev?: string | undefined;
  mplslabelstacksection6?: string | undefined;
  mplslabelstacksection6rev?: string | undefined;
  mplslabelstacksection7?: string | undefined;
  mplslabelstacksection7rev?: string | undefined;
  mplslabelstacksection8?: string | undefined;
  mplslabelstacksection8rev?: string | undefined;
  mplslabelstacksection9?: string | undefined;
  mplslabelstacksection9rev?: string | undefined;
  mplstoplabelstacksection?: string | undefined;
  mplstoplabelstacksectionrev?: string | undefined;
  octetdeltacount?: any | undefined;
  octetdeltacountrev?: any | undefined;
  originalexporteripv6address?: string | undefined;
  packetdeltacount?: any | undefined;
  packetdeltacountrev?: any | undefined;
  protocolidentifier?: number | undefined;
  samplingalgorithm?: number | undefined;
  samplingalgorithmrev?: number | undefined;
  samplinginterval?: any | undefined;
  samplingintervalrev?: any | undefined;
  sourceipv4address?: string | undefined;
  sourceipv6address?: string | undefined;
  sourcetransportport?: number | undefined;
  tcpcontrolbits?: number | undefined;
  tcpcontrolbitsrev?: number | undefined;
  tcpwindowsize?: number | undefined;
  tcpwindowsizerev?: number | undefined;
  vlanid?: number | undefined;
  vlanidrev?: number | undefined;
  flowEvent?: { __typename?: 'FlowEvent'; id: string } | undefined;
};

export const IpFixDetailFragmentDoc = gql`
  fragment ipFixDetail on DataPlatformServiceIPFix {
    id
    exporttime
    seqnumber
    odid
    msglength
    srcaddr
    templateid
    applicationid
    applicationidrev
    applicationname
    applicationnamerev
    bgpdestinationasnumber
    bgpdestinationasnumberrev
    bgpsourceasnumber
    bgpsourceasnumberrev
    destinationipv4address
    destinationipv6address
    destinationtransportport
    flowendmilliseconds
    flowendmillisecondsrev
    flowstartmilliseconds
    flowstartmillisecondsrev
    icmptypecodeipv4
    ingressinterface
    ipclassofservice
    ipclassofservicerev
    ipversion
    mplstoplabelstacksection
    mplstoplabelstacksectionrev
    mplslabelstacksection2
    mplslabelstacksection2rev
    mplslabelstacksection3
    mplslabelstacksection3rev
    mplslabelstacksection4
    mplslabelstacksection4rev
    mplslabelstacksection5
    mplslabelstacksection5rev
    mplslabelstacksection6
    mplslabelstacksection6rev
    mplslabelstacksection7
    mplslabelstacksection7rev
    mplslabelstacksection8
    mplslabelstacksection8rev
    mplslabelstacksection9
    mplslabelstacksection9rev
    mplslabelstacksection10
    mplslabelstacksection10rev
    octetdeltacount
    octetdeltacountrev
    originalexporteripv6address
    packetdeltacount
    packetdeltacountrev
    protocolidentifier
    samplingalgorithm
    samplingalgorithmrev
    samplinginterval
    samplingintervalrev
    sourceipv4address
    sourceipv6address
    sourcetransportport
    tcpcontrolbits
    tcpcontrolbitsrev
    tcpwindowsize
    tcpwindowsizerev
    vlanid
    vlanidrev
    timestamp
  }
`;
export const UserIpFixDetailFragmentDoc = gql`
  fragment userIpFixDetail on UserAccountingIPFix {
    id
    timestamp
    applicationid
    applicationidrev
    applicationname
    applicationnamerev
    bgpdestinationasnumber
    bgpdestinationasnumberrev
    bgpsourceasnumber
    bgpsourceasnumberrev
    destinationipv4address
    destinationipv6address
    destinationtransportport
    flowendmilliseconds
    flowendmillisecondsrev
    flowstartmilliseconds
    flowstartmillisecondsrev
    icmptypecodeipv4
    ingressinterface
    ipclassofservice
    ipclassofservicerev
    ipversion
    mplslabelstacksection10
    mplslabelstacksection10rev
    mplslabelstacksection2
    mplslabelstacksection2rev
    mplslabelstacksection3
    mplslabelstacksection3rev
    mplslabelstacksection4
    mplslabelstacksection4rev
    mplslabelstacksection5
    mplslabelstacksection5rev
    mplslabelstacksection6
    mplslabelstacksection6rev
    mplslabelstacksection7
    mplslabelstacksection7rev
    mplslabelstacksection8
    mplslabelstacksection8rev
    mplslabelstacksection9
    mplslabelstacksection9rev
    mplstoplabelstacksection
    mplstoplabelstacksectionrev
    octetdeltacount
    octetdeltacountrev
    originalexporteripv6address
    packetdeltacount
    packetdeltacountrev
    protocolidentifier
    samplingalgorithm
    samplingalgorithmrev
    samplinginterval
    samplingintervalrev
    sourceipv4address
    sourceipv6address
    sourcetransportport
    tcpcontrolbits
    tcpcontrolbitsrev
    tcpwindowsize
    tcpwindowsizerev
    vlanid
    vlanidrev
  }
`;
export const FlowDataIpFixDetailFragmentDoc = gql`
  fragment flowDataIpFixDetail on FlowEventData {
    id
    timestamp
    applicationid
    applicationidrev
    applicationname
    applicationnamerev
    bgpdestinationasnumber
    bgpdestinationasnumberrev
    bgpsourceasnumber
    bgpsourceasnumberrev
    destinationipv4address
    destinationipv6address
    destinationtransportport
    flowendmilliseconds
    flowendmillisecondsrev
    flowstartmilliseconds
    flowstartmillisecondsrev
    icmptypecodeipv4
    ingressinterface
    ipclassofservice
    ipclassofservicerev
    ipversion
    mplslabelstacksection10
    mplslabelstacksection10rev
    mplslabelstacksection2
    mplslabelstacksection2rev
    mplslabelstacksection3
    mplslabelstacksection3rev
    mplslabelstacksection4
    mplslabelstacksection4rev
    mplslabelstacksection5
    mplslabelstacksection5rev
    mplslabelstacksection6
    mplslabelstacksection6rev
    mplslabelstacksection7
    mplslabelstacksection7rev
    mplslabelstacksection8
    mplslabelstacksection8rev
    mplslabelstacksection9
    mplslabelstacksection9rev
    mplstoplabelstacksection
    mplstoplabelstacksectionrev
    octetdeltacount
    octetdeltacountrev
    originalexporteripv6address
    packetdeltacount
    packetdeltacountrev
    protocolidentifier
    samplingalgorithm
    samplingalgorithmrev
    samplinginterval
    samplingintervalrev
    sourceipv4address
    sourceipv6address
    sourcetransportport
    tcpcontrolbits
    tcpcontrolbitsrev
    tcpwindowsize
    tcpwindowsizerev
    vlanid
    vlanidrev
    flowEvent {
      id
    }
  }
`;
