import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionKeyValueListModule } from '@csirtmu-orion/microframework/key-value-list';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { IpFixDetailComponent } from './ip-fix-detail';
import { IpFixTableComponent } from './ip-fix-table.component';

@NgModule({
  declarations: [IpFixTableComponent, IpFixDetailComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    OrionKeyValueListModule,
    SentinelPipesModule,
  ],
  exports: [IpFixTableComponent],
})
export class IpFixTableModule {}
