import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionDateRangeFormModule } from '@csirtmu-orion/microframework/date-range-forms';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { EventsFiltersComponent } from './events-filters.component';

@NgModule({
  declarations: [EventsFiltersComponent],
  imports: [CommonModule, OrionFilterModule, OrionDateRangeFormModule],
  exports: [EventsFiltersComponent],
})
export class EventsFiltersModule {}
