import { Injectable } from '@angular/core';
import { FilterService } from '@csirtmu-orion/microframework/filter-services';
import { NestedFlowsFilter } from './flow-event-nested-flows.service';

@Injectable()
export class FlowEventsFilterService extends FilterService<NestedFlowsFilter> {
  constructor() {
    super();
  }

  protected createEmptyFilter(): NestedFlowsFilter {
    return { eventId: undefined };
  }
}
