import { gql } from 'apollo-angular';

export type FlowEventTableElementFlowEventFragment = {
  __typename?: 'FlowEvent';
  id: string;
  name?: string | undefined;
  description?: string | undefined;
  created?: any | undefined;
  eventTime?: any | undefined;
  type?: string | undefined;
};

export type FlowEventTableElementStorageEventFragment = {
  __typename?: 'StorageEvent';
  id: string;
  name?: string | undefined;
  description?: string | undefined;
  created?: any | undefined;
  eventTime?: any | undefined;
  type?: string | undefined;
};

export type FlowEventTableElementFragment =
  | FlowEventTableElementFlowEventFragment
  | FlowEventTableElementStorageEventFragment;

export const FlowEventTableElementFragmentDoc = gql`
  fragment flowEventTableElement on Event {
    id
    name
    description
    created
    eventTime
    type
  }
`;
