import { ChangeDetectionStrategy, Component } from '@angular/core';
import { FlowEventClientFilter } from '@orion/event-types';
import { EntityPaginableFilterableOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { FlowEventFragment } from './graphql';

@Component({
  selector: 'orion-related-flow-events-overview',
  templateUrl: './related-flow-events-overview.component.html',
  styleUrls: ['./related-flow-events-overview.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RelatedFlowEventsOverviewComponent extends EntityPaginableFilterableOverviewDirective<
  FlowEventFragment,
  FlowEventClientFilter
> {}
