import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EventsFiltersModule } from '@orion/event-components/filters';
import { FlowEventsOverviewSharedModule } from '@orion/event-components/overview-shared';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { RelatedFlowEventsOverviewComponent } from './related-flow-events-overview.component';

@NgModule({
  declarations: [RelatedFlowEventsOverviewComponent],
  imports: [CommonModule, OrionFilterModule, EventsFiltersModule, FlowEventsOverviewSharedModule, OrionCardModule],
  exports: [RelatedFlowEventsOverviewComponent],
})
export class RelatedFlowEventsModule {}
