import { gql } from 'apollo-angular';

export type EventNameFlowEventFragment = { __typename: 'FlowEvent'; id: string; created?: any | undefined };

export type EventNameStorageEventFragment = { __typename: 'StorageEvent'; id: string; created?: any | undefined };

export type EventNameFragment = EventNameFlowEventFragment | EventNameStorageEventFragment;

export const EventNameFragmentDoc = gql`
  fragment eventName on Event {
    id
    created
    __typename
  }
`;
