import { Pipe, PipeTransform } from '@angular/core';
import { EventNameFragment } from '@orion/event-components/shared';

@Pipe({ name: 'orionEventName' })
export class EventNamePipe implements PipeTransform {
  transform(event?: EventNameFragment): string {
    if (event) {
      return `${event.__typename}: ${event.id}`;
    } else {
      return '';
    }
  }
}
