export const namedOperations = {
  Query: {
    getAssetCves: 'getAssetCves',
    getAssetRelatedTasks: 'getAssetRelatedTasks',
    getCircuit: 'getCircuit',
    getCircuitTermination: 'getCircuitTermination',
    getCircuitType: 'getCircuitType',
    getProvider: 'getProvider',
    getProviderNetwork: 'getProviderNetwork',
    getCable: 'getCable',
    getWirelessLink: 'getWirelessLink',
    getConsolePort: 'getConsolePort',
    getConsoleServerPort: 'getConsoleServerPort',
    getDeviceBay: 'getDeviceBay',
    getDevice: 'getDevice',
    getDeviceRole: 'getDeviceRole',
    getDeviceType: 'getDeviceType',
    getFrontPort: 'getFrontPort',
    getInterface: 'getInterface',
    getInventoryItem: 'getInventoryItem',
    getManufacturer: 'getManufacturer',
    getPlatform: 'getPlatform',
    getPowerOutlet: 'getPowerOutlet',
    getPowerPort: 'getPowerPort',
    getRearPort: 'getRearPort',
    getVirtualChassis: 'getVirtualChassis',
    getAggregate: 'getAggregate',
    getAsn: 'getAsn',
    getFhrpGroup: 'getFhrpGroup',
    getIpAddress: 'getIpAddress',
    getIpRange: 'getIpRange',
    getPrefixAndVlanRole: 'getPrefixAndVlanRole',
    getPrefix: 'getPrefix',
    getRirDetail: 'getRirDetail',
    getRouteTargetDetail: 'getRouteTargetDetail',
    getServiceDetail: 'getServiceDetail',
    getVlanDetail: 'getVlanDetail',
    getVlanGroupDetail: 'getVlanGroupDetail',
    getVrfDetail: 'getVrfDetail',
    getLocation: 'getLocation',
    getRack: 'getRack',
    getRackReservation: 'getRackReservation',
    getRackRole: 'getRackRole',
    getRegion: 'getRegion',
    getSite: 'getSite',
    getSiteGroup: 'getSiteGroup',
    getTenantDetail: 'getTenantDetail',
    getTenantGroupDetail: 'getTenantGroupDetail',
    getPowerFeed: 'getPowerFeed',
    getPowerPanel: 'getPowerPanel',
    getCluster: 'getCluster',
    getClusterGroup: 'getClusterGroup',
    getClusterType: 'getClusterType',
    getVM: 'getVM',
    getVMInterface: 'getVMInterface',
    getWirelessLan: 'getWirelessLan',
    getWirelessLanGroup: 'getWirelessLanGroup',
    getCircuitOverview: 'getCircuitOverview',
    getCircuitTerminationOverview: 'getCircuitTerminationOverview',
    getCircuitTypeOverview: 'getCircuitTypeOverview',
    getProviderNetworkOverview: 'getProviderNetworkOverview',
    getProviderOverview: 'getProviderOverview',
    getCableOverview: 'getCableOverview',
    getWirelessLinkOverview: 'getWirelessLinkOverview',
    getConsolePortOverview: 'getConsolePortOverview',
    getConsoleServerPortOverview: 'getConsoleServerPortOverview',
    getDeviceBayOverview: 'getDeviceBayOverview',
    getDeviceOverview: 'getDeviceOverview',
    getDeviceRoleOverview: 'getDeviceRoleOverview',
    getDeviceTypeOverview: 'getDeviceTypeOverview',
    getFrontPortOverview: 'getFrontPortOverview',
    getInterfaceOverview: 'getInterfaceOverview',
    getInventoryItemOverview: 'getInventoryItemOverview',
    getManufacturerOverview: 'getManufacturerOverview',
    getPlatformOverview: 'getPlatformOverview',
    getPowerOutletOverview: 'getPowerOutletOverview',
    getPowerPortOverview: 'getPowerPortOverview',
    getRearPortOverview: 'getRearPortOverview',
    getVirtualChassisOverview: 'getVirtualChassisOverview',
    getAggregateOverview: 'getAggregateOverview',
    getAsnOverview: 'getAsnOverview',
    getFhrpGroupOverview: 'getFhrpGroupOverview',
    getIPAddressOverview: 'getIPAddressOverview',
    getIPRangeOverview: 'getIPRangeOverview',
    getPrefixAndVlanRoleOverview: 'getPrefixAndVlanRoleOverview',
    getPrefixOverview: 'getPrefixOverview',
    getRIROverview: 'getRIROverview',
    getRouteTargetOverview: 'getRouteTargetOverview',
    getServiceOverview: 'getServiceOverview',
    getVlanGroupOverview: 'getVlanGroupOverview',
    getVlanOverview: 'getVlanOverview',
    getVrfOverview: 'getVrfOverview',
    getLocationOverview: 'getLocationOverview',
    getRackOverview: 'getRackOverview',
    getRackReservationOverview: 'getRackReservationOverview',
    getRackRoleOverview: 'getRackRoleOverview',
    getRegionOverview: 'getRegionOverview',
    getSiteGroupOverview: 'getSiteGroupOverview',
    getSiteOverview: 'getSiteOverview',
    getTenantGroupOverview: 'getTenantGroupOverview',
    getTenantOverview: 'getTenantOverview',
    getPowerFeedOverview: 'getPowerFeedOverview',
    getPowerPanelOverview: 'getPowerPanelOverview',
    getClusterGroupOverview: 'getClusterGroupOverview',
    getClusterOverview: 'getClusterOverview',
    getClusterTypeOverview: 'getClusterTypeOverview',
    getVMInterfaceOverview: 'getVMInterfaceOverview',
    getVMOverview: 'getVMOverview',
    getWirelessLanGroupOverview: 'getWirelessLanGroupOverview',
    getWirelessLanOverview: 'getWirelessLanOverview',
    getAssetMetadataCategories: 'getAssetMetadataCategories',
    getAssetList: 'getAssetList',
    getRelatedAssets: 'getRelatedAssets',
    getExternalReferenceRelatedCases: 'getExternalReferenceRelatedCases',
    getCaseManagementExternalReferenceDetail: 'getCaseManagementExternalReferenceDetail',
    getCaseManagementExternalReferenceList: 'getCaseManagementExternalReferenceList',
    getExternalReferences: 'getExternalReferences',
    getActiveCaseFileItem: 'getActiveCaseFileItem',
    getCaseDetail: 'getCaseDetail',
    getCaseOverview: 'getCaseOverview',
    getRelatedCases: 'getRelatedCases',
    getCaseList: 'getCaseList',
    getAssigneeList: 'getAssigneeList',
    getComments: 'getComments',
    dashboard: 'dashboard',
    getIpFixOverview: 'getIpFixOverview',
    getFlowEventNestedFlows: 'getFlowEventNestedFlows',
    getFlowEvents: 'getFlowEvents',
    getLabelOverview: 'getLabelOverview',
    getLabelEdit: 'getLabelEdit',
    getLabelList: 'getLabelList',
    getObservableCTIEntries: 'getObservableCTIEntries',
    getObservableRelatedTasks: 'getObservableRelatedTasks',
    getObservableLinkOverview: 'getObservableLinkOverview',
    getTttpLinkOverview: 'getTttpLinkOverview',
    getCtiEntryDetail: 'getCtiEntryDetail',
    getDomainToDomainResolutionObservable: 'getDomainToDomainResolutionObservable',
    getDomainToIpAddressResolutionObservable: 'getDomainToIpAddressResolutionObservable',
    getDomainObservable: 'getDomainObservable',
    getEmailAddressObservable: 'getEmailAddressObservable',
    getEmailMessageObservable: 'getEmailMessageObservable',
    getFileReferenceObservable: 'getFileReferenceObservable',
    getIpAddressToDomainResolutionObservable: 'getIpAddressToDomainResolutionObservable',
    getIpAddressObservable: 'getIpAddressObservable',
    getURLObservable: 'getURLObservable',
    getObservableOverview: 'getObservableOverview',
    getObservableList: 'getObservableList',
    getRelatedObservables: 'getRelatedObservables',
    getObservable: 'getObservable',
    getStageDetail: 'getStageDetail',
    getTaskDetail: 'getTaskDetail',
    getTaskList: 'getTaskList',
    getTaskName: 'getTaskName',
    getTaskOverview: 'getTaskOverview',
    getTacticNodes: 'getTacticNodes',
    getTechniqueNodes: 'getTechniqueNodes',
    getSubTechniqueNodes: 'getSubTechniqueNodes',
    getTTPRelatedTasks: 'getTTPRelatedTasks',
    getAliasDetail: 'getAliasDetail',
    getGroupProcedureDetail: 'getGroupProcedureDetail',
    getGroupDetail: 'getGroupDetail',
    getMalwareProcedureDetail: 'getMalwareProcedureDetail',
    getMalwareDetail: 'getMalwareDetail',
    getMitigationDetail: 'getMitigationDetail',
    getPlatformDetail: 'getPlatformDetail',
    GetSubTechniqueDetail: 'GetSubTechniqueDetail',
    GetTacticDetail: 'GetTacticDetail',
    GetTechniqueDetail: 'GetTechniqueDetail',
    getToolProcedureDetail: 'getToolProcedureDetail',
    getToolDetail: 'getToolDetail',
    groupProcedureOverview: 'groupProcedureOverview',
    malwareProcedureOverview: 'malwareProcedureOverview',
    mitigationOverview: 'mitigationOverview',
    platformOverview: 'platformOverview',
    getTacticCards: 'getTacticCards',
    getTechniqueList: 'getTechniqueList',
    techniqueOverview: 'techniqueOverview',
    toolProcedureOverview: 'toolProcedureOverview',
    getTTPList: 'getTTPList',
    getRelatedTTPs: 'getRelatedTTPs',
    getIttp: 'getIttp',
    getUsersRelatedTasks: 'getUsersRelatedTasks',
    getUserFlows: 'getUserFlows',
    getUserAccountingOverview: 'getUserAccountingOverview',
    getRelatedUsersOverview: 'getRelatedUsersOverview',
    getUserAccountingWithFlows: 'getUserAccountingWithFlows',
    getUserDetail: 'getUserDetail',
    getCurrentUser: 'getCurrentUser',
    getWorkflowTemplateOverview: 'getWorkflowTemplateOverview',
    getWorkflowTemplateEdit: 'getWorkflowTemplateEdit',
    getWorkflowDetail: 'getWorkflowDetail',
    getWorkflowTemplates: 'getWorkflowTemplates',
  },
  Mutation: {
    createExternalReference: 'createExternalReference',
    updateExternalReference: 'updateExternalReference',
    deleteExternalReference: 'deleteExternalReference',
    createDirectory: 'createDirectory',
    createFile: 'createFile',
    deleteCaseFileItems: 'deleteCaseFileItems',
    updateDirectory: 'updateDirectory',
    updateFile: 'updateFile',
    createCaseRelationships: 'createCaseRelationships',
    deleteCaseRelationship: 'deleteCaseRelationship',
    createCase: 'createCase',
    uploadCaseCommentFile: 'uploadCaseCommentFile',
    rejectCase: 'rejectCase',
    resolveCase: 'resolveCase',
    updateCase: 'updateCase',
    createWorkflowFromTemplate: 'createWorkflowFromTemplate',
    createComment: 'createComment',
    updateComment: 'updateComment',
    deleteComment: 'deleteComment',
    createLabel: 'createLabel',
    updateLabel: 'updateLabel',
    deleteLabels: 'deleteLabels',
    createStage: 'createStage',
    updateStage: 'updateStage',
    rejectStage: 'rejectStage',
    createTask: 'createTask',
    createTaskParentless: 'createTaskParentless',
    updateTask: 'updateTask',
    rejectTask: 'rejectTask',
    resolveTask: 'resolveTask',
    resolveTaskWithDecision: 'resolveTaskWithDecision',
    updateOutputFromBlockingTasks: 'updateOutputFromBlockingTasks',
    triggerTask: 'triggerTask',
    updateBoolIO: 'updateBoolIO',
    updateDateIO: 'updateDateIO',
    updateDateTimeIO: 'updateDateTimeIO',
    updateDomainIO: 'updateDomainIO',
    updateEmailAddressIO: 'updateEmailAddressIO',
    updateEmailMessageIO: 'updateEmailMessageIO',
    updateFileIO: 'updateFileIO',
    updateFileRefIO: 'updateFileRefIO',
    updateHashIO: 'updateHashIO',
    updateIPIO: 'updateIPIO',
    updateJsonIO: 'updateJsonIO',
    updateStringIO: 'updateStringIO',
    updateUrlIO: 'updateUrlIO',
    setTaskInput: 'setTaskInput',
    setTaskFileInput: 'setTaskFileInput',
    createTaskInput: 'createTaskInput',
    setTaskOutput: 'setTaskOutput',
    setTaskFileOutput: 'setTaskFileOutput',
    createTaskOutput: 'createTaskOutput',
    uploadTaskCommentFile: 'uploadTaskCommentFile',
    createTaskReferences: 'createTaskReferences',
    deleteTaskReferences: 'deleteTaskReferences',
    addAssetsToTask: 'addAssetsToTask',
    addObservablesToTask: 'addObservablesToTask',
    addTTPsToTask: 'addTTPsToTask',
    createWorkflowTemplate: 'createWorkflowTemplate',
    updateWorkflowTemplate: 'updateWorkflowTemplate',
    deleteWorkflowTemplates: 'deleteWorkflowTemplates',
    uploadWorkflowTemplate: 'uploadWorkflowTemplate',
    createWorkflow: 'createWorkflow',
    updateWorkflow: 'updateWorkflow',
    rejectWorkflow: 'rejectWorkflow',
    exportToWorkflowTemplate: 'exportToWorkflowTemplate',
  },
  Fragment: {
    assetDetailSharedMainContent: 'assetDetailSharedMainContent',
    maybeTags: 'maybeTags',
    assetId: 'assetId',
    assetFederationId: 'assetFederationId',
    assetTag: 'assetTag',
    cveTableElement: 'cveTableElement',
    assetCve: 'assetCve',
    assetSharedDetail: 'assetSharedDetail',
    circuitDetailCard: 'circuitDetailCard',
    circuitAssetDetail: 'circuitAssetDetail',
    circuitTerminationDetailCard: 'circuitTerminationDetailCard',
    circuitTerminationAssetDetail: 'circuitTerminationAssetDetail',
    circuitTypeDetailCard: 'circuitTypeDetailCard',
    circuitTypeAssetDetail: 'circuitTypeAssetDetail',
    providerAssetDetail: 'providerAssetDetail',
    providerDetailCard: 'providerDetailCard',
    providerNetworkAssetDetail: 'providerNetworkAssetDetail',
    providerNetworkDetailCard: 'providerNetworkDetailCard',
    cableDetailCard: 'cableDetailCard',
    cableAssetDetail: 'cableAssetDetail',
    wirelessLinkAssetDetail: 'wirelessLinkAssetDetail',
    wirelessLinkDetailCard: 'wirelessLinkDetailCard',
    wirelessLinkInterfaceCard: 'wirelessLinkInterfaceCard',
    consolePortDetailCard: 'consolePortDetailCard',
    consolePortAssetDetail: 'consolePortAssetDetail',
    consoleServerPortDetailCard: 'consoleServerPortDetailCard',
    consoleServerPortDetail: 'consoleServerPortDetail',
    deviceBayDetailCard: 'deviceBayDetailCard',
    deviceBayAssetDetail: 'deviceBayAssetDetail',
    deviceDetailCard: 'deviceDetailCard',
    deviceAssetDetail: 'deviceAssetDetail',
    deviceRoleDetailCard: 'deviceRoleDetailCard',
    deviceRoleAssetDetail: 'deviceRoleAssetDetail',
    deviceTypeDetailCard: 'deviceTypeDetailCard',
    deviceTypeAssetDetail: 'deviceTypeAssetDetail',
    frontPortDetailCard: 'frontPortDetailCard',
    frontPortAssetDetail: 'frontPortAssetDetail',
    interfaceAssetDetail: 'interfaceAssetDetail',
    interfaceDetailCard: 'interfaceDetailCard',
    inventoryItemAssetDetail: 'inventoryItemAssetDetail',
    inventoryItemDetailCard: 'inventoryItemDetailCard',
    manufacturerAssetDetail: 'manufacturerAssetDetail',
    manufacturerDetailCard: 'manufacturerDetailCard',
    platformAssetDetail: 'platformAssetDetail',
    platformDetailCard: 'platformDetailCard',
    powerOutletAssetDetail: 'powerOutletAssetDetail',
    powerOutletDetailCard: 'powerOutletDetailCard',
    powerPortAssetDetail: 'powerPortAssetDetail',
    powerPortDetailCard: 'powerPortDetailCard',
    rearPortAssetDetail: 'rearPortAssetDetail',
    rearPortDetailCard: 'rearPortDetailCard',
    virtualChassisAssetDetail: 'virtualChassisAssetDetail',
    virtualChassisDetailCard: 'virtualChassisDetailCard',
    aggregateDetailCard: 'aggregateDetailCard',
    aggregateDetail: 'aggregateDetail',
    asnDetailCard: 'asnDetailCard',
    asnAssetDetail: 'asnAssetDetail',
    fhrpGroupDetailCard: 'fhrpGroupDetailCard',
    fhrpGroupAssetDetail: 'fhrpGroupAssetDetail',
    ipAddressAssetDetail: 'ipAddressAssetDetail',
    ipAddressDetailCard: 'ipAddressDetailCard',
    ipRangeAssetDetail: 'ipRangeAssetDetail',
    ipRangeDetailCard: 'ipRangeDetailCard',
    prefixAndVlanRoleAssetDetail: 'prefixAndVlanRoleAssetDetail',
    prefixAndVlanRoleDetailCard: 'prefixAndVlanRoleDetailCard',
    prefixAssetDetail: 'prefixAssetDetail',
    prefixDetailCard: 'prefixDetailCard',
    rirAssetDetail: 'rirAssetDetail',
    rirDetailCard: 'rirDetailCard',
    routeTargetAssetDetail: 'routeTargetAssetDetail',
    routeTargetDetailCard: 'routeTargetDetailCard',
    serviceAssetDetail: 'serviceAssetDetail',
    serviceDetailCard: 'serviceDetailCard',
    vlanAssetDetail: 'vlanAssetDetail',
    vlanDetailCard: 'vlanDetailCard',
    vlanGroupAssetDetail: 'vlanGroupAssetDetail',
    vlanGroupDetailCard: 'vlanGroupDetailCard',
    vrfAssetDetail: 'vrfAssetDetail',
    vrfDetailCard: 'vrfDetailCard',
    locationAssetDetail: 'locationAssetDetail',
    locationDetailCard: 'locationDetailCard',
    rackAssetDetail: 'rackAssetDetail',
    rackDetailCard: 'rackDetailCard',
    rackDetailDimensionsCard: 'rackDetailDimensionsCard',
    rackReservationAssetDetail: 'rackReservationAssetDetail',
    rackReservationDetailCard: 'rackReservationDetailCard',
    rackRoleAssetDetail: 'rackRoleAssetDetail',
    rackRoleDetailCard: 'rackRoleDetailCard',
    regionAssetDetail: 'regionAssetDetail',
    regionDetailCard: 'regionDetailCard',
    siteAssetDetail: 'siteAssetDetail',
    siteDetailCard: 'siteDetailCard',
    siteDetailContactInfoCard: 'siteDetailContactInfoCard',
    siteDetailRelatedObjectsCard: 'siteDetailRelatedObjectsCard',
    siteGroupAssetDetail: 'siteGroupAssetDetail',
    siteGroupDetailCard: 'siteGroupDetailCard',
    tenantAssetDetail: 'tenantAssetDetail',
    tenantDetailCard: 'tenantDetailCard',
    tenantGroupAssetDetail: 'tenantGroupAssetDetail',
    tenantGroupDetailCard: 'tenantGroupDetailCard',
    powerFeedAssetDetail: 'powerFeedAssetDetail',
    powerFeedDetailCard: 'powerFeedDetailCard',
    powerPanelAssetDetail: 'powerPanelAssetDetail',
    powerPanelDetailCard: 'powerPanelDetailCard',
    clusterDetailCard: 'clusterDetailCard',
    clusterAssetDetail: 'clusterAssetDetail',
    clusterGroupDetailCard: 'clusterGroupDetailCard',
    clusterGroupAssetDetail: 'clusterGroupAssetDetail',
    clusterTypeDetailCard: 'clusterTypeDetailCard',
    clusterTypeAssetDetail: 'clusterTypeAssetDetail',
    vmAssetDetail: 'vmAssetDetail',
    vmDetailCard: 'vmDetailCard',
    vmInterfaceDetail: 'vmInterfaceDetail',
    vmInterfaceDetailCard: 'vmInterfaceDetailCard',
    wirelessLanAssetDetail: 'wirelessLanAssetDetail',
    wirelessLanDetailCard: 'wirelessLanDetailCard',
    wirelessLanGroupAssetDetail: 'wirelessLanGroupAssetDetail',
    wirelessLanGroupDetailCard: 'wirelessLanGroupDetailCard',
    circuitAssetOverview: 'circuitAssetOverview',
    circuitTerminationTableElement: 'circuitTerminationTableElement',
    circuitTerminationAssetOverview: 'circuitTerminationAssetOverview',
    circuitTypeAssetTableElement: 'circuitTypeAssetTableElement',
    circuitTypeAssetOverview: 'circuitTypeAssetOverview',
    providerNetworkAssetOverview: 'providerNetworkAssetOverview',
    providerNetworkAssetTableElement: 'providerNetworkAssetTableElement',
    providerAssetOverview: 'providerAssetOverview',
    providerAssetTableElement: 'providerAssetTableElement',
    cableAssetTableElement: 'cableAssetTableElement',
    cableAssetOverview: 'cableAssetOverview',
    wirelessLinkAssetOverview: 'wirelessLinkAssetOverview',
    wirelessLinkAssetTableElement: 'wirelessLinkAssetTableElement',
    consolePortAssetTableElement: 'consolePortAssetTableElement',
    consolePortAssetOverview: 'consolePortAssetOverview',
    consoleServerPortAssetTableElement: 'consoleServerPortAssetTableElement',
    consoleServerPortAssetOverview: 'consoleServerPortAssetOverview',
    deviceBayAssetTableElement: 'deviceBayAssetTableElement',
    deviceBayAssetOverview: 'deviceBayAssetOverview',
    deviceAssetOverview: 'deviceAssetOverview',
    deviceRoleAssetTableElement: 'deviceRoleAssetTableElement',
    deviceRoleAssetOverview: 'deviceRoleAssetOverview',
    deviceTypeAssetOverview: 'deviceTypeAssetOverview',
    frontPortAssetOverview: 'frontPortAssetOverview',
    interfaceAssetOverview: 'interfaceAssetOverview',
    inventoryItemAssetOverview: 'inventoryItemAssetOverview',
    manufacturerAssetOverview: 'manufacturerAssetOverview',
    manufacturerAssetTableElement: 'manufacturerAssetTableElement',
    platformAssetOverview: 'platformAssetOverview',
    platformAssetTableElement: 'platformAssetTableElement',
    powerOutletAssetOverview: 'powerOutletAssetOverview',
    powerOutletAssetTableElement: 'powerOutletAssetTableElement',
    powerPortAssetOverview: 'powerPortAssetOverview',
    powerPortAssetTableElement: 'powerPortAssetTableElement',
    rearPortAssetOverview: 'rearPortAssetOverview',
    virtualChassisAssetOverview: 'virtualChassisAssetOverview',
    virtualChassisAssetTableElement: 'virtualChassisAssetTableElement',
    aggregateAssetOverview: 'aggregateAssetOverview',
    asnAssetTableElement: 'asnAssetTableElement',
    asnAssetOverview: 'asnAssetOverview',
    fhrpGroupAssetTableElement: 'fhrpGroupAssetTableElement',
    fhrpGroupAssetOverview: 'fhrpGroupAssetOverview',
    ipAddressAssetOverview: 'ipAddressAssetOverview',
    ipRangeAssetOverview: 'ipRangeAssetOverview',
    ipRangeAssetTableElement: 'ipRangeAssetTableElement',
    prefixAndVlanRoleAssetOverview: 'prefixAndVlanRoleAssetOverview',
    prefixAndVlanRoleAssetTableElement: 'prefixAndVlanRoleAssetTableElement',
    prefixAssetOverview: 'prefixAssetOverview',
    rirAssetOverview: 'rirAssetOverview',
    rirAssetTableElement: 'rirAssetTableElement',
    routeTargetAssetOverview: 'routeTargetAssetOverview',
    serviceAssetOverview: 'serviceAssetOverview',
    vlanGroupAssetOverview: 'vlanGroupAssetOverview',
    vlanGroupAssetTableElement: 'vlanGroupAssetTableElement',
    vlanAssetOverview: 'vlanAssetOverview',
    vrfAssetOverview: 'vrfAssetOverview',
    locationAssetOverview: 'locationAssetOverview',
    rackAssetOverview: 'rackAssetOverview',
    rackReservationAssetOverview: 'rackReservationAssetOverview',
    rackRoleAssetOverview: 'rackRoleAssetOverview',
    rackRoleAssetTableElement: 'rackRoleAssetTableElement',
    regionAssetOverview: 'regionAssetOverview',
    siteGroupAssetOverview: 'siteGroupAssetOverview',
    siteAssetOverview: 'siteAssetOverview',
    tenantGroupAssetOverview: 'tenantGroupAssetOverview',
    tenantGroupAssetTableElement: 'tenantGroupAssetTableElement',
    tenantAssetOverview: 'tenantAssetOverview',
    powerFeedAssetOverview: 'powerFeedAssetOverview',
    powerPanelAssetOverview: 'powerPanelAssetOverview',
    clusterGroupAssetTableElement: 'clusterGroupAssetTableElement',
    clusterGroupAssetOverview: 'clusterGroupAssetOverview',
    clusterAssetOverview: 'clusterAssetOverview',
    clusterTypeAssetTableElement: 'clusterTypeAssetTableElement',
    clusterTypeAssetOverview: 'clusterTypeAssetOverview',
    vmInterfaceAssetOverview: 'vmInterfaceAssetOverview',
    vmAssetOverview: 'vmAssetOverview',
    wirelessLanGroupAssetOverview: 'wirelessLanGroupAssetOverview',
    wirelessLanGroupAssetTableElement: 'wirelessLanGroupAssetTableElement',
    wirelessLanAssetOverview: 'wirelessLanAssetOverview',
    assetCategoryMetadata: 'assetCategoryMetadata',
    assetMetadataElement: 'assetMetadataElement',
    relatedAsset: 'relatedAsset',
    relatedAssetTable: 'relatedAssetTable',
    assetBaseView: 'assetBaseView',
    assetFederationBaseView: 'assetFederationBaseView',
    circuitTerminationName: 'circuitTerminationName',
    rackReservationName: 'rackReservationName',
    ipRangeName: 'ipRangeName',
    assetSimpleName: 'assetSimpleName',
    assetFederationBaseSimpleName: 'assetFederationBaseSimpleName',
    assetSelection: 'assetSelection',
    aggregateAssetTableElement: 'aggregateAssetTableElement',
    circuitAssetTableElement: 'circuitAssetTableElement',
    clusterAssetTableElement: 'clusterAssetTableElement',
    deviceAssetTableElement: 'deviceAssetTableElement',
    deviceTypeAssetTableElement: 'deviceTypeAssetTableElement',
    frontPortAssetTableElement: 'frontPortAssetTableElement',
    interfaceAssetTableElement: 'interfaceAssetTableElement',
    inventoryItemAssetTableElement: 'inventoryItemAssetTableElement',
    ipAddressAssetTableElement: 'ipAddressAssetTableElement',
    locationAssetTableElement: 'locationAssetTableElement',
    powerFeedAssetTableElement: 'powerFeedAssetTableElement',
    powerPanelAssetTableElement: 'powerPanelAssetTableElement',
    prefixAssetTableElement: 'prefixAssetTableElement',
    rackAssetTableElement: 'rackAssetTableElement',
    rackReservationAssetTableElement: 'rackReservationAssetTableElement',
    rearPortAssetTableElement: 'rearPortAssetTableElement',
    regionAssetTableElement: 'regionAssetTableElement',
    routeTargetAssetTableElement: 'routeTargetAssetTableElement',
    serviceAssetTableElement: 'serviceAssetTableElement',
    siteAssetTableElement: 'siteAssetTableElement',
    siteGroupAssetTableElement: 'siteGroupAssetTableElement',
    tenantAssetTableElement: 'tenantAssetTableElement',
    vlanAssetTableElement: 'vlanAssetTableElement',
    vmAssetTableElement: 'vmAssetTableElement',
    vmInterfaceAssetTableElement: 'vmInterfaceAssetTableElement',
    vrfAssetTableElement: 'vrfAssetTableElement',
    wirelessLanAssetTableElement: 'wirelessLanAssetTableElement',
    externalReferenceRelatedCases: 'externalReferenceRelatedCases',
    externalReferenceTab: 'externalReferenceTab',
    caseManagementExternalReferenceDetail: 'caseManagementExternalReferenceDetail',
    externalReferenceListElement: 'externalReferenceListElement',
    externalReferenceOverview: 'externalReferenceOverview',
    externalReferenceTable: 'externalReferenceTable',
    externalReferenceRow: 'externalReferenceRow',
    activeFileItem: 'activeFileItem',
    fileItemBreadcrumb: 'fileItemBreadcrumb',
    caseFileItemName: 'caseFileItemName',
    fileItemRow: 'fileItemRow',
    rootDir: 'rootDir',
    caseRelationship: 'caseRelationship',
    caseWithRelationships: 'caseWithRelationships',
    caseRelationshipTable: 'caseRelationshipTable',
    caseDetailTabs: 'caseDetailTabs',
    caseOverviewTab: 'caseOverviewTab',
    caseDetailMainContent: 'caseDetailMainContent',
    caseDetailSidebar: 'caseDetailSidebar',
    caseDetail: 'caseDetail',
    caseOverviewElement: 'caseOverviewElement',
    caseActiveUserAssignedTasksPanel: 'caseActiveUserAssignedTasksPanel',
    caseFilePanel: 'caseFilePanel',
    caseWorkflowsPanel: 'caseWorkflowsPanel',
    caseLinkedCasesPanel: 'caseLinkedCasesPanel',
    caseListElement: 'caseListElement',
    caseName: 'caseName',
    caseTable: 'caseTable',
    caseNameRow: 'caseNameRow',
    assigneeListElement: 'assigneeListElement',
    commentReply: 'commentReply',
    commentContent: 'commentContent',
    commentHeader: 'commentHeader',
    comment: 'comment',
    topLevelComment: 'topLevelComment',
    ipFixOverview: 'ipFixOverview',
    ipFixDetail: 'ipFixDetail',
    userIpFixDetail: 'userIpFixDetail',
    flowDataIpFixDetail: 'flowDataIpFixDetail',
    ipFixTableElement: 'ipFixTableElement',
    userIpFixTableElement: 'userIpFixTableElement',
    flowEventNestedFlowsTableElement: 'flowEventNestedFlowsTableElement',
    flowEventNestedFlows: 'flowEventNestedFlows',
    flowEventTableElement: 'flowEventTableElement',
    flowEvent: 'flowEvent',
    eventName: 'eventName',
    labelEdit: 'labelEdit',
    labelOverview: 'labelOverview',
    labelTable: 'labelTable',
    labelChip: 'labelChip',
    labelSelection: 'labelSelection',
    labelListElement: 'labelListElement',
    observableCTIEntry: 'observableCTIEntry',
    observableId: 'observableId',
    observableFederationId: 'observableFederationId',
    observableSharedDetail: 'observableSharedDetail',
    ctiEntryDetailTabObservables: 'ctiEntryDetailTabObservables',
    observableLinkTableElement: 'observableLinkTableElement',
    ctiEntryDetailTabOverview: 'ctiEntryDetailTabOverview',
    ctiEntrySourceSpecifierCard: 'ctiEntrySourceSpecifierCard',
    ctiEntryDetailTabTtps: 'ctiEntryDetailTabTtps',
    ttpLinkTableElement: 'ttpLinkTableElement',
    ctiEntryDetail: 'ctiEntryDetail',
    domainToDomainResolutionObservableDetailCard: 'domainToDomainResolutionObservableDetailCard',
    domainToDomainResolutionDetail: 'domainToDomainResolutionDetail',
    domainToIpAddressResolutionObservableDetailCard: 'domainToIpAddressResolutionObservableDetailCard',
    domainToIpAddressResolutionObservable: 'domainToIpAddressResolutionObservable',
    domainObservableDetail: 'domainObservableDetail',
    emailAddressDetailCard: 'emailAddressDetailCard',
    emailAddressObservableDetail: 'emailAddressObservableDetail',
    emailMessageDetailCard: 'emailMessageDetailCard',
    emailMessageObservableDetail: 'emailMessageObservableDetail',
    fileReferenceObservableDetailCard: 'fileReferenceObservableDetailCard',
    fileReferenceDetail: 'fileReferenceDetail',
    ipAddressToDomainResolutionObservableDetail: 'ipAddressToDomainResolutionObservableDetail',
    ipAddressToDomainResolutionObservableDetailCard: 'ipAddressToDomainResolutionObservableDetailCard',
    ipAddressObservableDetail: 'ipAddressObservableDetail',
    urlObservableDetail: 'urlObservableDetail',
    urlObservableDetailCard: 'urlObservableDetailCard',
    observableOverviewElement: 'observableOverviewElement',
    relatedObservable: 'relatedObservable',
    relatedObservablesTable: 'relatedObservablesTable',
    ctiEntryExternalUrl: 'ctiEntryExternalUrl',
    ctiEntry: 'ctiEntry',
    hashTableElement: 'hashTableElement',
    addressTypeInfo: 'addressTypeInfo',
    ipAddressInfo: 'ipAddressInfo',
    networkTypeInfo: 'networkTypeInfo',
    ipAddressRelatedObservables: 'ipAddressRelatedObservables',
    observableBaseView: 'observableBaseView',
    observableFederationBaseView: 'observableFederationBaseView',
    hostBaseView: 'hostBaseView',
    observableSelection: 'observableSelection',
    observableTable: 'observableTable',
    stageDetailOverviewTab: 'stageDetailOverviewTab',
    workflowDetailOverviewTab: 'workflowDetailOverviewTab',
    stageDetailTabs: 'stageDetailTabs',
    workflowDetailTabs: 'workflowDetailTabs',
    stageDetailMainContent: 'stageDetailMainContent',
    workflowDetailMainContent: 'workflowDetailMainContent',
    stageDetailSidebar: 'stageDetailSidebar',
    workflowDetailSidebar: 'workflowDetailSidebar',
    stageDetail: 'stageDetail',
    stageOverviewElement: 'stageOverviewElement',
    stageRow: 'stageRow',
    activeStagesPanel: 'activeStagesPanel',
    stagePanel: 'stagePanel',
    stageTaskPanel: 'stageTaskPanel',
    stageTasksOverview: 'stageTasksOverview',
    stageName: 'stageName',
    taskDetail: 'taskDetail',
    blockedByTasksPanel: 'blockedByTasksPanel',
    blockingTasksPanel: 'blockingTasksPanel',
    taskInputOutputPanel: 'taskInputOutputPanel',
    taskPredecessorsPanel: 'taskPredecessorsPanel',
    taskSuccessorsPanel: 'taskSuccessorsPanel',
    taskInputOutput: 'taskInputOutput',
    taskOverviewTab: 'taskOverviewTab',
    taskReferenceTableElement: 'taskReferenceTableElement',
    taskReferencesPanel: 'taskReferencesPanel',
    taskRelationshipTableElement: 'taskRelationshipTableElement',
    taskDetailTabs: 'taskDetailTabs',
    taskDetailMainContent: 'taskDetailMainContent',
    taskToolbar: 'taskToolbar',
    taskDetailSidebar: 'taskDetailSidebar',
    taskOverviewElement: 'taskOverviewElement',
    taskNameRow: 'taskNameRow',
    taskTable: 'taskTable',
    taskFlags: 'taskFlags',
    taskName: 'taskName',
    taskListElement: 'taskListElement',
    taskState: 'taskState',
    subTechniquesTable: 'subTechniquesTable',
    selectedTTP: 'selectedTTP',
    ttpNode: 'ttpNode',
    tacticNode: 'tacticNode',
    techniqueNode: 'techniqueNode',
    ttpDetailTabs: 'ttpDetailTabs',
    ttpOverviewTab: 'ttpOverviewTab',
    ttpMainContent: 'ttpMainContent',
    ttpSharedCardContent: 'ttpSharedCardContent',
    aliasDetail: 'aliasDetail',
    groupProcedureDetail: 'groupProcedureDetail',
    groupProcedureCardInfo: 'groupProcedureCardInfo',
    groupProcedureDetailContent: 'groupProcedureDetailContent',
    groupDetail: 'groupDetail',
    groupCardInfo: 'groupCardInfo',
    groupDetailContent: 'groupDetailContent',
    malwareProcedureDetail: 'malwareProcedureDetail',
    malwareProcedureCardInfo: 'malwareProcedureCardInfo',
    malwareProcedureDetailContent: 'malwareProcedureDetailContent',
    malwareDetail: 'malwareDetail',
    malwareCardInfo: 'malwareCardInfo',
    malwareDetailContent: 'malwareDetailContent',
    mitigationDetail: 'mitigationDetail',
    mitigationCardInfo: 'mitigationCardInfo',
    mitigationDetailContent: 'mitigationDetailContent',
    platformDetail: 'platformDetail',
    platformDetailContent: 'platformDetailContent',
    subTechniqueDetail: 'subTechniqueDetail',
    subTechniqueCard: 'subTechniqueCard',
    tacticDetail: 'tacticDetail',
    techniqueDetail: 'techniqueDetail',
    techniqueCard: 'techniqueCard',
    toolProcedureDetail: 'toolProcedureDetail',
    toolProcedureDetailCardInfo: 'toolProcedureDetailCardInfo',
    toolProcedureDetailContent: 'toolProcedureDetailContent',
    toolDetail: 'toolDetail',
    toolCardInfo: 'toolCardInfo',
    toolAlias: 'toolAlias',
    toolAliasName: 'toolAliasName',
    toolDetailContent: 'toolDetailContent',
    groupProcedureOverviewElement: 'groupProcedureOverviewElement',
    malwareProcedureOverviewElement: 'malwareProcedureOverviewElement',
    mitigationOverviewElement: 'mitigationOverviewElement',
    platformOverviewElement: 'platformOverviewElement',
    tacticCard: 'tacticCard',
    techniqueListItem: 'techniqueListItem',
    techniqueOverviewElement: 'techniqueOverviewElement',
    toolProcedureOverviewElement: 'toolProcedureOverviewElement',
    relatedTTP: 'relatedTTP',
    relatedTTPTableElement: 'relatedTTPTableElement',
    ttpName: 'ttpName',
    ttpFederationName: 'ttpFederationName',
    ttpSelection: 'ttpSelection',
    externalReferencesTableElement: 'externalReferencesTableElement',
    groupProceduresTableElement: 'groupProceduresTableElement',
    groupsTableElement: 'groupsTableElement',
    malwareProceduresTableElement: 'malwareProceduresTableElement',
    malwareTableElement: 'malwareTableElement',
    mitigationsTableElement: 'mitigationsTableElement',
    platformsTableElement: 'platformsTableElement',
    techniqueAndSubTechniqueTable: 'techniqueAndSubTechniqueTable',
    techniqueTable: 'techniqueTable',
    techniqueRow: 'techniqueRow',
    techniqueAndSubTechniqueRow: 'techniqueAndSubTechniqueRow',
    subTechniqueRow: 'subTechniqueRow',
    toolProceduresTableElement: 'toolProceduresTableElement',
    toolsTableElement: 'toolsTableElement',
    ttpId: 'ttpId',
    ttpFederationId: 'ttpFederationId',
    framedIpAddressPanel: 'framedIpAddressPanel',
    userFlows: 'userFlows',
    userAccountingOverview: 'userAccountingOverview',
    relatedUsersOverview: 'relatedUsersOverview',
    relatedUsersTableElement: 'relatedUsersTableElement',
    userAccountingDataRow: 'userAccountingDataRow',
    userAccountingWithFlowsTableDetail: 'userAccountingWithFlowsTableDetail',
    userAccountingTableElement: 'userAccountingTableElement',
    userIntrospection: 'userIntrospection',
    userDetail: 'userDetail',
    userCommentElement: 'userCommentElement',
    userOverview: 'userOverview',
    userTabs: 'userTabs',
    userNameAndIcon: 'userNameAndIcon',
    currentUser: 'currentUser',
    editWorkflowTemplate: 'editWorkflowTemplate',
    workflowTemplateOverview: 'workflowTemplateOverview',
    workflowTemplateTableElement: 'workflowTemplateTableElement',
    workflowAssignedTasksPanel: 'workflowAssignedTasksPanel',
    workflowDetail: 'workflowDetail',
    workflowOverviewElement: 'workflowOverviewElement',
    workflowRow: 'workflowRow',
    workflowName: 'workflowName',
    workflowTemplateList: 'workflowTemplateList',
  },
};
