import { gql } from 'apollo-angular';

export type LabelTableFragment = {
  __typename?: 'Label';
  id: string;
  name: string;
  backgroundColor?: string | undefined;
  textColor?: string | undefined;
};

export const LabelTableFragmentDoc = gql`
  fragment labelTable on Label {
    ...labelChip
  }
`;
