import { gql } from 'apollo-angular';

export type LabelChipFragment = {
  __typename?: 'Label';
  id: string;
  name: string;
  backgroundColor?: string | undefined;
  textColor?: string | undefined;
};

export const LabelChipFragmentDoc = gql`
  fragment labelChip on Label {
    id
    name
    backgroundColor
    textColor
  }
`;
