import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntitySelectionDirective } from '@orion/shared-components/related-entity-overview';
import { SentinelResourceSelectorMapping } from '@sentinel/components/resource-selector';
import { LabelSelectionFragment } from './label-selection.fragment.generated';

@Component({
  selector: 'orion-labels-selection',
  templateUrl: './labels-selection.component.html',
  styleUrls: ['./labels-selection.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class LabelsSelectionComponent extends EntitySelectionDirective<LabelSelectionFragment> {
  labelsSelectorMapping: SentinelResourceSelectorMapping = { id: 'id', title: 'name' };
}
