import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatDividerModule } from '@angular/material/divider';
import { SentinelAuthProviderListModule } from '@sentinel/auth/components';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { LoginPageComponent } from './login-page.component';

@NgModule({
  declarations: [LoginPageComponent],
  imports: [CommonModule, OrionCardModule, SentinelAuthProviderListModule, MatDividerModule],
  exports: [LoginPageComponent],
})
export class LoginPageModule {}
