import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedCasesModule } from '@orion/case-components/related-cases';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { ObservableRelatedCasesComponent } from './observable-related-cases.component';

@NgModule({
  declarations: [ObservableRelatedCasesComponent],
  imports: [CommonModule, SentinelPipesModule, RelatedCasesModule],
  exports: [ObservableRelatedCasesComponent],
})
export class ObservableRelatedCasesModule {}
