import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { ObservableSharedDetailFragment } from './observable-shared-detail.fragment.generated';

@Component({
  selector: 'orion-observable-shared-detail-page',
  templateUrl: './observable-shared-detail-page.component.html',
  styleUrls: ['./observable-shared-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ObservableSharedDetailPageComponent {
  @Input() observable?: ObservableSharedDetailFragment;
  @Input() isLoading = false;
  @Input() hasError = false;
  @Output() refetch: EventEmitter<void> = new EventEmitter<void>();

  onRefetch(): void {
    this.refetch.emit();
  }
}
