import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CtiEntryDetailPageComponent } from './cti-entry-detail-page.component';
import { CtiEntryDetailTabsModule } from './cti-entry-detail-tabs';

@NgModule({
  declarations: [CtiEntryDetailPageComponent],
  imports: [
    CommonModule,
    CtiEntryDetailTabsModule,
    SLetModule,
    SentinelPipesModule,
    EntityDetailPageModule,
    EntityToolbarModule,
    EntityToolbarInfoModule,
  ],
  exports: [CtiEntryDetailPageComponent],
})
export class CtiEntryDetailPageModule {}
