import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CtiEntryDetailTabObservablesFragment = {
  __typename?: 'ObservableLink';
  id: string;
  observableLinkType?: SchemaTypes.ObservableLinkTypeEnum | undefined;
  observable?:
    | { __typename: 'BaseHashableObservable'; observableType?: string | undefined; id: string }
    | { __typename: 'BaseHost'; observableType?: string | undefined; id: string }
    | { __typename: 'BaseObservable'; observableType?: string | undefined; id: string }
    | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
    | {
        __typename: 'DomainToDomainResolution';
        observableType?: string | undefined;
        id: string;
        originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
      }
    | {
        __typename: 'DomainToIPAddressResolution';
        observableType?: string | undefined;
        id: string;
        sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        resolvedIpAddress?:
          | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
          | undefined;
      }
    | { __typename: 'EmailAddress'; rawEmailAddress: string; observableType?: string | undefined; id: string }
    | { __typename: 'EmailMessage'; id: string; subject?: string | undefined; observableType?: string | undefined }
    | { __typename: 'EmailMessageEmailAddressRelationship'; observableType?: string | undefined; id: string }
    | { __typename: 'EmailMessagePartsRelationship'; observableType?: string | undefined; id: string }
    | { __typename: 'FileReference'; name: string; observableType?: string | undefined; id: string }
    | {
        __typename: 'IPAddress';
        observableType?: string | undefined;
        id: string;
        address: { __typename?: 'IPNetworkAddressType'; compressed: string };
      }
    | {
        __typename: 'IPAddressToDomainResolution';
        observableType?: string | undefined;
        id: string;
        sourceIpAddress?:
          | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
          | undefined;
        resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
      }
    | { __typename: 'URL'; rawUrl: string; observableType?: string | undefined; id: string }
    | undefined;
};

export const CtiEntryDetailTabObservablesFragmentDoc = gql`
  fragment ctiEntryDetailTabObservables on ObservableLink {
    ...observableLinkTableElement
  }
`;
