import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { CtiEntryDetailTabOverviewComponent } from './cti-entry-detail-tab-overview.component';
import { CtiEntrySourceSpecifierCardComponent } from './cti-entry-source-specifier-card';

@NgModule({
  declarations: [CtiEntrySourceSpecifierCardComponent, CtiEntryDetailTabOverviewComponent],
  imports: [CommonModule, OrionCardModule, OrionAttributeModule],
  exports: [CtiEntryDetailTabOverviewComponent],
})
export class CtiEntryDetailTabOverviewModule {}
