import { gql } from 'apollo-angular';

export type DomainToDomainResolutionDetailFragment = {
  __typename: 'DomainToDomainResolution';
  domainToDomainFirstSeen?: any | undefined;
  domainToDomainLastSeen?: any | undefined;
  description?: string | undefined;
  observableType?: string | undefined;
  id: string;
  originalDomain?:
    | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
    | undefined;
  resolutionDomain?:
    | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
    | undefined;
};

export const DomainToDomainResolutionDetailFragmentDoc = gql`
  fragment domainToDomainResolutionDetail on DomainToDomainResolution {
    ...observableSharedDetail
    ...domainToDomainResolutionObservableDetailCard
  }
`;
