import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { ObservableSharedDetailPageModule } from '@orion/observable-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { DomainToIpAddressResolutionObservableDetailCardComponent } from './domain-to-ip-address-resolution-observable-detail-card';
import { DomainToIpAddressResolutionObservableDetailPageComponent } from './domain-to-ip-address-resolution-observable-detail-page.component';

@NgModule({
  declarations: [
    DomainToIpAddressResolutionObservableDetailPageComponent,
    DomainToIpAddressResolutionObservableDetailCardComponent,
  ],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    ObservableSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    ObservableBaseViewModule,
  ],
  exports: [DomainToIpAddressResolutionObservableDetailPageComponent],
})
export class DomainToIpAddressResolutionObservableDetailPageModule {}
