import { gql } from 'apollo-angular';

export type DomainToIpAddressResolutionObservableFragment = {
  __typename: 'DomainToIPAddressResolution';
  domainToIpFirstSeen?: any | undefined;
  domainToIpLastSeen?: any | undefined;
  description?: string | undefined;
  observableType?: string | undefined;
  id: string;
  sourceDomain?:
    | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
    | undefined;
  resolvedIpAddress?:
    | {
        __typename: 'IPAddress';
        observableType?: string | undefined;
        id: string;
        address: { __typename?: 'IPNetworkAddressType'; compressed: string };
      }
    | undefined;
};

export const DomainToIpAddressResolutionObservableFragmentDoc = gql`
  fragment domainToIpAddressResolutionObservable on DomainToIPAddressResolution {
    ...observableSharedDetail
    ...domainToIpAddressResolutionObservableDetailCard
  }
`;
