import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { EmailAddressObservableDetailService } from './email-address-observable-detail.service';
import { EmailAddressObservableDetailFragment } from './graphql';

@Component({
  selector: 'orion-email-address-observable-detail-page',
  templateUrl: './email-address-observable-detail-page.component.html',
  styleUrls: ['./email-address-observable-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [EmailAddressObservableDetailService],
})
export class EmailAddressObservableDetailPageComponent extends EntityDetailPageBaseDirective<EmailAddressObservableDetailFragment> {
  constructor(protected observableService: EmailAddressObservableDetailService) {
    super(observableService);
  }
}
