import { Pipe, PipeTransform } from '@angular/core';
import { EmailMessageEmailAddressRelationshipNestedList } from '@orion/graphql-types';
import { ObservableTableEmailMessageFragment } from '@orion/observable-components/shared-observable-table';

@Pipe({
  name: 'relationshipToEmailMessages',
})
export class RelationshipToEmailMessagesPipe implements PipeTransform {
  transform(relationshipList?: EmailMessageEmailAddressRelationshipNestedList): ObservableTableEmailMessageFragment[] {
    return (
      relationshipList?.data.map((relationship) => relationship.emailMessage as ObservableTableEmailMessageFragment) ??
      []
    );
  }
}
