import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';
import { EmailMessageDetailCardFragment } from './email-message-detail-card.fragment.generated';

@Component({
  selector: 'orion-email-message-detail-card',
  templateUrl: './email-message-detail-card.component.html',
  styleUrls: ['./email-message-detail-card.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class EmailMessageDetailCardComponent {
  @Input() emailMessage?: EmailMessageDetailCardFragment;
  trackByFn = trackByIndex;
}
