import { Pipe, PipeTransform } from '@angular/core';
import { EmailHeader } from '@orion/graphql-types';

@Pipe({
  name: 'headersToObjectEntries',
})
export class HeadersToObjectEntriesPipe implements PipeTransform {
  transform(headers?: Partial<EmailHeader[]>): [string, string][] {
    return headers?.map((header) => [header?.key ?? '', header?.value ?? '']) ?? [];
  }
}
