import { Pipe, PipeTransform } from '@angular/core';
import { EmailMessageEmailAddressRelationshipNestedList } from '@orion/graphql-types';
import { ObservableTableEmailAddressFragment } from '@orion/observable-components/shared-observable-table';

@Pipe({
  name: 'relationshipToEmailAddresses',
})
export class RelationshipToEmailAddressesPipe implements PipeTransform {
  transform(relationshipList?: EmailMessageEmailAddressRelationshipNestedList): ObservableTableEmailAddressFragment[] {
    return (
      relationshipList?.data.map((relationship) => {
        return relationship.emailAddress as ObservableTableEmailAddressFragment;
      }) ?? []
    );
  }
}
