import { gql } from 'apollo-angular';

export type FileReferenceObservableDetailCardFragment = {
  __typename?: 'FileReference';
  name: string;
  reference: string;
  description?: string | undefined;
  hashes?:
    | {
        __typename?: 'HashNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'Hash'; hashType?: string | undefined; value?: string | undefined }>;
      }
    | undefined;
};

export const FileReferenceObservableDetailCardFragmentDoc = gql`
  fragment fileReferenceObservableDetailCard on FileReference {
    name
    reference
    description
    hashes {
      data {
        ...hashTableElement
      }
      totalCount
    }
  }
`;
