import { gql } from 'apollo-angular';

export type IpAddressToDomainResolutionObservableDetailCardFragment = {
  __typename?: 'IPAddressToDomainResolution';
  ipToDomainFirstSeen?: any | undefined;
  ipToDomainLastSeen?: any | undefined;
  description?: string | undefined;
  sourceIpAddress?:
    | {
        __typename: 'IPAddress';
        observableType?: string | undefined;
        id: string;
        address: { __typename?: 'IPNetworkAddressType'; compressed: string };
      }
    | undefined;
  resolvedDomain?:
    | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
    | undefined;
};

export const IpAddressToDomainResolutionObservableDetailCardFragmentDoc = gql`
  fragment ipAddressToDomainResolutionObservableDetailCard on IPAddressToDomainResolution {
    ipToDomainFirstSeen
    ipToDomainLastSeen
    sourceIpAddress {
      ...observableBaseView
    }
    resolvedDomain {
      ...observableBaseView
    }
    description
  }
`;
