import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IpAddressObservableDetailFragment } from '@orion/observable-components/detail-ip-address-graphql';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { IpAddressObservableDetailPageService } from './ip-address-observable-detail-page.service';

@Component({
  selector: 'orion-ip-address-observable-detail-page',
  templateUrl: './ip-address-observable-detail-page.component.html',
  styleUrls: ['./ip-address-observable-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [IpAddressObservableDetailPageService],
})
export class IpAddressObservableDetailPageComponent extends EntityDetailPageBaseDirective<IpAddressObservableDetailFragment> {
  constructor(protected observableService: IpAddressObservableDetailPageService) {
    super(observableService);
  }
}
