import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';
import { UrlObservableDetailCardFragment } from './url-observable-detail-card.fragment.generated';

@Component({
  selector: 'orion-url-observable-detail-card',
  templateUrl: './url-observable-detail-card.component.html',
  styleUrls: ['./url-observable-detail-card.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UrlObservableDetailCardComponent {
  @Input() url?: UrlObservableDetailCardFragment;
  trackByFn = trackByIndex;
}
