import { ChangeDetectionStrategy, Component } from '@angular/core';
import { UrlObservableDetailFragment } from '@orion/observable-components/detail-url-graphql';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { UrlObservableDetailService } from './url-observable-detail.service';

@Component({
  selector: 'orion-url-observable-detail-page',
  templateUrl: './url-observable-detail-page.component.html',
  styleUrls: ['./url-observable-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [UrlObservableDetailService],
})
export class UrlObservableDetailPageComponent extends EntityDetailPageBaseDirective<UrlObservableDetailFragment> {
  constructor(protected observableService: UrlObservableDetailService) {
    super(observableService);
  }
}
