import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionEnumerationSelectModule } from '@csirtmu-orion/microframework/enumeration-select';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { ObservableFiltersComponent } from './observable-filters.component';

@NgModule({
  declarations: [ObservableFiltersComponent],
  imports: [CommonModule, OrionEnumerationSelectModule, OrionFilterModule],
  exports: [ObservableFiltersComponent],
})
export class ObservableFiltersModule {}
