import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionEnumerationSelectModule } from '@csirtmu-orion/microframework/enumeration-select';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { RelatedObservableFiltersComponent } from './related-observable-filters.component';

@NgModule({
  declarations: [RelatedObservableFiltersComponent],
  imports: [CommonModule, OrionFilterModule, OrionEnumerationSelectModule],
  exports: [RelatedObservableFiltersComponent],
})
export class RelatedObservableFiltersModule {}
