import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ObservableFiltersModule } from '@orion/observable-components/filters';
import { ObservableTableModule } from '@orion/observable-components/shared-observable-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { ObservableOverviewPageComponent } from './observable-overview-page.component';

@NgModule({
  declarations: [ObservableOverviewPageComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    SentinelPipesModule,
    SentinelErrorModule,
    OrionSkeletonLoadingModule,
    ObservableFiltersModule,
    OrionCardModule,
    ObservableTableModule,
  ],
  exports: [ObservableOverviewPageComponent],
})
export class ObservableOverviewPageModule {}
