import { gql } from 'apollo-angular';

export type CtiEntryExternalUrlFragment = {
  __typename?: 'CTIEntry';
  externalReference?: string | undefined;
  sourceSpecifier?:
    | {
        __typename?: 'SourceSpecifier';
        dataSource?: { __typename?: 'DataSource'; baseUrl?: string | undefined } | undefined;
      }
    | undefined;
};

export const CtiEntryExternalUrlFragmentDoc = gql`
  fragment ctiEntryExternalUrl on CTIEntry {
    externalReference
    sourceSpecifier {
      dataSource {
        baseUrl
      }
    }
  }
`;
