import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { CtiEntryNameComponent } from './cti-entry-name.component';
import { CtiEntryNavigatorPipe } from './cti-entry-navigator.pipe';

@NgModule({
  declarations: [CtiEntryNameComponent, CtiEntryNavigatorPipe],
  imports: [CommonModule, OrionEntityNameModule],
  exports: [CtiEntryNameComponent, CtiEntryNavigatorPipe],
})
export class CtiEntryNameModule {}
