import { Optional, Pipe, PipeTransform } from '@angular/core';
import { CtiEntryNavigator } from '@orion/observable-services';

@Pipe({
  name: 'ctiEntryNavigator',
})
export class CtiEntryNavigatorPipe implements PipeTransform {
  constructor(@Optional() private navigator: CtiEntryNavigator) {}

  transform(id?: string): string | undefined {
    if (id && this.navigator) {
      return this.navigator.toDetail(id);
    } else {
      return undefined;
    }
  }
}
