import { gql } from 'apollo-angular';

export type CtiEntryFragment = {
  __typename?: 'CTIEntry';
  id: string;
  created?: any | undefined;
  externalReference?: string | undefined;
  sourceSpecifier?:
    | {
        __typename?: 'SourceSpecifier';
        dataSource?: { __typename?: 'DataSource'; baseUrl?: string | undefined } | undefined;
      }
    | undefined;
};

export const CtiEntryFragmentDoc = gql`
  fragment ctiEntry on CTIEntry {
    id
    created
    ...ctiEntryExternalUrl
  }
`;
