import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CtiEntryExternalUrlModule } from '@orion/observable-components/shared-cti-entry-external-url';
import { CtiEntryNameModule } from '@orion/observable-components/shared-cti-entry-name';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { CtiEntryTableComponent } from './cti-entry-table.component';

@NgModule({
  declarations: [CtiEntryTableComponent],
  imports: [
    CommonModule,
    OrionSkeletonLoadingModule,
    SentinelTableModule,
    SentinelPipesModule,
    SentinelErrorModule,
    OrionTimeAgoModule,
    CtiEntryNameModule,
    CtiEntryExternalUrlModule,
  ],
  exports: [CtiEntryTableComponent],
})
export class CtiEntryTableModule {}
