import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { AllObservableFragments } from './utils';

@Component({
  selector: 'orion-observable-base-view',
  templateUrl: './observable-base-view.component.html',
  styleUrls: ['./observable-base-view.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ObservableBaseViewComponent {
  @Input() fullPath = false;
  @Input() withSubtitle = false;
  @Input() observable?: AllObservableFragments;
  @Input() withIcon = true;
  @Input() withLink = true;
}
