import { Pipe, PipeTransform } from '@angular/core';
import { ObservableIconResolver, ObservableTypename } from '@orion/observable-types';

@Pipe({
  name: 'observableIcon',
})
export class ObservableIconPipe implements PipeTransform {
  transform(typename?: ObservableTypename): string {
    return ObservableIconResolver.resolve(typename);
  }
}
