import { Pipe, PipeTransform } from '@angular/core';
import { formatObservableType } from '@orion/observable-types';
import {
  ObservableBaseViewFragment,
  ObservableFederationBaseViewFragment,
} from './observable-base-view.fragment.generated';

@Pipe({ name: 'observableTypename' })
export class ObservableTypenamePipe implements PipeTransform {
  transform(observable?: ObservableBaseViewFragment | ObservableFederationBaseViewFragment): string {
    return formatObservableType(observable?.observableType ?? '');
  }
}
