import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { SentinelPipesModule } from '@sentinel/common/pipes';

import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { ObservableTableComponent } from './observable-table.component';

@NgModule({
  declarations: [ObservableTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    ObservableBaseViewModule,
    SentinelPipesModule,
  ],
  exports: [ObservableTableComponent],
})
export class ObservableTableModule {}
