import { Injectable } from '@angular/core';
import { toAuthPath } from '@orion/common';
import { CTI_ENTRIES_PATH, OBSERVABLES_PATH } from '@orion/observable-paths';

@Injectable()
export class CtiEntryNavigator {
  toDetail(id: string): string {
    return toAuthPath(`${OBSERVABLES_PATH}/${CTI_ENTRIES_PATH}/${id}`);
  }
}
