import { Injectable } from '@angular/core';
import { ObservableAbstractDetailResolver } from './observable-abstract-detail.resolver';
import { entityId, entityTitle } from '@orion/common';

@Injectable()
export class DomainToIpAddressObservableBreadcrumbResolver extends ObservableAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return `Domain to IP Address ${entityId(id)}`;
  }
}

@Injectable()
export class DomainToIpAddressObservableTitleResolver extends ObservableAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Domain to IP Address ');
  }
}
