import { Injectable } from '@angular/core';
import { ObservableAbstractDetailResolver } from './observable-abstract-detail.resolver';
import { entityId, entityTitle } from '@orion/common';

@Injectable()
export class EmailAddressObservableBreadcrumbResolver extends ObservableAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return `Email Address ${entityId(id)}`;
  }
}
@Injectable()
export class EmailAddressObservableTitleResolver extends ObservableAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Email Address');
  }
}
