import { Injectable } from '@angular/core';
import { ObservableAbstractDetailResolver } from './observable-abstract-detail.resolver';
import { entityId, entityTitle } from '@orion/common';

@Injectable()
export class EmailMessageObservableBreadcrumbResolver extends ObservableAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return `Email Message ${entityId(id)}`;
  }
}

@Injectable()
export class EmailMessageObservableTitleResolver extends ObservableAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Email Message');
  }
}
