import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CircuitTypeAssetOverviewPageModule } from '@orion/asset-components/circuit-type-overview';
import { CircuitTypeOverviewRoutingModule } from './circuit-type-overview-routing.module';
import { CircuitTypeAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, CircuitTypeAssetOverviewPageModule, CircuitTypeOverviewRoutingModule],
  providers: [CircuitTypeAssetBreadcrumbResolver],
})
export class CircuitTypeOverviewModule {}
