import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ProviderNetworkAssetOverviewPageModule } from '@orion/asset-components/provider-network-overview';
import { ProviderNetworkOverviewRoutingModule } from './provider-network-overview-routing.module';
import { ProviderNetworkAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, ProviderNetworkAssetOverviewPageModule, ProviderNetworkOverviewRoutingModule],
  providers: [ProviderNetworkAssetBreadcrumbResolver],
})
export class ProviderNetworkOverviewModule {}
