import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ProviderNetworkAssetOverviewPageModule } from '@orion/asset-components/provider-network-overview';
import { ProviderOverviewRoutingModule } from './provider-overview-routing.module';
import { ProviderAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, ProviderNetworkAssetOverviewPageModule, ProviderOverviewRoutingModule],
  providers: [ProviderAssetBreadcrumbResolver],
})
export class ProviderOverviewModule {}
