import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { DeviceAssetOverviewPageModule } from '@orion/asset-components/device-overview';
import { DeviceOverviewRoutingModule } from './device-overview-routing.module';
import { DeviceAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, DeviceAssetOverviewPageModule, DeviceOverviewRoutingModule],
  providers: [DeviceAssetBreadcrumbResolver],
})
export class DeviceOverviewModule {}
