import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { DeviceRoleAssetOverviewPageModule } from '@orion/asset-components/device-role-overview';
import { DeviceRoleOverviewRoutingModule } from './device-role-overview-routing.module';
import { DeviceRoleAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, DeviceRoleAssetOverviewPageModule, DeviceRoleOverviewRoutingModule],
  providers: [DeviceRoleAssetBreadcrumbResolver],
})
export class DeviceRoleOverviewModule {}
