import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FrontPortAssetOverviewPageModule } from '@orion/asset-components/front-port-overview';
import { FrontPortOverviewRoutingModule } from './front-port-overview-routing.module';
import { FrontPortAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, FrontPortAssetOverviewPageModule, FrontPortOverviewRoutingModule],
  providers: [FrontPortAssetBreadcrumbResolver],
})
export class FrontPortOverviewModule {}
