import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { InventoryItemAssetOverviewPageModule } from '@orion/asset-components/inventory-item-overview';
import { InventoryItemOverviewRoutingModule } from './inventory-item-overview-routing.module';
import { InventoryItemAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, InventoryItemAssetOverviewPageModule, InventoryItemOverviewRoutingModule],
  providers: [InventoryItemAssetBreadcrumbResolver],
})
export class InventoryItemOverviewModule {}
