import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ManufacturerAssetDetailPageModule } from '@orion/asset-components/manufacturer-detail';
import { ManufacturerDetailRoutingModule } from './manufacturer-detail-routing.module';
import { ManufacturerAssetTitleResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, ManufacturerAssetDetailPageModule, ManufacturerDetailRoutingModule],
  providers: [ManufacturerAssetTitleResolver],
})
export class ManufacturerDetailModule {}
