import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ManufacturerAssetOverviewPageModule } from '@orion/asset-components/manufacturer-overview';
import { ManufacturerOverviewRoutingModule } from './manufacturer-overview-routing.module';
import { ManufacturerAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, ManufacturerAssetOverviewPageModule, ManufacturerOverviewRoutingModule],
  providers: [ManufacturerAssetBreadcrumbResolver],
})
export class ManufacturerOverviewModule {}
