import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { VirtualChassisAssetOverviewPageModule } from '@orion/asset-components/virtual-chassis-overview';
import { VirtualChassisOverviewRoutingModule } from './virtual-chassis-overview-routing.module';
import { VirtualChassisAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, VirtualChassisAssetOverviewPageModule, VirtualChassisOverviewRoutingModule],
  providers: [VirtualChassisAssetBreadcrumbResolver],
})
export class VirtualChassisOverviewModule {}
