import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { IpRangeAssetOverviewPageModule } from '@orion/asset-components/ip-range-overview';
import { IpRangeOverviewRoutingModule } from './ip-range-overview-routing.module';
import { IpRangeAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, IpRangeAssetOverviewPageModule, IpRangeOverviewRoutingModule],
  providers: [IpRangeAssetBreadcrumbResolver],
})
export class IpRangeOverviewModule {}
