import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { VlanGroupAssetOverviewPageModule } from '@orion/asset-components/vlan-group-overview';
import { VlanGroupOverviewRoutingModule } from './vlan-group-overview-routing.module';
import { VlanGroupAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, VlanGroupAssetOverviewPageModule, VlanGroupOverviewRoutingModule],
  providers: [VlanGroupAssetBreadcrumbResolver],
})
export class VlanGroupOverviewModule {}
