import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { VrfAssetOverviewPageModule } from '@orion/asset-components/vrf-overview';

import { VrfOverviewRoutingModule } from './vrf-overview-routing.module';
import { VrfAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, VrfAssetOverviewPageModule, VrfOverviewRoutingModule],
  providers: [VrfAssetBreadcrumbResolver],
})
export class VrfOverviewModule {}
