import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RackReservationAssetOverviewPageModule } from '@orion/asset-components/rack-reservation-overview';
import { RackReservationOverviewRoutingModule } from './rack-reservation-overview-routing.module';
import { RackReservationAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, RackReservationAssetOverviewPageModule, RackReservationOverviewRoutingModule],
  providers: [RackReservationAssetBreadcrumbResolver],
})
export class RackReservationOverviewModule {}
