import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RegionAssetOverviewPageModule } from '@orion/asset-components/region-overview';
import { RegionOverviewRoutingModule } from './region-overview-routing.module';
import { RegionAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, RegionAssetOverviewPageModule, RegionOverviewRoutingModule],
  providers: [RegionAssetBreadcrumbResolver],
})
export class RegionOverviewModule {}
