import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TenantAssetOverviewPageModule } from '@orion/asset-components/tenant-overview';
import { TenantOverviewRoutingModule } from './tenant-overview-routing.module';
import { TenantAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, TenantAssetOverviewPageModule, TenantOverviewRoutingModule],
  providers: [TenantAssetBreadcrumbResolver],
})
export class TenantOverviewModule {}
