import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { PowerFeedAssetOverviewPageModule } from '@orion/asset-components/power-feed-overview';
import { PowerFeedOverviewRoutingModule } from './power-feed-overview-routing.module';
import { PowerFeedAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, PowerFeedAssetOverviewPageModule, PowerFeedOverviewRoutingModule],
  providers: [PowerFeedAssetBreadcrumbResolver],
})
export class PowerFeedOverviewModule {}
