import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { PowerPanelAssetOverviewPageModule } from '@orion/asset-components/power-panel-overview';
import { PowerPanelOverviewRoutingModule } from './power-panel-overview-routing.module';
import { PowerPanelAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, PowerPanelAssetOverviewPageModule, PowerPanelOverviewRoutingModule],
  providers: [PowerPanelAssetBreadcrumbResolver],
})
export class PowerPanelOverviewModule {}
