import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { VmAssetOverviewPageModule } from '@orion/asset-components/vm-overview';

import { VmOverviewRoutingModule } from './vm-overview-routing.module';
import { VmAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, VmAssetOverviewPageModule, VmOverviewRoutingModule],
  providers: [VmAssetBreadcrumbResolver],
})
export class VmOverviewModule {}
