import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { WirelessLanGroupAssetOverviewPageModule } from '@orion/asset-components/wireless-lan-group-overview';
import { WirelessLanGroupOverviewRoutingModule } from './wireless-lan-group-overview-routing.module';
import { WirelessLanGroupAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, WirelessLanGroupAssetOverviewPageModule, WirelessLanGroupOverviewRoutingModule],
  providers: [WirelessLanGroupAssetBreadcrumbResolver],
})
export class WirelessLanGroupOverviewModule {}
