import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { WirelessLanAssetOverviewPageModule } from '@orion/asset-components/wireless-lan-overview';
import { WirelessLanOverviewRoutingModule } from './wireless-lan-overview-routing.module';
import { WirelessLanAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, WirelessLanAssetOverviewPageModule, WirelessLanOverviewRoutingModule],
  providers: [WirelessLanAssetBreadcrumbResolver],
})
export class WirelessLanOverviewModule {}
