import { NgModule } from '@angular/core';
import { CaseDetailPageModule } from '@orion/case-components/detail';
import { ConfirmationGuard } from '@orion/shared-services';
import { StageNavigator } from '@orion/stage-services';
import { TaskNavigator } from '@orion/task-services';
import { WorkflowBreadcrumbResolver, WorkflowNavigator } from '@orion/workflow-services';
import { CaseDetailRoutingModule } from './case-detail-routing.module';
import { CaseTitleResolver } from '@orion/case-services';

@NgModule({
  imports: [CaseDetailPageModule, CaseDetailRoutingModule],
  providers: [
    CaseTitleResolver,
    WorkflowBreadcrumbResolver,
    ConfirmationGuard,
    WorkflowNavigator,
    StageNavigator,
    TaskNavigator,
  ],
})
export class CaseDetailModule {}
