import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CaseNavigator } from '@orion/case-services';
import { TaskNavigator } from '@orion/task-services';
import { DashboardRoutingModule } from './dashboard-routing.module';
import { DashboardPageModule } from '@orion/dashboard-components';

@NgModule({
  imports: [CommonModule, DashboardPageModule, DashboardRoutingModule],
  providers: [CaseNavigator, TaskNavigator],
})
export class DashboardModule {}
