import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ExternalReferenceDetailPageComponent } from '@orion/external-reference-components/detail';
import { ExternalReferenceTitleResolver } from '@orion/external-reference-services/resolvers';
import { EXTERNAL_REFERENCE_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: ExternalReferenceTitleResolver,
    component: ExternalReferenceDetailPageComponent,
    data: {
      headline: 'External Reference Detail',
      headlineIcon: EXTERNAL_REFERENCE_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ExternalReferenceDetailRoutingModule {}
