import { NgModule } from '@angular/core';
import { CaseNavigator } from '@orion/case-services';
import { ExternalReferenceDetailPageModule } from '@orion/external-reference-components/detail';
import { TaskNavigator } from '@orion/task-services';
import { ExternalReferenceDetailRoutingModule } from './external-reference-detail-routing.module';
import { ExternalReferenceTitleResolver } from '@orion/external-reference-services/resolvers';

@NgModule({
  imports: [ExternalReferenceDetailPageModule, ExternalReferenceDetailRoutingModule],
  providers: [CaseNavigator, TaskNavigator, ExternalReferenceTitleResolver],
})
export class ExternalReferenceDetailModule {}
