import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { IpFixOverviewPageComponent } from '@orion/data-platform-components-overview';
import { IPFIX_ICON } from '@orion/common';

const routes: Routes = [
  {
    title: 'IPFIX',
    path: '',
    component: IpFixOverviewPageComponent,
    data: {
      headline: 'IPFIX',
      headlineIcon: IPFIX_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class IpfixOverviewRoutingModule {}
