import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { SentinelNotificationDetailComponent, SentinelNotificationDetailModule } from '@sentinel/layout/notification';
import { entityTitle, NOTIFICATION_ICON } from '@orion/common';

@NgModule({
  imports: [
    SentinelNotificationDetailModule,
    RouterModule.forChild([
      {
        path: '',
        component: SentinelNotificationDetailComponent,
        title: entityTitle(undefined, 'Notification Detail'),
        data: {
          headline: 'Notification Detail',
          headlineIcon: NOTIFICATION_ICON,
        },
      },
    ]),
  ],
})
export class NotificationDetailModule {}
