import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CTI_ENTRY_ICON } from '@orion/common';
import { CtiEntryDetailPageComponent } from '@orion/observable-components/detail-cti-entry';
import { CtiEntryTitleResolver } from '@orion/observable-services';

const routes: Routes = [
  {
    path: '',
    title: CtiEntryTitleResolver,
    component: CtiEntryDetailPageComponent,
    data: {
      headline: 'CTI Entry Detail',
      headlineIcon: CTI_ENTRY_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CtiEntryDetailRoutingModule {}
