import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AliasDetailPageModule } from '@orion/ttps-components/detail-alias';
import { AliasTitleResolver, GroupNavigator, MalwareNavigator, ToolNavigator } from '@orion/ttps-services';
import { AliasDetailRoutingModule } from './alias-detail-routing.module';

@NgModule({
  imports: [CommonModule, AliasDetailPageModule, AliasDetailRoutingModule],
  providers: [AliasTitleResolver, ToolNavigator, GroupNavigator, MalwareNavigator],
})
export class AliasDetailModule {}
