import { NgModule } from '@angular/core';
import { GroupDetailPageModule } from '@orion/ttps-components/detail-group';
import {
  AliasNavigator,
  GroupTitleResolver,
  MalwareNavigator,
  ToolNavigator,
  TTPNavigator,
} from '@orion/ttps-services';
import { GroupDetailRoutingModule } from './group-detail-routing.module';

@NgModule({
  imports: [GroupDetailPageModule, GroupDetailRoutingModule],
  providers: [GroupTitleResolver, TTPNavigator, ToolNavigator, MalwareNavigator, AliasNavigator],
})
export class GroupDetailModule {}
