import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { MITIGATION_ICON } from '@orion/common';
import { MitigationDetailPageComponent } from '@orion/ttps-components/detail-mitigation';
import { MitigationTitleResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: MitigationTitleResolver,
    component: MitigationDetailPageComponent,
    data: {
      headline: 'Mitigation Detail',
      headlineIcon: MITIGATION_ICON,
    },
  },
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class MitigationDetailRoutingModule {}
