import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PLATFORM_ICON } from '@orion/common';
import { PlatformDetailPageComponent } from '@orion/ttps-components/detail-platform';
import { PlatformTitleResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    component: PlatformDetailPageComponent,
    title: PlatformTitleResolver,
    data: {
      headline: 'Platform Detail',
      headlineIcon: PLATFORM_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PlatformDetailRoutingModule {}
