import { NgModule } from '@angular/core';
import { TechniqueDetailPageModule } from '@orion/ttps-components/detail-technique';
import {
  GroupNavigator,
  MalwareNavigator,
  MitigationNavigator,
  PlatformNavigator,
  SubTechniqueBreadcrumbResolver,
  TechniqueTitleResolver,
  ToolNavigator,
  TTPNavigator,
} from '@orion/ttps-services';
import { TechniqueDetailRoutingModule } from './technique-detail-routing.module';

@NgModule({
  imports: [TechniqueDetailPageModule, TechniqueDetailRoutingModule],
  providers: [
    TTPNavigator,
    GroupNavigator,
    MalwareNavigator,
    MitigationNavigator,
    PlatformNavigator,
    ToolNavigator,
    TechniqueTitleResolver,
    SubTechniqueBreadcrumbResolver,
  ],
})
export class TechniqueDetailModule {}
