import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TOOL_ICON } from '@orion/common';
import { ToolDetailPageComponent } from '@orion/ttps-components/detail-tool';
import { ToolTitleResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: ToolTitleResolver,
    component: ToolDetailPageComponent,
    data: {
      headline: 'Tool Detail',
      headlineIcon: TOOL_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ToolDetailRoutingModule {}
