import { NgModule } from '@angular/core';
import { ToolDetailPageModule } from '@orion/ttps-components/detail-tool';
import {
  AliasNavigator,
  GroupNavigator,
  PlatformNavigator,
  ToolTitleResolver,
  TTPNavigator,
} from '@orion/ttps-services';
import { ToolDetailRoutingModule } from './tool-detail-routing.module';

@NgModule({
  imports: [ToolDetailPageModule, ToolDetailRoutingModule],
  providers: [ToolTitleResolver, TTPNavigator, GroupNavigator, PlatformNavigator, AliasNavigator],
})
export class ToolDetailModule {}
