import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { PlatformOverviewPageModule } from '@orion/ttps-components/platform-overview';
import { PlatformBreadcrumbResolver, PlatformNavigator } from '@orion/ttps-services';
import { PlatformOverviewRoutingModule } from './platform-overview-routing.module';

@NgModule({
  imports: [CommonModule, PlatformOverviewPageModule, PlatformOverviewRoutingModule],
  providers: [PlatformNavigator, PlatformBreadcrumbResolver],
})
export class PlatformOverviewModule {}
