import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TechniqueOverviewPageModule } from '@orion/ttps-components/technique-overview';
import { TechniqueBreadcrumbResolver, TTPNavigator } from '@orion/ttps-services';

import { TechniqueOverviewRoutingModule } from './technique-overview-routing.module';

@NgModule({
  imports: [CommonModule, TechniqueOverviewPageModule, TechniqueOverviewRoutingModule],
  providers: [TTPNavigator, TechniqueBreadcrumbResolver],
})
export class TechniqueOverviewModule {}
