import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ToolProcedureOverviewPageModule } from '@orion/ttps-components/tool-procedure-overview';
import { ToolProcedureBreadcrumbResolver, TTPNavigator } from '@orion/ttps-services';
import { ToolProcedureOverviewRoutingModule } from './tool-procedure-overview-routing.module';

@NgModule({
  imports: [CommonModule, ToolProcedureOverviewPageModule, ToolProcedureOverviewRoutingModule],
  providers: [TTPNavigator, ToolProcedureBreadcrumbResolver],
})
export class ToolProcedureOverviewModule {}
