import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TTPsOverviewPageModule } from '@orion/ttps-components/ttps-overview';
import { TTPsOverviewRoutingModule } from './ttps-overview-routing.module';
import {
  AliasBreadcrumbResolver,
  GroupBreadcrumbResolver,
  MalwareBreadcrumbResolver,
  ToolBreadcrumbResolver,
} from '@orion/ttps-services';

@NgModule({
  imports: [CommonModule, TTPsOverviewPageModule, TTPsOverviewRoutingModule],
  providers: [AliasBreadcrumbResolver, GroupBreadcrumbResolver, MalwareBreadcrumbResolver, ToolBreadcrumbResolver],
})
export class TTPsOverviewModule {}
