import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { UserAccountingDetailPageComponent } from '@orion/user-accounting-components/detail';
import { UserAccountingTitleResolver } from '@orion/user-accounting-services';
import { USER_ACCOUNTING_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: UserAccountingTitleResolver,
    component: UserAccountingDetailPageComponent,
    data: {
      headline: 'User Accounting Detail',
      headlineIcon: USER_ACCOUNTING_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class UserAccountingDetailRoutingModule {}
