import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { UserAccountingDetailPageModule } from '@orion/user-accounting-components/detail';
import { UserAccountingDetailRoutingModule } from './user-accounting-detail-routing.module';
import { TaskNavigator } from '@orion/task-services';
import { CaseNavigator } from '@orion/case-services';
import { UserAccountingTitleResolver } from '@orion/user-accounting-services';

@NgModule({
  imports: [CommonModule, UserAccountingDetailPageModule, UserAccountingDetailRoutingModule],
  providers: [TaskNavigator, CaseNavigator, UserAccountingTitleResolver],
})
export class UserAccountingDetailModule {}
