import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { UserAccountingOverviewPageModule } from '@orion/user-accounting-components/overview';
import { UserAccountingOverviewRoutingModule } from './user-accounting-overview.routing.module';
import { UserAccountingBreadcrumbResolver, UserAccountingNavigator } from '@orion/user-accounting-services';

@NgModule({
  imports: [CommonModule, UserAccountingOverviewPageModule, UserAccountingOverviewRoutingModule],
  providers: [UserAccountingNavigator, UserAccountingBreadcrumbResolver],
})
export class UserAccountingOverviewModule {}
