import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { UserDetailPageComponent } from '@orion/user-components/detail';
import { UserTitleResolver } from '@orion/user-services';
import { USER_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: UserTitleResolver,
    component: UserDetailPageComponent,
    data: {
      headline: 'User Detail',
      headlineIcon: USER_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class UserDetailRoutingModule {}
