import { NgModule } from '@angular/core';

import { EditWorkflowTemplateRoutingModule } from './edit-workflow-template-routing.module';
import { CreateEditWorkflowTemplatePageModule } from '@orion/workflow-template-components/create-edit';
import { ConfirmationGuard } from '@orion/shared-services';
import { WorkflowTemplateBreadcrumbResolver, WorkflowTemplateTitleResolver } from '@orion/workflow-template-services';

@NgModule({
  imports: [CreateEditWorkflowTemplatePageModule, EditWorkflowTemplateRoutingModule],
  providers: [ConfirmationGuard, WorkflowTemplateTitleResolver, WorkflowTemplateBreadcrumbResolver],
})
export class EditWorkflowTemplateModule {}
