import { AbstractControl, ValidationErrors, ValidatorFn } from '@angular/forms';

export const jsonValidator: ValidatorFn = (control: AbstractControl): ValidationErrors | null => {
  try {
    JSON.parse(control.value);
  } catch (e) {
    return { json: e };
  }
  return null;
};
