import { SentinelAuthConfig } from '@sentinel/auth';
import { SentinelConfig } from '@sentinel/common/dynamic-env';
import { ApiConfig } from './api';

export interface OrionAuthConfig extends SentinelAuthConfig {
  oidcProviderHeaderName: string;
  oidcProviderHeaderNameInterceptorAllowedUrls: string[];
}

export interface OrionConfig extends SentinelConfig {
  apiConfig: ApiConfig;
  authConfig: OrionAuthConfig;
}
