import { formatEnum } from './utils';

export const PATH_SEPARATOR = '-';

export function enumToPath(value: string): string {
  return formatEnum(value, PATH_SEPARATOR).toLowerCase();
}

export function pathToEnum(value: string): string {
  return value.split(PATH_SEPARATOR).join('_').toUpperCase();
}
