import { formatEnum } from './utils';

describe('Utils', () => {
  it('should format single word enum value', () => {
    const enumString = 'VALUE';
    const actual = formatEnum(enumString);
    expect(actual).toEqual(enumString);
  });

  it('should format multi word enum value', () => {
    const enumString = 'MULTI_WORD_ENUM_VALUE';
    const expected = 'MULTI WORD ENUM VALUE';
    const actual = formatEnum(enumString);
    expect(actual).toEqual(expected);
  });
});
