import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { SentinelControlItem } from '@sentinel/components/controls';

@Component({
  selector: 'orion-create-edit-entity-card',
  templateUrl: './create-edit-entity-card.component.html',
  styleUrls: ['./create-edit-entity-card.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CreateEditEntityCardComponent {
  @Input() controls: SentinelControlItem[] = [];
  @Input() isSaving = false;
  @Input() cardTitle?: string;
}
