import { ChangeDetectionStrategy, Component, Input } from '@angular/core';

export interface DashboardChart {
  name: string;
  series: DashboardChartElement[];
}

export interface DashboardChartElement {
  name: string;
  value: number;
}

@Component({
  selector: 'orion-dashboard-card-chart',
  templateUrl: './dashboard-card-chart.component.html',
  styleUrls: ['./dashboard-card-chart.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DashboardCardChartComponent {
  @Input() data?: DashboardChart;
}
