import { Directive, Self } from '@angular/core';
import { AreaChartComponent } from '@swimlane/ngx-charts';

@Directive({
  // no orion prefix as it is a directive matching library component
  // eslint-disable-next-line @angular-eslint/directive-selector
  selector: 'ngx-charts-area-chart[fullWidth]',
})
export class FullWidthAreaChartDirective {
  constructor(@Self() chart: AreaChartComponent) {
    chart.margin = [0, -5, 0, -5];
  }
}
