import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelSidebarCommonModule } from '@sentinel/layout/sidebar';
import { EntityDetailPageMainContentDirective } from './entity-detail-page-main-content.directive';
import { EntityDetailPageSidebarContentDirective } from './entity-detail-page-sidebar-content.directive';
import { EntityDetailPageComponent } from './entity-detail-page.component';

@NgModule({
  declarations: [
    EntityDetailPageComponent,
    EntityDetailPageMainContentDirective,
    EntityDetailPageSidebarContentDirective,
  ],
  imports: [CommonModule, OrionSkeletonLoadingModule, SentinelSidebarCommonModule],
  exports: [EntityDetailPageComponent, EntityDetailPageMainContentDirective, EntityDetailPageSidebarContentDirective],
})
export class EntityDetailPageModule {}
