import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { EntityFormModel } from '@orion/common';

@Component({
  selector: 'orion-entity-edit-form-inputs',
  templateUrl: './entity-edit-form-inputs.component.html',
  styleUrls: ['./entity-edit-form-inputs.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class EntityEditFormInputsComponent {
  @Input() fromGroup?: FormGroup<EntityFormModel>;
}
