import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { OrionSidebarElementDirective } from '@csirtmu-orion/microframework/sidebar';

@Component({
  selector: 'orion-entity-name-sidebar-element',
  templateUrl: './entity-name-sidebar-element.component.html',
  styleUrls: ['./entity-name-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class EntityNameSidebarElementComponent extends OrionSidebarElementDirective {
  @Input() collapsedStateName?: string;
  @Input() typename?: string;
  @Input() icon?: string;
  @Input() tooltip?: string;
}
