import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { EntityNameSidebarElementComponent } from './entity-name-sidebar-element.component';

@NgModule({
  declarations: [EntityNameSidebarElementComponent],
  imports: [CommonModule, SentinelPipesModule, OrionSidebarModule, OrionEntityNameModule],
  exports: [EntityNameSidebarElementComponent],
})
export class EntityNameSidebarElementModule {}
