import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { UserNameAndIconFragment } from '@orion/user-components/shared';

@Component({
  selector: 'orion-entity-subtitle',
  templateUrl: './entity-subtitle.component.html',
  styleUrls: ['./entity-subtitle.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class EntitySubtitleComponent {
  @Input() prefix = true;
  @Input() id?: string;
  @Input() created?: Date;
  @Input() createdBy?: UserNameAndIconFragment;
}
