import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { UsersModule } from '@orion/user-components/shared';
import { TimeagoModule } from 'ngx-timeago';
import { EntitySubtitleComponent } from './entity-subtitle.component';

@NgModule({
  declarations: [EntitySubtitleComponent],
  imports: [CommonModule, TimeagoModule, UsersModule],
  exports: [EntitySubtitleComponent],
})
export class EntitySubtitleModule {}
