import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { ASSET_ICON } from '@orion/common';

@Component({
  selector: 'orion-assets-tab-label',
  templateUrl: './assets-tab-label.component.html',
  styleUrls: ['./assets-tab-label.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AssetsTabLabelComponent {
  @Input() label = 'Assets';
  @Input() count?: number;
  icon = ASSET_ICON;
}
