import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { OBSERVABLE_ICON } from '@orion/common';

@Component({
  selector: 'orion-observables-tab-label',
  templateUrl: './observables-tab-label.component.html',
  styleUrls: ['./observables-tab-label.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ObservablesTabLabelComponent {
  @Input() label = 'Observables';
  @Input() count?: number;
  icon = OBSERVABLE_ICON;
}
