import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { EXTERNAL_REFERENCE_ICON } from '@orion/common';

@Component({
  selector: 'orion-references-tab-label',
  templateUrl: './external-references-tab-label.component.html',
  styleUrls: ['./external-references-tab-label.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ExternalReferencesTabLabelComponent {
  @Input() label = 'External References';
  @Input() count?: number;
  icon = EXTERNAL_REFERENCE_ICON;
}
