import { Injectable } from '@angular/core';
import { ApiConfig } from '../../common';

@Injectable({ providedIn: 'root' })
export class ApiContextService {
  private readonly _config: ApiConfig;

  get config(): ApiConfig {
    return this._config;
  }

  constructor(config: ApiConfig) {
    this._config = config;
  }
}
