import { gql } from 'apollo-angular';

export type StageDetailOverviewTabFragment = { __typename?: 'Stage'; id: string; description: string };

export type WorkflowDetailOverviewTabFragment = { __typename?: 'Workflow'; id: string; description: string };

export const StageDetailOverviewTabFragmentDoc = gql`
  fragment stageDetailOverviewTab on Stage {
    id
    description
  }
`;
export const WorkflowDetailOverviewTabFragmentDoc = gql`
  fragment workflowDetailOverviewTab on Workflow {
    id
    description
  }
`;
