import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import {
  StageDetailOverviewTabFragment,
  WorkflowDetailOverviewTabFragment,
} from './stage-or-workflow-detail-overview-tab.fragment.generated';

@Component({
  selector: 'orion-stage-or-workflow-overview-tab',
  templateUrl: './stage-or-workflow-overview-tab.component.html',
  styleUrls: ['./stage-or-workflow-overview-tab.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class StageOrWorkflowOverviewTabComponent {
  @Input() stageOrWorkflow?: StageDetailOverviewTabFragment | WorkflowDetailOverviewTabFragment;
  @Input() activeUserId?: string;
}
