import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ExternalReferenceOverviewModule } from '@orion/external-reference-components/overview';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { StageOrWorkflowExternalReferencesComponent } from './stage-or-workflow-external-references.component';

@NgModule({
  declarations: [StageOrWorkflowExternalReferencesComponent],
  imports: [CommonModule, ExternalReferenceOverviewModule, SentinelPipesModule],
  exports: [StageOrWorkflowExternalReferencesComponent],
})
export class StageOrWorkflowExternalReferencesModule {}
