import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedFlowEventsModule } from '@orion/event-components/related-flow-events';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { StageOrWorkflowRelatedEventsComponent } from './stage-or-workflow-related-events.component';

@NgModule({
  declarations: [StageOrWorkflowRelatedEventsComponent],
  imports: [CommonModule, RelatedFlowEventsModule, SentinelPipesModule],
  exports: [StageOrWorkflowRelatedEventsComponent],
})
export class StageOrWorkflowRelatedEventsModule {}
