import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedTTPsOverviewModule } from '@orion/ttps-components/related-ttps';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { StageOrWorkflowRelatedTTPsComponent } from './stage-or-workflow-related-ttps.component';

@NgModule({
  declarations: [StageOrWorkflowRelatedTTPsComponent],
  imports: [
    CommonModule,
    //RelatedTTPsOverviewModule,
    SentinelPipesModule,
    RelatedTTPsOverviewModule,
  ],
  exports: [StageOrWorkflowRelatedTTPsComponent],
})
export class StageOrWorkflowRelatedTTPsModule {}
