import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { StageOrWorkflowRelatedUsersComponent } from './stage-or-workflow-related-users.component';
import { RelatedUsersOverviewModule } from '@orion/user-accounting-components/related-users';

@NgModule({
  declarations: [StageOrWorkflowRelatedUsersComponent],
  imports: [CommonModule, RelatedUsersOverviewModule, SentinelPipesModule],
  exports: [StageOrWorkflowRelatedUsersComponent],
})
export class StageOrWorkflowRelatedUsersModule {}
