import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatTooltipModule } from '@angular/material/tooltip';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { StageOrWorkflowStateIconPipe } from './stage-or-workflow-state-icon.pipe';
import { StageOrWorkflowStateComponent } from './stage-or-workflow-state.component';
import { MatIconModule } from '@angular/material/icon';
import { StageOrWorkflowTooltipPipe } from './stage-or-workflow-tooltip.pipe';

@NgModule({
  declarations: [StageOrWorkflowStateComponent, StageOrWorkflowTooltipPipe, StageOrWorkflowStateIconPipe],
  imports: [CommonModule, SentinelPipesModule, MatIconModule, MatTooltipModule],
  exports: [StageOrWorkflowStateComponent],
})
export class StageOrWorkflowStateModule {}
