import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';
import { EntityEditModule } from '@orion/shared-components/entity-edit';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CreateStageFormComponent } from './create-stage';
import { CreateStagePageComponent } from './create-stage-page.component';

@NgModule({
  declarations: [CreateStagePageComponent, CreateStageFormComponent],
  imports: [CommonModule, CreateEditEntityModule, SentinelPipesModule, EntityEditModule, ReactiveFormsModule],
  exports: [CreateStagePageComponent],
})
export class CreateStagePageModule {}
