import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { ProgressModule } from '@orion/case-components/shared';
import { StageOverviewModule } from '@orion/stage-components/overview';
import { WorkflowNameModule } from '@orion/workflow-components/workflow-name';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { StagePanelComponent } from './stage-panel.component';

@NgModule({
  declarations: [StagePanelComponent],
  imports: [
    CommonModule,
    MatIconModule,
    OrionBadgeModule,
    ProgressModule,
    SentinelControlsModule,
    SentinelPipesModule,
    StageOverviewModule,
    OrionPanelModule,
    MatTooltipModule,
    WorkflowNameModule,
  ],
  exports: [StagePanelComponent],
})
export class StagePanelModule {}
