import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { StageNameFragment } from '@orion/stage-components/stage-name';
import { OrionSidebarElementDirective } from '@csirtmu-orion/microframework/sidebar';
import { STAGE_ICON } from '@orion/common';

@Component({
  selector: 'orion-stage-name-sidebar-element',
  templateUrl: './stage-name-sidebar-element.component.html',
  styleUrls: ['./stage-name-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class StageNameSidebarElementComponent extends OrionSidebarElementDirective {
  @Input() stage?: StageNameFragment;
  icon = STAGE_ICON;
}
