import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { StageNameFragment } from './stage-name.fragment.generated';

@Component({
  selector: 'orion-stage-name',
  templateUrl: './stage-name.component.html',
  styleUrls: ['./stage-name.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class StageNameComponent {
  @Input() withSubtitle = false;
  @Input() stage?: StageNameFragment;
  @Input() nameSuffix = '';
  @Input() maxLength = 45;
}
