import { Pipe, PipeTransform } from '@angular/core';
import { TaskRelationshipTypeEnum } from '@orion/graphql-types';
import { TaskListElementFragment } from '@orion/task-components/shared';
import { PredecessorPossibleRelationshipResolver } from './predecessor-possible-relationship-resolver';

@Pipe({
  name: 'predecessorPossibleRelationships',
})
export class PredecessorPossibleRelationshipsPipe implements PipeTransform {
  transform(predecessor: TaskListElementFragment | null | undefined): TaskRelationshipTypeEnum[] {
    if (predecessor === null || predecessor === undefined) {
      return [];
    } else {
      return PredecessorPossibleRelationshipResolver.resolve(predecessor);
    }
  }
}
