import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BlockedByPanelComponent } from './blocked-by-panel.component';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { MatIconModule } from '@angular/material/icon';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { TaskRelationshipTableModule } from '../task-relationship-table/task-relationship-table.module';

@NgModule({
  declarations: [BlockedByPanelComponent],
  imports: [CommonModule, OrionPanelModule, MatIconModule, OrionBadgeModule, TaskRelationshipTableModule],
  exports: [BlockedByPanelComponent],
})
export class BlockedByPanelModule {}
