import { Pipe, PipeTransform } from '@angular/core';
import { TaskIOTypenameOrEnum } from '@orion/task-types';

@Pipe({
  name: 'taskIOPrettifyType',
})
export class TaskIOPrettifyTypePipe implements PipeTransform {
  transform(value?: TaskIOTypenameOrEnum): string {
    if (value) {
      if (value.endsWith('InputOutput')) {
        return value.toString().split('InputOutput')[0];
      } else {
        return value.toString().split('_').join(' ').toLowerCase();
      }
    } else {
      return '';
    }
  }
}
