import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TaskRelationshipTableElementFragment = {
  __typename?: 'TaskRelationship';
  id: string;
  relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
  source: {
    __typename?: 'Task';
    id: string;
    name: string;
    created?: any | undefined;
    state?: SchemaTypes.TaskStateEnum | undefined;
    isDecision?: boolean | undefined;
    decision?: boolean | undefined;
    autotrigger?: boolean | undefined;
    isAutomated?: boolean | undefined;
    aggregatesResults?: boolean | undefined;
    stage: {
      __typename?: 'Stage';
      id: string;
      workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
    };
    createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  };
  target: {
    __typename?: 'Task';
    id: string;
    name: string;
    created?: any | undefined;
    state?: SchemaTypes.TaskStateEnum | undefined;
    isDecision?: boolean | undefined;
    decision?: boolean | undefined;
    autotrigger?: boolean | undefined;
    isAutomated?: boolean | undefined;
    aggregatesResults?: boolean | undefined;
    stage: {
      __typename?: 'Stage';
      id: string;
      workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
    };
    createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  };
};

export const TaskRelationshipTableElementFragmentDoc = gql`
  fragment taskRelationshipTableElement on TaskRelationship {
    id
    relationshipType
    source {
      ...taskName
      ...taskState
      ...taskFlags
    }
    target {
      ...taskName
      ...taskState
      ...taskFlags
    }
  }
`;
