import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetNavigator } from '@orion/asset-components/base-view';
import { RelatedAssetsModule } from '@orion/asset-components/related-assets';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { TaskRelatedAssetsComponent } from './task-related-assets.component';

@NgModule({
  declarations: [TaskRelatedAssetsComponent],
  imports: [CommonModule, SentinelPipesModule, RelatedAssetsModule],
  exports: [TaskRelatedAssetsComponent],
  providers: [AssetNavigator],
})
export class TaskRelatedAssetsModule {}
