import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedObservablesModule } from '@orion/observable-components/related-observables';
import { ObservableNavigator } from '@orion/observable-services';

import { SentinelPipesModule } from '@sentinel/common/pipes';
import { TaskRelatedObservablesComponent } from './task-related-observables.component';

@NgModule({
  declarations: [TaskRelatedObservablesComponent],
  imports: [CommonModule, RelatedObservablesModule, SentinelPipesModule],
  exports: [TaskRelatedObservablesComponent],
  providers: [ObservableNavigator],
})
export class TaskRelatedObservablesModule {}
