import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedTTPsOverviewModule } from '@orion/ttps-components/related-ttps';
import { TTPNavigator } from '@orion/ttps-services';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { TaskRelatedTTPsComponent } from './task-related-ttps.component';

@NgModule({
  declarations: [TaskRelatedTTPsComponent],
  imports: [CommonModule, RelatedTTPsOverviewModule, SentinelPipesModule],
  providers: [TTPNavigator],
  exports: [TaskRelatedTTPsComponent],
})
export class TaskRelatedTtpsModule {}
