import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { TaskTableFragment } from '@orion/task-components/overview';

@Component({
  selector: 'orion-related-tasks-overview',
  templateUrl: './related-tasks-overview.component.html',
  styleUrls: ['./related-tasks-overview.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RelatedTasksOverviewComponent extends EntityOverviewDirective<TaskTableFragment[]> {}
