import { gql } from 'apollo-angular';

export type TaskFlagsFragment = {
  __typename?: 'Task';
  autotrigger?: boolean | undefined;
  isAutomated?: boolean | undefined;
  isDecision?: boolean | undefined;
  aggregatesResults?: boolean | undefined;
};

export const TaskFlagsFragmentDoc = gql`
  fragment taskFlags on Task {
    autotrigger
    isAutomated
    isDecision
    aggregatesResults
  }
`;
