import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { TaskNameFragment } from './graphql';

@Component({
  selector: 'orion-task-name',
  templateUrl: './task-name.component.html',
  styleUrls: ['./task-name.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskNameComponent {
  @Input() withSubtitle = false;
  @Input() fullPath = false;
  @Input() task?: TaskNameFragment;
  @Input() maxLength = 45;
  @Input() withLink = true;
}
