import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { EntitySelectionDirective } from '@orion/shared-components/related-entity-overview';
import { TaskListElementFragment } from './task-list-element.fragment.generated';

@Component({
  selector: 'orion-task-selection',
  templateUrl: './task-selection.component.html',
  styleUrls: ['./task-selection.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskSelectionComponent extends EntitySelectionDirective<TaskListElementFragment> {
  @Input() taskFlagsMaxLength = 2;
}
