import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TaskStateFragment = {
  __typename?: 'Task';
  state?: SchemaTypes.TaskStateEnum | undefined;
  isDecision?: boolean | undefined;
  decision?: boolean | undefined;
};

export const TaskStateFragmentDoc = gql`
  fragment taskState on Task {
    state
    isDecision
    decision
  }
`;
