import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatTooltipModule } from '@angular/material/tooltip';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { TaskStateIconPipe } from './task-state-icon.pipe';
import { TaskStateTooltipPipe } from './task-state-tooltip.pipe';
import { TaskStateComponent } from './task-state.component';
import { MatIconModule } from '@angular/material/icon';

@NgModule({
  declarations: [TaskStateComponent, TaskStateIconPipe, TaskStateTooltipPipe],
  imports: [CommonModule, SentinelPipesModule, MatIconModule, MatTooltipModule],
  exports: [TaskStateComponent],
})
export class TaskStateModule {}
