import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { Optional } from '@sentinel/common/utils';
import { SubTechniquesTableFragment } from '../table';

@Component({
  selector: 'orion-sub-techniques-panel',
  templateUrl: './sub-techniques-panel.component.html',
  styleUrls: ['./sub-techniques-panel.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class SubTechniquesPanelComponent {
  @Input() subTechniques?: Optional<SubTechniquesTableFragment>[];
  @Input() panelTitle?: string;
}
