import { gql } from 'apollo-angular';

export type SubTechniquesTableFragment = {
  __typename?: 'Technique';
  description?: string | undefined;
  id: string;
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  name: string;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export const SubTechniquesTableFragmentDoc = gql`
  fragment subTechniquesTable on Technique {
    ...ttpId
    ...ttpName
    description
    subTechniqueOf {
      id
    }
  }
`;
