import { SubTechniquesTableFragment } from '@orion/ttps-components/detail-shared';
import { Column, Row, SentinelTable } from '@sentinel/components/table';

export class SubTechniquesTable extends SentinelTable<SubTechniquesTableFragment> {
  constructor(techniques: SubTechniquesTableFragment[]) {
    const columns = [new Column('name', 'Name', false), new Column('description', 'Description', false)];
    const rows = techniques.map((technique) => new Row(technique));
    super(rows, columns);
  }
}
