import { ChangeDetectionStrategy, Component } from '@angular/core';
import { ChildEntityInterfaceSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { TTPRelatedTasksService } from './ttp-related-tasks.service';
import { TaskTableFragment } from '@orion/task-components/overview';

@Component({
  selector: 'orion-ttp-related-tasks',
  templateUrl: './ttp-related-tasks.component.html',
  styleUrls: ['./ttp-related-tasks.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [TTPRelatedTasksService],
})
export class TTPRelatedTasksComponent extends ChildEntityInterfaceSmartOverviewDirective<TaskTableFragment, string> {
  constructor(protected relatedTaskService: TTPRelatedTasksService) {
    super(relatedTaskService);
  }
}
