import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedTasksOverviewModule } from '@orion/task-components/related-tasks';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { TTPRelatedTasksComponent } from './ttp-related-tasks.component';

@NgModule({
  declarations: [TTPRelatedTasksComponent],
  imports: [CommonModule, RelatedTasksOverviewModule, SentinelPipesModule],
  exports: [TTPRelatedTasksComponent],
})
export class TTPRelatedTasksModule {}
