import { gql } from 'apollo-angular';

export type TtpDetailTabsGroupProcedureFragment = {
  __typename?: 'GroupProcedure';
  id: string;
  ttpType?: string | undefined;
  description?: string | undefined;
};

export type TtpDetailTabsMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  id: string;
  ttpType?: string | undefined;
  description?: string | undefined;
};

export type TtpDetailTabsTacticFragment = {
  __typename?: 'Tactic';
  id: string;
  ttpType?: string | undefined;
  description?: string | undefined;
};

export type TtpDetailTabsTechniqueFragment = {
  __typename?: 'Technique';
  id: string;
  ttpType?: string | undefined;
  description?: string | undefined;
};

export type TtpDetailTabsToolProcedureFragment = {
  __typename?: 'ToolProcedure';
  id: string;
  ttpType?: string | undefined;
  description?: string | undefined;
};

export type TtpDetailTabsFragment =
  | TtpDetailTabsGroupProcedureFragment
  | TtpDetailTabsMalwareProcedureFragment
  | TtpDetailTabsTacticFragment
  | TtpDetailTabsTechniqueFragment
  | TtpDetailTabsToolProcedureFragment;

export const TtpDetailTabsFragmentDoc = gql`
  fragment ttpDetailTabs on ITTP {
    id
    ttpType
    ...ttpOverviewTab
  }
`;
