import { gql } from 'apollo-angular';

export type TtpOverviewTabGroupProcedureFragment = { __typename?: 'GroupProcedure'; description?: string | undefined };

export type TtpOverviewTabMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  description?: string | undefined;
};

export type TtpOverviewTabTacticFragment = { __typename?: 'Tactic'; description?: string | undefined };

export type TtpOverviewTabTechniqueFragment = { __typename?: 'Technique'; description?: string | undefined };

export type TtpOverviewTabToolProcedureFragment = { __typename?: 'ToolProcedure'; description?: string | undefined };

export type TtpOverviewTabFragment =
  | TtpOverviewTabGroupProcedureFragment
  | TtpOverviewTabMalwareProcedureFragment
  | TtpOverviewTabTacticFragment
  | TtpOverviewTabTechniqueFragment
  | TtpOverviewTabToolProcedureFragment;

export const TtpOverviewTabFragmentDoc = gql`
  fragment ttpOverviewTab on ITTP {
    description
  }
`;
