import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { TtpNameFragment } from '@orion/ttps-components/shared';

@Component({
  selector: 'orion-ttp-name-row',
  templateUrl: './ttp-name-row.component.html',
  styleUrls: ['./ttp-name-row.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TTPNameRowComponent {
  @Input() ttp?: TtpNameFragment;
  @Input() prefixSubTechniques = true;
}
