import { gql } from 'apollo-angular';

export type TtpSharedCardContentGroupProcedureFragment = {
  __typename?: 'GroupProcedure';
  created?: any | undefined;
  modified?: any | undefined;
};

export type TtpSharedCardContentMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  created?: any | undefined;
  modified?: any | undefined;
};

export type TtpSharedCardContentTacticFragment = {
  __typename?: 'Tactic';
  created?: any | undefined;
  modified?: any | undefined;
};

export type TtpSharedCardContentTechniqueFragment = {
  __typename?: 'Technique';
  created?: any | undefined;
  modified?: any | undefined;
};

export type TtpSharedCardContentToolProcedureFragment = {
  __typename?: 'ToolProcedure';
  created?: any | undefined;
  modified?: any | undefined;
};

export type TtpSharedCardContentFragment =
  | TtpSharedCardContentGroupProcedureFragment
  | TtpSharedCardContentMalwareProcedureFragment
  | TtpSharedCardContentTacticFragment
  | TtpSharedCardContentTechniqueFragment
  | TtpSharedCardContentToolProcedureFragment;

export const TtpSharedCardContentFragmentDoc = gql`
  fragment ttpSharedCardContent on ITTP {
    created
    modified
  }
`;
