import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { TTPSharedCardContentComponent } from './ttp-shared-card-content.component';

@NgModule({
  declarations: [TTPSharedCardContentComponent],
  imports: [CommonModule, SentinelPipesModule, OrionTimeAgoModule, OrionAttributeModule],
  exports: [TTPSharedCardContentComponent],
})
export class TTPSharedCardContentModule {}
