import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { AliasDetailService } from './alias-detail.service';
import { AliasDetailFragment } from './graphql';

@Component({
  selector: 'orion-alias-detail-page',
  templateUrl: './alias-detail-page.component.html',
  styleUrls: ['./alias-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [AliasDetailService],
})
export class AliasDetailPageComponent extends EntityDetailPageBaseDirective<AliasDetailFragment> {
  constructor(protected aliasService: AliasDetailService) {
    super(aliasService);
  }
}
