import { gql } from 'apollo-angular';

export type GroupProcedureCardInfoFragment = {
  __typename?: 'GroupProcedure';
  groupTechnique: {
    __typename?: 'Technique';
    isSubtechnique?: boolean | undefined;
    created?: any | undefined;
    ttpType?: string | undefined;
    id: string;
    name: string;
    subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
  };
  group: { __typename?: 'TTPGroup'; id: string; name: string };
};

export const GroupProcedureCardInfoFragmentDoc = gql`
  fragment groupProcedureCardInfo on GroupProcedure {
    groupTechnique {
      ...ttpName
    }
    group {
      id
      name
    }
  }
`;
