import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackById } from '@sentinel/common/utils';
import { GroupCardInfoFragment } from './group-card-info.fragment.generated';

@Component({
  selector: 'orion-group-card-info',
  templateUrl: './group-card-info.component.html',
  styleUrls: ['./group-card-info.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class GroupCardInfoComponent {
  @Input() group?: GroupCardInfoFragment;
  trackByFn = trackById;
}
