import { gql } from 'apollo-angular';

export type GroupCardInfoFragment = {
  __typename?: 'TTPGroup';
  id: string;
  modified?: any | undefined;
  created?: any | undefined;
  aliases?:
    | { __typename?: 'AliasNestedList'; data: Array<{ __typename?: 'Alias'; id: string; value: string }> }
    | undefined;
};

export const GroupCardInfoFragmentDoc = gql`
  fragment groupCardInfo on TTPGroup {
    id
    modified
    created
    aliases {
      data {
        id
        value
      }
    }
  }
`;
