import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackById } from '@sentinel/common/utils';
import { MitigationCardInfoFragment } from './mitigation-card-info.generated';

@Component({
  selector: 'orion-mitigation-card-info',
  templateUrl: './mitigation-card-info.component.html',
  styleUrls: ['./mitigation-card-info.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class MitigationCardInfoComponent {
  @Input() mitigation?: MitigationCardInfoFragment;
  trackByFn = trackById;
}
