import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { MitigationDetailFragment } from './graphql';
import { MitigationDetailService } from './mitigation-detail.service';

@Component({
  selector: 'orion-mitigation-detail-page',
  templateUrl: './mitigation-detail-page.component.html',
  styleUrls: ['./mitigation-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [MitigationDetailService],
})
export class MitigationDetailPageComponent extends EntityDetailPageBaseDirective<MitigationDetailFragment> {
  constructor(protected mitigationService: MitigationDetailService) {
    super(mitigationService);
  }
}
