import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { PlatformDetailFragment } from './graphql';
import { PlatformDetailService } from './platform-detail.service';

@Component({
  selector: 'orion-platform-detail-page',
  templateUrl: './platform-detail-page.component.html',
  styleUrls: ['./platform-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [PlatformDetailService],
})
export class PlatformDetailPageComponent extends EntityDetailPageBaseDirective<PlatformDetailFragment> {
  constructor(protected platformService: PlatformDetailService) {
    super(platformService);
  }
}
