import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackById } from '@sentinel/common/utils';
import { SubTechniqueCardFragment } from './sub-technique-card.fragment.generated';

@Component({
  selector: 'orion-sub-technique-card-content',
  templateUrl: './sub-technique-card-content.component.html',
  styleUrls: ['./sub-technique-card-content.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class SubTechniqueCardContentComponent {
  @Input() subTechnique?: SubTechniqueCardFragment;
  trackByFn = trackById;
}
