import { gql } from 'apollo-angular';

export type TechniqueCardFragment = {
  __typename?: 'Technique';
  created?: any | undefined;
  modified?: any | undefined;
  tactics?:
    | {
        __typename?: 'TacticNestedList';
        data: Array<{
          __typename?: 'Tactic';
          id: string;
          created?: any | undefined;
          ttpType?: string | undefined;
          name: string;
        }>;
      }
    | undefined;
};

export const TechniqueCardFragmentDoc = gql`
  fragment techniqueCard on Technique {
    ...ttpSharedCardContent
    tactics {
      data {
        id
        ...ttpName
      }
    }
  }
`;
