import { gql } from 'apollo-angular';

export type ToolProcedureDetailContentFragment = {
  __typename?: 'ToolProcedure';
  externalReferences?:
    | {
        __typename?: 'ExternalReferenceNestedList';
        data: Array<{
          __typename?: 'ExternalReference';
          id: string;
          url?: string | undefined;
          sourceName: string;
          description?: string | undefined;
        }>;
      }
    | undefined;
  tool: { __typename?: 'Tool'; id: string; name: string };
  toolTechnique: {
    __typename?: 'Technique';
    isSubtechnique?: boolean | undefined;
    created?: any | undefined;
    ttpType?: string | undefined;
    id: string;
    name: string;
    subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
  };
};

export const ToolProcedureDetailContentFragmentDoc = gql`
  fragment toolProcedureDetailContent on ToolProcedure {
    ...toolProcedureDetailCardInfo
    externalReferences {
      data {
        ...externalReferencesTableElement
      }
    }
  }
`;
