import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackById } from '@sentinel/common/utils';
import { ToolCardInfoFragment } from './tool-card-info.fragment.generated';

@Component({
  selector: 'orion-tool-card-info',
  templateUrl: './tool-card-info.component.html',
  styleUrls: ['./tool-card-info.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ToolCardInfoComponent {
  @Input() tool?: ToolCardInfoFragment;
  trackByFn = trackById;
}
