import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ToolDetailFragment } from './graphql';
import { ToolDetailService } from './tool-detail.service';

@Component({
  selector: 'orion-tool-detail-page',
  templateUrl: './tool-detail-page.component.html',
  styleUrls: ['./tool-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ToolDetailService],
})
export class ToolDetailPageComponent extends EntityDetailPageBaseDirective<ToolDetailFragment> {
  constructor(protected toolService: ToolDetailService) {
    super(toolService);
  }
}
