import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { TechniqueListItemFragment } from '../graphql/technique-list.fragment.generated';

@Component({
  selector: 'orion-techniques-list',
  templateUrl: './techniques-list.component.html',
  styleUrls: ['./techniques-list.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TechniquesListComponent {
  @Input() techniques?: TechniqueListItemFragment[];
}
