import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { TacticCardFragment } from '../graphql/tactic-card.fragment.generated';

@Component({
  selector: 'orion-tactic-cards',
  templateUrl: './tactic-cards.component.html',
  styleUrls: ['./tactic-cards.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TacticCardsComponent {
  @Input() tactics?: TacticCardFragment[];
  @Input() isLoading?: boolean;
  cardPlaceholders = [...Array(12).keys()];
}
