import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TechniqueFiltersModule } from '@orion/ttps-components/filters-technique';
import { TechniquesTableModule } from '@orion/ttps-components/techniques-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { TechniqueOverviewPageComponent } from './technique-overview-page.component';

@NgModule({
  declarations: [TechniqueOverviewPageComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    TechniquesTableModule,
    OrionFilterModule,
    TechniqueFiltersModule,
    OrionCardModule,
  ],
  exports: [TechniqueOverviewPageComponent],
})
export class TechniqueOverviewPageModule {}
