import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ToolProcedureFiltersModule } from '@orion/ttps-components/filters-tool-procedure';
import { ToolProceduresTableModule } from '@orion/ttps-components/tool-procedures-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { ToolProcedureOverviewPageComponent } from './tool-procedure-overview-page.component';

@NgModule({
  declarations: [ToolProcedureOverviewPageComponent],
  imports: [
    CommonModule,
    ToolProcedureFiltersModule,
    OrionFilterModule,
    SentinelPipesModule,
    OrionCardModule,
    ToolProceduresTableModule,
  ],
  exports: [ToolProcedureOverviewPageComponent],
})
export class ToolProcedureOverviewPageModule {}
