import { gql } from 'apollo-angular';

export type RelatedTtpGroupProcedureFragment = {
  __typename?: 'GroupProcedure';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type RelatedTtpMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type RelatedTtpTacticFragment = {
  __typename?: 'Tactic';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type RelatedTtpTechniqueFragment = {
  __typename?: 'Technique';
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  id: string;
  name: string;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export type RelatedTtpToolProcedureFragment = {
  __typename?: 'ToolProcedure';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type RelatedTtpFragment =
  | RelatedTtpGroupProcedureFragment
  | RelatedTtpMalwareProcedureFragment
  | RelatedTtpTacticFragment
  | RelatedTtpTechniqueFragment
  | RelatedTtpToolProcedureFragment;

export const RelatedTtpFragmentDoc = gql`
  fragment relatedTTP on TTPFederationBase {
    ...relatedTTPTableElement
  }
`;
