import { Column, Row, SentinelTable } from '@sentinel/components/table';
import { RelatedTtpTableElementFragment } from './related-ttp-table.fragment.generated';

export class RelatedTTPsTable extends SentinelTable<RelatedTtpTableElementFragment> {
  constructor(elements: RelatedTtpTableElementFragment[]) {
    const columns = [new Column('name', 'Name', false), new Column('type', 'Type', false)];
    const rows = elements.map((ttp) => new Row(ttp));
    super(rows, columns);
  }
}
