import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelResourceSelectorModule } from '@sentinel/components/resource-selector';
import { TTPNameModule } from '../ttp-name';
import { TTPsSelectionComponent } from './ttps-selection.component';

@NgModule({
  declarations: [TTPsSelectionComponent],
  imports: [CommonModule, SentinelResourceSelectorModule, TTPNameModule, SentinelPipesModule],
  exports: [TTPsSelectionComponent],
})
export class TTPsSelectionModule {}
