import { gql } from 'apollo-angular';

export type GroupsTableElementFragment = {
  __typename?: 'TTPGroup';
  id: string;
  name: string;
  description?: string | undefined;
};

export const GroupsTableElementFragmentDoc = gql`
  fragment groupsTableElement on TTPGroup {
    id
    name
    description
  }
`;
