import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TTPDescriptionModule, TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { GroupsTableComponent } from './groups-table.component';

@NgModule({
  declarations: [GroupsTableComponent],
  imports: [
    CommonModule,
    OrionSkeletonLoadingModule,
    SentinelTableModule,
    SentinelErrorModule,
    TTPDescriptionModule,
    OrionEntityNameModule,
    TTPNavigatorPipesModule,
  ],
  exports: [GroupsTableComponent],
})
export class GroupsTableModule {}
