import { gql } from 'apollo-angular';

export type MitigationsTableElementFragment = {
  __typename?: 'Mitigation';
  id: string;
  name: string;
  description?: string | undefined;
};

export const MitigationsTableElementFragmentDoc = gql`
  fragment mitigationsTableElement on Mitigation {
    id
    name
    description
  }
`;
