import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { PlatformsTableComponent } from './platforms-table.component';

@NgModule({
  declarations: [PlatformsTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    OrionEntityNameModule,
    TTPNavigatorPipesModule,
  ],
  exports: [PlatformsTableComponent],
})
export class PlatformsTableModule {}
