import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TTPDescriptionModule, TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { ToolsTableComponent } from './tools-table.component';

@NgModule({
  declarations: [ToolsTableComponent],
  imports: [
    CommonModule,
    TTPDescriptionModule,
    SentinelTableModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    TTPNavigatorPipesModule,
    OrionEntityNameModule,
  ],
  exports: [ToolsTableComponent],
})
export class ToolsTableModule {}
