import { Injectable } from '@angular/core';
import { toAuthPath } from '@orion/common';
import { ALIAS_PATH, TTP_PATH } from '@orion/ttps-paths';
import { RouterLinkCommands } from '@sentinel/common';

@Injectable()
export class AliasNavigator {
  toDetail(id: string): RouterLinkCommands {
    return toAuthPath(`${TTP_PATH}/${ALIAS_PATH}/${id}`);
  }
}
