import { Injectable } from '@angular/core';
import { toAuthPath } from '@orion/common';
import { MITIGATION_PATH, TTP_PATH } from '@orion/ttps-paths';
import { RouterLinkCommands } from '@sentinel/common';

@Injectable()
export class MitigationNavigator {
  toDetail(id: string): RouterLinkCommands {
    return toAuthPath(`${TTP_PATH}/${MITIGATION_PATH}/${id}`);
  }
}
