import { ChangeDetectionStrategy, Component } from '@angular/core';
import { ChildEntitySmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { UserAccountingRelatedTasksService } from './user-accounting-related-tasks.service';
import { TaskTableFragment } from '@orion/task-components/overview';

@Component({
  selector: 'orion-user-accounting-related-tasks',
  templateUrl: './user-accounting-related-tasks.component.html',
  styleUrls: ['./user-accounting-related-tasks.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [UserAccountingRelatedTasksService],
})
export class UserAccountingRelatedTasksComponent extends ChildEntitySmartOverviewDirective<TaskTableFragment> {
  constructor(protected relatedTasksService: UserAccountingRelatedTasksService) {
    super(relatedTasksService);
  }
}
