import { gql } from 'apollo-angular';

export type UserFlowsFragment = {
  __typename?: 'UserAccountingUserIPDataGroup';
  framedipaddress: string;
  userIntrospection?:
    | { __typename?: 'UserIntrospection'; firstName: string; lastName: string; email: string }
    | undefined;
  accounting: Array<{
    __typename?: 'UserAccountingUserIPData';
    id?: number | undefined;
    userId?: string | undefined;
    acctstarttimemilliseconds?: any | undefined;
    acctstoptimemilliseconds?: any | undefined;
    framedipaddress?: string | undefined;
    username?: string | undefined;
    acctinputoctets?: number | undefined;
    acctoutputoctets?: number | undefined;
    acctterminatecause?: number | undefined;
    calledstationid?: string | undefined;
    callingstationid?: string | undefined;
    chargeableuseridentity?: string | undefined;
    eapidentity?: string | undefined;
    nasidentifier?: string | undefined;
    nasipaddress?: string | undefined;
  }>;
};

export const UserFlowsFragmentDoc = gql`
  fragment userFlows on UserAccountingUserIPDataGroup {
    ...framedIpAddressPanel
  }
`;
