import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionDateRangeFormModule } from '@csirtmu-orion/microframework/date-range-forms';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { UserAccountingFilterComponent } from './user-accounting-filter.component';

@NgModule({
  declarations: [UserAccountingFilterComponent],
  imports: [CommonModule, OrionFilterModule, OrionDateRangeFormModule],
  exports: [UserAccountingFilterComponent],
})
export class UserAccountingFilterModule {}
