import { gql } from 'apollo-angular';

export type UserAccountingOverviewFragment = {
  __typename?: 'UserAccountingUserIPData';
  id?: number | undefined;
  userId?: string | undefined;
  acctstarttimemilliseconds?: any | undefined;
  acctstoptimemilliseconds?: any | undefined;
  framedipaddress?: string | undefined;
  username?: string | undefined;
  acctinputoctets?: number | undefined;
  acctoutputoctets?: number | undefined;
  acctterminatecause?: number | undefined;
  calledstationid?: string | undefined;
  callingstationid?: string | undefined;
  chargeableuseridentity?: string | undefined;
  eapidentity?: string | undefined;
  nasidentifier?: string | undefined;
  nasipaddress?: string | undefined;
};

export const UserAccountingOverviewFragmentDoc = gql`
  fragment userAccountingOverview on UserAccountingUserIPData {
    ...userAccountingTableElement
  }
`;
