import { ChangeDetectionStrategy, Component } from '@angular/core';
import { RelatedUsersClientFilter } from '@orion/user-accounting-types';
import { RelatedEntityOverviewDirective } from '@orion/shared-components/related-entity-overview';
import { RelatedUsersOverviewFragment } from './graphql';

@Component({
  selector: 'orion-related-users-overview',
  templateUrl: './related-users-overview.component.html',
  styleUrls: ['./related-users-overview.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RelatedUsersOverviewComponent extends RelatedEntityOverviewDirective<
  RelatedUsersOverviewFragment,
  RelatedUsersClientFilter
> {
  constructor() {
    super();
  }
}
