import { SimpleRowTable } from '@orion/common';
import { Column } from '@sentinel/components/table';
import { RelatedUsersTableElementFragment } from './related-users-table-element.fragment.generated';

export class RelatedUsersTable extends SimpleRowTable<RelatedUsersTableElementFragment> {
  constructor(resources: RelatedUsersTableElementFragment[]) {
    const columns = [
      new Column('username', 'Username', false),
      new Column('name', 'Name', false),
      new Column('email', 'Email', false),
    ];
    super(resources, columns);
  }
}
