import { NgModule } from '@angular/core';
import { UserAccountingNameComponent } from './user-accounting-name.component';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { UserAccountingNavigatorPipe } from './user-accounting-navigator.pipe';

@NgModule({
  declarations: [UserAccountingNameComponent, UserAccountingNavigatorPipe],
  exports: [UserAccountingNameComponent, UserAccountingNavigatorPipe],
  imports: [OrionEntityNameModule],
})
export class UserAccountingNameModule {}
