import { gql } from 'apollo-angular';

export type UserIntrospectionFragment = {
  __typename?: 'UserIntrospection';
  firstName: string;
  lastName: string;
  email: string;
};

export const UserIntrospectionFragmentDoc = gql`
  fragment userIntrospection on UserIntrospection {
    firstName
    lastName
    email
  }
`;
