import { Injectable } from '@angular/core';
import { toAuthPath } from '@orion/common';
import { USER_ACCOUNTING_PATH } from '@orion/user-accounting-paths';

@Injectable()
export class UserAccountingNavigator {
  toDetail(id: string, username: string): string {
    return toAuthPath(`${USER_ACCOUNTING_PATH}/${id}/${username}`);
  }
}
