import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { UsersModule } from '@orion/user-components/shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { UserDetailPageComponent } from './user-detail-page.component';
import { UserDetailHeaderComponent } from './user-page-header';
import { UserTabsModule } from './user-tabs';

@NgModule({
  declarations: [UserDetailPageComponent, UserDetailHeaderComponent],
  imports: [CommonModule, SentinelPipesModule, UserTabsModule, SLetModule, UsersModule],
  exports: [UserDetailPageComponent],
})
export class UserDetailPageModule {}
