import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { UserNameAndIconFragment } from '@orion/user-components/shared';

@Component({
  selector: 'orion-user-detail-header',
  templateUrl: './user-detail-header.component.html',
  styleUrls: ['./user-detail-header.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UserDetailHeaderComponent {
  @Input() user?: UserNameAndIconFragment;
}
