import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TasksOverviewModule } from '@orion/task-components/overview';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { UserTasksComponent } from './user-tasks.component';

@NgModule({
  declarations: [UserTasksComponent],
  imports: [CommonModule, OrionCardModule, SentinelPipesModule, TasksOverviewModule],
  exports: [UserTasksComponent],
})
export class UserTasksModule {}
