import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TimeagoModule } from 'ngx-timeago';
import { UsersModule } from '../users.module';
import { EntityToolbarInfoComponent } from './entity-toolbar-info.component';
import { MatIconModule } from '@angular/material/icon';

@NgModule({
  declarations: [EntityToolbarInfoComponent],
  imports: [CommonModule, UsersModule, TimeagoModule, MatIconModule],
  exports: [EntityToolbarInfoComponent],
})
export class EntityToolbarInfoModule {}
