import { gql } from 'apollo-angular';

export type WorkflowTemplateOverviewFragment = {
  __typename?: 'WorkflowTemplate';
  id: string;
  name: string;
  description: string;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  template?: string | undefined;
  src: string;
};

export const WorkflowTemplateOverviewFragmentDoc = gql`
  fragment workflowTemplateOverview on WorkflowTemplate {
    ...workflowTemplateTableElement
  }
`;
