import { gql } from 'apollo-angular';

export type WorkflowTemplateTableElementFragment = {
  __typename?: 'WorkflowTemplate';
  id: string;
  name: string;
  description: string;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  template?: string | undefined;
  src: string;
};

export const WorkflowTemplateTableElementFragmentDoc = gql`
  fragment workflowTemplateTableElement on WorkflowTemplate {
    id
    name
    description
    created
    lastUpdated
    template
    src
  }
`;
