import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';
import { EntityEditModule } from '@orion/shared-components/entity-edit';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CreateWorkflowFormComponent } from './create-workflow-form';
import { CreateWorkflowPageComponent } from './create-workflow-page.component';

@NgModule({
  declarations: [CreateWorkflowPageComponent, CreateWorkflowFormComponent],
  imports: [CommonModule, CreateEditEntityModule, SentinelPipesModule, EntityEditModule, ReactiveFormsModule],
  exports: [CreateWorkflowPageComponent],
})
export class CreateWorkflowPageModule {}
