import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { WorkflowNameFragment } from '@orion/workflow-components/workflow-name';
import { OrionSidebarElementComponent } from '@csirtmu-orion/microframework/sidebar';
import { WORKFLOW_ICON } from '@orion/common';

@Component({
  selector: 'orion-workflow-name-sidebar-element',
  templateUrl: './workflow-name-sidebar-element.component.html',
  styleUrls: ['./workflow-name-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class WorkflowNameSidebarElementComponent extends OrionSidebarElementComponent {
  @Input() workflow?: WorkflowNameFragment;
  icon = WORKFLOW_ICON;
}
