import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { WorkflowNameFragment } from './workflow-name.fragment.generated';

@Component({
  selector: 'orion-workflow-name',
  templateUrl: './workflow-name.component.html',
  styleUrls: ['./workflow-name.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class WorkflowNameComponent {
  @Input() withSubtitle = false;
  @Input() workflow?: WorkflowNameFragment;
  @Input() maxLength = 45;
}
