import { gql } from 'apollo-angular';

export type WorkflowNameFragment = {
  __typename?: 'Workflow';
  id: string;
  name: string;
  created?: any | undefined;
  case: {
    __typename?: 'Case';
    id: string;
    name: string;
    created?: any | undefined;
    createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  };
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const WorkflowNameFragmentDoc = gql`
  fragment workflowName on Workflow {
    id
    name
    case {
      ...caseName
    }
    created
    createdBy {
      ...userNameAndIcon
    }
  }
`;
