import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntitySubtitleModule } from '@orion/shared-components/entity-subtitle';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { WorkflowNameComponent } from './workflow-name.component';
import { WorkflowNavigatorPipe } from './workflow-navigator.pipe';

@NgModule({
  declarations: [WorkflowNameComponent, WorkflowNavigatorPipe],
  imports: [CommonModule, OrionEntityNameModule, EntitySubtitleModule],
  exports: [WorkflowNameComponent, WorkflowNavigatorPipe],
})
export class WorkflowNameModule {}
