import { enableProdMode } from '@angular/core';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { OrionConfig } from '@orion/common';
import { SentinelBootstrapper } from '@sentinel/common/dynamic-env';
import { AppModule } from './app/app.module';
import { environment } from './environments/environment';

if (environment.production) {
  enableProdMode();
}

SentinelBootstrapper.bootstrap<AppModule, OrionConfig>('assets/orion-config.json', AppModule, platformBrowserDynamic());
