import * as Apollo from 'apollo-angular';
import { ApolloEntitiesBaseService } from './apollo-entities-base.service';
import { ApolloQueryServiceOptions } from './apollo-query.service';

export abstract class ApolloEntitiesService<Query, QueryVariables, Fragment> extends ApolloEntitiesBaseService<
  Query,
  QueryVariables,
  Fragment
> {
  protected constructor(
    public override getQuery: Apollo.Query<Query, QueryVariables>,
    operationName: string,
    options?: ApolloQueryServiceOptions
  ) {
    super(getQuery, operationName, options);
    this.initialize();
  }
}
