import * as Apollo from 'apollo-angular';
import { ApolloPaginatedDmtService } from './apollo-paginated-dmt.service';
import { ApolloQueryServiceOptions } from '../general/apollo-query.service';

export abstract class ApolloPaginatedService<
  QueryData,
  QueryVariables,
  Fragment,
  OrderableBy
> extends ApolloPaginatedDmtService<QueryData, QueryVariables, Fragment, OrderableBy> {
  protected constructor(
    public override getQuery: Apollo.Query<QueryData, QueryVariables>,
    operationName: string,
    options?: ApolloQueryServiceOptions
  ) {
    super(getQuery, operationName, options);
  }
}
