# Orion Badge Component

Orion Badge Component is a component for displaying a badge with an injected template.

## Usage

To use in your application:

1. In your module, import `OrionBadgeModule`
2. In your component's template
```
<orion-badge color="primary">100</orion-badge>
```
3. Provide a theme for badge component mixin by adding `@include orion-badge-theme($your-theme-var);` to your `theme.scss` file. For more info see [material theming](https://material.angular.io/guide/theming).
