import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { ThemePalette } from '@angular/material/core';

@Component({
  selector: 'orion-button-with-icon',
  templateUrl: './orion-button-with-icon.component.html',
  styleUrls: ['./orion-button-with-icon.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionButtonWithIconComponent {
  @Input() icon = '';
  @Input() iconAlign: 'left' | 'right' = 'left';
  @Input() tooltip = '';
  @Input() color: ThemePalette;
  @Input() disabled = false;
  @Input() padded = true;
}
