import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatCardModule } from '@angular/material/card';
import { MatIconModule } from '@angular/material/icon';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelLoadingModule } from '@sentinel/components/loading';
import { OrionCardActionsDirective } from './orion-card-actions.directive';
import { OrionCardComponent } from './orion-card.component';

@NgModule({
  declarations: [OrionCardComponent, OrionCardActionsDirective],
  imports: [CommonModule, MatCardModule, MatIconModule, SentinelControlsModule, SentinelLoadingModule],
  exports: [OrionCardComponent, OrionCardActionsDirective],
})
export class OrionCardModule {}
