# Orion Editable Date Component

Orion Editable Date Component is a component for projecting and switching templates for displaying date and date editing components.

## Features

- Switch states between display and edit
- Displays date and date edit predefined components
- Displays edit icon in display mode
- Validate max and min date
- Emits selected date on save event

## Usage

To use in your application:

1. In your module, import `OrionEditableDateModule`
2. In your component's template
```
<orion-editable-date (save)="onSave($event)"></orion-editable-date>
```
