import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatNativeDateModule } from '@angular/material/core';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { OrionDateFormModule } from '@csirtmu-orion/microframework/date-form';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEditableComponentModule } from '@csirtmu-orion/microframework/editable';
import { OrionEditableDateComponent } from './orion-editable-date.component';

@NgModule({
  declarations: [OrionEditableDateComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    MatDatepickerModule,
    OrionEditableComponentModule,
    MatFormFieldModule,
    MatDatepickerModule,
    MatNativeDateModule,
    MatInputModule,
    MatButtonModule,
    MatIconModule,
    SentinelPipesModule,
    OrionDateFormModule,
  ],
  exports: [OrionEditableDateComponent],
})
export class OrionEditableDateModule {}
