import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { EditableDisplayModeContentDirective } from './editable-display-mode-content.directive';
import { EditableEditModeContentDirective } from './editable-edit-mode-content.directive';
import { OrionEditableComponent } from './orion-editable.component';

@NgModule({
  declarations: [OrionEditableComponent, EditableDisplayModeContentDirective, EditableEditModeContentDirective],
  imports: [CommonModule, MatButtonModule, MatIconModule, SentinelPipesModule],
  exports: [OrionEditableComponent, EditableDisplayModeContentDirective, EditableEditModeContentDirective],
})
export class OrionEditableComponentModule {}
