# Orion Enumeration Select Component

Orion Enumeration Select Component is a simple configurable select component.

## Features

- Creates select component from enum values
- Material form appearance
- Label
- Emits event on selection change

## Usage

To use in your application:

1. In your module, import `OrionEnumerationSelectModule`
2. In your component's template
```
<orion-enumeration-select
    label="Select your favourite animal"
    noOptionLabel="None"
    matFormAppearance="standart"
    [noOptionPossible]="true"
    (selectedChange)="onAnimalChange($event)">
</orion-enumeration-select>
```
