import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatSelectModule } from '@angular/material/select';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEnumerationSelectComponent } from './orion-enumeration-select.component';

@NgModule({
  declarations: [OrionEnumerationSelectComponent],
  imports: [CommonModule, FormsModule, ReactiveFormsModule, SentinelPipesModule, MatSelectModule, MatFormFieldModule],
  exports: [OrionEnumerationSelectComponent],
})
export class OrionEnumerationSelectModule {}
