import { DmtQueryOrder } from './dmt-order';

export class DmtOrderingConverter {
  static fromSingleSort<OrderableBy>(sort?: OrderableBy, sortDir?: string): DmtQueryOrder<OrderableBy> {
    if (sort && sortDir) {
      return { order: [{ o: sort, desc: sortDir === 'desc' }] };
    } else {
      return {};
    }
  }
}
