# Orion Inline List Component

Orion Inline List Component is component displaying list of generic objects as inline list. It can display the list element as projected template.

## Features

- Displays inline list
- Custom projected template or default template (suitable for string, number values)
- Customizable separator

## Usage

To use in your application:

1. In your module, import `OrionInlineListModule`
2. In your component's template
```
<orion-inline-list [elements]="elements">
      <ng-container *orionInlineListElement="elementTemplate"></ng-container>
</orion-inline-list>
<ng-template #elementTemplate let-element>
  <orion-entity-name [name]="element.value" [routerLinkCommands]="element.id"></orion-entity-name>
</ng-template>
```
