import { Directive, Input, TemplateRef } from '@angular/core';
import { Optional } from '@sentinel/common/utils';

@Directive({
  selector: '[orionInlineListElement]',
})
export class OrionInlineListElementDirective {
  private _template?: TemplateRef<unknown>;

  @Input()
  set orionInlineListElement(templateRef: TemplateRef<unknown>) {
    this._template = templateRef;
  }

  get template(): Optional<TemplateRef<unknown>> {
    return this._template;
  }
}
