import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';

@Component({
  selector: 'orion-key-value-list',
  templateUrl: './orion-key-value-list.component.html',
  styleUrls: ['./orion-key-value-list.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionKeyValueListComponent {
  @Input() entries?: [string, string][] = [];
  @Input() inline = false;
  @Input() separator = ':';
  trackBy = trackByIndex;
}
