import { ChangeDetectionStrategy, Component, Input } from '@angular/core';

@Component({
  selector: 'orion-sidebar-skeleton-wrapper',
  templateUrl: './orion-sidebar-skeleton-wrapper.component.html',
  styleUrls: ['./orion-sidebar-skeleton-wrapper.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionSidebarSkeletonWrapperComponent {
  @Input() isLoading?: boolean;
  @Input() hasError?: boolean;
  @Input() elementsCount = 6;
}
