import { ChangeDetectionStrategy, Component, Input } from '@angular/core';

@Component({
  selector: 'orion-table-wrapper-skeleton',
  templateUrl: './orion-table-wrapper-skeleton.component.html',
  styleUrls: ['./orion-table-wrapper-skeleton.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionTableWrapperSkeletonComponent {
  @Input() columnsCount = 5;
  @Input() rowsCount = 10;
  @Input() withActions = false;
  @Input() withPagination = false;
  @Input() isLoading? = false;
}
