import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { OrionSkeletonLoadingTheme } from '../skeleton-theme';

@Component({
  selector: 'orion-text-skeleton',
  templateUrl: './orion-text-skeleton.component.html',
  styleUrls: ['./orion-text-skeleton.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionTextSkeletonComponent {
  @Input() lineCount = 4;
  @Input() theme?: OrionSkeletonLoadingTheme;
}
