export enum TreeRootEventType {
  HAS_MORE,
  ERROR,
  LOADING,
}

export enum TreeRootEventSource {
  INIT_LOAD,
  LOAD_MORE,
}

export class TreeRootEvent {
  value: boolean;
  type: TreeRootEventType;
  source: TreeRootEventSource;

  constructor(value: boolean, type: TreeRootEventType, source: TreeRootEventSource) {
    this.value = value;
    this.type = type;
    this.source = source;
  }
}
