import { Directive, ViewChild } from '@angular/core';
import { MatExpansionPanel } from '@angular/material/expansion';
import { Destroyable } from '@sentinel/common';

@Directive()
export abstract class OrionPanelDirective extends Destroyable() {
  @ViewChild(MatExpansionPanel) panel?: MatExpansionPanel;

  handleActionSelected(): void {
    this.panel?.open();
  }
}
