import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { SidebarState } from '@sentinel/layout/sidebar';

@Component({
  selector: 'orion-sidebar-content',
  templateUrl: './orion-sidebar-content.component.html',
  styleUrls: ['./orion-sidebar-content.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionSidebarContentComponent {
  @Input() state: SidebarState = 'expanded';
}
