import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { OrionSidebarElementDirective } from './orion-sidebar-element.directive';

@Component({
  selector: 'orion-sidebar-element',
  templateUrl: './orion-sidebar-element.component.html',
  styleUrls: ['./orion-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionSidebarElementComponent extends OrionSidebarElementDirective {
  @Input() name?: string;
  @Input() inline = false;
  @Input() withDivider = true;
}
