import { ChangeDetectionStrategy, Component, Input } from '@angular/core';

@Component({
  selector: 'orion-tab-label',
  templateUrl: './orion-tab-label.component.html',
  styleUrls: ['./orion-tab-label.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionTabLabelComponent {
  @Input() icon?: string;
  @Input() label?: string;
  @Input() badge?: string | number;
}
