# Orion Upload Files Components

Orion Upload Files Components is collection of components for handling file upload

## Features

- File upload using system wizard or drag & drop
- Upload of single or multiple files
- Dumb component, you have to provide your own file upload logic

## Usage

You can either use the main `OrionUploadFilesComponent` which contains
smaller components for file upload (upload selection, selected files list, upload actions)
wrapped in `OrionCardComponent`. However, if you wish to compose the components into
different UI element, it is possible to use the individual components as well.

To use in your application:

1. In your module, import `OrionUploadFilesModule`
2. In your component's template
```
<orion-upload-files
  [disabled]="uploadInProgress$ | sAsync: false"
  [multiple]="false"
  (upload)="upload($event)"
  (cancel)="cancel()"
>
</orion-upload-files>
```
