import { ApolloQueryResult } from '@apollo/client/core';
import * as Apollo from 'apollo-angular';
import { ApolloQueryService, ApolloQueryServiceOptions } from './apollo-query.service';
export declare abstract class ApolloEntitiesBaseService<Query, QueryVariables, Fragment> extends ApolloQueryService<Query, QueryVariables, Fragment[]> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
    protected abstract toFragments(query: Query): Fragment[];
    protected toData(queryRes: ApolloQueryResult<Query>): Fragment[];
}
