import { Identifiable } from '@sentinel/common/entity';
import * as Apollo from 'apollo-angular';
import { ApolloEntityBaseService } from './apollo-entity-base.service';
import { ApolloQueryServiceOptions } from './apollo-query.service';
export declare abstract class ApolloEntityService<Query, QueryVariables, Entity extends Identifiable> extends ApolloEntityBaseService<Query, QueryVariables, Entity> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    protected initialized: boolean;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
}
