import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { DialogData } from '../../model/bug-report-dialog-data.component';
import { CanvasDrawService } from '../../service/canvas-draw.service';
import * as i0 from "@angular/core";
export declare class ScreenshotDialogComponent implements OnInit {
    dialogRef: MatDialogRef<ScreenshotDialogComponent>;
    private canvasDrawService;
    data: DialogData;
    ctx: CanvasRenderingContext2D;
    screenshotCopy: HTMLImageElement;
    constructor(dialogRef: MatDialogRef<ScreenshotDialogComponent>, canvasDrawService: CanvasDrawService, data: DialogData);
    ngOnInit(): void;
    insertCanvas(): void;
    resetDrawing(): void;
    closeDialog(): void;
    /**
     * Return changed screenshot to parent dialogs
     */
    saveChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScreenshotDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ScreenshotDialogComponent, "sentinel-screenshot-dialog", never, {}, {}, never, never, false>;
}
