import * as i0 from "@angular/core";
import * as i1 from "./user-menu/user-menu.component";
import * as i2 from "./loading/loading.component";
import * as i3 from "./toolbar/toolbar.component";
import * as i4 from "./nav/nav.component";
import * as i5 from "./nav/nav-elements/agenda-element/agenda-element.component";
import * as i6 from "./nav/nav-elements/nested-agenda-container/nested-agenda-container.component";
import * as i7 from "./nav/nav-elements/root-agenda-container/root-agenda-container.component";
import * as i8 from "./nav/nav-elements/nav-elements.component";
import * as i9 from "./scroll-container/scroll-container.component";
import * as i10 from "@angular/common";
import * as i11 from "@angular/router";
import * as i12 from "./layout-common-components-material.module";
import * as i13 from "@sentinel/layout/user-card";
import * as i14 from "@sentinel/layout/breadcrumbs";
import * as i15 from "@sentinel/layout/sidebar";
import * as i16 from "@sentinel/layout/notification";
export declare class LayoutCommonComponentsSansProvidersModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutCommonComponentsSansProvidersModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<LayoutCommonComponentsSansProvidersModule, [typeof i1.UserMenuComponent, typeof i2.LoadingComponent, typeof i3.ToolbarComponent, typeof i4.NavComponent, typeof i5.AgendaElementComponent, typeof i6.NestedAgendaContainerComponent, typeof i7.RootAgendaContainerComponent, typeof i8.NavElementsComponent, typeof i9.ScrollContainerComponent], [typeof i10.CommonModule, typeof i11.RouterModule, typeof i12.LayoutCommonComponentsMaterialModule, typeof i13.SentinelUserCardModule, typeof i14.SentinelBreadcrumbsModule, typeof i15.SentinelSidebarPageLayoutModule, typeof i16.NotificationSansProvidersModule], [typeof i1.UserMenuComponent, typeof i2.LoadingComponent, typeof i3.ToolbarComponent, typeof i4.NavComponent, typeof i5.AgendaElementComponent, typeof i6.NestedAgendaContainerComponent, typeof i7.RootAgendaContainerComponent, typeof i8.NavElementsComponent, typeof i9.ScrollContainerComponent, typeof i16.NotificationSansProvidersModule, typeof i12.LayoutCommonComponentsMaterialModule, typeof i13.SentinelUserCardModule, typeof i14.SentinelBreadcrumbsModule, typeof i15.SentinelSidebarPageLayoutModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<LayoutCommonComponentsSansProvidersModule>;
}
/**
 * Module containing layout components and services
 */
export declare class LayoutCommonComponentsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutCommonComponentsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<LayoutCommonComponentsModule, never, [typeof LayoutCommonComponentsSansProvidersModule, typeof i16.NotificationProvidersModule], [typeof LayoutCommonComponentsSansProvidersModule, typeof i16.NotificationProvidersModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<LayoutCommonComponentsModule>;
}
