import { BaseDirective } from '@sentinel/layout/internal';
import * as i0 from "@angular/core";
export declare class ScrollContainerComponent extends BaseDirective {
    scrollContent: any;
    showScrollDown: boolean;
    showScrollUp: boolean;
    scrollDownBelowToolbar: boolean;
    onWindowScroll(): void;
    clear(): void;
    /**
     * Scroll to bottom of the page.
     */
    scrollToBottom(): void;
    /**
     * Scroll to top of the page.
     */
    scrollToTop(): void;
    /**
     * Enable or disable scrolling buttons.
     */
    private onScroll;
    /**
     * Scroll to the given position.
     * @param element HTML element
     * @param position position
     */
    private scrollTo;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ScrollContainerComponent, "sentinel-scroll-container", never, {}, {}, never, ["*"], false>;
}
