import { EventEmitter } from '@angular/core';
import { SentinelControlItem } from '../model/sentinel-control-item';
import { SentinelControlMenuItem } from '../model/sentinel-control-menu-item';
import { SentinelExpandableControlItem } from '../model/sentinel-expandable-control-item';
import { trackById } from '@sentinel/common/utils';
import { SentinelControlsButtonStyle } from '@sentinel/components/config';
import * as i0 from "@angular/core";
export declare class ExpandableControlItemComponent {
    readonly LOADING_STROKE_WIDTH = 3;
    readonly LOADING_DIAMETER = 25;
    expandableControlItem: SentinelExpandableControlItem;
    buttonStyle?: SentinelControlsButtonStyle;
    inMenu: boolean;
    titlecased?: boolean;
    itemClicked: EventEmitter<SentinelControlItem>;
    trackByFn: typeof trackById;
    onAction(control: SentinelControlMenuItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpandableControlItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExpandableControlItemComponent, "sentinel-expandable-control-item", never, { "expandableControlItem": "expandableControlItem"; "buttonStyle": "buttonStyle"; "inMenu": "inMenu"; "titlecased": "titlecased"; }, { "itemClicked": "itemClicked"; }, never, never, false>;
}
