import { Observable } from 'rxjs';
export declare class SentinelControlItem {
    id: string;
    label: string;
    matColor: 'primary' | 'warn' | 'accent' | undefined;
    disabled$: Observable<boolean>;
    result$?: Observable<any>;
    loading$?: Observable<boolean>;
    constructor(id: string, label: string, matColor: 'primary' | 'warn' | 'accent' | undefined, disabled$?: Observable<boolean>, result$?: Observable<any>, loading$?: Observable<boolean>);
}
