import { MatDialogRef } from '@angular/material/dialog';
import { SentinelConfirmationDialogConfig } from './sentinel-confirmation-dialog-config';
import * as i0 from "@angular/core";
export declare class SentinelConfirmationDialogComponent {
    dialogRef: MatDialogRef<SentinelConfirmationDialogComponent>;
    data: SentinelConfirmationDialogConfig;
    constructor(dialogRef: MatDialogRef<SentinelConfirmationDialogComponent>, data: SentinelConfirmationDialogConfig);
    /**
     * Closes the dialogs with confirm result
     */
    confirm(): void;
    /**
     * Closes the dialogs with dismissed result
     */
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelConfirmationDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SentinelConfirmationDialogComponent, "sentinel-action-confirmation-dialog", never, {}, {}, never, never, false>;
}
