import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { EditableModeChange } from './editable-mode-change';
import * as i0 from "@angular/core";
export declare class OrionEditableComponent implements OnChanges {
    fullWidth: boolean;
    editMode: boolean;
    displayEditButton: boolean;
    saveDisabled: boolean;
    cancelDisabled: boolean;
    save: EventEmitter<void>;
    cancel: EventEmitter<void>;
    modeChange: EventEmitter<EditableModeChange>;
    private editModeSetExternally;
    ngOnChanges(changes: SimpleChanges): void;
    onEditClicked(): void;
    onEditSaved(): void;
    onEditCanceled(): void;
    onKey(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionEditableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionEditableComponent, "orion-editable", never, { "fullWidth": "fullWidth"; "editMode": "editMode"; "displayEditButton": "displayEditButton"; "saveDisabled": "saveDisabled"; "cancelDisabled": "cancelDisabled"; }, { "save": "save"; "cancel": "cancel"; "modeChange": "modeChange"; }, never, ["orion-editable-edit-mode-content", "orion-editable-display-mode-content"], false>;
}
