import { OnChanges, SimpleChanges } from '@angular/core';
import { ApolloInterfaceChildEntitiesService } from '@csirtmu-orion/microframework/apollo-services';
import { ChildEntitySmartOverviewDirective } from './child-entity-smart-overview.directive';
import * as i0 from "@angular/core";
export declare class ChildEntityInterfaceSmartOverviewDirective<Entity, ParentTypeEnum> extends ChildEntitySmartOverviewDirective<Entity> implements OnChanges {
    protected entityService: ApolloInterfaceChildEntitiesService<any, any, Entity, ParentTypeEnum>;
    parentType?: ParentTypeEnum;
    protected constructor(entityService: ApolloInterfaceChildEntitiesService<any, any, Entity, ParentTypeEnum>);
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChildEntityInterfaceSmartOverviewDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ChildEntityInterfaceSmartOverviewDirective<any, any>, never, never, { "parentType": "parentType"; }, {}, never, never, false>;
}
