import { EventEmitter } from '@angular/core';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
import { SortEvent } from '@csirtmu-orion/microframework/sort-services';
import { EntityOverviewDirective } from './entity-overview.directive';
import * as i0 from "@angular/core";
export declare abstract class EntityFilterableOverviewDirective<Entity, Filter> extends EntityOverviewDirective<Entity[]> {
    activeFilter?: Filter;
    filterChips?: FilterChip[];
    sort?: SortEvent;
    clearFilters: EventEmitter<void>;
    submitClicked: EventEmitter<void>;
    removeChip: EventEmitter<FilterChip>;
    sortChange: EventEmitter<SortEvent>;
    onClearFilters(): void;
    onSubmitFilter(): void;
    onRemoveChip(chip: FilterChip): void;
    onSortChange(sort: SortEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityFilterableOverviewDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EntityFilterableOverviewDirective<any, any>, never, never, { "activeFilter": "activeFilter"; "filterChips": "filterChips"; "sort": "sort"; }, { "clearFilters": "clearFilters"; "submitClicked": "submitClicked"; "removeChip": "removeChip"; "sortChange": "sortChange"; }, never, never, false>;
}
