import { EventEmitter } from '@angular/core';
import { TableActionEvent } from '@sentinel/components/table';
import { EntityTableBaseDirective } from './entity-table-base.directive';
import { IPaginatedElements, IPaginationEvent } from '@sentinel/common/pagination';
import * as i0 from "@angular/core";
export declare abstract class PaginatedEntityTableDirective<Entity, TableData> extends EntityTableBaseDirective<IPaginatedElements<Entity>, TableData> {
    pageChange: EventEmitter<IPaginationEvent>;
    selectionChange: EventEmitter<Entity[]>;
    onPageChange(pagination?: IPaginationEvent): void;
    onRowAction(actionEvent: TableActionEvent<Entity>): void;
    onRowSelection(selection: Entity[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginatedEntityTableDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PaginatedEntityTableDirective<any, any>, never, never, {}, { "pageChange": "pageChange"; "selectionChange": "selectionChange"; }, never, never, false>;
}
