import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import * as i2 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i3 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i4 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';

class OrionButtonWithIconComponent {
    constructor() {
        this.icon = '';
        this.iconAlign = 'left';
        this.tooltip = '';
        this.disabled = false;
        this.padded = true;
    }
}
OrionButtonWithIconComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionButtonWithIconComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionButtonWithIconComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionButtonWithIconComponent, selector: "orion-button-with-icon", inputs: { icon: "icon", iconAlign: "iconAlign", tooltip: "tooltip", color: "color", disabled: "disabled", padded: "padded" }, ngImport: i0, template: "<button mat-button [ngClass]=\"!padded ? 'no-padding' : ''\" [disabled]=\"disabled\" [matTooltip]=\"tooltip\" [color]=\"color\">\n  <span class=\"button-with-icon\">\n    <ng-container *ngIf=\"iconAlign === 'left' && icon\">\n      <ng-container *ngTemplateOutlet=\"iconTemplate\"></ng-container>\n    </ng-container>\n    <ng-content></ng-content>\n    <ng-container *ngIf=\"iconAlign === 'right' && icon\">\n      <ng-container *ngTemplateOutlet=\"iconTemplate\"></ng-container>\n    </ng-container>\n  </span>\n</button>\n<ng-template #iconTemplate>\n  <mat-icon [color]=\"color\" [ngClass]=\"iconAlign\">{{ icon }}</mat-icon>\n</ng-template>\n", styles: ["mat-icon{vertical-align:inherit;font-size:1.5em}mat-icon.left{margin-right:5px}mat-icon.right{margin-left:5px}button.no-padding{padding:0;text-align:left;min-width:0}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i2.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i4.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionButtonWithIconComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-button-with-icon', changeDetection: ChangeDetectionStrategy.OnPush, template: "<button mat-button [ngClass]=\"!padded ? 'no-padding' : ''\" [disabled]=\"disabled\" [matTooltip]=\"tooltip\" [color]=\"color\">\n  <span class=\"button-with-icon\">\n    <ng-container *ngIf=\"iconAlign === 'left' && icon\">\n      <ng-container *ngTemplateOutlet=\"iconTemplate\"></ng-container>\n    </ng-container>\n    <ng-content></ng-content>\n    <ng-container *ngIf=\"iconAlign === 'right' && icon\">\n      <ng-container *ngTemplateOutlet=\"iconTemplate\"></ng-container>\n    </ng-container>\n  </span>\n</button>\n<ng-template #iconTemplate>\n  <mat-icon [color]=\"color\" [ngClass]=\"iconAlign\">{{ icon }}</mat-icon>\n</ng-template>\n", styles: ["mat-icon{vertical-align:inherit;font-size:1.5em}mat-icon.left{margin-right:5px}mat-icon.right{margin-left:5px}button.no-padding{padding:0;text-align:left;min-width:0}\n"] }]
        }], propDecorators: { icon: [{
                type: Input
            }], iconAlign: [{
                type: Input
            }], tooltip: [{
                type: Input
            }], color: [{
                type: Input
            }], disabled: [{
                type: Input
            }], padded: [{
                type: Input
            }] } });

class OrionButtonWithIconModule {
}
OrionButtonWithIconModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionButtonWithIconModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionButtonWithIconModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionButtonWithIconModule, declarations: [OrionButtonWithIconComponent], imports: [CommonModule, MatButtonModule, MatIconModule, MatTooltipModule], exports: [OrionButtonWithIconComponent] });
OrionButtonWithIconModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionButtonWithIconModule, imports: [CommonModule, MatButtonModule, MatIconModule, MatTooltipModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionButtonWithIconModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionButtonWithIconComponent],
                    imports: [CommonModule, MatButtonModule, MatIconModule, MatTooltipModule],
                    exports: [OrionButtonWithIconComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionButtonWithIconComponent, OrionButtonWithIconModule };
//# sourceMappingURL=csirtmu-orion-microframework-button-with-icon.mjs.map
