import { Observable } from 'rxjs';
import { FilterService } from './filter.service';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
export declare abstract class FilterChipsService<Filter> {
    protected filterService: FilterService<Filter>;
    chips$: Observable<FilterChip[]>;
    protected constructor(filterService: FilterService<Filter>);
    abstract removeChip(removedChip: FilterChip): void;
    protected abstract createChips(filter?: Filter): FilterChip[];
}
