import { ElementRef, EventEmitter, OnChanges } from '@angular/core';
import { HeatmapDetail, HeatmapItem, TooltipEvent } from '../model/interfaces';
import * as i0 from "@angular/core";
export declare class MonthSeriesComponent implements OnChanges {
    items: HeatmapItem[];
    weekdayScale: any;
    monthScale: any;
    colorScale: any;
    daySelected: EventEmitter<Date>;
    showTooltipEvent: EventEmitter<TooltipEvent>;
    hideTooltipEvent: EventEmitter<void>;
    get details(): HeatmapDetail[];
    private g;
    private duration;
    private numberOfWeeksScale;
    constructor(element: ElementRef);
    ngOnChanges(): void;
    private updateDayCircles;
    private showTooltip;
    private hideTooltip;
    private countWeekdayOccurrencesInMonth;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonthSeriesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MonthSeriesComponent, "g[heatmap-calendar-month-series]", never, { "items": "items"; "weekdayScale": "weekdayScale"; "monthScale": "monthScale"; "colorScale": "colorScale"; }, { "daySelected": "daySelected"; "showTooltipEvent": "showTooltipEvent"; "hideTooltipEvent": "hideTooltipEvent"; }, never, never, false>;
}
