import { ElementRef, EventEmitter, OnChanges } from '@angular/core';
import { HeatmapChangeEvent, HeatmapItem, TooltipEvent } from '../model/interfaces';
import * as i0 from "@angular/core";
export declare class YearHorizontalAxisComponent implements OnChanges {
    items: HeatmapItem[];
    horizontalScale: any;
    fontSize: number;
    selectionChange: EventEmitter<HeatmapChangeEvent>;
    showTooltipEvent: EventEmitter<TooltipEvent>;
    hideTooltipEvent: EventEmitter<void>;
    private labels;
    private duration;
    constructor(element: ElementRef);
    ngOnChanges(): void;
    private showTooltip;
    private hideTooltip;
    static ɵfac: i0.ɵɵFactoryDeclaration<YearHorizontalAxisComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<YearHorizontalAxisComponent, "g[heatmap-calendar-year-horizontal-axis]", never, { "items": "items"; "horizontalScale": "horizontalScale"; "fontSize": "fontSize"; }, { "selectionChange": "selectionChange"; "showTooltipEvent": "showTooltipEvent"; "hideTooltipEvent": "hideTooltipEvent"; }, never, never, false>;
}
