/**
 * Base component to handle behaviour common for all components.
 * By extending this component you don't need to store subscriptions and unsubscribe in ngOnDestroy of each component
 * but simply pipe the observable with takeWhile(() => this.isAlive)
 */
import { OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BaseDirective implements OnDestroy {
    protected isAlive: boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaseDirective, never, never, {}, {}, never, never, false>;
}
