import { AuthConfig } from 'angular-oauth2-oidc';
/**
 * Configuration of OIDC provider
 */
export declare class SentinelAuthProviderConfig {
    /**
     * Label of provider selection button
     */
    label: string;
    /**
     * Color of provider's label
     */
    textColor?: string;
    /**
     * Background color of provider's selection button
     */
    backgroundColor?: string;
    /**
     * OIDC library config @link https://github.com/manfredsteyer/angular-oauth2-oidc
     */
    oidcConfig: AuthConfig;
}
