import { ModuleWithProviders } from '@angular/core';
import { OAuthModuleConfig, OAuthStorage } from 'angular-oauth2-oidc';
import { SentinelAuthConfig } from './model/config/sentinel-auth-config';
import * as i0 from "@angular/core";
export declare function storageFactory(): OAuthStorage;
export declare function oAuthConfigFactory(sentinelAuthConfig: SentinelAuthConfig): OAuthModuleConfig;
/**
 * Main module, contain the auth service and config. Needs to have config passed in forRoot() method.
 */
export declare class SentinelAuthModule {
    constructor(parentModule: SentinelAuthModule);
    static forRoot(sentinelAuthConfig: SentinelAuthConfig): ModuleWithProviders<SentinelAuthModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelAuthModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SentinelAuthModule, never, never, never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SentinelAuthModule>;
}
