import { Observable } from 'rxjs';
import { User } from '../../model/user/user';
/**
 * An authorization strategy, can be overriden through Angular dependency injection to provide authorization against custom authority
 * Needs to create a User with at least one role in the process.
 */
export declare abstract class SentinelAuthorizationStrategy {
    abstract authorize(): Observable<User>;
}
