import { Observable } from 'rxjs';
import { HttpErrorResponse } from '@angular/common/http';
/**
 * Abstract class to be overridden by the client. Emits errors during authentication or authorization process
 */
export declare abstract class SentinelAuthErrorHandler {
    abstract emit(err: HttpErrorResponse, operation: string, action?: string): Observable<boolean>;
}
