import { AfterViewInit, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Directive to autofocus on given textarea html element
 */
export declare class FocusDirective implements AfterViewInit {
    element: ElementRef<HTMLElement>;
    private focused;
    constructor(element: ElementRef<HTMLElement>);
    /**
     * Sets focus to html element
     */
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FocusDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FocusDirective, "textarea[sentinel-markdown-focus]", never, { "focused": "sentinel-markdown-focus"; }, {}, never, never, false>;
}
