import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Markdown footer class for file upload
 */
export declare class MarkdownFooterComponent {
    activeFileUpload: boolean;
    /**
     * Selected files to upload
     */
    uploadFiles: EventEmitter<File[]>;
    /**
     * Call service to upload files to server
     */
    filesSelected(files: File[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MarkdownFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MarkdownFooterComponent, "sentinel-markdown-footer", never, { "activeFileUpload": "activeFileUpload"; }, { "uploadFiles": "uploadFiles"; }, never, never, false>;
}
