import { EditorSelection } from '../../editor-selection';
import { MarkdownEditorAction } from '../markdown-editor-action';
/**
 * Markdown editor bold action
 */
export declare class BoldAction implements MarkdownEditorAction {
    icon: string;
    tooltipHint: string;
    /**
     * Adds bold markdown tags to content of the markdown editor action (or its selection)
     * @param content content to be transformed
     * @param selected current selection to be transformed
     */
    transform(content: string, selected: EditorSelection): string;
}
