import { EditorSelection } from '../../editor-selection';
import { MarkdownEditorAction } from '../markdown-editor-action';
/**
 * Markdown editor bullet list action
 */
export declare class BulletListAction implements MarkdownEditorAction {
    icon: string;
    tooltipHint: string;
    /**
     * Adds bullet list markdown tags to content of the markdown editor action (or its selection)
     * @param content content to be transformed
     * @param selected current selection to be transformed
     */
    transform(content: string, selected: EditorSelection): string;
    private addBulletPoints;
}
