import { Observable } from 'rxjs';
import { MarkdownEditorAction } from '../../model/actions/markdown-editor-action';
import * as i0 from "@angular/core";
/**
 * Service for execution of markdown actions
 */
export declare class ActionService {
    private _action;
    /**
     * Observable of emitted markdown editor actions
     */
    action$: Observable<MarkdownEditorAction>;
    /**
     * Emits new markdown editor action
     * @param action editor action to emit
     */
    dispatch(action: MarkdownEditorAction): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ActionService>;
}
