# Sentinel Markdown View
Sentinel Markdown View is a simple wrapper component that compiles markdown through `marked.js` library and displays the result.

## Usage

Import it in your main module as `SentinelMarkdownViewModule.forRoot(options)` and in submodules as SentinelMarkdownViewModule.forChild().

To configure the marked library on a global level, pass the options to the `forRoot` method. To override the options on a component-level, pass it to component's `options` input.
The options are composed of `sanitize` and `markedOptions` attributes. The `sanitize` attribute can be used to provide `SecurityContext` to Angular. Default value is `HTML`. For details on the `markedOptions` attribute, consult [marked.js docs](https://marked.js.org/).

You can pass string to be compiled and rendered as markdown to component through `markdown` input.

