import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import { SentinelMarkdownViewService } from './sentinel-markdown-view.service';
import { MarkedOptions } from './marked-options';
import { SentinelMarkdownAnchorService } from './sentinel-markdown-anchor.service';
import { SentinelBaseDirective } from '@sentinel/common';
import * as i0 from "@angular/core";
export declare class SentinelMarkdownViewComponent extends SentinelBaseDirective implements OnChanges {
    element: ElementRef<HTMLElement>;
    markdownService: SentinelMarkdownViewService;
    private anchorService;
    markdown?: string;
    options?: MarkedOptions;
    onDocumentClick(event: Event): void;
    constructor(element: ElementRef<HTMLElement>, markdownService: SentinelMarkdownViewService, anchorService: SentinelMarkdownAnchorService);
    ngOnChanges(changes: SimpleChanges): void;
    private render;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelMarkdownViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SentinelMarkdownViewComponent, "sentinel-markdown-view", never, { "markdown": "markdown"; "options": "options"; }, {}, never, ["*"], false>;
}
