import { ModuleWithProviders, Provider, SecurityContext } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./sentinel-markdown-view.component";
import * as i2 from "@angular/common";
export interface SentinelMarkdownViewConfig {
    markedOptions?: Provider;
    sanitize?: SecurityContext;
}
export declare class SentinelMarkdownViewModule {
    static forRoot(markdownModuleConfig?: SentinelMarkdownViewConfig): ModuleWithProviders<SentinelMarkdownViewModule>;
    static forChild(): ModuleWithProviders<SentinelMarkdownViewModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelMarkdownViewModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SentinelMarkdownViewModule, [typeof i1.SentinelMarkdownViewComponent], [typeof i2.CommonModule], [typeof i1.SentinelMarkdownViewComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SentinelMarkdownViewModule>;
}
