import { InjectionToken, SecurityContext } from '@angular/core';
import { MarkedOptions } from './marked-options';
import { DomSanitizer } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare const SECURITY_CONTEXT: InjectionToken<SecurityContext>;
export declare class SentinelMarkdownViewService {
    private securityContext;
    private sanitizer;
    constructor(securityContext: SecurityContext, options: MarkedOptions, sanitizer: DomSanitizer);
    setOptions(value: MarkedOptions): void;
    compile(markdown: string): string;
    private trimIndentation;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelMarkdownViewService, [null, { optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SentinelMarkdownViewService>;
}
