import { Subject } from 'rxjs';
import { Constructor } from './constructor';
export declare function Destroyable<T extends Constructor<Record<string, unknown>>>(Base?: T): {
    new (...args: any[]): {
        [x: string]: unknown;
        destroy$: Subject<void>;
        ngOnDestroy(): void;
    };
} & T;
