import { OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Base directive to handle behaviour common for all components.
 * By extending this directive you don't need to store subscriptions and unsubscribe in ngOnDestroy of each component
 * but simply pipe the observable with takeWhile(() => this.isAlive)
 */
export declare abstract class SentinelBaseDirective implements OnDestroy {
    protected isAlive: boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelBaseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SentinelBaseDirective, never, never, {}, {}, never, never, false>;
}
