import { NestedTreeControl, NestedTreeControlOptions } from '@angular/cdk/tree';
import { Subject } from 'rxjs';
import { TreeNode } from './tree-node';
export declare class OrionNestedTreeControl<NodeData, NodeDataId = NodeData> extends NestedTreeControl<TreeNode<NodeData>, NodeDataId> {
    loadChildren$: Subject<TreeNode<NodeData>>;
    loadMoreChildren$: Subject<TreeNode<NodeData>>;
    loadMoreRoots$: Subject<void>;
    constructor(options?: NestedTreeControlOptions<TreeNode<NodeData>, NodeDataId>);
    toggle(node: TreeNode<NodeData>): void;
    loadMoreChildren(node: TreeNode<NodeData>): void;
    loadMoreRoots(): void;
}
