import { MatDialogRef } from '@angular/material/dialog';
import { SentinelNotification } from '../model/sentinel-notification';
import * as i0 from "@angular/core";
/**
 * Dialog component displaying error notification
 */
export declare class NotificationErrorDialogComponent {
    dialogRef: MatDialogRef<NotificationErrorDialogComponent>;
    data: SentinelNotification;
    constructor(dialogRef: MatDialogRef<NotificationErrorDialogComponent>, data: SentinelNotification);
    /**
     * Closes the dialog
     */
    close(): void;
    /**
     * Closes the dialog with confirmation of action
     */
    confirmAction(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationErrorDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationErrorDialogComponent, "sentinel-notification-error-modal", never, {}, {}, never, never, false>;
}
