import { ActivatedRoute, Router } from '@angular/router';
import { PaginationBaseInit } from './pagination-base-init';
import { PaginationService } from './pagination.service';
import { PaginationType } from './types';
import { IPaginationEvent } from '@sentinel/common/pagination';
import * as i0 from "@angular/core";
export declare class QueryParamPaginationService extends PaginationService {
    private router;
    private activatedRoute;
    protected readonly initPaginationBase?: PaginationBaseInit | undefined;
    protected readonly paginationType?: PaginationType | undefined;
    constructor(router: Router, activatedRoute: ActivatedRoute, initPaginationBase?: PaginationBaseInit | undefined, paginationType?: PaginationType | undefined);
    protected updateQueryParams(pagination: IPaginationEvent): void;
    private createPaginationObservable;
    private fromRoute;
    private paginationFromParamMap;
    private static offsetPaginationFromParamMap;
    private static cursorPaginationFromParamMap;
    private static paginationBaseFromParamMap;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueryParamPaginationService, [null, null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QueryParamPaginationService>;
}
