import { IOffsetPaginationEvent } from './i-offset-pagination-event';
import { ICursorPaginationEvent } from './i-cursor-pagination-event';
export interface IPaginationEvent {
    size: number;
    sort?: string;
    sortDir?: string;
}
export declare function isOffsetEvent(event: IPaginationEvent): event is IOffsetPaginationEvent;
export declare function isCursorEvent(event: IPaginationEvent): event is ICursorPaginationEvent;
