import { SentinelControlItem } from '@sentinel/components/controls';
import { OrionPanelDirective } from './orion-panel.directive';
import { OrionPanelContentDirective } from './orion-panel-content.directive';
import { OrionPanelConfig } from '@csirtmu-orion/microframework/config';
import * as i0 from "@angular/core";
export declare class OrionPanelComponent extends OrionPanelDirective {
    private readonly config?;
    isExpanded: boolean;
    maxControlsCount?: number;
    controls?: SentinelControlItem[];
    isLoading: boolean;
    elevation: number;
    readonly elevationClassPrefix = "mat-elevation-z";
    panelContent?: OrionPanelContentDirective;
    constructor(config?: OrionPanelConfig | null | undefined);
    onControlItemClicked(item: SentinelControlItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionPanelComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionPanelComponent, "orion-panel", never, { "isExpanded": "isExpanded"; "maxControlsCount": "maxControlsCount"; "controls": "controls"; "isLoading": "isLoading"; "elevation": "elevation"; }, {}, ["panelContent"], ["orion-panel-title", "orion-panel-description"], false>;
}
