import { Observable } from 'rxjs';
import { NavBarState } from '../model/nav-bar-state';
import { WindowSizeService } from './window-size.service';
import * as i0 from "@angular/core";
export declare class NavBarStateService {
    private windowSizeService;
    private stateSubject$;
    state$: Observable<NavBarState>;
    private smallViewBreakpointSubject$;
    smallViewBreakpoint$: Observable<number>;
    private isSmallViewLastValue;
    isSmallView$: Observable<boolean>;
    constructor(windowSizeService: WindowSizeService);
    geState(): NavBarState;
    setState(state: NavBarState): void;
    toggleState(): void;
    getIsSmallView(): boolean;
    setSmallViewBreakpoint(value: number): void;
    onSizeChange(isSmallSize: boolean): void;
    private resolveIsSmallSize;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavBarStateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NavBarStateService>;
}
