import { EventEmitter } from '@angular/core';
import { EntityOperationEvent } from '@sentinel/common/entity';
import { OrionSidebarElementDirective } from './orion-sidebar-element.directive';
import * as i0 from "@angular/core";
export declare abstract class OrionSidebarElementSelectableEntitiesDirective<SelectedEntity, SearchedEntity = SelectedEntity> extends OrionSidebarElementDirective {
    isEditable: boolean;
    selected: SelectedEntity[];
    searched: SearchedEntity[];
    save: EventEmitter<EntityOperationEvent<SearchedEntity>>;
    search: EventEmitter<string>;
    onSave(saveEvent: EntityOperationEvent<SearchedEntity>): void;
    onSearch(searchText: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionSidebarElementSelectableEntitiesDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<OrionSidebarElementSelectableEntitiesDirective<any, any>, never, never, { "isEditable": "isEditable"; "selected": "selected"; "searched": "searched"; }, { "save": "save"; "search": "search"; }, never, never, false>;
}
