import { ActivatedRoute, Router } from '@angular/router';
import { SortService } from './sort.service';
import { SortEvent } from './sort-event';
import * as i0 from "@angular/core";
export declare class QueryParamSortService extends SortService {
    private router;
    private activatedRoute;
    protected readonly initSort?: SortEvent | undefined;
    constructor(router: Router, activatedRoute: ActivatedRoute, initSort?: SortEvent | undefined);
    protected updateQueryParams(sort: SortEvent): void;
    private createSortObservable;
    private fromRoute;
    private sortFromParamMap;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueryParamSortService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QueryParamSortService>;
}
