import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Pipe to create readable label for steps in level stepper.
 * For steppers with less than 8 levels returns string 'Level x' and for steppers with more than 8 levels
 * returns only 'x', where x is index of the level (its order).
 */
export declare class StepperItemLabelPipe implements PipeTransform {
    transform(title: string, index: number, length: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<StepperItemLabelPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<StepperItemLabelPipe, "stepperItemLabel", false>;
}
