import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CursorPaginatorComponent implements OnChanges {
    prev?: string;
    next?: string;
    disabled?: boolean;
    /**
     * pageSize must be one of the available options
     */
    pageSize?: number;
    length?: number;
    pageSizeOptions: number[];
    cursorChange: EventEmitter<string>;
    pageSizeChange: EventEmitter<number>;
    hasNext: boolean;
    hasPrev: boolean;
    ngOnChanges(changes: SimpleChanges): void;
    onCursorChange(cursor: string): void;
    onPageSizeChange(pageSize: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CursorPaginatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CursorPaginatorComponent, "sentinel-cursor-paginator", never, { "prev": "prev"; "next": "next"; "disabled": "disabled"; "pageSize": "pageSize"; "length": "length"; "pageSizeOptions": "pageSizeOptions"; }, { "cursorChange": "cursorChange"; "pageSizeChange": "pageSizeChange"; }, never, never, false>;
}
