import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { IPagination } from '@sentinel/common/pagination';
import { TablePageChangeEvent } from '../../model/table-events/table-page-change-event';
import * as i0 from "@angular/core";
export declare class TablePaginationComponent implements OnChanges {
    pagination: IPagination;
    showMoreCount: number;
    disabled: boolean;
    paginationChange: EventEmitter<TablePageChangeEvent>;
    isCursorBased?: boolean;
    ngOnChanges(changes: SimpleChanges): void;
    onShowMore(): void;
    onPaginationChange(event: TablePageChangeEvent): void;
    private onShowMoreOffsetPagination;
    private onShowMoreCursorPagination;
    private createPageEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<TablePaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TablePaginationComponent, "sentinel-table-pagination", never, { "pagination": "pagination"; "showMoreCount": "showMoreCount"; "disabled": "disabled"; }, { "paginationChange": "paginationChange"; }, never, never, false>;
}
