/**
 * Each column you define will be displayed in final table. Make sure that id MATCHES the name of the attribute of the generic
 * element of the row that you want to display in data cells of this column. Sort name is what should be send to backend through
 * pagination as it may not always match with our internal data model and its attributes naming.
 */
export declare class Column {
    id: string;
    label: string;
    isSortColumn: boolean;
    sortName: string;
    constructor(id: string, label: string, isSortColumn: boolean, sortName?: string);
}
