import { IPaginationEvent } from '@sentinel/common/pagination';
import { SortEvent } from './table-events/sort-event';
/**
 * Event emitted when new table data is requested. Contains pagination, sort and filter.
 * For convenience and backwards compatibility, sort attributes are also included in the pagination event.
 */
export interface TableLoadEvent {
    pagination?: IPaginationEvent;
    sort?: SortEvent;
    filter?: string;
}
