import { ActivatedRoute, Params, Router } from '@angular/router';
import { Observable } from 'rxjs';
import { OrionTabService } from './orion-tab.service';
import * as i0 from "@angular/core";
export declare class OrionQueryParamTabService extends OrionTabService {
    private router;
    private activatedRoute;
    readonly tabs?: string[] | undefined;
    protected tabParams: Params[];
    protected readonly TAB_PARAM_SELECTOR = "tab";
    protected isInitialTabSelection: boolean;
    constructor(router: Router, activatedRoute: ActivatedRoute, tabs?: string[] | undefined);
    reset(): Observable<boolean>;
    select(nextIndex: number): Observable<boolean>;
    protected resetCustomParams(prevTabIndex: number, nextParams: Params): Params;
    private initTabParams;
    private createResetParams;
    private isCustomParam;
    private updateTabQueryParam;
    private saveTabQueryParams;
    private getTabName;
    private resolveTabIndexFromRoute;
    private tabIndexFromParamMap;
    private getTabIndexFromParamValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionQueryParamTabService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OrionQueryParamTabService>;
}
