import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class OrionTabService {
    readonly tabs?: string[] | undefined;
    protected selectedTabSubject$: BehaviorSubject<number>;
    selectedIndex$: Observable<number>;
    constructor(tabs?: string[] | undefined);
    reset(): Observable<boolean>;
    select(nextIndex: number): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionTabService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OrionTabService>;
}
