import { OnChanges, SimpleChanges } from '@angular/core';
import { Identifiable } from '@sentinel/common/entity';
import { OrionTabService } from '../services/orion-tab.service';
import * as i0 from "@angular/core";
export declare abstract class EntityDetailTabsDirective<Entity extends Identifiable> implements OnChanges {
    protected tabService: OrionTabService;
    entity?: Entity;
    protected constructor(tabService: OrionTabService);
    ngOnChanges(changes: SimpleChanges): void;
    private isDifferentEntity;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityDetailTabsDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EntityDetailTabsDirective<any>, never, never, { "entity": "entity"; }, {}, never, never, false>;
}
