import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class FilesService {
    protected filesToUploadSubject$: BehaviorSubject<File[]>;
    filesToUpload$: Observable<File[]>;
    getCurrFiles(): File[];
    addFiles(files: File[]): void;
    removeFile(fileIndex: number): void;
    clearFiles(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilesService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FilesService>;
}
