import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { FilesService } from './files.service';
import * as i0 from "@angular/core";
declare const OrionUploadFilesComponent_base: (new (...args: any[]) => {
    [x: string]: unknown;
    destroy$: import("rxjs").Subject<void>;
    ngOnDestroy(): void;
}) & import("@sentinel/common").Constructor<Record<string, unknown>>;
export declare class OrionUploadFilesComponent extends OrionUploadFilesComponent_base implements OnInit, OnChanges {
    private filesService;
    cancellable: boolean;
    withActions: boolean;
    withCard: boolean;
    multiple: boolean;
    disabled?: boolean;
    upload: EventEmitter<File[]>;
    cancel: EventEmitter<void>;
    selectedFilesChange: EventEmitter<File[]>;
    selectedFiles$?: Observable<File[]>;
    uploadDisabled$?: Observable<boolean>;
    disabled$: BehaviorSubject<boolean>;
    constructor(filesService: FilesService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    removeFile(fileIndex: number): void;
    selectFiles(files: File[]): void;
    onUpload(): void;
    onCancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionUploadFilesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionUploadFilesComponent, "orion-upload-files", never, { "cancellable": "cancellable"; "withActions": "withActions"; "withCard": "withCard"; "multiple": "multiple"; "disabled": "disabled"; }, { "upload": "upload"; "cancel": "cancel"; "selectedFilesChange": "selectedFilesChange"; }, never, never, false>;
}
export {};
