import { SentinelTable } from '@sentinel/components/table';
import { SentinelUserAssignService } from '../sentinel-user-assign.service';
import { AssignableUser } from './assignable-user';
import { PaginatedResource } from '@sentinel/common/pagination';
/**
 * Default user table class for user assign component
 */
export declare class UserTableAdapter extends SentinelTable<AssignableUser> {
    constructor(resource: PaginatedResource<AssignableUser>, assigneesTitle: string, resourceId: number, service: SentinelUserAssignService);
}
