import enum


class ActivityOperationTypeEnum(enum.Enum):
    ADD = "add"
    REMOVE = "remove"


class CaseRelationshipTypeEnum(enum.Enum):
    RELATES = "relates"
    DUPLICATES = "duplicates"
    BLOCKS = "blocks"
    FOLLOWS = "follows"
    INCLUDES = "includes"
    REQUIRES = "requires"


class CaseStateEnum(enum.Enum):
    IN_PROGRESS = "in_progress"
    OPEN = "open"
    RESOLVED = "resolved"
    REJECTED = "rejected"


class CasePriorityEnum(enum.Enum):
    LOW = "low"
    MEDIUM = "medium"
    HIGH = "high"


class CaseTypeEnum(enum.Enum):
    INCIDENT = "incident"
    CAMPAIGN = "campaign"
    ALERT = "alert"


class CaseManagementExternalReferencePlatformEnum(enum.Enum):
    JIRA = 'jira'
    GITLAB = 'gitlab'
    GITHUB = 'github'
    MATTERMOST = 'mattermost'
    MISP = 'misp'
    OTHER = 'other'


class CaseManagementExternalReferenceCategoryEnum(enum.Enum):
    CONVERSATION = 'conversation'
    INTELLIGENCE = 'intelligence'
    TICKET = 'ticket'


class WorkflowStateEnum(enum.Enum):
    IN_PROGRESS = 'IN_PROGRESS'
    DONE = 'DONE'
    REJECTED = 'REJECTED'


class StageStateEnum(enum.Enum):
    IN_PROGRESS = 'IN_PROGRESS'
    PENDING = 'PENDING'
    DONE = 'DONE'
    REJECTED = 'REJECTED'


class TaskStateEnum(enum.Enum):
    RUNNING = 'running'
    OPEN = 'open'
    PENDING = 'pending'
    RESOLVED = 'resolved'
    REJECTED = 'rejected'
    SKIPPED = 'skipped'


class TaskRelationshipTypeEnum(enum.Enum):
    ON_COMPLETION = 'on_completion'
    ON_TRUE = 'on_true'
    ON_FALSE = 'on_false'
    BLOCKED_BY = 'blocked_by'


class TaskReferenceTypeEnum(enum.Enum):
    REFERS_TO = 'refers_to'
