#!/bin/bash

alembic upgrade head
gunicorn -k uvicorn.workers.UvicornWorker --preload --workers=${GUNICORN_WORKER_COUNT:-3} --timeout=${GUNICORN_TIMEOUT:-60} --keep-alive=${GUNICORN_KEEP_ALIVE:-2} --bind 0.0.0.0:8000 'csirtmu.case_database.app:app()'
