from csirtmu.strawberry_dmt.locale.locale import Languages
from csirtmu.strawberry_dmt.model_type import ModelTypeBase, model_type
from csirtmu.strawberry_dmt.schema_registry import SchemaRegistry
from strawberry import Schema

from csirtmu.integration_test_service import models


@model_type(models.RelationUser)
class RelationUser(ModelTypeBase):
    pass


registry = SchemaRegistry([RelationUser])

schema: Schema = registry.schema(query=registry.queries(), mutation=registry.mutations(), docs_language=Languages.CS)
