from sqlalchemy import Column, DateTime, Integer, String, ARRAY
from sqlalchemy.orm import declarative_base

Base = declarative_base()


class APITokenModel(Base):
    __tablename__ = 'api_token_model'

    id = Column(Integer, primary_key=True)
    token = Column(String, nullable=False, unique=True)
    capabilities = Column(ARRAY(String), nullable=False)
    created_by = Column(String)
    created = Column(DateTime)
    expires = Column(DateTime)
