allow(actor, action, resource) if
    has_permission(actor, action, resource);

resource Base {
    permissions = ["can:query_one", "can:query_many", "can:create_one", "can:create_bulk", "can:update_one", "can:update_bulk", "can:delete_one", "can:delete_bulk"];
    roles = ["is:default", "urn:geant:orion.lan:res:all:role:member#identity.orion.lan"];

    "can:query_one" if "is:default";
    "can:query_many" if "is:default";

    "can:query_one" if "urn:geant:orion.lan:res:all:role:member#identity.orion.lan";
    "can:query_many" if "urn:geant:orion.lan:res:all:role:member#identity.orion.lan";
    "can:create_one" if "urn:geant:orion.lan:res:all:role:member#identity.orion.lan";
    "can:create_bulk" if "urn:geant:orion.lan:res:all:role:member#identity.orion.lan";
    "can:update_one" if "urn:geant:orion.lan:res:all:role:member#identity.orion.lan";
    "can:update_bulk" if "urn:geant:orion.lan:res:all:role:member#identity.orion.lan";
    "can:delete_one" if "urn:geant:orion.lan:res:all:role:member#identity.orion.lan";
    "can:delete_bulk" if "urn:geant:orion.lan:res:all:role:member#identity.orion.lan";
    
}

resource PayloadBouncer {
	permissions = ["bounce"];
	roles = ["urn:geant:orion.lan:res:all:role:member#identity.orion.lan"];

	"bounce" if "urn:geant:orion.lan:res:all:role:member#identity.orion.lan";
}

resource PayloadBouncer {
	permissions = ["bounce"];
	roles = ["urn:geant:orion.lan:res:all:role:member#identity.orion.lan"];

	"bounce" if "urn:geant:orion.lan:res:all:role:member#identity.orion.lan";
}

has_role(actor: CapableUser, role: String, _resource: Resource) if
    role in actor.capabilities;

has_role(actor: User, role: String, _resource: Resource) if
    role in actor.capabilities;

actor User {}
actor CapableUser {}
actor UnauthenticatedUser {}
