from csirtmu.service_gateway.utils import get_version
from csirtmu.service_gateway.versions import SUPPORTED_VERSIONS


def test_supported_versions_set():
    version = get_version()

    assert set(SUPPORTED_VERSIONS.get(version, {}).keys()) == {'csirtmu-starlette-jwt-auth-backend',
                                                                 'csirtmu-django-jwt-auth-backend'},\
        f'Version: {version} is not in SUPPORTED_VERSIONS'
