actor JWTUser {}
resource APITokenModel {}

allow(actor: JWTUser, action, token_model: APITokenModel) if
    has_permission(actor, action, token_model);

has_admin_role(actor: JWTUser) if
    actor.api_roles.admin_capability in actor.capabilities;

has_permission(actor: JWTUser, _action: String, token_model: APITokenModel) if
    has_admin_role(actor) or token_model.created_by = actor.username;