# CSIRT-MU Keycloak Test Utils

This library is used to automate Keycloak OIDC setup and serves as a base for the `csirtmu-auth-keycloak-fixtures` 
application, which is used in integration testing of Service Gateway and related services.

# Requirements
1. Keycloak version 17 or newer (otherwise use `legacy: true` in your config file, tested legacy versions: 15, 16).
   - The latest release is tested on versions 18 and 20.
2. Python 3.8 and Poetry.
    - Python 3.8+ is the tested version, running tests with other versions of Python will require changing Tox's envlist
      configurations in `pyproject.toml`

