import { gql } from 'apollo-angular';

export type AssetCveFragment = {
  __typename?: 'MatchResult';
  x_Cve?:
    | {
        __typename?: 'CveVertex';
        uid?: string | undefined;
        lastModified?: string | undefined;
        published?: string | undefined;
      }
    | undefined;
};

export const AssetCveFragmentDoc = gql`
  fragment assetCve on MatchResult {
    x_Cve {
      ...cveTableElement
    }
  }
`;
