import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TabLabelsModule } from '@orion/shared-components/tab-labels';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionTabsModule } from '@csirtmu-orion/microframework/tabs';
import { AssetDetailTabsComponent } from './asset-detail-tabs.component';
import { AssetRelatedCasesModule } from './related-cases';
import { AssetRelatedTasksModule } from './related-tasks';
import { AssetCveModule } from './asset-cve';

@NgModule({
  declarations: [AssetDetailTabsComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    AssetRelatedCasesModule,
    OrionTabsModule,
    AssetRelatedTasksModule,
    TabLabelsModule,
    AssetCveModule,
  ],
  exports: [AssetDetailTabsComponent],
})
export class AssetDetailTabsModule {}
