import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedCasesModule } from '@orion/case-components/related-cases';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { AssetRelatedCasesComponent } from './asset-related-cases.component';

@NgModule({
  declarations: [AssetRelatedCasesComponent],
  imports: [CommonModule, SentinelPipesModule, RelatedCasesModule],
  exports: [AssetRelatedCasesComponent],
})
export class AssetRelatedCasesModule {}
