import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedTasksOverviewModule } from '@orion/task-components/related-tasks';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { AssetRelatedTasksComponent } from './asset-related-tasks.component';

@NgModule({
  declarations: [AssetRelatedTasksComponent],
  imports: [CommonModule, RelatedTasksOverviewModule, SentinelPipesModule],
  exports: [AssetRelatedTasksComponent],
})
export class AssetRelatedTasksModule {}
