import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { CircuitTerminationAssetDetailService } from './circuit-termination-asset-detail.service';
import { CircuitTerminationAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-circuit-termination-asset-detail-page',
  templateUrl: './circuit-termination-asset-detail-page.component.html',
  styleUrls: ['./circuit-termination-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [CircuitTerminationAssetDetailService],
})
export class CircuitTerminationAssetDetailPageComponent extends EntityDetailPageBaseDirective<CircuitTerminationAssetDetailFragment> {
  constructor(protected assetService: CircuitTerminationAssetDetailService) {
    super(assetService);
  }
}
