import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { CircuitTerminationAssetDetailPageComponent } from './circuit-termination-asset-detail-page.component';
import { CircuitTerminationDetailCardComponent } from './circuit-termination-detail-card';

@NgModule({
  declarations: [CircuitTerminationAssetDetailPageComponent, CircuitTerminationDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [CircuitTerminationAssetDetailPageComponent],
})
export class CircuitTerminationAssetDetailPageModule {}
