import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CircuitTerminationDetailCardFragment = {
  __typename?: 'CircuitTerminationType';
  Name?: string | undefined;
  description?: string | undefined;
  portSpeed?: number | undefined;
  upstreamSpeed?: number | undefined;
  ppInfo?: string | undefined;
  termSide?: SchemaTypes.CircuitsCircuitTerminationTermSideChoices | undefined;
  xconnectId?: string | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  circuit?:
    | {
        __typename?: 'CircuitType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  providerNetwork?:
    | {
        __typename?: 'ProviderNetworkType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const CircuitTerminationDetailCardFragmentDoc = gql`
  fragment circuitTerminationDetailCard on CircuitTerminationType {
    Name
    description
    site {
      ...assetBaseView
    }
    cable {
      ...assetBaseView
    }
    circuit {
      ...assetBaseView
    }
    providerNetwork {
      ...assetBaseView
    }
    portSpeed
    upstreamSpeed
    ppInfo
    termSide
    xconnectId
  }
`;
