import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CircuitTerminationAssetDetailFragment = {
  __typename?: 'CircuitTerminationType';
  Name?: string | undefined;
  description?: string | undefined;
  portSpeed?: number | undefined;
  upstreamSpeed?: number | undefined;
  ppInfo?: string | undefined;
  termSide?: SchemaTypes.CircuitsCircuitTerminationTermSideChoices | undefined;
  xconnectId?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  circuit?:
    | {
        __typename?: 'CircuitType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  providerNetwork?:
    | {
        __typename?: 'ProviderNetworkType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const CircuitTerminationAssetDetailFragmentDoc = gql`
  fragment circuitTerminationAssetDetail on CircuitTerminationType {
    ...assetSharedDetail
    ...circuitTerminationDetailCard
  }
`;
