import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ProviderNetworkAssetDetailFragment = {
  __typename?: 'ProviderNetworkType';
  comments?: string | undefined;
  name?: string | undefined;
  description?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  provider?:
    | {
        __typename?: 'ProviderType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const ProviderNetworkAssetDetailFragmentDoc = gql`
  fragment providerNetworkAssetDetail on ProviderNetworkType {
    ...assetSharedDetail
    ...providerNetworkDetailCard
    comments
  }
`;
