import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetDetailCommentModule } from '@orion/asset-components/comments-card';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { ProviderNetworkAssetDetailPageComponent } from './provider-network-asset-detail-page.component';
import { ProviderNetworkDetailCardComponent } from './provider-network-detail-card';

@NgModule({
  declarations: [ProviderNetworkAssetDetailPageComponent, ProviderNetworkDetailCardComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SLetModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    AssetDetailCommentModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [ProviderNetworkAssetDetailPageComponent],
})
export class ProviderNetworkAssetDetailPageModule {}
