import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type WirelessLinkAssetDetailFragment = {
  __typename?: 'WirelessLinkType';
  status?: SchemaTypes.WirelessLinkStatusChoices | undefined;
  ssid?: string | undefined;
  description?: string | undefined;
  authType?: SchemaTypes.WirelessLinkAuthTypeChoices | undefined;
  authCipher?: SchemaTypes.WirelessLinkAuthCipherChoices | undefined;
  authPsk?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  interfaceA?:
    | {
        __typename?: 'InterfaceType';
        type?: SchemaTypes.DcimInterfaceTypeChoices | undefined;
        macAddress?: string | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
        device?:
          | {
              __typename?: 'DeviceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        cable?:
          | {
              __typename?: 'CableType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
  interfaceB?:
    | {
        __typename?: 'InterfaceType';
        type?: SchemaTypes.DcimInterfaceTypeChoices | undefined;
        macAddress?: string | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
        device?:
          | {
              __typename?: 'DeviceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        cable?:
          | {
              __typename?: 'CableType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const WirelessLinkAssetDetailFragmentDoc = gql`
  fragment wirelessLinkAssetDetail on WirelessLinkType {
    ...assetSharedDetail
    ...wirelessLinkDetailCard
    interfaceA {
      ...wirelessLinkInterfaceCard
    }
    interfaceB {
      ...wirelessLinkInterfaceCard
    }
  }
`;
