import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type WirelessLinkDetailCardFragment = {
  __typename?: 'WirelessLinkType';
  status?: SchemaTypes.WirelessLinkStatusChoices | undefined;
  ssid?: string | undefined;
  description?: string | undefined;
  authType?: SchemaTypes.WirelessLinkAuthTypeChoices | undefined;
  authCipher?: SchemaTypes.WirelessLinkAuthCipherChoices | undefined;
  authPsk?: string | undefined;
};

export const WirelessLinkDetailCardFragmentDoc = gql`
  fragment wirelessLinkDetailCard on WirelessLinkType {
    status
    ssid
    description
    authType
    authCipher
    authPsk
  }
`;
