import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { ConsolePortAssetDetailPageComponent } from './console-port-asset-detail-page.component';
import { ConsolePortDetailCardComponent } from './console-port-detail-card';

@NgModule({
  declarations: [ConsolePortAssetDetailPageComponent, ConsolePortDetailCardComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SLetModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [ConsolePortAssetDetailPageComponent],
})
export class ConsolePortAssetDetailPageModule {}
