import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ConsolePortDetailCardFragment = {
  __typename?: 'ConsolePortType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimConsolePortTypeChoices | undefined;
  speed?: SchemaTypes.DcimConsolePortSpeedChoices | undefined;
  description?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const ConsolePortDetailCardFragmentDoc = gql`
  fragment consolePortDetailCard on ConsolePortType {
    name
    label
    type
    speed
    device {
      ...assetBaseView
    }
    description
  }
`;
