import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ConsoleServerPortDetailService } from './console-server-port-detail.service';
import { ConsoleServerPortDetailFragment } from './graphql';

@Component({
  selector: 'orion-console-server-port-asset-detail-page',
  templateUrl: './console-server-port-asset-detail-page.component.html',
  styleUrls: ['./console-server-port-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ConsoleServerPortDetailService],
})
export class ConsoleServerPortAssetDetailPageComponent extends EntityDetailPageBaseDirective<ConsoleServerPortDetailFragment> {
  constructor(assetService: ConsoleServerPortDetailService) {
    super(assetService);
  }
}
