import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { ConsoleServerPortAssetDetailPageComponent } from './console-server-port-asset-detail-page.component';
import { ConsoleServerPortDetailCardComponent } from './console-server-port-detail-card';

@NgModule({
  declarations: [ConsoleServerPortAssetDetailPageComponent, ConsoleServerPortDetailCardComponent],
  imports: [
    CommonModule,
    OrionCardModule,
    OrionAttributeModule,
    SentinelPipesModule,
    SLetModule,
    AssetSharedDetailPageModule,
    AssetBaseViewModule,
  ],
  exports: [ConsoleServerPortAssetDetailPageComponent],
})
export class ConsoleServerPortAssetDetailPageModule {}
