import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { DeviceBayAssetDetailService } from './device-bay-asset-detail.service';
import { DeviceBayAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-device-bay-asset-detail-page',
  templateUrl: './device-bay-asset-detail-page.component.html',
  styleUrls: ['./device-bay-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [DeviceBayAssetDetailService],
})
export class DeviceBayAssetDetailPageComponent extends EntityDetailPageBaseDirective<DeviceBayAssetDetailFragment> {
  constructor(entityService: DeviceBayAssetDetailService) {
    super(entityService);
  }
}
