import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type DeviceBayDetailCardFragment = {
  __typename?: 'DeviceBayType';
  name?: string | undefined;
  label?: string | undefined;
  description?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  installedDevice?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const DeviceBayDetailCardFragmentDoc = gql`
  fragment deviceBayDetailCard on DeviceBayType {
    name
    label
    description
    device {
      ...assetBaseView
    }
    installedDevice {
      ...assetBaseView
    }
  }
`;
