import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { DeviceRoleAssetDetailService } from './device-role-asset-detail.service';
import { DeviceRoleAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-device-role-asset-detail-page',
  templateUrl: './device-role-asset-detail-page.component.html',
  styleUrls: ['./device-role-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [DeviceRoleAssetDetailService],
})
export class DeviceRoleAssetDetailPageComponent extends EntityDetailPageBaseDirective<DeviceRoleAssetDetailFragment> {
  constructor(protected assetService: DeviceRoleAssetDetailService) {
    super(assetService);
  }
}
