import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { DeviceAssetTableModule } from '@orion/asset-components/device-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionColorBlockModule } from '@csirtmu-orion/microframework/color-block';
import { DeviceRoleAssetDetailPageComponent } from './device-role-asset-detail-page.component';
import { DeviceRoleDetailCardComponent } from './device-role-detail-card';

@NgModule({
  declarations: [DeviceRoleAssetDetailPageComponent, DeviceRoleDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    DeviceAssetTableModule,
    OrionAttributeModule,
    OrionColorBlockModule,
  ],
  exports: [DeviceRoleAssetDetailPageComponent],
})
export class DeviceRoleAssetDetailPageModule {}
