import { gql } from 'apollo-angular';

export type DeviceRoleDetailCardFragment = {
  __typename?: 'DeviceRoleType';
  name?: string | undefined;
  description?: string | undefined;
  color?: string | undefined;
  vmRole?: boolean | undefined;
  deviceCount?: number | undefined;
  virtualmachineCount?: number | undefined;
};

export const DeviceRoleDetailCardFragmentDoc = gql`
  fragment deviceRoleDetailCard on DeviceRoleType {
    name
    description
    color
    vmRole
    deviceCount
    virtualmachineCount
  }
`;
