import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { DeviceTypeAssetDetailService } from './device-type-asset-detail.service';
import { DeviceTypeAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-device-type-asset-detail-page',
  templateUrl: './device-type-asset-detail-page.component.html',
  styleUrls: ['./device-type-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [DeviceTypeAssetDetailService],
})
export class DeviceTypeAssetDetailPageComponent extends EntityDetailPageBaseDirective<DeviceTypeAssetDetailFragment> {
  constructor(protected assetService: DeviceTypeAssetDetailService) {
    super(assetService);
  }
}
