import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { FrontPortAssetDetailService } from './front-port-asset-detail.service';
import { FrontPortAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-front-port-asset-detail-page',
  templateUrl: './front-port-asset-detail-page.component.html',
  styleUrls: ['./front-port-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [FrontPortAssetDetailService],
})
export class FrontPortAssetDetailPageComponent extends EntityDetailPageBaseDirective<FrontPortAssetDetailFragment> {
  constructor(entityService: FrontPortAssetDetailService) {
    super(entityService);
  }
}
