import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { InterfaceAssetDetailFragment } from './graphql';
import { InterfaceAssetDetailService } from './interface-asset-detail.service';

@Component({
  selector: 'orion-interface-asset-detail-page',
  templateUrl: './interface-asset-detail-page.component.html',
  styleUrls: ['./interface-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [InterfaceAssetDetailService],
})
export class InterfaceAssetDetailPageComponent extends EntityDetailPageBaseDirective<InterfaceAssetDetailFragment> {
  constructor(entityService: InterfaceAssetDetailService) {
    super(entityService);
  }
}
