import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { IpAddressAssetTableModule } from '@orion/asset-components/ip-address-table';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { InterfaceAssetDetailPageComponent } from './interface-asset-detail-page.component';
import { InterfaceDetailCardComponent } from './interface-detail-card';

@NgModule({
  declarations: [InterfaceAssetDetailPageComponent, InterfaceDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    AssetSharedDetailPageModule,
    SentinelPipesModule,
    OrionCardModule,
    IpAddressAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [InterfaceAssetDetailPageComponent],
})
export class InterfaceAssetDetailPageModule {}
