import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PlatformDetailCardFragment = {
  __typename?: 'PlatformType';
  name?: string | undefined;
  description?: string | undefined;
  napalmDriver?: string | undefined;
  deviceCount?: number | undefined;
  virtualmachineCount?: number | undefined;
  manufacturer?:
    | {
        __typename?: 'ManufacturerType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const PlatformDetailCardFragmentDoc = gql`
  fragment platformDetailCard on PlatformType {
    name
    description
    manufacturer {
      ...assetBaseView
    }
    napalmDriver
    deviceCount
    virtualmachineCount
  }
`;
