import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { PowerOutletAssetDetailPageComponent } from './power-outlet-asset-detail-page.component';
import { PowerOutletDetailCardComponent } from './power-outlet-detail-card';

@NgModule({
  declarations: [PowerOutletAssetDetailPageComponent, PowerOutletDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [PowerOutletAssetDetailPageComponent],
})
export class PowerOutletAssetDetailPageModule {}
