import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RearPortAssetDetailFragment = {
  __typename?: 'RearPortType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimRearPortTypeChoices | undefined;
  color?: string | undefined;
  positions?: number | undefined;
  description?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        status?: SchemaTypes.DcimCableStatusChoices | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const RearPortAssetDetailFragmentDoc = gql`
  fragment rearPortAssetDetail on RearPortType {
    ...assetSharedDetail
    ...rearPortDetailCard
  }
`;
