import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { VirtualChassisAssetDetailFragment } from './graphql';
import { VirtualChassisAssetDetailService } from './virtual-chassis-asset-detail.service';

@Component({
  selector: 'orion-virtual-chassis-asset-detail-page',
  templateUrl: './virtual-chassis-asset-detail-page.component.html',
  styleUrls: ['./virtual-chassis-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [VirtualChassisAssetDetailService],
})
export class VirtualChassisAssetDetailPageComponent extends EntityDetailPageBaseDirective<VirtualChassisAssetDetailFragment> {
  constructor(entityService: VirtualChassisAssetDetailService) {
    super(entityService);
  }
}
