import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { AggregateAssetDetailService } from './aggregate-asset-detail.service';
import { AggregateDetailFragment } from './graphql';

@Component({
  selector: 'orion-aggregate-asset-detail',
  templateUrl: './aggregate-asset-detail-page.component.html',
  styleUrls: ['./aggregate-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [AggregateAssetDetailService],
})
export class AggregateAssetDetailPageComponent extends EntityDetailPageBaseDirective<AggregateDetailFragment> {
  constructor(protected assetService: AggregateAssetDetailService) {
    super(assetService);
  }
}
