import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SiteAssetTableModule } from '@orion/asset-components/site-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { AsnAssetDetailPageComponent } from './asn-asset-detail-page.component';
import { AsnDetailCardComponent } from './asn-detail-card';

@NgModule({
  declarations: [AsnAssetDetailPageComponent, AsnDetailCardComponent],
  imports: [
    CommonModule,
    SiteAssetTableModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [AsnAssetDetailPageComponent],
})
export class AsnAssetDetailPageModule {}
