import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type AsnDetailCardFragment = {
  __typename?: 'ASNType';
  asn?: number | undefined;
  description?: string | undefined;
  siteCount?: number | undefined;
  rir?:
    | {
        __typename?: 'RIRType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const AsnDetailCardFragmentDoc = gql`
  fragment asnDetailCard on ASNType {
    asn
    rir {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
    description
    siteCount
  }
`;
