import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { FhrpGroupAssetDetailService } from './fhrp-group-asset-detail.service';
import { FhrpGroupAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-fhrp-group-asset-detail-page',
  templateUrl: './fhrp-group-asset-detail-page.component.html',
  styleUrls: ['./fhrp-group-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [FhrpGroupAssetDetailService],
})
export class FhrpGroupAssetDetailPageComponent extends EntityDetailPageBaseDirective<FhrpGroupAssetDetailFragment> {
  constructor(entityService: FhrpGroupAssetDetailService) {
    super(entityService);
  }
}
