import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { IpAddressAssetTableModule } from '@orion/asset-components/ip-address-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { FhrpGroupAssetDetailPageComponent } from './fhrp-group-asset-detail-page.component';
import { FhrpGroupDetailCardComponent } from './fhrp-group-detail-card';

@NgModule({
  declarations: [FhrpGroupAssetDetailPageComponent, FhrpGroupDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    IpAddressAssetTableModule,
    OrionAttributeModule,
  ],
  exports: [FhrpGroupAssetDetailPageComponent],
})
export class FhrpGroupAssetDetailPageModule {}
