import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { PrefixAssetTableModule } from '@orion/asset-components/prefix-table';
import { VlanAssetTableModule } from '@orion/asset-components/vlan-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { PrefixAndVlanRoleAssetDetailPageComponent } from './prefix-and-vlan-role-asset-detail-page.component';
import { PrefixAndVlanRoleDetailCardComponent } from './prefix-and-vlan-role-detail-card';

@NgModule({
  declarations: [PrefixAndVlanRoleAssetDetailPageComponent, PrefixAndVlanRoleDetailCardComponent],
  imports: [
    CommonModule,
    AssetSharedDetailPageModule,
    SLetModule,
    SentinelPipesModule,
    OrionCardModule,
    PrefixAssetTableModule,
    VlanAssetTableModule,
    OrionAttributeModule,
  ],
  exports: [PrefixAndVlanRoleAssetDetailPageComponent],
})
export class PrefixAndVlanRoleAssetDetailPageModule {}
