import { gql } from 'apollo-angular';

export type PrefixAndVlanRoleDetailCardFragment = {
  __typename?: 'RoleType';
  name?: string | undefined;
  description?: string | undefined;
  weight?: number | undefined;
  prefixCount?: number | undefined;
  vlanCount?: number | undefined;
};

export const PrefixAndVlanRoleDetailCardFragmentDoc = gql`
  fragment prefixAndVlanRoleDetailCard on RoleType {
    name
    description
    weight
    prefixCount
    vlanCount
  }
`;
