import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { PrefixAssetDetailPageComponent } from './prefix-asset-detail-page.component';
import { PrefixDetailCardComponent } from './prefix-detail-card';

@NgModule({
  declarations: [PrefixAssetDetailPageComponent, PrefixDetailCardComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SLetModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [PrefixAssetDetailPageComponent],
})
export class PrefixAssetDetailPageModule {}
