import { gql } from 'apollo-angular';

export type RirDetailCardFragment = {
  __typename?: 'RIRType';
  name?: string | undefined;
  description?: string | undefined;
  isPrivate?: boolean | undefined;
  aggregateCount?: number | undefined;
};

export const RirDetailCardFragmentDoc = gql`
  fragment rirDetailCard on RIRType {
    name
    description
    isPrivate
    aggregateCount
  }
`;
