import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { RouteTargetAssetDetailFragment } from './graphql';
import { RouteTargetAssetDetailService } from './route-target-asset-detail.service';

@Component({
  selector: 'orion-route-target-asset-detail',
  templateUrl: './route-target-asset-detail-page.component.html',
  styleUrls: ['./route-target-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [RouteTargetAssetDetailService],
})
export class RouteTargetAssetDetailPageComponent extends EntityDetailPageBaseDirective<RouteTargetAssetDetailFragment> {
  constructor(protected assetService: RouteTargetAssetDetailService) {
    super(assetService);
  }
}
