import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { VrfAssetTableModule } from '@orion/asset-components/vrf-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { RouteTargetAssetDetailPageComponent } from './route-target-asset-detail-page.component';
import { RouteTargetDetailCardComponent } from './route-target-detail-card';

@NgModule({
  declarations: [RouteTargetAssetDetailPageComponent, RouteTargetDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    VrfAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [RouteTargetAssetDetailPageComponent],
})
export class RouteTargetAssetDetailPageModule {}
