import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RouteTargetDetailCardFragment = {
  __typename?: 'RouteTargetType';
  name?: string | undefined;
  description?: string | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const RouteTargetDetailCardFragmentDoc = gql`
  fragment routeTargetDetailCard on RouteTargetType {
    name
    tenant {
      ...assetBaseView
    }
    description
  }
`;
