import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VlanDetailCardFragment = {
  __typename?: 'VLANType';
  vid?: number | undefined;
  name?: string | undefined;
  status?: SchemaTypes.IpamVlanStatusChoices | undefined;
  description?: string | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  group?:
    | {
        __typename?: 'VLANGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  role?:
    | {
        __typename?: 'RoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const VlanDetailCardFragmentDoc = gql`
  fragment vlanDetailCard on VLANType {
    vid
    name
    site {
      ...assetBaseView
    }
    group {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
    status
    role {
      ...assetBaseView
    }
    description
  }
`;
