import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { VlanGroupAssetDetailFragment } from './graphql';
import { VlanGroupAssetDetailService } from './vlan-group-asset-detail.service';

@Component({
  selector: 'orion-vlan-group-asset-detail',
  templateUrl: './vlan-group-asset-detail-page.component.html',
  styleUrls: ['./vlan-group-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [VlanGroupAssetDetailService],
})
export class VlanGroupAssetDetailPageComponent extends EntityDetailPageBaseDirective<VlanGroupAssetDetailFragment> {
  constructor(protected assetService: VlanGroupAssetDetailService) {
    super(assetService);
  }
}
