import { gql } from 'apollo-angular';

export type VlanGroupDetailCardFragment = {
  __typename?: 'VLANGroupType';
  name?: string | undefined;
  description?: string | undefined;
  scopeType?: string | undefined;
  vlanCount?: number | undefined;
};

export const VlanGroupDetailCardFragmentDoc = gql`
  fragment vlanGroupDetailCard on VLANGroupType {
    name
    description
    scopeType
    vlanCount
  }
`;
