import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VrfDetailCardFragment = {
  __typename?: 'VRFType';
  name?: string | undefined;
  rd?: string | undefined;
  description?: string | undefined;
  prefixCount?: number | undefined;
  ipaddressCount?: number | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const VrfDetailCardFragmentDoc = gql`
  fragment vrfDetailCard on VRFType {
    name
    rd
    tenant {
      ...assetBaseView
    }
    description
    prefixCount
    ipaddressCount
  }
`;
