import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type LocationDetailCardFragment = {
  __typename?: 'LocationType';
  name?: string | undefined;
  description?: string | undefined;
  rackCount?: number | undefined;
  deviceCount?: number | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  parent?:
    | {
        __typename?: 'LocationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const LocationDetailCardFragmentDoc = gql`
  fragment locationDetailCard on LocationType {
    name
    description
    site {
      ...assetBaseView
    }
    parent {
      ...assetBaseView
    }
    rackCount
    deviceCount
  }
`;
