import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { RackAssetDetailFragment } from './graphql';
import { RackAssetDetailService } from './rack-asset-detail.service';

@Component({
  selector: 'orion-rack-asset-detail-page',
  templateUrl: './rack-asset-detail-page.component.html',
  styleUrls: ['./rack-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [RackAssetDetailService],
})
export class RackAssetDetailPageComponent extends EntityDetailPageBaseDirective<RackAssetDetailFragment> {
  constructor(protected assetService: RackAssetDetailService) {
    super(assetService);
  }
}
