import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RackDetailDimensionsCardFragment = {
  __typename?: 'RackType';
  type?: SchemaTypes.DcimRackTypeChoices | undefined;
  width?: SchemaTypes.DcimRackWidthChoices | undefined;
  uHeight?: number | undefined;
  outerWidth?: number | undefined;
  outerDepth?: number | undefined;
};

export const RackDetailDimensionsCardFragmentDoc = gql`
  fragment rackDetailDimensionsCard on RackType {
    type
    width
    uHeight
    outerWidth
    outerDepth
  }
`;
