import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { RackRoleAssetDetailFragment } from './graphql';
import { RackRoleAssetDetailService } from './rack-role-asset-detail.service';

@Component({
  selector: 'orion-rack-role-asset-detail-page',
  templateUrl: './rack-role-asset-detail-page.component.html',
  styleUrls: ['./rack-role-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [RackRoleAssetDetailService],
})
export class RackRoleAssetDetailPageComponent extends EntityDetailPageBaseDirective<RackRoleAssetDetailFragment> {
  constructor(entityService: RackRoleAssetDetailService) {
    super(entityService);
  }
}
