import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { RackAssetTableModule } from '@orion/asset-components/rack-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionColorBlockModule } from '@csirtmu-orion/microframework/color-block';
import { RackRoleAssetDetailPageComponent } from './rack-role-asset-detail-page.component';
import { RackRoleDetailCardComponent } from './rack-role-detail-card';

@NgModule({
  declarations: [RackRoleAssetDetailPageComponent, RackRoleDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    RackAssetTableModule,
    OrionAttributeModule,
    OrionColorBlockModule,
  ],
  exports: [RackRoleAssetDetailPageComponent],
})
export class RackRoleAssetDetailPageModule {}
