import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { RegionAssetDetailFragment } from './graphql';
import { RegionAssetDetailService } from './region-asset-detail.service';

@Component({
  selector: 'orion-region-asset-detail-page',
  templateUrl: './region-asset-detail-page.component.html',
  styleUrls: ['./region-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [RegionAssetDetailService],
})
export class RegionAssetDetailPageComponent extends EntityDetailPageBaseDirective<RegionAssetDetailFragment> {
  constructor(protected assetService: RegionAssetDetailService) {
    super(assetService);
  }
}
