import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { SiteAssetDetailFragment } from './graphql';
import { SiteAssetDetailService } from './site-asset-detail.service';

@Component({
  selector: 'orion-site-asset-detail-page',
  templateUrl: './site-asset-detail-page.component.html',
  styleUrls: ['./site-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [SiteAssetDetailService],
})
export class SiteAssetDetailPageComponent extends EntityDetailPageBaseDirective<SiteAssetDetailFragment> {
  constructor(protected assetService: SiteAssetDetailService) {
    super(assetService);
  }
}
