import { gql } from 'apollo-angular';

export type SiteDetailContactInfoCardFragment = {
  __typename?: 'SiteType';
  physicalAddress?: string | undefined;
  shippingAddress?: string | undefined;
  latitude?: number | undefined;
  longitude?: number | undefined;
  contactName?: string | undefined;
  contactPhone?: string | undefined;
  contactEmail?: string | undefined;
};

export const SiteDetailContactInfoCardFragmentDoc = gql`
  fragment siteDetailContactInfoCard on SiteType {
    physicalAddress
    shippingAddress
    latitude
    longitude
    contactName
    contactPhone
    contactEmail
  }
`;
