import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { SiteGroupAssetDetailFragment } from './graphql';
import { SiteGroupAssetDetailService } from './site-group-asset-detail.service';

@Component({
  selector: 'orion-site-group-asset-detail-page',
  templateUrl: './site-group-asset-detail-page.component.html',
  styleUrls: ['./site-group-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [SiteGroupAssetDetailService],
})
export class SiteGroupAssetDetailPageComponent extends EntityDetailPageBaseDirective<SiteGroupAssetDetailFragment> {
  constructor(entityService: SiteGroupAssetDetailService) {
    super(entityService);
  }
}
