import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { TenantAssetDetailFragment } from './graphql';
import { TenantAssetDetailService } from './tenant-asset-detail.service';

@Component({
  selector: 'orion-tenant-asset-detail-page',
  templateUrl: './tenant-asset-detail-page.component.html',
  styleUrls: ['./tenant-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [TenantAssetDetailService],
})
export class TenantAssetDetailPageComponent extends EntityDetailPageBaseDirective<TenantAssetDetailFragment> {
  constructor(entityService: TenantAssetDetailService) {
    super(entityService);
  }
}
