import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetDetailCommentModule } from '@orion/asset-components/comments-card';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { TenantAssetDetailPageComponent } from './tenant-asset-detail-page.component';
import { TenantDetailCardComponent } from './tenant-detail-card';

@NgModule({
  declarations: [TenantAssetDetailPageComponent, TenantDetailCardComponent],
  imports: [
    CommonModule,
    OrionCardModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    SLetModule,
    AssetDetailCommentModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [TenantAssetDetailPageComponent],
})
export class TenantAssetDetailPageModule {}
