import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TenantDetailCardFragment = {
  __typename?: 'TenantType';
  name?: string | undefined;
  description?: string | undefined;
  group?:
    | {
        __typename?: 'TenantGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const TenantDetailCardFragmentDoc = gql`
  fragment tenantDetailCard on TenantType {
    name
    group {
      ...assetBaseView
    }
    description
  }
`;
