import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { PowerFeedAssetDetailFragment } from './graphql';
import { PowerFeedAssetDetailService } from './power-feed-asset-detail.service';

@Component({
  selector: 'orion-power-feed-asset-detail-page',
  templateUrl: './power-feed-asset-detail-page.component.html',
  styleUrls: ['./power-feed-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [PowerFeedAssetDetailService],
})
export class PowerFeedAssetDetailPageComponent extends EntityDetailPageBaseDirective<PowerFeedAssetDetailFragment> {
  constructor(entityService: PowerFeedAssetDetailService) {
    super(entityService);
  }
}
