import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetDetailCommentModule } from '@orion/asset-components/comments-card';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { PowerFeedAssetDetailPageComponent } from './power-feed-asset-detail-page.component';
import { PowerFeedDetailCardComponent } from './power-feed-detail-card';

@NgModule({
  declarations: [PowerFeedAssetDetailPageComponent, PowerFeedDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    AssetDetailCommentModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [PowerFeedAssetDetailPageComponent],
})
export class PowerFeedAssetDetailPageModule {}
