import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { PowerPanelAssetDetailFragment } from './graphql';
import { PowerPanelAssetDetailService } from './power-panel-asset-detail.service';

@Component({
  selector: 'orion-power-panel-asset-detail-page',
  templateUrl: './power-panel-asset-detail-page.component.html',
  styleUrls: ['./power-panel-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [PowerPanelAssetDetailService],
})
export class PowerPanelAssetDetailPageComponent extends EntityDetailPageBaseDirective<PowerPanelAssetDetailFragment> {
  constructor(entityService: PowerPanelAssetDetailService) {
    super(entityService);
  }
}
