import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { PowerFeedAssetTableModule } from '@orion/asset-components/power-feed-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { PowerPanelAssetDetailPageComponent } from './power-panel-asset-detail-page.component';
import { PowerPanelDetailCardComponent } from './power-panel-detail-card';

@NgModule({
  declarations: [PowerPanelAssetDetailPageComponent, PowerPanelDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    PowerFeedAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [PowerPanelAssetDetailPageComponent],
})
export class PowerPanelAssetDetailPageModule {}
