import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ClusterAssetDetailService } from './cluster-asset-detail.service';
import { ClusterAssetDetailFragment } from './graphql';

@Component({
  selector: 'orion-cluster-asset-detail-page',
  templateUrl: './cluster-asset-detail-page.component.html',
  styleUrls: ['./cluster-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ClusterAssetDetailService],
})
export class ClusterAssetDetailPageComponent extends EntityDetailPageBaseDirective<ClusterAssetDetailFragment> {
  constructor(entityService: ClusterAssetDetailService) {
    super(entityService);
  }
}
