import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ClusterDetailCardFragment = {
  __typename?: 'ClusterType';
  name?: string | undefined;
  virtualmachineCount?: number | undefined;
  type?:
    | {
        __typename?: 'ClusterTypeType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  group?:
    | {
        __typename?: 'ClusterGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const ClusterDetailCardFragmentDoc = gql`
  fragment clusterDetailCard on ClusterType {
    name
    type {
      ...assetBaseView
    }
    group {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
    site {
      ...assetBaseView
    }
    virtualmachineCount
  }
`;
