import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { WirelessLanAssetDetailFragment } from './graphql';
import { WirelessLanDetailService } from './wireless-lan-detail.service';

@Component({
  selector: 'orion-wireless-lan-asset-detail-page',
  templateUrl: './wireless-lan-asset-detail-page.component.html',
  styleUrls: ['./wireless-lan-asset-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [WirelessLanDetailService],
})
export class WirelessLanAssetDetailPageComponent extends EntityDetailPageBaseDirective<WirelessLanAssetDetailFragment> {
  constructor(entityService: WirelessLanDetailService) {
    super(entityService);
  }
}
