import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type WirelessLanGroupAssetDetailFragment = {
  __typename?: 'WirelessLanGroupType';
  name?: string | undefined;
  description?: string | undefined;
  wirelesslanCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  wirelessLans: {
    __typename?: 'WirelessLanTypeResultSet';
    data: Array<{
      __typename?: 'WirelessLanType';
      description?: string | undefined;
      authType?: SchemaTypes.WirelessLanAuthTypeChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      group?:
        | {
            __typename?: 'WirelessLanGroupType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      vlan?:
        | {
            __typename?: 'VLANType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  parent?:
    | {
        __typename?: 'WirelessLanGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const WirelessLanGroupAssetDetailFragmentDoc = gql`
  fragment wirelessLanGroupAssetDetail on WirelessLanGroupType {
    ...assetSharedDetail
    ...wirelessLanGroupDetailCard
    wirelessLans {
      data {
        ...wirelessLanAssetTableElement
      }
    }
  }
`;
