import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { WirelessLanAssetTableModule } from '@orion/asset-components/wireless-lan-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { WirelessLanGroupAssetDetailPageComponent } from './wireless-lan-group-asset-detail-page.component';
import { WirelessLanGroupDetailCardComponent } from './wireless-lan-group-detail-card';

@NgModule({
  declarations: [WirelessLanGroupAssetDetailPageComponent, WirelessLanGroupDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    WirelessLanAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [WirelessLanGroupAssetDetailPageComponent],
})
export class WirelessLanGroupAssetDetailPageModule {}
