import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CircuitTypeAssetTableElementFragment = {
  __typename?: 'CircuitTypeType';
  circuitsCount?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const CircuitTypeAssetTableElementFragmentDoc = gql`
  fragment circuitTypeAssetTableElement on CircuitTypeType {
    ...assetBaseView
    circuitsCount
    description
    created
    lastUpdated
  }
`;
