import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CircuitTypeAssetOverviewFragment = {
  __typename?: 'CircuitTypeType';
  circuitsCount?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const CircuitTypeAssetOverviewFragmentDoc = gql`
  fragment circuitTypeAssetOverview on CircuitTypeType {
    ...circuitTypeAssetTableElement
  }
`;
