import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ProviderNetworkAssetTableElementFragment = {
  __typename?: 'ProviderNetworkType';
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  provider?:
    | {
        __typename?: 'ProviderType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const ProviderNetworkAssetTableElementFragmentDoc = gql`
  fragment providerNetworkAssetTableElement on ProviderNetworkType {
    ...assetBaseView
    provider {
      ...assetBaseView
    }
    description
    created
    lastUpdated
  }
`;
