import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ProviderAssetOverviewFragment = {
  __typename?: 'ProviderType';
  asn?: number | undefined;
  account?: string | undefined;
  circuitCount?: number | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const ProviderAssetOverviewFragmentDoc = gql`
  fragment providerAssetOverview on ProviderType {
    ...providerAssetTableElement
  }
`;
