import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type WirelessLinkAssetOverviewFragment = {
  __typename?: 'WirelessLinkType';
  status?: SchemaTypes.WirelessLinkStatusChoices | undefined;
  ssid?: string | undefined;
  description?: string | undefined;
  authType?: SchemaTypes.WirelessLinkAuthTypeChoices | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  interfaceA?:
    | {
        __typename?: 'InterfaceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
        device?:
          | {
              __typename?: 'DeviceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
  interfaceB?:
    | {
        __typename?: 'InterfaceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
        device?:
          | {
              __typename?: 'DeviceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const WirelessLinkAssetOverviewFragmentDoc = gql`
  fragment wirelessLinkAssetOverview on WirelessLinkType {
    ...wirelessLinkAssetTableElement
  }
`;
