import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ConsoleServerPortAssetTableElementFragment = {
  __typename?: 'ConsoleServerPortType';
  label?: string | undefined;
  type?: SchemaTypes.DcimConsoleServerPortTypeChoices | undefined;
  speed?: string | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const ConsoleServerPortAssetTableElementFragmentDoc = gql`
  fragment consoleServerPortAssetTableElement on ConsoleServerPortType {
    ...assetBaseView
    device {
      ...assetBaseView
    }
    label
    type
    speed
    description
    created
    lastUpdated
  }
`;
