import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type DeviceBayAssetTableElementFragment = {
  __typename?: 'DeviceBayType';
  label?: string | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  installedDevice?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const DeviceBayAssetTableElementFragmentDoc = gql`
  fragment deviceBayAssetTableElement on DeviceBayType {
    ...assetBaseView
    device {
      ...assetBaseView
    }
    label
    installedDevice {
      ...assetBaseView
    }
    description
    created
    lastUpdated
  }
`;
