import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { DeviceAssetTableModule } from '@orion/asset-components/device-table';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { DeviceAssetOverviewPageComponent } from './device-asset-overview-page.component';

@NgModule({
  declarations: [DeviceAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    DeviceAssetTableModule,
  ],
  exports: [DeviceAssetOverviewPageComponent],
})
export class DeviceAssetOverviewPageModule {}
