import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type DeviceRoleAssetOverviewFragment = {
  __typename?: 'DeviceRoleType';
  deviceCount?: number | undefined;
  virtualmachineCount?: number | undefined;
  color?: string | undefined;
  vmRole?: boolean | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const DeviceRoleAssetOverviewFragmentDoc = gql`
  fragment deviceRoleAssetOverview on DeviceRoleType {
    ...deviceRoleAssetTableElement
  }
`;
