import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { DeviceTypeAssetTableModule } from '@orion/asset-components/device-type-table';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { DeviceTypeAssetOverviewPageComponent } from './device-type-asset-overview-page.component';

@NgModule({
  declarations: [DeviceTypeAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    DeviceTypeAssetTableModule,
  ],
  exports: [DeviceTypeAssetOverviewPageComponent],
})
export class DeviceTypeAssetOverviewPageModule {}
