import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type DeviceTypeAssetOverviewFragment = {
  __typename?: 'DeviceTypeType';
  partNumber?: string | undefined;
  uHeight?: number | undefined;
  isFullDepth?: boolean | undefined;
  deviceCount?: number | undefined;
  subdeviceRole?: SchemaTypes.DcimDeviceTypeSubdeviceRoleChoices | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  model?: string | undefined;
  manufacturer?:
    | {
        __typename?: 'ManufacturerType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const DeviceTypeAssetOverviewFragmentDoc = gql`
  fragment deviceTypeAssetOverview on DeviceTypeType {
    ...deviceTypeAssetTableElement
  }
`;
