import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { InterfaceAssetTableModule } from '@orion/asset-components/interface-table';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { InterfaceAssetOverviewPageComponent } from './interface-asset-overview-page.component';

@NgModule({
  declarations: [InterfaceAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    OrionCardModule,
    AssetSharedFiltersModule,
    InterfaceAssetTableModule,
  ],
  exports: [InterfaceAssetOverviewPageComponent],
})
export class InterfaceAssetOverviewPageModule {}
