import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { InventoryItemAssetTableModule } from '@orion/asset-components/inventory-item-table';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { InventoryItemAssetOverviewPageComponent } from './inventory-item-asset-overview-page.component';

@NgModule({
  declarations: [InventoryItemAssetOverviewPageComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    InventoryItemAssetTableModule,
  ],
  exports: [InventoryItemAssetOverviewPageComponent],
})
export class InventoryItemAssetOverviewPageModule {}
