import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PlatformAssetOverviewFragment = {
  __typename?: 'PlatformType';
  deviceCount?: number | undefined;
  virtualmachineCount?: number | undefined;
  napalmDriver?: string | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  manufacturer?:
    | {
        __typename?: 'ManufacturerType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const PlatformAssetOverviewFragmentDoc = gql`
  fragment platformAssetOverview on PlatformType {
    ...platformAssetTableElement
  }
`;
