import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PowerPortAssetOverviewFragment = {
  __typename?: 'PowerPortType';
  label?: string | undefined;
  type?: SchemaTypes.DcimPowerPortTypeChoices | undefined;
  description?: string | undefined;
  maximumDraw?: number | undefined;
  allocatedDraw?: number | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const PowerPortAssetOverviewFragmentDoc = gql`
  fragment powerPortAssetOverview on PowerPortType {
    ...powerPortAssetTableElement
  }
`;
