import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { RearPortAssetTableModule } from '@orion/asset-components/rear-port-table';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { RearPortAssetOverviewPageComponent } from './rear-port-asset-overview-page.component';

@NgModule({
  declarations: [RearPortAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    RearPortAssetTableModule,
  ],
  exports: [RearPortAssetOverviewPageComponent],
})
export class RearPortAssetOverviewPageModule {}
