import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VirtualChassisAssetTableElementFragment = {
  __typename?: 'VirtualChassisType';
  domain?: string | undefined;
  memberCount?: number | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  master?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const VirtualChassisAssetTableElementFragmentDoc = gql`
  fragment virtualChassisAssetTableElement on VirtualChassisType {
    ...assetBaseView
    domain
    master {
      ...assetBaseView
    }
    memberCount
    created
    lastUpdated
  }
`;
