import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AggregateAssetTableModule } from '@orion/asset-components/aggregate-table';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { AggregateAssetOverviewPageComponent } from './aggregate-asset-overview-page.component';

@NgModule({
  declarations: [AggregateAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    AssetSharedFiltersModule,
    SentinelPipesModule,
    OrionCardModule,
    AggregateAssetTableModule,
  ],
  exports: [AggregateAssetOverviewPageComponent],
})
export class AggregateAssetOverviewPageModule {}
