import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type AsnAssetTableElementFragment = {
  __typename?: 'ASNType';
  description?: string | undefined;
  siteCount?: number | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  rir?:
    | {
        __typename?: 'RIRType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const AsnAssetTableElementFragmentDoc = gql`
  fragment asnAssetTableElement on ASNType {
    ...assetBaseView
    rir {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
    description
    siteCount
    created
    lastUpdated
  }
`;
