import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type FhrpGroupAssetOverviewFragment = {
  __typename?: 'FHRPGroupType';
  groupId?: number | undefined;
  protocol?: string | undefined;
  authType?: string | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const FhrpGroupAssetOverviewFragmentDoc = gql`
  fragment fhrpGroupAssetOverview on FHRPGroupType {
    ...fhrpGroupAssetTableElement
  }
`;
