import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type IpRangeAssetTableElementFragment = {
  __typename?: 'IPRangeType';
  size?: number | undefined;
  status?: SchemaTypes.IpamIpRangeStatusChoices | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  startAddress?: string | undefined;
  endAddress?: string | undefined;
  id: string;
  vrf?:
    | {
        __typename?: 'VRFType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  role?:
    | {
        __typename?: 'RoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const IpRangeAssetTableElementFragmentDoc = gql`
  fragment ipRangeAssetTableElement on IPRangeType {
    ...assetBaseView
    size
    vrf {
      ...assetBaseView
    }
    status
    role {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
    created
    lastUpdated
  }
`;
