import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { PrefixAssetTableModule } from '@orion/asset-components/prefix-table';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { PrefixAssetOverviewPageComponent } from './prefix-asset-overview-page.component';

@NgModule({
  declarations: [PrefixAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    PrefixAssetTableModule,
  ],
  exports: [PrefixAssetOverviewPageComponent],
})
export class PrefixAssetOverviewPageModule {}
