import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RirAssetOverviewFragment = {
  __typename?: 'RIRType';
  aggregateCount?: number | undefined;
  isPrivate?: boolean | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const RirAssetOverviewFragmentDoc = gql`
  fragment rirAssetOverview on RIRType {
    ...rirAssetTableElement
  }
`;
