import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { RouteTargetAssetTableModule } from '@orion/asset-components/route-target-table';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { RouteTargetAssetOverviewPageComponent } from './route-target-asset-overview-page.component';

@NgModule({
  declarations: [RouteTargetAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    AssetSharedFiltersModule,
    SentinelPipesModule,
    OrionCardModule,
    RouteTargetAssetTableModule,
  ],
  exports: [RouteTargetAssetOverviewPageComponent],
})
export class RouteTargetAssetOverviewPageModule {}
