import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ServiceAssetOverviewFragment = {
  __typename?: 'ServiceType';
  protocol?: SchemaTypes.IpamServiceProtocolChoices | undefined;
  ports: Array<number | undefined>;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  virtualMachine?:
    | {
        __typename?: 'VirtualMachineType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const ServiceAssetOverviewFragmentDoc = gql`
  fragment serviceAssetOverview on ServiceType {
    ...serviceAssetTableElement
  }
`;
