import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { ServiceAssetTableModule } from '@orion/asset-components/service-table';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { ServiceAssetOverviewPageComponent } from './service-asset-overview-page.component';

@NgModule({
  declarations: [ServiceAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    ServiceAssetTableModule,
  ],
  exports: [ServiceAssetOverviewPageComponent],
})
export class ServiceAssetOverviewPageModule {}
