import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { VlanAssetTableModule } from '@orion/asset-components/vlan-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { VlanAssetOverviewPageComponent } from './vlan-asset-overview-page.component';

@NgModule({
  declarations: [VlanAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    VlanAssetTableModule,
  ],
  exports: [VlanAssetOverviewPageComponent],
})
export class VlanAssetOverviewPageModule {}
