import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { VrfAssetTableModule } from '@orion/asset-components/vrf-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { VrfAssetOverviewPageComponent } from './vrf-asset-overview-page.component';

@NgModule({
  declarations: [VrfAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    VrfAssetTableModule,
  ],
  exports: [VrfAssetOverviewPageComponent],
})
export class VrfAssetOverviewPageModule {}
