import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RackRoleAssetOverviewFragment = {
  __typename?: 'RackRoleType';
  rackCount?: number | undefined;
  color?: string | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const RackRoleAssetOverviewFragmentDoc = gql`
  fragment rackRoleAssetOverview on RackRoleType {
    ...rackRoleAssetTableElement
  }
`;
