import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RegionAssetOverviewFragment = {
  __typename?: 'RegionType';
  siteCount?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const RegionAssetOverviewFragmentDoc = gql`
  fragment regionAssetOverview on RegionType {
    ...regionAssetTableElement
  }
`;
