import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type SiteGroupAssetOverviewFragment = {
  __typename?: 'SiteGroupType';
  siteCount?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const SiteGroupAssetOverviewFragmentDoc = gql`
  fragment siteGroupAssetOverview on SiteGroupType {
    ...siteGroupAssetTableElement
  }
`;
