import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TenantAssetOverviewFragment = {
  __typename?: 'TenantType';
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  group?:
    | {
        __typename?: 'TenantGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const TenantAssetOverviewFragmentDoc = gql`
  fragment tenantAssetOverview on TenantType {
    ...tenantAssetTableElement
  }
`;
