import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { PowerFeedAssetTableModule } from '@orion/asset-components/power-feed-table';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { PowerFeedAssetOverviewPageComponent } from './power-feed-asset-overview-page.component';

@NgModule({
  declarations: [PowerFeedAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    SentinelPipesModule,
    PowerFeedAssetTableModule,
  ],
  exports: [PowerFeedAssetOverviewPageComponent],
})
export class PowerFeedAssetOverviewPageModule {}
