import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { PowerPanelAssetTableModule } from '@orion/asset-components/power-panel-table';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { PowerPanelAssetOverviewPageComponent } from './power-panel-asset-overview-page.component';

@NgModule({
  declarations: [PowerPanelAssetOverviewPageComponent],
  imports: [
    CommonModule,
    OrionCardModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    PowerPanelAssetTableModule,
  ],
  exports: [PowerPanelAssetOverviewPageComponent],
})
export class PowerPanelAssetOverviewPageModule {}
