import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ClusterAssetTableModule } from '@orion/asset-components/cluster-table';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { ClusterAssetOverviewPageComponent } from './cluster-asset-overview-page.component';

@NgModule({
  declarations: [ClusterAssetOverviewPageComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    AssetPageWrapperModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    ClusterAssetTableModule,
  ],
  exports: [ClusterAssetOverviewPageComponent],
})
export class ClusterAssetOverviewPageModule {}
