import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ClusterTypeAssetOverviewFragment = {
  __typename?: 'ClusterTypeType';
  clusterCount?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const ClusterTypeAssetOverviewFragmentDoc = gql`
  fragment clusterTypeAssetOverview on ClusterTypeType {
    ...clusterTypeAssetTableElement
  }
`;
