import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VmInterfaceAssetOverviewFragment = {
  __typename?: 'VMInterfaceType';
  enabled?: boolean | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  virtualMachine?:
    | {
        __typename?: 'VirtualMachineType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const VmInterfaceAssetOverviewFragmentDoc = gql`
  fragment vmInterfaceAssetOverview on VMInterfaceType {
    ...vmInterfaceAssetTableElement
  }
`;
