import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { VmInterfaceAssetTableModule } from '@orion/asset-components/vm-interface-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { VmInterfaceAssetOverviewPageComponent } from './vm-interface-asset-overview-page.component';

@NgModule({
  declarations: [VmInterfaceAssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    VmInterfaceAssetTableModule,
  ],
  exports: [VmInterfaceAssetOverviewPageComponent],
})
export class VmInterfaceAssetOverviewPageModule {}
