import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type WirelessLanGroupAssetTableElementFragment = {
  __typename?: 'WirelessLanGroupType';
  wirelesslanCount?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const WirelessLanGroupAssetTableElementFragmentDoc = gql`
  fragment wirelessLanGroupAssetTableElement on WirelessLanGroupType {
    ...assetBaseView
    wirelesslanCount
    description
    created
    lastUpdated
  }
`;
