import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionEnumerationSelectModule } from '@csirtmu-orion/microframework/enumeration-select';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { RelatedAssetFiltersComponent } from './asset-filters';

@NgModule({
  declarations: [RelatedAssetFiltersComponent],
  imports: [CommonModule, OrionFilterModule, OrionEnumerationSelectModule],
  exports: [RelatedAssetFiltersComponent],
})
export class AssetFiltersModule {}
