import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RelatedAssetTableAsnTypeFragment = {
  __typename?: 'ASNType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableAggregateTypeFragment = {
  __typename?: 'AggregateType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableCableTypeFragment = {
  __typename?: 'CableType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableCircuitTerminationTypeFragment = {
  __typename?: 'CircuitTerminationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
};

export type RelatedAssetTableCircuitTypeFragment = {
  __typename?: 'CircuitType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableCircuitTypeTypeFragment = {
  __typename?: 'CircuitTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableClusterGroupTypeFragment = {
  __typename?: 'ClusterGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableClusterTypeFragment = {
  __typename?: 'ClusterType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableClusterTypeTypeFragment = {
  __typename?: 'ClusterTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableConsolePortTypeFragment = {
  __typename?: 'ConsolePortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableDeviceBayTypeFragment = {
  __typename?: 'DeviceBayType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableDeviceRoleTypeFragment = {
  __typename?: 'DeviceRoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableDeviceTypeFragment = {
  __typename?: 'DeviceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableDeviceTypeTypeFragment = {
  __typename?: 'DeviceTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  model?: string | undefined;
};

export type RelatedAssetTableFhrpGroupTypeFragment = {
  __typename?: 'FHRPGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableFrontPortTypeFragment = {
  __typename?: 'FrontPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableIpAddressTypeFragment = {
  __typename?: 'IPAddressType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  address?: string | undefined;
};

export type RelatedAssetTableIpRangeTypeFragment = {
  __typename?: 'IPRangeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  startAddress?: string | undefined;
  endAddress?: string | undefined;
  id: string;
};

export type RelatedAssetTableInterfaceTypeFragment = {
  __typename?: 'InterfaceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableInventoryItemTypeFragment = {
  __typename?: 'InventoryItemType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableLocationTypeFragment = {
  __typename?: 'LocationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableManufacturerTypeFragment = {
  __typename?: 'ManufacturerType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTablePlatformTypeFragment = {
  __typename?: 'PlatformType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTablePowerFeedTypeFragment = {
  __typename?: 'PowerFeedType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTablePowerOutletTypeFragment = {
  __typename?: 'PowerOutletType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTablePowerPanelTypeFragment = {
  __typename?: 'PowerPanelType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTablePowerPortTypeFragment = {
  __typename?: 'PowerPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTablePrefixTypeFragment = {
  __typename?: 'PrefixType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableProviderNetworkTypeFragment = {
  __typename?: 'ProviderNetworkType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableProviderTypeFragment = {
  __typename?: 'ProviderType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableRirTypeFragment = {
  __typename?: 'RIRType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableRackReservationTypeFragment = {
  __typename?: 'RackReservationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  rack?: { __typename?: 'RackType'; name?: string | undefined } | undefined;
};

export type RelatedAssetTableRackRoleTypeFragment = {
  __typename?: 'RackRoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableRackTypeFragment = {
  __typename?: 'RackType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableRearPortTypeFragment = {
  __typename?: 'RearPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableRegionTypeFragment = {
  __typename?: 'RegionType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableRoleTypeFragment = {
  __typename?: 'RoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableRouteTargetTypeFragment = {
  __typename?: 'RouteTargetType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableServiceTypeFragment = {
  __typename?: 'ServiceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableSiteGroupTypeFragment = {
  __typename?: 'SiteGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableSiteTypeFragment = {
  __typename?: 'SiteType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableTenantGroupTypeFragment = {
  __typename?: 'TenantGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableTenantTypeFragment = {
  __typename?: 'TenantType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableVlanGroupTypeFragment = {
  __typename?: 'VLANGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableVlanTypeFragment = {
  __typename?: 'VLANType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableVmInterfaceTypeFragment = {
  __typename?: 'VMInterfaceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableVrfTypeFragment = {
  __typename?: 'VRFType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableWirelessLanGroupTypeFragment = {
  __typename?: 'WirelessLanGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableWirelessLanTypeFragment = {
  __typename?: 'WirelessLanType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableWirelessLinkTypeFragment = {
  __typename?: 'WirelessLinkType';
  assetType: SchemaTypes.KnownAssetsEnum;
  lastUpdated?: any | undefined;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type RelatedAssetTableFragment =
  | RelatedAssetTableAsnTypeFragment
  | RelatedAssetTableAggregateTypeFragment
  | RelatedAssetTableCableTypeFragment
  | RelatedAssetTableCircuitTerminationTypeFragment
  | RelatedAssetTableCircuitTypeFragment
  | RelatedAssetTableCircuitTypeTypeFragment
  | RelatedAssetTableClusterGroupTypeFragment
  | RelatedAssetTableClusterTypeFragment
  | RelatedAssetTableClusterTypeTypeFragment
  | RelatedAssetTableConsolePortTypeFragment
  | RelatedAssetTableConsoleServerPortTypeFragment
  | RelatedAssetTableDeviceBayTypeFragment
  | RelatedAssetTableDeviceRoleTypeFragment
  | RelatedAssetTableDeviceTypeFragment
  | RelatedAssetTableDeviceTypeTypeFragment
  | RelatedAssetTableFhrpGroupTypeFragment
  | RelatedAssetTableFrontPortTypeFragment
  | RelatedAssetTableIpAddressTypeFragment
  | RelatedAssetTableIpRangeTypeFragment
  | RelatedAssetTableInterfaceTypeFragment
  | RelatedAssetTableInventoryItemTypeFragment
  | RelatedAssetTableLocationTypeFragment
  | RelatedAssetTableManufacturerTypeFragment
  | RelatedAssetTablePlatformTypeFragment
  | RelatedAssetTablePowerFeedTypeFragment
  | RelatedAssetTablePowerOutletTypeFragment
  | RelatedAssetTablePowerPanelTypeFragment
  | RelatedAssetTablePowerPortTypeFragment
  | RelatedAssetTablePrefixTypeFragment
  | RelatedAssetTableProviderNetworkTypeFragment
  | RelatedAssetTableProviderTypeFragment
  | RelatedAssetTableRirTypeFragment
  | RelatedAssetTableRackReservationTypeFragment
  | RelatedAssetTableRackRoleTypeFragment
  | RelatedAssetTableRackTypeFragment
  | RelatedAssetTableRearPortTypeFragment
  | RelatedAssetTableRegionTypeFragment
  | RelatedAssetTableRoleTypeFragment
  | RelatedAssetTableRouteTargetTypeFragment
  | RelatedAssetTableServiceTypeFragment
  | RelatedAssetTableSiteGroupTypeFragment
  | RelatedAssetTableSiteTypeFragment
  | RelatedAssetTableTenantGroupTypeFragment
  | RelatedAssetTableTenantTypeFragment
  | RelatedAssetTableVlanGroupTypeFragment
  | RelatedAssetTableVlanTypeFragment
  | RelatedAssetTableVmInterfaceTypeFragment
  | RelatedAssetTableVrfTypeFragment
  | RelatedAssetTableVirtualChassisTypeFragment
  | RelatedAssetTableVirtualMachineTypeFragment
  | RelatedAssetTableWirelessLanGroupTypeFragment
  | RelatedAssetTableWirelessLanTypeFragment
  | RelatedAssetTableWirelessLinkTypeFragment;

export const RelatedAssetTableFragmentDoc = gql`
  fragment relatedAssetTable on AssetFederationBase {
    assetType
    lastUpdated
    ...assetFederationBaseView
  }
`;
