import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { AssetBaseViewFragment, AssetFederationBaseViewFragment } from './asset-base-view.fragment.generated';

@Component({
  selector: 'orion-asset-base-view',
  templateUrl: './asset-base-view.component.html',
  styleUrls: ['./asset-base-view.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AssetBaseViewComponent {
  @Input() fullPath = false;
  @Input() withSubtitle = false;
  @Input() asset?: AssetBaseViewFragment | AssetFederationBaseViewFragment;
  @Input() withIcon = true;
  @Input() withLink = true;
}
