import { Pipe, PipeTransform } from '@angular/core';
import { AssetIconResolver } from '@orion/asset-types';
import { AssetBaseViewFragment } from './asset-base-view.fragment.generated';

@Pipe({
  name: 'assetIcon',
})
export class AssetIconPipe implements PipeTransform {
  transform(asset?: AssetBaseViewFragment): string {
    return AssetIconResolver.resolve(asset?.__typename);
  }
}
