import { Pipe, PipeTransform } from '@angular/core';
import { AssetNameResolver } from '@orion/asset-types';
import { AssetBaseViewFragment, AssetFederationBaseViewFragment } from './asset-base-view.fragment.generated';

@Pipe({
  name: 'assetName',
})
export class AssetNamePipe implements PipeTransform {
  transform(asset?: AssetBaseViewFragment | AssetFederationBaseViewFragment, withTypename = false): string {
    return AssetNameResolver.resolve(asset);
  }
}
