import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type AssetSelectionAsnTypeFragment = {
  __typename?: 'ASNType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionAggregateTypeFragment = {
  __typename?: 'AggregateType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionCableTypeFragment = {
  __typename?: 'CableType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionCircuitTerminationTypeFragment = {
  __typename?: 'CircuitTerminationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
};

export type AssetSelectionCircuitTypeFragment = {
  __typename?: 'CircuitType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionCircuitTypeTypeFragment = {
  __typename?: 'CircuitTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionClusterGroupTypeFragment = {
  __typename?: 'ClusterGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionClusterTypeFragment = {
  __typename?: 'ClusterType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionClusterTypeTypeFragment = {
  __typename?: 'ClusterTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionConsolePortTypeFragment = {
  __typename?: 'ConsolePortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionConsoleServerPortTypeFragment = {
  __typename?: 'ConsoleServerPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionDeviceBayTypeFragment = {
  __typename?: 'DeviceBayType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionDeviceRoleTypeFragment = {
  __typename?: 'DeviceRoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionDeviceTypeFragment = {
  __typename?: 'DeviceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionDeviceTypeTypeFragment = {
  __typename?: 'DeviceTypeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  model?: string | undefined;
};

export type AssetSelectionFhrpGroupTypeFragment = {
  __typename?: 'FHRPGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionFrontPortTypeFragment = {
  __typename?: 'FrontPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionIpAddressTypeFragment = {
  __typename?: 'IPAddressType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  address?: string | undefined;
};

export type AssetSelectionIpRangeTypeFragment = {
  __typename?: 'IPRangeType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  startAddress?: string | undefined;
  endAddress?: string | undefined;
  id: string;
};

export type AssetSelectionInterfaceTypeFragment = {
  __typename?: 'InterfaceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionInventoryItemTypeFragment = {
  __typename?: 'InventoryItemType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionLocationTypeFragment = {
  __typename?: 'LocationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionManufacturerTypeFragment = {
  __typename?: 'ManufacturerType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionPlatformTypeFragment = {
  __typename?: 'PlatformType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionPowerFeedTypeFragment = {
  __typename?: 'PowerFeedType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionPowerOutletTypeFragment = {
  __typename?: 'PowerOutletType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionPowerPanelTypeFragment = {
  __typename?: 'PowerPanelType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionPowerPortTypeFragment = {
  __typename?: 'PowerPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionPrefixTypeFragment = {
  __typename?: 'PrefixType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionProviderNetworkTypeFragment = {
  __typename?: 'ProviderNetworkType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionProviderTypeFragment = {
  __typename?: 'ProviderType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionRirTypeFragment = {
  __typename?: 'RIRType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionRackReservationTypeFragment = {
  __typename?: 'RackReservationType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  rack?: { __typename?: 'RackType'; name?: string | undefined } | undefined;
};

export type AssetSelectionRackRoleTypeFragment = {
  __typename?: 'RackRoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionRackTypeFragment = {
  __typename?: 'RackType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionRearPortTypeFragment = {
  __typename?: 'RearPortType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionRegionTypeFragment = {
  __typename?: 'RegionType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionRoleTypeFragment = {
  __typename?: 'RoleType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionRouteTargetTypeFragment = {
  __typename?: 'RouteTargetType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionServiceTypeFragment = {
  __typename?: 'ServiceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionSiteGroupTypeFragment = {
  __typename?: 'SiteGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionSiteTypeFragment = {
  __typename?: 'SiteType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionTenantGroupTypeFragment = {
  __typename?: 'TenantGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionTenantTypeFragment = {
  __typename?: 'TenantType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionVlanGroupTypeFragment = {
  __typename?: 'VLANGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionVlanTypeFragment = {
  __typename?: 'VLANType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionVmInterfaceTypeFragment = {
  __typename?: 'VMInterfaceType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionVrfTypeFragment = {
  __typename?: 'VRFType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionVirtualChassisTypeFragment = {
  __typename?: 'VirtualChassisType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionVirtualMachineTypeFragment = {
  __typename?: 'VirtualMachineType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionWirelessLanGroupTypeFragment = {
  __typename?: 'WirelessLanGroupType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionWirelessLanTypeFragment = {
  __typename?: 'WirelessLanType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionWirelessLinkTypeFragment = {
  __typename?: 'WirelessLinkType';
  assetType: SchemaTypes.KnownAssetsEnum;
  created?: any | undefined;
  id: string;
  name?: string | undefined;
};

export type AssetSelectionFragment =
  | AssetSelectionAsnTypeFragment
  | AssetSelectionAggregateTypeFragment
  | AssetSelectionCableTypeFragment
  | AssetSelectionCircuitTerminationTypeFragment
  | AssetSelectionCircuitTypeFragment
  | AssetSelectionCircuitTypeTypeFragment
  | AssetSelectionClusterGroupTypeFragment
  | AssetSelectionClusterTypeFragment
  | AssetSelectionClusterTypeTypeFragment
  | AssetSelectionConsolePortTypeFragment
  | AssetSelectionConsoleServerPortTypeFragment
  | AssetSelectionDeviceBayTypeFragment
  | AssetSelectionDeviceRoleTypeFragment
  | AssetSelectionDeviceTypeFragment
  | AssetSelectionDeviceTypeTypeFragment
  | AssetSelectionFhrpGroupTypeFragment
  | AssetSelectionFrontPortTypeFragment
  | AssetSelectionIpAddressTypeFragment
  | AssetSelectionIpRangeTypeFragment
  | AssetSelectionInterfaceTypeFragment
  | AssetSelectionInventoryItemTypeFragment
  | AssetSelectionLocationTypeFragment
  | AssetSelectionManufacturerTypeFragment
  | AssetSelectionPlatformTypeFragment
  | AssetSelectionPowerFeedTypeFragment
  | AssetSelectionPowerOutletTypeFragment
  | AssetSelectionPowerPanelTypeFragment
  | AssetSelectionPowerPortTypeFragment
  | AssetSelectionPrefixTypeFragment
  | AssetSelectionProviderNetworkTypeFragment
  | AssetSelectionProviderTypeFragment
  | AssetSelectionRirTypeFragment
  | AssetSelectionRackReservationTypeFragment
  | AssetSelectionRackRoleTypeFragment
  | AssetSelectionRackTypeFragment
  | AssetSelectionRearPortTypeFragment
  | AssetSelectionRegionTypeFragment
  | AssetSelectionRoleTypeFragment
  | AssetSelectionRouteTargetTypeFragment
  | AssetSelectionServiceTypeFragment
  | AssetSelectionSiteGroupTypeFragment
  | AssetSelectionSiteTypeFragment
  | AssetSelectionTenantGroupTypeFragment
  | AssetSelectionTenantTypeFragment
  | AssetSelectionVlanGroupTypeFragment
  | AssetSelectionVlanTypeFragment
  | AssetSelectionVmInterfaceTypeFragment
  | AssetSelectionVrfTypeFragment
  | AssetSelectionVirtualChassisTypeFragment
  | AssetSelectionVirtualMachineTypeFragment
  | AssetSelectionWirelessLanGroupTypeFragment
  | AssetSelectionWirelessLanTypeFragment
  | AssetSelectionWirelessLinkTypeFragment;

export const AssetSelectionFragmentDoc = gql`
  fragment assetSelection on AssetType {
    ...assetBaseView
  }
`;
