import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { SentinelPipesModule } from '@sentinel/common/pipes';

import { SentinelResourceSelectorModule } from '@sentinel/components/resource-selector';
import { AssetSelectionComponent } from './asset-selection.component';

@NgModule({
  declarations: [AssetSelectionComponent],
  imports: [CommonModule, SentinelResourceSelectorModule, AssetBaseViewModule, SentinelPipesModule],
  exports: [AssetSelectionComponent],
})
export class AssetSelectionModule {}
