import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { DcimSiteStatusChoices } from '@orion/graphql-types';

@Component({
  selector: 'orion-site-status',
  templateUrl: './site-status.component.html',
  styleUrls: ['./site-status.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class SiteStatusComponent {
  @Input() status?: DcimSiteStatusChoices;
}
