import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { CircuitAssetTableComponent } from './circuit-asset-table.component';

@NgModule({
  declarations: [CircuitAssetTableComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SentinelTableModule,
    AssetBaseViewModule,
    OrionTimeAgoModule,
    SentinelErrorModule,
  ],
  exports: [CircuitAssetTableComponent],
})
export class CircuitAssetTableModule {}
