import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { DeviceAssetTableComponent } from '@orion/asset-components/device-overview';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';

@NgModule({
  declarations: [DeviceAssetTableComponent],
  imports: [CommonModule, SentinelTableModule, AssetBaseViewModule, OrionTimeAgoModule, SentinelErrorModule],
  exports: [DeviceAssetTableComponent],
})
export class DeviceAssetTableModule {}
