import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { InventoryItemAssetTableComponent } from './inventory-item-asset-table.component';

@NgModule({
  declarations: [InventoryItemAssetTableComponent],
  imports: [CommonModule, SentinelTableModule, AssetBaseViewModule, OrionTimeAgoModule, SentinelErrorModule],
  exports: [InventoryItemAssetTableComponent],
})
export class InventoryItemAssetTableModule {}
