import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { IpAddressStatusModule } from '@orion/asset-components/ip-address-status';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { IpAddressAssetTableComponent } from './ip-address-asset-table.component';

@NgModule({
  declarations: [IpAddressAssetTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    AssetBaseViewModule,
    IpAddressStatusModule,
    OrionTimeAgoModule,
    MatIconModule,
    SentinelErrorModule,
  ],
  exports: [IpAddressAssetTableComponent],
})
export class IpAddressAssetTableModule {}
