import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { IpRangeStatusModule } from '@orion/asset-components/ip-range-status';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { PrefixAssetTableComponent } from './prefix-asset-table.component';

@NgModule({
  declarations: [PrefixAssetTableComponent],
  imports: [
    CommonModule,
    AssetBaseViewModule,
    SentinelTableModule,
    IpRangeStatusModule,
    OrionTimeAgoModule,
    SentinelErrorModule,
  ],
  exports: [PrefixAssetTableComponent],
})
export class PrefixAssetTableModule {}
