import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { RackStatusModule } from '@orion/asset-components/rack-status';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { RackAssetTableComponent } from './rack-asset-table.component';

@NgModule({
  declarations: [RackAssetTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    AssetBaseViewModule,
    OrionTimeAgoModule,
    RackStatusModule,
    SentinelErrorModule,
  ],
  exports: [RackAssetTableComponent],
})
export class RackAssetTableModule {}
