import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RackReservationAssetTableElementFragment = {
  __typename?: 'RackReservationType';
  units: Array<number | undefined>;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  rack?:
    | {
        __typename?: 'RackType';
        name?: string | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        site?:
          | {
              __typename?: 'SiteType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const RackReservationAssetTableElementFragmentDoc = gql`
  fragment rackReservationAssetTableElement on RackReservationType {
    ...assetBaseView
    rack {
      ...assetBaseView
      site {
        ...assetBaseView
      }
    }
    units
    created
    lastUpdated
  }
`;
