import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RearPortAssetTableElementFragment = {
  __typename?: 'RearPortType';
  label?: string | undefined;
  type?: SchemaTypes.DcimRearPortTypeChoices | undefined;
  color?: string | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const RearPortAssetTableElementFragmentDoc = gql`
  fragment rearPortAssetTableElement on RearPortType {
    ...assetBaseView
    device {
      ...assetBaseView
    }
    label
    type
    color
    description
    created
    lastUpdated
  }
`;
