import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { OrionColorBlockModule } from '@csirtmu-orion/microframework/color-block';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { RearPortAssetTableComponent } from './rear-port-asset-table.component';

@NgModule({
  declarations: [RearPortAssetTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    AssetBaseViewModule,
    OrionTimeAgoModule,
    OrionColorBlockModule,
    SentinelErrorModule,
  ],
  exports: [RearPortAssetTableComponent],
})
export class RearPortAssetTableModule {}
