import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RegionAssetTableElementFragment = {
  __typename?: 'RegionType';
  siteCount?: number | undefined;
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
};

export const RegionAssetTableElementFragmentDoc = gql`
  fragment regionAssetTableElement on RegionType {
    ...assetBaseView
    siteCount
    description
    created
    lastUpdated
  }
`;
