import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ServiceAssetTableElementFragment = {
  __typename?: 'ServiceType';
  protocol?: SchemaTypes.IpamServiceProtocolChoices | undefined;
  ports: Array<number | undefined>;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  virtualMachine?:
    | {
        __typename?: 'VirtualMachineType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const ServiceAssetTableElementFragmentDoc = gql`
  fragment serviceAssetTableElement on ServiceType {
    ...assetBaseView
    protocol
    ports
    virtualMachine {
      ...assetBaseView
    }
    created
    lastUpdated
  }
`;
