import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TenantAssetTableElementFragment = {
  __typename?: 'TenantType';
  description?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  group?:
    | {
        __typename?: 'TenantGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const TenantAssetTableElementFragmentDoc = gql`
  fragment tenantAssetTableElement on TenantType {
    ...assetBaseView
    group {
      ...assetBaseView
    }
    description
    created
    lastUpdated
  }
`;
