import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { VlanStatusModule } from '@orion/asset-components/vlan-status';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { VlanAssetTableComponent } from './vlan-asset-table.component';

@NgModule({
  declarations: [VlanAssetTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    AssetBaseViewModule,
    OrionTimeAgoModule,
    VlanStatusModule,
    SentinelErrorModule,
  ],
  exports: [VlanAssetTableComponent],
})
export class VlanAssetTableModule {}
