import { KnownAssetsEnum } from '@orion/graphql-types';

export interface AssetIdentification {
  id: string;
  type: KnownAssetsEnum;
}

export interface AssetClientFilter {
  id?: string;
  from?: Date;
  to?: Date;
  notIn?: AssetIdentification[];
  termSearch?: string;
  idOrTermSearch?: string;
  type?: KnownAssetsEnum;
}
