import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CaseTableFragment } from '@orion/case-components/shared';
import { ChildEntitySmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ExternalReferenceRelatedCasesService } from './external-reference-related-cases.service';

@Component({
  selector: 'orion-external-reference-related-cases',
  templateUrl: './external-reference-related-cases.component.html',
  styleUrls: ['./external-reference-related-cases.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ExternalReferenceRelatedCasesService],
})
export class ExternalReferenceRelatedCasesComponent extends ChildEntitySmartOverviewDirective<CaseTableFragment> {
  constructor(protected casesService: ExternalReferenceRelatedCasesService) {
    super(casesService);
  }
}
