import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CaseManagementExternalReferenceDetailFragment = {
  __typename?: 'CaseManagementExternalReference';
  id: string;
  url: string;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  category: SchemaTypes.CaseManagementExternalReferenceCategoryEnum;
  platform: SchemaTypes.CaseManagementExternalReferencePlatformEnum;
};

export const CaseManagementExternalReferenceDetailFragmentDoc = gql`
  fragment caseManagementExternalReferenceDetail on CaseManagementExternalReference {
    id
    url
    created
    lastUpdated
    category
    platform
    ...externalReferenceTab
  }
`;
