import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { CreateExternalReferenceForm } from '@orion/external-reference-types';
import { CaseManagementExternalReferenceCategoryEnum } from '@orion/graphql-types';

@Component({
  selector: 'orion-create-external-reference-form',
  templateUrl: './create-external-reference-form.component.html',
  styleUrls: ['./create-external-reference-form.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CreateExternalReferenceFormComponent {
  @Input() form?: CreateExternalReferenceForm;
  possibleCategories: CaseManagementExternalReferenceCategoryEnum[] = Object.values(
    CaseManagementExternalReferenceCategoryEnum
  );
}
