import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { ExternalReferenceNavigatorService } from './external-reference-navigator.service';
import { ExternalReferenceRowFragment } from './external-reference-row.fragment.generated';

@Component({
  selector: 'orion-external-reference-row',
  templateUrl: './external-reference-row.component.html',
  styleUrls: ['./external-reference-row.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ExternalReferenceNavigatorService],
})
export class ExternalReferenceRowComponent {
  @Input() reference?: ExternalReferenceRowFragment;
}
