import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'orion-file-item-breadcrumb',
  templateUrl: './file-item-breadcrumb.component.html',
  styleUrls: ['./file-item-breadcrumb.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FileItemBreadcrumbComponent {
  @Input() breadcrumb?: string;
  @Input() isLast = false;
  @Output() itemClicked: EventEmitter<void> = new EventEmitter<void>();

  onItemClicked(): void {
    this.itemClicked.emit();
  }
}
