import { Pipe, PipeTransform } from '@angular/core';
import { CaseFileItemNameFileFragment } from '../case-file-item-name.fragment.generated';

@Pipe({
  name: 'fileItemName',
})
export class FileItemNamePipe implements PipeTransform {
  transform(file?: CaseFileItemNameFileFragment): string {
    return `${file?.displayName}.${file?.extension}`;
  }
}
