import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedObservablesModule } from '@orion/observable-components/related-observables';
import { ObservableNavigator } from '@orion/observable-services';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CaseRelatedObservablesComponent } from './case-related-observables.component';

@NgModule({
  declarations: [CaseRelatedObservablesComponent],
  imports: [CommonModule, SentinelPipesModule, RelatedObservablesModule],
  exports: [CaseRelatedObservablesComponent],
  providers: [ObservableNavigator],
})
export class CaseRelatedObservablesModule {}
