import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedTTPsOverviewModule } from '@orion/ttps-components/related-ttps';
import { TTPNavigator } from '@orion/ttps-services';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CaseRelatedTTPsComponent } from './case-related-ttps.component';

@NgModule({
  declarations: [CaseRelatedTTPsComponent],
  imports: [CommonModule, RelatedTTPsOverviewModule, SentinelPipesModule],
  providers: [TTPNavigator],
  exports: [CaseRelatedTTPsComponent],
})
export class CaseRelatedTtpsModule {}
