import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedUsersOverviewModule } from '@orion/user-accounting-components/related-users';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CaseRelatedUsersComponent } from './case-related-users.component';

@NgModule({
  declarations: [CaseRelatedUsersComponent],
  imports: [CommonModule, RelatedUsersOverviewModule, SentinelPipesModule],
  exports: [CaseRelatedUsersComponent],
})
export class CaseRelatedUsersModule {}
