import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CaseOverviewModule } from '@orion/case-components/overview';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CaseOverviewPageComponent } from './case-overview-page.component';

@NgModule({
  declarations: [CaseOverviewPageComponent],
  imports: [CommonModule, SentinelPipesModule, CaseOverviewModule],
  exports: [CaseOverviewPageComponent],
})
export class CaseOverviewPageModule {}
