import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { CaseFileModule } from '@orion/case-components/case-file';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { CaseFilePanelComponent } from './case-file-panel.component';

@NgModule({
  declarations: [CaseFilePanelComponent],
  imports: [CommonModule, MatIconModule, CaseFileModule, MatButtonModule, OrionPanelModule, SentinelPipesModule],
  exports: [CaseFilePanelComponent],
})
export class CaseFilePanelModule {}
