import { gql } from 'apollo-angular';

export type CaseNameFragment = {
  __typename?: 'Case';
  id: string;
  name: string;
  created?: any | undefined;
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const CaseNameFragmentDoc = gql`
  fragment caseName on Case {
    id
    name
    created
    createdBy {
      ...userNameAndIcon
    }
  }
`;
