import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntitySubtitleModule } from '@orion/shared-components/entity-subtitle';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { CaseNameComponent } from './case-name.component';
import { CaseNavigatorPipe } from './case-navigator.pipe';

@NgModule({
  declarations: [CaseNameComponent, CaseNavigatorPipe],
  imports: [CommonModule, OrionEntityNameModule, EntitySubtitleModule],
  exports: [CaseNameComponent, CaseNavigatorPipe],
})
export class CaseNameModule {}
