import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CasePriorityComponent } from './case-priority.component';

@NgModule({
  declarations: [CasePriorityComponent],
  imports: [CommonModule, SentinelPipesModule, MatIconModule, MatTooltipModule],
  exports: [CasePriorityComponent],
})
export class CasePriorityModule {}
