import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { CaseStateEnum } from '@orion/graphql-types';

@Component({
  selector: 'orion-case-state',
  templateUrl: './case-state.component.html',
  styleUrls: ['./case-state.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CaseStateComponent {
  @Input() state?: CaseStateEnum;
}
