export const CASES_PATH = 'case';
export const CREATE_CASE_PATH = 'create';
export const CASE_PARAM_SELECTOR = 'caseId';
export type WorkflowPath = 'workflow';
export const WORKFLOW_PATH: WorkflowPath = 'workflow';
export type WorkflowParamSelector = 'workflowId';
export const WORKFLOW_PARAM_SELECTOR: WorkflowParamSelector = 'workflowId';
export type CreateWorkflowPathSuffix = 'create';
export const CREATE_WORKFLOW_PATH: CreateWorkflowPathSuffix = 'create';
export type CreateWorkflowPath = `${WorkflowPath}/${CreateWorkflowPathSuffix}`;
export type WorkflowDetailPath = `${WorkflowPath}/:${WorkflowParamSelector}`;
export type StagePath = 'stage';
export const STAGE_PATH: StagePath = 'stage';
export type StageParamSelector = 'stageId';
export const STAGE_PARAM_SELECTOR: StageParamSelector = 'stageId';
export type CreateStagePathSuffix = 'create';
export const CREATE_STAGE_PATH: CreateStagePathSuffix = 'create';
export type CreateStagePath = `${StagePath}/${CreateStagePathSuffix}`;
export type StageDetailPath = `${StagePath}/:${StageParamSelector}`;
export type TaskPath = 'task';
export const TASK_PATH: TaskPath = 'task';
export const TASK_PARAM_SELECTOR = 'taskId';
export type CreateTaskPath = 'create-task';
export const CREATE_TASK_PATH: CreateTaskPath = 'create-task';
