import { Injectable } from '@angular/core';
import { CASES_PATH, CREATE_CASE_PATH } from '@orion/case-paths';
import { toAuthPath } from '@orion/common';

@Injectable()
export class CaseNavigator {
  toDetail(caseId: string): string {
    return toAuthPath(`${CASES_PATH}/${caseId}`);
  }

  toCreate(): string {
    return toAuthPath(`${CASES_PATH}/${CREATE_CASE_PATH}`);
  }
}
