import { CaseRelationshipCreate, CaseRelationshipTypeEnum } from '@orion/graphql-types';

export class CreateCaseRelationship implements CaseRelationshipCreate {
  source: string;
  target: string;
  type: CaseRelationshipTypeEnum;

  constructor(sourceId: string, targetId: string, type: CaseRelationshipTypeEnum) {
    this.source = sourceId;
    this.target = targetId;
    this.type = type;
  }
}
