import { ChangeDetectionStrategy, Component } from '@angular/core';
import { ObservableSelectionFragment } from '@orion/observable-components/observable-selection';
import { TagSelectListDirective } from '../../tag-select-list.directive';

@Component({
  selector: 'orion-observable-tag-select-list',
  templateUrl: './observable-tag-select-list.component.html',
  styleUrls: ['./observable-tag-select-list.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ObservableTagSelectListComponent extends TagSelectListDirective<ObservableSelectionFragment> {}
