import { ChangeDetectionStrategy, Component } from '@angular/core';
import { UserNameAndIconFragment } from '@orion/user-components/shared';
import { TagSelectListDirective } from '../../tag-select-list.directive';

@Component({
  selector: 'orion-user-tag-select-list',
  templateUrl: './user-tag-select-list.component.html',
  styleUrls: ['./user-tag-select-list.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UserTagSelectListComponent extends TagSelectListDirective<UserNameAndIconFragment> {}
