import { gql } from 'apollo-angular';

export type CommentReplyFragment = {
  __typename?: 'Comment';
  id: string;
  created?: any | undefined;
  content: string;
  lastUpdated?: any | undefined;
  replyTo?: { __typename?: 'Comment'; id: string } | undefined;
  author: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined };
};

export const CommentReplyFragmentDoc = gql`
  fragment commentReply on Comment {
    id
    ...comment
    replyTo {
      id
    }
  }
`;
