import { ActivatedRoute, Router } from '@angular/router';
import { CommentClientFilter } from '@orion/comment-types';
import { QueryParamFilterService } from '@csirtmu-orion/microframework/filter-services';

export abstract class CommentFilterService extends QueryParamFilterService<CommentClientFilter> {
  protected constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createEmptyFilter(): CommentClientFilter {
    return {};
  }
}
