import { CommentEvent } from './comment-event';
import { DeleteCommentPayload } from './delete-comment-payload';

export class DeleteCommentEvent extends CommentEvent {
  payload: DeleteCommentPayload;

  constructor(id: string) {
    const payload = new DeleteCommentPayload(id);
    super(payload);
    this.payload = payload;
  }
}
