import { CommentEvent } from './comment-event';
import { UpdateCommentPayload } from './update-comment-payload';

export class UpdateCommentEvent extends CommentEvent {
  payload: UpdateCommentPayload;

  constructor(id: string, content: string) {
    const payload = new UpdateCommentPayload(id, content);
    super(payload);
    this.payload = payload;
  }
}
