import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { IpFixFilterModule } from '@orion/data-platform-components-filters';
import { IpFixTableModule } from '@orion/data-platform-components-shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { IpFixOverviewPageComponent } from './ip-fix-overview-page.component';

@NgModule({
  declarations: [IpFixOverviewPageComponent],
  imports: [CommonModule, OrionFilterModule, SentinelPipesModule, OrionCardModule, IpFixTableModule, IpFixFilterModule],
  exports: [IpFixOverviewPageComponent],
})
export class IpFixOverviewPageModule {}
