import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { EventNameComponent } from './event-name.component';
import { EventNamePipe } from './event-name.pipe';
import { EventNavigatorPipe } from './event-navigator.pipe';

@NgModule({
  declarations: [EventNameComponent, EventNamePipe, EventNavigatorPipe],
  imports: [CommonModule, OrionEntityNameModule],
  exports: [EventNameComponent],
})
export class EventNameModule {}
