import { Injectable } from '@angular/core';
import { toAuthPath } from '@orion/common';
import { EVENT_PATH } from '@orion/event-paths';
import { RouterLinkCommands } from '@sentinel/common';

@Injectable()
export class EventNavigator {
  toDetail(eventId: string): RouterLinkCommands {
    return toAuthPath(`${EVENT_PATH}/${eventId}`);
  }
}
