import { gql } from 'apollo-angular';

export type LabelOverviewFragment = {
  __typename?: 'Label';
  id: string;
  name: string;
  backgroundColor?: string | undefined;
  textColor?: string | undefined;
};

export const LabelOverviewFragmentDoc = gql`
  fragment labelOverview on Label {
    ...labelTable
  }
`;
