import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatChipsModule } from '@angular/material/chips';
import { MatIconModule } from '@angular/material/icon';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelResourceSelectorModule } from '@sentinel/components/resource-selector';
import { LabelComponent } from './label';
import { LabelsComponent } from './labels';
import { LabelsSelectionComponent } from './labels-selection';

@NgModule({
  declarations: [LabelsSelectionComponent, LabelsComponent, LabelComponent],
  imports: [CommonModule, SentinelResourceSelectorModule, MatChipsModule, MatIconModule, SentinelPipesModule],
  exports: [LabelsSelectionComponent, LabelsComponent, LabelComponent],
})
export class LabelsModule {}
