import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { LabelChipFragment } from '../../label';
import { LABEL_ICON } from '@orion/common';

@Component({
  selector: 'orion-labels-collapsed-sidebar-element',
  templateUrl: './labels-collapsed-sidebar-element.component.html',
  styleUrls: ['./labels-collapsed-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class LabelsCollapsedSidebarElementComponent {
  @Input() selected?: LabelChipFragment[] = [];
  icon = LABEL_ICON;
}
