import { ChangeDetectionStrategy, Component } from '@angular/core';
import { LabelListElementFragment } from '@orion/label-services';
import { OrionSidebarElementSelectableEntitiesDirective } from '@csirtmu-orion/microframework/sidebar';
import { LabelChipFragment } from '../label';

@Component({
  selector: 'orion-labels-sidebar-element',
  templateUrl: './labels-sidebar-element.component.html',
  styleUrls: ['./labels-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class LabelsSidebarElementComponent extends OrionSidebarElementSelectableEntitiesDirective<
  LabelChipFragment,
  LabelListElementFragment
> {}
