import { gql } from 'apollo-angular';

export type ObservableCtiEntryFragment = {
  __typename?: 'CTIEntry';
  id: string;
  created?: any | undefined;
  externalReference?: string | undefined;
  sourceSpecifier?:
    | {
        __typename?: 'SourceSpecifier';
        dataSource?: { __typename?: 'DataSource'; baseUrl?: string | undefined } | undefined;
      }
    | undefined;
};

export const ObservableCtiEntryFragmentDoc = gql`
  fragment observableCTIEntry on CTIEntry {
    ...ctiEntry
  }
`;
