import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedTasksOverviewModule } from '@orion/task-components/related-tasks';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { ObservableRelatedTasksComponent } from './observable-related-tasks.component';

@NgModule({
  declarations: [ObservableRelatedTasksComponent],
  imports: [CommonModule, RelatedTasksOverviewModule, SentinelPipesModule],
  exports: [ObservableRelatedTasksComponent],
})
export class ObservableRelatedTasksModule {}
