import { gql } from 'apollo-angular';

export type CtiEntryDetailTabOverviewFragment = {
  __typename?: 'CTIEntry';
  sourceSpecifier?:
    | {
        __typename?: 'SourceSpecifier';
        id: string;
        globalUuid: string;
        entryType?:
          | { __typename?: 'EntryType'; id: string; name: string; description?: string | undefined }
          | undefined;
        dataSource?:
          | {
              __typename?: 'DataSource';
              id: string;
              baseUrl?: string | undefined;
              description?: string | undefined;
              name: string;
              type: string;
            }
          | undefined;
      }
    | undefined;
};

export const CtiEntryDetailTabOverviewFragmentDoc = gql`
  fragment ctiEntryDetailTabOverview on CTIEntry {
    sourceSpecifier {
      ...ctiEntrySourceSpecifierCard
    }
  }
`;
