import { gql } from 'apollo-angular';

export type CtiEntrySourceSpecifierCardFragment = {
  __typename?: 'SourceSpecifier';
  id: string;
  globalUuid: string;
  entryType?: { __typename?: 'EntryType'; id: string; name: string; description?: string | undefined } | undefined;
  dataSource?:
    | {
        __typename?: 'DataSource';
        id: string;
        baseUrl?: string | undefined;
        description?: string | undefined;
        name: string;
        type: string;
      }
    | undefined;
};

export const CtiEntrySourceSpecifierCardFragmentDoc = gql`
  fragment ctiEntrySourceSpecifierCard on SourceSpecifier {
    id
    globalUuid
    entryType {
      id
      name
      description
    }
    dataSource {
      id
      baseUrl
      description
      name
      type
    }
  }
`;
