import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TtpLinkFiltersModule } from '@orion/observable-components/filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { CtiEntryDetailTabTtpsComponent } from './cti-entry-detail-tab-ttps.component';
import { TtpLinkTableComponent } from './ttp-link-table';

@NgModule({
  declarations: [CtiEntryDetailTabTtpsComponent, TtpLinkTableComponent],
  imports: [
    CommonModule,
    TtpLinkFiltersModule,
    OrionFilterModule,
    SentinelPipesModule,
    OrionCardModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    SentinelTableModule,
  ],
  exports: [CtiEntryDetailTabTtpsComponent],
})
export class CtiEntryDetailTabTtpsModule {}
