import { gql } from 'apollo-angular';

export type TtpLinkTableElementFragment = {
  __typename?: 'TTPLink';
  id: string;
  ttpMetaLinkType?: string | undefined;
  ttpMeta?: { __typename: 'TTPMeta'; ttpId: string } | undefined;
};

export const TtpLinkTableElementFragmentDoc = gql`
  fragment ttpLinkTableElement on TTPLink {
    id
    ttpMeta {
      ttpId
      __typename
    }
    ttpMetaLinkType
  }
`;
