import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TabLabelsModule } from '@orion/shared-components/tab-labels';
import { OrionTabsModule } from '@csirtmu-orion/microframework/tabs';
import { CtiEntryDetailTabObservablesModule } from './cti-entry-detail-tab-observables';
import { CtiEntryDetailTabOverviewModule } from './cti-entry-detail-tab-overview';
import { CtiEntryDetailTabTtpsModule } from './cti-entry-detail-tab-ttps';
import { CtiEntryDetailTabsComponent } from './cti-entry-detail-tabs.component';

@NgModule({
  declarations: [CtiEntryDetailTabsComponent],
  imports: [
    CommonModule,
    CtiEntryDetailTabObservablesModule,
    CtiEntryDetailTabOverviewModule,
    CtiEntryDetailTabTtpsModule,
    OrionTabsModule,
    TabLabelsModule,
  ],
  exports: [CtiEntryDetailTabsComponent],
})
export class CtiEntryDetailTabsModule {}
