import { gql } from 'apollo-angular';

export type CtiEntryDetailFragment = {
  __typename?: 'CTIEntry';
  id: string;
  created?: any | undefined;
  externalReference?: string | undefined;
  sourceSpecifier?:
    | {
        __typename?: 'SourceSpecifier';
        id: string;
        globalUuid: string;
        dataSource?:
          | {
              __typename?: 'DataSource';
              baseUrl?: string | undefined;
              id: string;
              description?: string | undefined;
              name: string;
              type: string;
            }
          | undefined;
        entryType?:
          | { __typename?: 'EntryType'; id: string; name: string; description?: string | undefined }
          | undefined;
      }
    | undefined;
};

export const CtiEntryDetailFragmentDoc = gql`
  fragment ctiEntryDetail on CTIEntry {
    id
    created
    ...ctiEntryExternalUrl
    ...ctiEntryDetailTabOverview
  }
`;
