import { gql } from 'apollo-angular';

export type DomainToDomainResolutionObservableDetailCardFragment = {
  __typename?: 'DomainToDomainResolution';
  domainToDomainFirstSeen?: any | undefined;
  domainToDomainLastSeen?: any | undefined;
  description?: string | undefined;
  originalDomain?:
    | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
    | undefined;
  resolutionDomain?:
    | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
    | undefined;
};

export const DomainToDomainResolutionObservableDetailCardFragmentDoc = gql`
  fragment domainToDomainResolutionObservableDetailCard on DomainToDomainResolution {
    domainToDomainFirstSeen
    domainToDomainLastSeen
    originalDomain {
      ...observableBaseView
    }
    resolutionDomain {
      ...observableBaseView
    }
    description
  }
`;
