import { ChangeDetectionStrategy, Component } from '@angular/core';
import { DomainToDomainResolutionDetailFragment } from '@orion/observable-components/detail-domain-to-domain-resolution-graphql';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { DomainToDomainResolutionObservableDetailService } from './domain-to-domain-resolution-observable-detail.service';

@Component({
  selector: 'orion-domain-to-domain-resolution-observable-detail-page',
  templateUrl: './domain-to-domain-resolution-observable-detail-page.component.html',
  styleUrls: ['./domain-to-domain-resolution-observable-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [DomainToDomainResolutionObservableDetailService],
})
export class DomainToDomainResolutionObservableDetailPageComponent extends EntityDetailPageBaseDirective<DomainToDomainResolutionDetailFragment> {
  constructor(protected observableService: DomainToDomainResolutionObservableDetailService) {
    super(observableService);
  }
}
