import { gql } from 'apollo-angular';

export type DomainToIpAddressResolutionObservableDetailCardFragment = {
  __typename?: 'DomainToIPAddressResolution';
  domainToIpFirstSeen?: any | undefined;
  domainToIpLastSeen?: any | undefined;
  description?: string | undefined;
  sourceDomain?:
    | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
    | undefined;
  resolvedIpAddress?:
    | {
        __typename: 'IPAddress';
        observableType?: string | undefined;
        id: string;
        address: { __typename?: 'IPNetworkAddressType'; compressed: string };
      }
    | undefined;
};

export const DomainToIpAddressResolutionObservableDetailCardFragmentDoc = gql`
  fragment domainToIpAddressResolutionObservableDetailCard on DomainToIPAddressResolution {
    domainToIpFirstSeen
    domainToIpLastSeen
    sourceDomain {
      ...observableBaseView
    }
    resolvedIpAddress {
      ...observableBaseView
    }
    description
  }
`;
