import { ChangeDetectionStrategy, Component } from '@angular/core';
import { DomainToIpAddressResolutionObservableFragment } from '@orion/observable-components/detail-domain-to-ip-address-resolution-graphql';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { DomainToIpAddressResolutionObservableDetailService } from './domain-to-ip-address-resolution-observable-detail.service';

@Component({
  selector: 'orion-domain-to-ip-address-resolution-observable-detail-page',
  templateUrl: './domain-to-ip-address-resolution-observable-detail-page.component.html',
  styleUrls: ['./domain-to-ip-address-resolution-observable-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [DomainToIpAddressResolutionObservableDetailService],
})
export class DomainToIpAddressResolutionObservableDetailPageComponent extends EntityDetailPageBaseDirective<DomainToIpAddressResolutionObservableFragment> {
  constructor(protected observableService: DomainToIpAddressResolutionObservableDetailService) {
    super(observableService);
  }
}
