import { ChangeDetectionStrategy, Component } from '@angular/core';
import { DomainObservableDetailFragment } from '@orion/observable-components/detail-domain-graphql';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { DomainObservableDetailService } from './domain-observable-detail.service';

@Component({
  selector: 'orion-domain-observable-detail-page',
  templateUrl: './domain-observable-detail-page.component.html',
  styleUrls: ['./domain-observable-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [DomainObservableDetailService],
})
export class DomainObservableDetailPageComponent extends EntityDetailPageBaseDirective<DomainObservableDetailFragment> {
  constructor(protected observableService: DomainObservableDetailService) {
    super(observableService);
  }
}
