import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ObservableSharedDetailPageModule } from '@orion/observable-components/detail-shared';
import { ObservableTableModule } from '@orion/observable-components/shared-observable-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { DomainObservableDetailPageComponent } from './domain-observable-detail-page.component';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { MatIconModule } from '@angular/material/icon';

@NgModule({
  declarations: [DomainObservableDetailPageComponent],
  imports: [
    CommonModule,
    ObservableSharedDetailPageModule,
    SLetModule,
    SentinelPipesModule,
    OrionCardModule,
    ObservableTableModule,
    OrionPanelModule,
    OrionBadgeModule,
    MatIconModule,
  ],
  exports: [DomainObservableDetailPageComponent],
})
export class DomainObservableDetailPageModule {}
