import { gql } from 'apollo-angular';

export type EmailAddressDetailCardFragment = {
  __typename?: 'EmailAddress';
  username: string;
  description?: string | undefined;
  rawEmailAddress: string;
  emailAddressHost:
    | { __typename?: 'BaseHost'; id: string; observableType?: string | undefined }
    | { __typename?: 'DomainName'; domainName: string; id: string; observableType?: string | undefined }
    | {
        __typename?: 'IPAddress';
        id: string;
        observableType?: string | undefined;
        address: { __typename?: 'IPNetworkAddressType'; compressed: string };
      };
};

export const EmailAddressDetailCardFragmentDoc = gql`
  fragment emailAddressDetailCard on EmailAddress {
    emailAddressHost {
      ...hostBaseView
    }
    username
    description
    rawEmailAddress
  }
`;
