import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { EmailMessageObservableDetailService } from './email-message-observable-detail.service';
import { EmailMessageObservableDetailFragment } from './graphql';

@Component({
  selector: 'orion-email-message-observable-detail-page',
  templateUrl: './email-message-observable-detail-page.component.html',
  styleUrls: ['./email-message-observable-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [EmailMessageObservableDetailService],
})
export class EmailMessageObservableDetailPageComponent extends EntityDetailPageBaseDirective<EmailMessageObservableDetailFragment> {
  constructor(protected observableService: EmailMessageObservableDetailService) {
    super(observableService);
  }
}
