import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';
import { FileReferenceObservableDetailCardFragment } from './file-reference-observable-detail-card.fragment.generated';

@Component({
  selector: 'orion-file-reference-observable-detail-card',
  templateUrl: './file-reference-observable-detail-card.component.html',
  styleUrls: ['./file-reference-observable-detail-card.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FileReferenceObservableDetailCardComponent {
  @Input() fileReference?: FileReferenceObservableDetailCardFragment;
  trackByFn = trackByIndex;
}
