import { ChangeDetectionStrategy, Component } from '@angular/core';
import { FileReferenceDetailFragment } from '@orion/observable-components/detail-file-reference-graphql';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { FileReferenceObservableDetailPageService } from './file-reference-observable-detail-page.service';

@Component({
  selector: 'orion-file-reference-observable-detail-page',
  templateUrl: './file-reference-observable-detail-page.component.html',
  styleUrls: ['./file-reference-observable-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [FileReferenceObservableDetailPageService],
})
export class FileReferenceObservableDetailPageComponent extends EntityDetailPageBaseDirective<FileReferenceDetailFragment> {
  constructor(protected observableService: FileReferenceObservableDetailPageService) {
    super(observableService);
  }
}
