import { gql } from 'apollo-angular';

export type IpAddressToDomainResolutionObservableDetailFragment = {
  __typename: 'IPAddressToDomainResolution';
  ipToDomainFirstSeen?: any | undefined;
  ipToDomainLastSeen?: any | undefined;
  description?: string | undefined;
  observableType?: string | undefined;
  id: string;
  sourceIpAddress?:
    | {
        __typename: 'IPAddress';
        observableType?: string | undefined;
        id: string;
        address: { __typename?: 'IPNetworkAddressType'; compressed: string };
      }
    | undefined;
  resolvedDomain?:
    | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
    | undefined;
};

export const IpAddressToDomainResolutionObservableDetailFragmentDoc = gql`
  fragment ipAddressToDomainResolutionObservableDetail on IPAddressToDomainResolution {
    ...observableSharedDetail
    ...ipAddressToDomainResolutionObservableDetailCard
  }
`;
