import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IpAddressToDomainResolutionObservableDetailFragment } from '@orion/observable-components/detail-ip-address-to-domain-resolution-graphql';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { IpAddressToDomainResolutionObservableDetailService } from './ip-address-to-domain-resolution-observable-detail.service';

@Component({
  selector: 'orion-ip-address-to-domain-resolution-observable-detail-page',
  templateUrl: './ip-address-to-domain-resolution-observable-detail-page.component.html',
  styleUrls: ['./ip-address-to-domain-resolution-observable-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [IpAddressToDomainResolutionObservableDetailService],
})
export class IpAddressToDomainResolutionObservableDetailPageComponent extends EntityDetailPageBaseDirective<IpAddressToDomainResolutionObservableDetailFragment> {
  constructor(protected observableService: IpAddressToDomainResolutionObservableDetailService) {
    super(observableService);
  }
}
