import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { ObservableSharedDetailPageModule } from '@orion/observable-components/detail-shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { IpAddressToDomainResolutionObservableDetailCardComponent } from './ip-address-to-domain-resolution-observable-detail-card';
import { IpAddressToDomainResolutionObservableDetailPageComponent } from './ip-address-to-domain-resolution-observable-detail-page.component';

@NgModule({
  declarations: [
    IpAddressToDomainResolutionObservableDetailPageComponent,
    IpAddressToDomainResolutionObservableDetailCardComponent,
  ],
  imports: [
    CommonModule,
    ObservableSharedDetailPageModule,
    SLetModule,
    SentinelPipesModule,
    OrionCardModule,
    OrionAttributeModule,
    ObservableBaseViewModule,
  ],
  exports: [IpAddressToDomainResolutionObservableDetailPageComponent],
})
export class IpAddressToDomainResolutionObservableDetailPageModule {}
