import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ObservableSharedDetailPageModule } from '@orion/observable-components/detail-shared';
import { IpAddressObservableDetailOverviewModule } from '@orion/observable-components/shared-observable-ip-address-detail-overview';
import { ObservableTableModule } from '@orion/observable-components/shared-observable-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { IpAddressObservableDetailPageComponent } from './ip-address-observable-detail-page.component';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { MatIconModule } from '@angular/material/icon';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';

@NgModule({
  declarations: [IpAddressObservableDetailPageComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    ObservableSharedDetailPageModule,
    IpAddressObservableDetailOverviewModule,
    ObservableTableModule,
    OrionCardModule,
    OrionPanelModule,
    MatIconModule,
    OrionBadgeModule,
  ],
  exports: [IpAddressObservableDetailPageComponent],
})
export class IpAddressObservableDetailPageModule {}
