import { Column, Row, SentinelTable } from '@sentinel/components/table';
import { RelatedObservablesTableFragment } from './related-observables-table.fragment.generated';

export class RelatedObservablesTable extends SentinelTable<RelatedObservablesTableFragment> {
  constructor(elements: RelatedObservablesTableFragment[]) {
    const columns = [new Column('observable', 'Observable', false), new Column('type', 'Type', false)];
    const rows = elements.map((observable) => new Row(observable));
    super(rows, columns);
  }
}
