import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatTooltipModule } from '@angular/material/tooltip';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CtiEntryExternalUrlComponent } from './cti-entry-external-url.component';
import { CtiEntryExternalUrlPipe } from './cti-entry-external-url.pipe';

@NgModule({
  declarations: [CtiEntryExternalUrlComponent, CtiEntryExternalUrlPipe],
  imports: [CommonModule, SentinelPipesModule, MatTooltipModule, MatButtonModule],
  exports: [CtiEntryExternalUrlComponent, CtiEntryExternalUrlPipe],
})
export class CtiEntryExternalUrlModule {}
