import { SimpleRowTable } from '@orion/common';
import { HashTableElementFragment } from './hash-table-element.fragment.generated';
import { Column } from '@sentinel/components/table';

export class HashTable extends SimpleRowTable<HashTableElementFragment> {
  constructor(hashes: HashTableElementFragment[]) {
    const columns = [new Column('type', 'Type', false), new Column('value', 'Value', false)];
    super(hashes, columns);
  }
}
