import { gql } from 'apollo-angular';

export type AddressTypeInfoFragment = {
  __typename?: 'AddressType';
  compressed: string;
  exploded: string;
  isGlobal: boolean;
  isLinkLocal: boolean;
  isLoopback: boolean;
  isMulticast: boolean;
  isPrivate: boolean;
  isReserved: boolean;
  isUnspecified: boolean;
  maxPrefixlen: number;
  reversePointer: string;
  version: number;
};

export const AddressTypeInfoFragmentDoc = gql`
  fragment addressTypeInfo on AddressType {
    compressed
    exploded
    isGlobal
    isLinkLocal
    isLoopback
    isMulticast
    isPrivate
    isReserved
    isUnspecified
    maxPrefixlen
    reversePointer
    version
  }
`;
