import { Pipe, PipeTransform } from '@angular/core';
import { ObservableNameResolver } from '@orion/observable-types';
import { AllObservableFragments } from './utils';

@Pipe({ name: 'observableName' })
export class ObservableNamePipe implements PipeTransform {
  transform(observable?: AllObservableFragments, withTypename = false): string {
    return ObservableNameResolver.resolve(observable, withTypename);
  }
}
