import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntitySelectionDirective } from '@orion/shared-components/related-entity-overview';
import { ObservableSelectionFragment } from './observable-selection.fragment.generated';

@Component({
  selector: 'orion-observable-selection',
  templateUrl: './observable-selection.component.html',
  styleUrls: ['./observable-selection.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ObservableSelectionComponent extends EntitySelectionDirective<ObservableSelectionFragment> {
  observableIdentity = (a: ObservableSelectionFragment, b: ObservableSelectionFragment) =>
    a.id === b.id && a.observableType === b.observableType;
}
