import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEnumerationSelectModule } from '@csirtmu-orion/microframework/enumeration-select';

import { SentinelResourceSelectorModule } from '@sentinel/components/resource-selector';
import { ObservableSelectionComponent } from './observable-selection.component';

@NgModule({
  declarations: [ObservableSelectionComponent],
  imports: [
    CommonModule,
    SentinelResourceSelectorModule,
    ObservableBaseViewModule,
    OrionEnumerationSelectModule,
    SentinelPipesModule,
  ],
  exports: [ObservableSelectionComponent],
})
export class ObservableSelectionModule {}
