import { Injectable } from '@angular/core';
import { enumToPath, toAuthPath } from '@orion/common';
import { OBSERVABLES_PATH } from '@orion/observable-paths';

@Injectable()
export class ObservableNavigator {
  toDetail(id: string, typename: string): string {
    const typeUrl = enumToPath(typename);
    return toAuthPath(`${OBSERVABLES_PATH}/${typeUrl}/${id}`);
  }
}
