import { Injectable } from '@angular/core';
import { ObservableAbstractDetailResolver } from './observable-abstract-detail.resolver';
import { entityId, entityTitle } from '@orion/common';

@Injectable()
export class DomainToDomainObservableBreadcrumbResolver extends ObservableAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return `Domain to Domain Resolution ${entityId(id)}`;
  }
}

@Injectable()
export class DomainToDomainObservableTitleResolver extends ObservableAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Domain to Domain Resolution');
  }
}
