import { formatEnum } from '@orion/common';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { FilterChip } from '@csirtmu-orion/microframework/filter';

export class ObservableTypeFilterChip extends FilterChip {
  constructor(observableType: KnownObservablesEnum) {
    super(formatEnum(observableType));
  }
}
