import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CircuitTerminationOverviewPageModule } from '@orion/asset-components/circuit-termination-overview';
import { CircuitTerminationOverviewRoutingModule } from './circuit-termination-overview-routing.module';
import { CircuitTerminationAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, CircuitTerminationOverviewPageModule, CircuitTerminationOverviewRoutingModule],
  providers: [CircuitTerminationAssetBreadcrumbResolver],
})
export class CircuitTerminationOverviewModule {}
