import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { WirelessLinkAssetOverviewPageModule } from '@orion/asset-components/wireless-link-overview';
import { WirelessLinkOverviewRoutingModule } from './wireless-link-overview-routing.module';
import { WirelessLinkAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, WirelessLinkAssetOverviewPageModule, WirelessLinkOverviewRoutingModule],
  providers: [WirelessLinkAssetBreadcrumbResolver],
})
export class WirelessLinkOverviewModule {}
