import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ConsolePortAssetOverviewPageModule } from '@orion/asset-components/console-port-overview';
import { ConsolePortOverviewRoutingModule } from './console-port-overview-routing.module';
import { ConsolePortAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, ConsolePortAssetOverviewPageModule, ConsolePortOverviewRoutingModule],
  providers: [ConsolePortAssetBreadcrumbResolver],
})
export class ConsolePortOverviewModule {}
