import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ConsoleServerPortAssetOverviewPageModule } from '@orion/asset-components/console-server-port-overview';
import { ConsoleServerPortOverviewRoutingModule } from './console-server-port-overview-routing.module';
import { ConsoleServerPortAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, ConsoleServerPortAssetOverviewPageModule, ConsoleServerPortOverviewRoutingModule],
  providers: [ConsoleServerPortAssetBreadcrumbResolver],
})
export class ConsoleServerPortOverviewModule {}
