import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { DeviceBayAssetOverviewPageModule } from '@orion/asset-components/device-bay-overview';
import { DeviceBayOverviewRoutingModule } from './device-bay-overview-routing.module';
import { DeviceBayAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, DeviceBayAssetOverviewPageModule, DeviceBayOverviewRoutingModule],
  providers: [DeviceBayAssetBreadcrumbResolver],
})
export class DeviceBayOverviewModule {}
