import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { DeviceTypeAssetOverviewPageModule } from '@orion/asset-components/device-type-overview';
import { DeviceTypeOverviewRoutingModule } from './device-type-overview-routing.module';
import { DeviceTypeAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, DeviceTypeAssetOverviewPageModule, DeviceTypeOverviewRoutingModule],
  providers: [DeviceTypeAssetBreadcrumbResolver],
})
export class DeviceTypeOverviewModule {}
