import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { InterfaceAssetOverviewPageModule } from '@orion/asset-components/interface-overview';

import { InterfaceOverviewRoutingModule } from './interface-overview-routing.module';
import { InterfaceAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, InterfaceAssetOverviewPageModule, InterfaceOverviewRoutingModule],
  providers: [InterfaceAssetBreadcrumbResolver],
})
export class InterfaceOverviewModule {}
