import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { PowerOutletAssetOverviewPageModule } from '@orion/asset-components/power-outlet-overview';
import { PowerOutletOverviewRoutingModule } from './power-outlet-overview-routing.module';
import { PowerOutletAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, PowerOutletAssetOverviewPageModule, PowerOutletOverviewRoutingModule],
  providers: [PowerOutletAssetBreadcrumbResolver],
})
export class PowerOutletOverviewModule {}
