import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { VirtualChassisAssetDetailPageModule } from '@orion/asset-components/virtual-chassis-detail';
import { VirtualChassisDetailRoutingModule } from './virtual-chassis-detail-routing.module';
import { VirtualChassisAssetTitleResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, VirtualChassisAssetDetailPageModule, VirtualChassisDetailRoutingModule],
  providers: [VirtualChassisAssetTitleResolver],
})
export class VirtualChassisDetailModule {}
