import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AggregateAssetOverviewPageModule } from '@orion/asset-components/aggregate-overview';
import { AggregateOverviewRoutingModule } from './aggregate-overview-routing.module';
import { AggregateAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, AggregateAssetOverviewPageModule, AggregateOverviewRoutingModule],
  providers: [AggregateAssetBreadcrumbResolver],
})
export class AggregateOverviewModule {}
