import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AsnAssetOverviewPageModule } from '@orion/asset-components/asn-overview';
import { AsnOverviewRoutingModule } from './asn-overview-routing.module';
import { AsnAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, AsnAssetOverviewPageModule, AsnOverviewRoutingModule],
  providers: [AsnAssetBreadcrumbResolver],
})
export class AsnOverviewModule {}
