import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { IpAddressAssetOverviewPageModule } from '@orion/asset-components/ip-address-overview';
import { IpAddressOverviewRoutingModule } from './ip-address-overview-routing.module';
import { IpAddressAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, IpAddressAssetOverviewPageModule, IpAddressOverviewRoutingModule],
  providers: [IpAddressAssetBreadcrumbResolver],
})
export class IpAddressOverviewModule {}
