import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouteTargetAssetOverviewPageModule } from '@orion/asset-components/route-target-overview';
import { RouteTargetOverviewRoutingModule } from './route-target-overview-routing.module';
import { RouteTargetAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, RouteTargetAssetOverviewPageModule, RouteTargetOverviewRoutingModule],
  providers: [RouteTargetAssetBreadcrumbResolver],
})
export class RouteTargetOverviewModule {}
