import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { VlanAssetOverviewPageModule } from '@orion/asset-components/vlan-overview';
import { VlanOverviewRoutingModule } from './vlan-overview-routing.module';
import { VlanAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, VlanAssetOverviewPageModule, VlanOverviewRoutingModule],
  providers: [VlanAssetBreadcrumbResolver],
})
export class VlanOverviewModule {}
