import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { LocationAssetOverviewPageModule } from '@orion/asset-components/location-overview';
import { LocationOverviewRoutingModule } from './location-overview-routing.module';
import { LocationAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, LocationAssetOverviewPageModule, LocationOverviewRoutingModule],
  providers: [LocationAssetBreadcrumbResolver],
})
export class LocationOverviewModule {}
