import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SiteGroupAssetOverviewPageModule } from '@orion/asset-components/site-group-overview';
import { SiteGroupOverviewRoutingModule } from './site-group-overview-routing.module';
import { SiteGroupAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, SiteGroupAssetOverviewPageModule, SiteGroupOverviewRoutingModule],
  providers: [SiteGroupAssetBreadcrumbResolver],
})
export class SiteGroupOverviewModule {}
