import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SiteAssetOverviewPageModule } from '@orion/asset-components/site-overview';
import { SiteOverviewRoutingModule } from './site-overview-routing.module';
import { SiteAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, SiteAssetOverviewPageModule, SiteOverviewRoutingModule],
  providers: [SiteAssetBreadcrumbResolver],
})
export class SiteOverviewModule {}
