import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TenantGroupAssetOverviewPageModule } from '@orion/asset-components/tenant-group-overview';
import { TenantGroupOverviewRoutingModule } from './tenant-group-overview-routing.module';
import { TenantGroupAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, TenantGroupAssetOverviewPageModule, TenantGroupOverviewRoutingModule],
  providers: [TenantGroupAssetBreadcrumbResolver],
})
export class TenantGroupOverviewModule {}
