import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TenantAssetDetailPageModule } from '@orion/asset-components/tenant-detail';
import { TenantDetailRoutingModule } from './tenant-detail-routing.module';
import { TenantAssetTitleResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, TenantAssetDetailPageModule, TenantDetailRoutingModule],
  providers: [TenantAssetTitleResolver],
})
export class TenantDetailModule {}
