import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ClusterAssetOverviewPageModule } from '@orion/asset-components/cluster-overview';
import { ClusterOverviewRoutingModule } from './cluster-overview-routing.module';
import { ClusterAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, ClusterAssetOverviewPageModule, ClusterOverviewRoutingModule],
  providers: [ClusterAssetBreadcrumbResolver],
})
export class ClusterOverviewModule {}
