import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ClusterTypeAssetOverviewPageModule } from '@orion/asset-components/cluster-type-overview';
import { ClusterTypeOverviewRoutingModule } from './cluster-type-overview-routing.module';
import { ClusterTypeAssetBreadcrumbResolver } from '@orion/asset-services';

@NgModule({
  imports: [CommonModule, ClusterTypeAssetOverviewPageModule, ClusterTypeOverviewRoutingModule],
  providers: [ClusterTypeAssetBreadcrumbResolver],
})
export class ClusterTypeOverviewModule {}
