import { NgModule } from '@angular/core';
import { CaseOverviewPageModule } from '@orion/case-components/overview-page';
import { CaseBreadcrumbResolver, CaseNavigator } from '@orion/case-services';
import { CaseOverviewRoutingModule } from './case-overview-routing.module';

@NgModule({
  imports: [CaseOverviewRoutingModule, CaseOverviewPageModule],
  providers: [CaseNavigator, CaseBreadcrumbResolver],
})
export class CaseOverviewModule {}
