import { NgModule } from '@angular/core';
import { WorkflowDetailPageModule } from '@orion/workflow-components/detail';
import { WorkflowDetailRoutingModule } from './workflow-detail-routing.module';
import { WorkflowTitleResolver } from '@orion/workflow-services';
import { StageBreadcrumbResolver } from '@orion/stage-services';

@NgModule({
  imports: [WorkflowDetailPageModule, WorkflowDetailRoutingModule],
  providers: [WorkflowTitleResolver, StageBreadcrumbResolver],
})
export class WorkflowDetailModule {}
