import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { StageDetailPageModule } from '@orion/stage-components/detail';
import { TaskBreadcrumbResolver, TaskNavigator } from '@orion/task-services';
import { WorkflowNavigator } from '@orion/workflow-services';
import { StageDetailRoutingModule } from './stage-detail-routing.module';
import { StageTitleResolver } from '@orion/stage-services';

@NgModule({
  imports: [CommonModule, StageDetailPageModule, StageDetailRoutingModule],
  providers: [StageTitleResolver, WorkflowNavigator, TaskNavigator, TaskBreadcrumbResolver],
})
export class StageDetailModule {}
