import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DashboardPageComponent } from '@orion/dashboard-components';

const routes: Routes = [
  {
    path: '',
    title: 'Dashboard',
    component: DashboardPageComponent,
    data: {
      headline: 'Dashboard',
      headlineIcon: 'dashboard',
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DashboardRoutingModule {}
