import { NgModule } from '@angular/core';
import { EditLabelRoutingModule } from './edit-label-routing.module';
import { CreateEditLabelPageModule } from '@orion/label-components/create-edit';
import { LabelBreadcrumbResolver, LabelEditTitleResolver } from '@orion/label-services';

@NgModule({
  imports: [CreateEditLabelPageModule, EditLabelRoutingModule],
  providers: [LabelBreadcrumbResolver, LabelEditTitleResolver],
})
export class EditLabelModule {}
