import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ALIAS_ICON } from '@orion/common';
import { AliasDetailPageComponent } from '@orion/ttps-components/detail-alias';
import { AliasTitleResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    component: AliasDetailPageComponent,
    title: AliasTitleResolver,
    data: {
      headline: 'Alias Detail',
      headlineIcon: ALIAS_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AliasDetailRoutingModule {}
