import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { GROUP_ICON } from '@orion/common';
import { GroupDetailPageComponent } from '@orion/ttps-components/detail-group';
import { GroupTitleResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    component: GroupDetailPageComponent,
    title: GroupTitleResolver,
    data: {
      headline: 'Group Detail',
      headlineIcon: GROUP_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class GroupDetailRoutingModule {}
