import { NgModule } from '@angular/core';
import { CaseNavigator } from '@orion/case-services';
import { TaskNavigator } from '@orion/task-services';
import { UserDetailPageModule } from '@orion/user-components/detail';
import { UserTitleResolver } from '@orion/user-services';
import { UserDetailRoutingModule } from './user-detail-routing.module';

@NgModule({
  imports: [UserDetailPageModule, UserDetailRoutingModule],
  providers: [UserTitleResolver, CaseNavigator, TaskNavigator],
})
export class UserDetailModule {}
