import { AbstractControl, ValidationErrors, ValidatorFn } from '@angular/forms';

export const urlValidator: ValidatorFn = (control: AbstractControl): ValidationErrors | null => {
  try {
    new URL(control.value);
  } catch {
    return { invalidUrl: true };
  }
  return null;
};
