import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatDividerModule } from '@angular/material/divider';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { EntityToolbarComponent } from './entity-toolbar.component';

@NgModule({
  declarations: [EntityToolbarComponent],
  imports: [CommonModule, MatDividerModule, SentinelControlsModule, SentinelPipesModule],
  exports: [EntityToolbarComponent],
})
export class EntityToolbarModule {}
