import { Injectable } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';

@Injectable()
export class CreateAssociationViewStateService {
  private displayedAddComponentSubject$: BehaviorSubject<boolean> = new BehaviorSubject<boolean>(false);
  displayedAddComponent$: Observable<boolean> = this.displayedAddComponentSubject$.asObservable();

  displayAddComponent(): void {
    this.displayedAddComponentSubject$.next(true);
  }

  hideAddComponent(): void {
    this.displayedAddComponentSubject$.next(false);
  }
}
