import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { TTP_ICON } from '@orion/common';

@Component({
  selector: 'orion-ttps-tab-label',
  templateUrl: './ttps-tab-label.component.html',
  styleUrls: ['./ttps-tab-label.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TTPsTabLabelComponent {
  @Input() label = 'TTPs';
  @Input() count?: number;
  icon = TTP_ICON;
}
