import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { USER_ACCOUNTING_ICON } from '@orion/common';

@Component({
  selector: 'orion-related-users-tab-label',
  templateUrl: './related-users-tab-label.component.html',
  styleUrls: ['./related-users-tab-label.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RelatedUsersTabLabelComponent {
  @Input() label = 'Users';
  @Input() count?: number;
  icon = USER_ACCOUNTING_ICON;
}
