import {
  ApolloPaginatedFilterableService,
  ApolloQueryServiceOptions,
} from '@csirtmu-orion/microframework/apollo-services';
import * as Apollo from 'apollo-angular';
import { DEFAULT_POLL_INTERVAL_OVERVIEW_PAGE } from '@orion/common';

export abstract class ApolloPaginatedFilterablePollingService<
  Query,
  QueryVariables,
  Entity,
  OrderableBy,
  ClientFilter,
  ApiFilter
> extends ApolloPaginatedFilterableService<Query, QueryVariables, Entity, OrderableBy, ClientFilter, ApiFilter> {
  protected constructor(
    getQuery: Apollo.Query<Query, QueryVariables>,
    operationName: string,
    options?: ApolloQueryServiceOptions
  ) {
    super(getQuery, operationName, { pollInterval: DEFAULT_POLL_INTERVAL_OVERVIEW_PAGE, ...options });
  }
}
