import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedObservablesModule } from '@orion/observable-components/related-observables';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { StageOrWorkflowRelatedObservablesComponent } from './stage-or-workflow-related-observables.component';

@NgModule({
  declarations: [StageOrWorkflowRelatedObservablesComponent],
  imports: [
    CommonModule,
    // RelatedObservablesModule,
    SentinelPipesModule,
    RelatedObservablesModule,
  ],
  exports: [StageOrWorkflowRelatedObservablesComponent],
})
export class StageOrWorkflowRelatedObservablesModule {}
