import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CaseNameSidebarElementModule } from '@orion/case-components/shared';
import { UsersSidebarElementModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionDueDateSidebarElementModule } from '@csirtmu-orion/microframework/due-date';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { StageOrWorkflowDetailSidebarComponent } from './stage-or-workflow-detail-sidebar.component';

@NgModule({
  declarations: [StageOrWorkflowDetailSidebarComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    OrionSidebarModule,
    OrionDueDateSidebarElementModule,
    UsersSidebarElementModule,
    CaseNameSidebarElementModule,
  ],
  exports: [StageOrWorkflowDetailSidebarComponent],
})
export class StageOrWorkflowDetailSidebarModule {}
