import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { StageStateEnum, WorkflowStateEnum } from '@orion/graphql-types';

@Component({
  selector: 'orion-stage-or-workflow-state',
  templateUrl: './stage-or-workflow-state.component.html',
  styleUrls: ['./stage-or-workflow-state.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class StageOrWorkflowStateComponent {
  @Input() state?: WorkflowStateEnum | StageStateEnum;
  @Input() typename?: 'Workflow' | 'Stage';
}
