import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { StageTaskPanelModule } from '@orion/stage-components/panels';
import {
  StageOrWorkflowDetailMainContentModule,
  StageOrWorkflowDetailSidebarModule,
} from '@orion/stage-workflow-shared-components/detail';
import { WorkflowNameModule } from '@orion/workflow-components/workflow-name';
import { WorkflowNameSidebarElementModule } from '@orion/workflow-components/workflow-name-sidebar';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { StageDetailPageComponent } from './stage-detail-page.component';

@NgModule({
  declarations: [StageDetailPageComponent],
  imports: [
    CommonModule,
    StageOrWorkflowDetailMainContentModule,
    StageOrWorkflowDetailSidebarModule,
    SentinelPipesModule,
    StageTaskPanelModule,
    WorkflowNameModule,
    OrionSidebarModule,
    WorkflowNameSidebarElementModule,
    EntityDetailPageModule,
    SLetModule,
  ],
  exports: [StageDetailPageComponent],
})
export class StageDetailPageModule {}
