import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackById } from '@sentinel/common/utils';
import { ActiveStagesPanelFragment } from './active-stages-panel.fragment.generated';
import { TASK_ICON } from '@orion/common';

@Component({
  selector: 'orion-active-stages-panel',
  templateUrl: './active-stages-panel.component.html',
  styleUrls: ['./active-stages-panel.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ActiveStagesPanelComponent {
  @Input() workflow?: ActiveStagesPanelFragment;
  trackByFn = trackById;
  taskIcon = TASK_ICON;
}
