import { gql } from 'apollo-angular';

export type StageNameFragment = {
  __typename?: 'Stage';
  id: string;
  name: string;
  created?: any | undefined;
  workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const StageNameFragmentDoc = gql`
  fragment stageName on Stage {
    id
    name
    workflow {
      id
      case {
        id
      }
    }
    created
    createdBy {
      ...userNameAndIcon
    }
  }
`;
