import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { EntitySubtitleModule } from '@orion/shared-components/entity-subtitle';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { StageNameComponent } from './stage-name.component';
import { StageNavigatorPipe } from './stage-navigator.pipe';

@NgModule({
  declarations: [StageNameComponent, StageNavigatorPipe],
  imports: [CommonModule, OrionEntityNameModule, MatTooltipModule, MatIconModule, EntitySubtitleModule],
  exports: [StageNameComponent, StageNavigatorPipe],
})
export class StageNameModule {}
