import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { TaskRelationshipTableModule } from '../task-relationship-table/task-relationship-table.module';
import { BlockingPanelComponent } from './blocking-panel.component';

@NgModule({
  declarations: [BlockingPanelComponent],
  imports: [
    CommonModule,
    OrionPanelModule,
    MatIconModule,
    OrionBadgeModule,
    TaskRelationshipTableModule,
    OrionCardModule,
  ],
  exports: [BlockingPanelComponent],
})
export class BlockingPanelModule {}
