import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatDividerModule } from '@angular/material/divider';
import { MatIconModule } from '@angular/material/icon';
import { TaskNameModule } from '@orion/task-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { TaskRelationshipTableModule } from '../task-relationship-table/task-relationship-table.module';
import { TaskPredecessorsPanelComponent } from './task-predecessors-panel.component';

@NgModule({
  declarations: [TaskPredecessorsPanelComponent],
  imports: [
    CommonModule,
    OrionPanelModule,
    MatIconModule,
    MatDividerModule,
    TaskNameModule,
    OrionBadgeModule,
    SentinelPipesModule,
    TaskRelationshipTableModule,
  ],
  exports: [TaskPredecessorsPanelComponent],
})
export class TaskPredecessorsPanelModule {}
