import { Pipe, PipeTransform } from '@angular/core';
import { TaskStateEnum } from '@orion/graphql-types';

@Pipe({
  name: 'isTaskFinishedState',
})
export class TaskFinishedStatePipe implements PipeTransform {
  transform(state?: TaskStateEnum): boolean {
    return state === TaskStateEnum.SKIPPED || state === TaskStateEnum.REJECTED || state === TaskStateEnum.RESOLVED;
  }
}
