import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { TaskRelationshipTableModule } from '../task-relationship-table/task-relationship-table.module';
import { TaskSuccessorsPanelComponent } from './task-successors-panel.component';
import { TaskFinishedStatePipe } from './task-finished-state.pipe';

@NgModule({
  declarations: [TaskSuccessorsPanelComponent, TaskFinishedStatePipe],
  imports: [CommonModule, OrionPanelModule, MatIconModule, TaskRelationshipTableModule, OrionBadgeModule],
  exports: [TaskSuccessorsPanelComponent],
})
export class TaskSuccessorsPanelModule {}
