import { Pipe, PipeTransform } from '@angular/core';

@Pipe({ name: 'noTaskIOTypeSuffix' })
export class NoTaskIoTypeSuffixPipe implements PipeTransform {
  transform(value?: string): string {
    if (value) {
      return value.toLowerCase().split('_input_output')[0];
    } else {
      return '';
    }
  }
}
