import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { FormControl } from '@angular/forms';
import { TaskIOTypenameOrEnum } from '@orion/task-types';

@Component({
  selector: 'orion-task-input-output-validation-edit',
  templateUrl: './task-input-output-validation-edit.component.html',
  styleUrls: ['./task-input-output-validation-edit.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskInputOutputValidationEditComponent {
  @Input() type?: TaskIOTypenameOrEnum;
  @Input() control?: FormControl<string | null>;
}
