import { gql } from 'apollo-angular';

export type TaskInputOutputBaseTaskInputOutputFragment = {
  __typename?: 'BaseTaskInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputBoolInputOutputFragment = {
  __typename?: 'BoolInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputDateInputOutputFragment = {
  __typename?: 'DateInputOutput';
  dateValue?: any | undefined;
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputDateTimeInputOutputFragment = {
  __typename?: 'DateTimeInputOutput';
  datetimeValue?: any | undefined;
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputDomainInputOutputFragment = {
  __typename?: 'DomainInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputEmailAddressInputOutputFragment = {
  __typename?: 'EmailAddressInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputEmailMessageInputOutputFragment = {
  __typename?: 'EmailMessageInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputFileInputOutputFragment = {
  __typename?: 'FileInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputFileRefInputOutputFragment = {
  __typename?: 'FileRefInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputHashInputOutputFragment = {
  __typename?: 'HashInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputIpInputOutputFragment = {
  __typename?: 'IPInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputJsonInputOutputFragment = {
  __typename?: 'JSONInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputStringInputOutputFragment = {
  __typename?: 'StringInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputUrlInputOutputFragment = {
  __typename?: 'URLInputOutput';
  type?: string | undefined;
  stringifiedValue?: string | undefined;
};

export type TaskInputOutputFragment =
  | TaskInputOutputBaseTaskInputOutputFragment
  | TaskInputOutputBoolInputOutputFragment
  | TaskInputOutputDateInputOutputFragment
  | TaskInputOutputDateTimeInputOutputFragment
  | TaskInputOutputDomainInputOutputFragment
  | TaskInputOutputEmailAddressInputOutputFragment
  | TaskInputOutputEmailMessageInputOutputFragment
  | TaskInputOutputFileInputOutputFragment
  | TaskInputOutputFileRefInputOutputFragment
  | TaskInputOutputHashInputOutputFragment
  | TaskInputOutputIpInputOutputFragment
  | TaskInputOutputJsonInputOutputFragment
  | TaskInputOutputStringInputOutputFragment
  | TaskInputOutputUrlInputOutputFragment;

export const TaskInputOutputFragmentDoc = gql`
  fragment taskInputOutput on TaskInputOutput {
    type
    stringifiedValue
    ... on DateInputOutput {
      dateValue
    }
    ... on DateTimeInputOutput {
      datetimeValue
    }
  }
`;
