import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { TaskInputOutputPanelModule } from './task-input-output-panel';
import { TaskIOPanelsComponent } from './task-io-panels.component';

@NgModule({
  declarations: [TaskIOPanelsComponent],
  imports: [CommonModule, TaskInputOutputPanelModule, SentinelPipesModule],
  exports: [TaskIOPanelsComponent],
})
export class TaskIoModule {}
