import { TaskReferenceDirectionEnum } from './task-reference-direction.enum';

export class CreateTaskReference {
  sourceId: string;
  targetId: string;

  constructor(currTaskId: string, selectedTaskId: string, direction: TaskReferenceDirectionEnum) {
    if (direction === TaskReferenceDirectionEnum.REFERS_TO) {
      this.sourceId = currTaskId;
      this.targetId = selectedTaskId;
    } else {
      this.sourceId = selectedTaskId;
      this.targetId = currTaskId;
    }
  }
}
