import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TaskFlagsModule, TaskNameModule, TaskStateModule } from '@orion/task-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelTableModule } from '@sentinel/components/table';
import { TaskRelationshipTableComponent } from './task-relationship-table.component';

@NgModule({
  declarations: [TaskRelationshipTableComponent],
  imports: [CommonModule, SentinelTableModule, TaskNameModule, SentinelPipesModule, TaskStateModule, TaskFlagsModule],
  exports: [TaskRelationshipTableComponent],
})
export class TaskRelationshipTableModule {}
