import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ExternalReferenceOverviewModule } from '@orion/external-reference-components/overview';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { TaskExternalReferencesComponent } from './task-external-references.component';

@NgModule({
  declarations: [TaskExternalReferencesComponent],
  imports: [CommonModule, SentinelPipesModule, ExternalReferenceOverviewModule],
  exports: [TaskExternalReferencesComponent],
})
export class TaskExternalReferencesModule {}
