import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { TaskRelatedUsersComponent } from './task-related-users.component';
import { RelatedUsersOverviewModule } from '@orion/user-accounting-components/related-users';

@NgModule({
  declarations: [TaskRelatedUsersComponent],
  imports: [CommonModule, RelatedUsersOverviewModule, SentinelPipesModule],
  exports: [TaskRelatedUsersComponent],
})
export class TaskRelatedUsersModule {}
