import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TaskToolbarFragment = {
  __typename?: 'Task';
  id: string;
  isDecision?: boolean | undefined;
  decision?: boolean | undefined;
  created?: any | undefined;
  state?: SchemaTypes.TaskStateEnum | undefined;
  autotrigger?: boolean | undefined;
  isAutomated?: boolean | undefined;
  aggregatesResults?: boolean | undefined;
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const TaskToolbarFragmentDoc = gql`
  fragment taskToolbar on Task {
    id
    ...taskState
    ...taskFlags
    isDecision
    decision
    created
    createdBy {
      ...userNameAndIcon
    }
  }
`;
