import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { TaskDetailPageComponent } from './task-detail-page.component';
import { TaskDetailSidebarModule } from './task-detail-sidebar';
import { TaskDetailMainContentModule } from './task-detail-main-content';

@NgModule({
  declarations: [TaskDetailPageComponent],
  imports: [
    CommonModule,
    TaskDetailSidebarModule,
    OrionSidebarModule,
    SentinelPipesModule,
    TaskDetailMainContentModule,
    EntityDetailPageModule,
    SLetModule,
    EditableEntityModule,
  ],
  exports: [TaskDetailPageComponent],
})
export class TaskDetailPageModule {}
