import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { TaskNameRowFragment } from './task-name-row.fragment.generated';

@Component({
  selector: 'orion-task-name-row',
  templateUrl: './task-name-row.component.html',
  styleUrls: ['./task-name-row.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskNameRowComponent {
  @Input() task?: TaskNameRowFragment;
  @Input() withSubtitle = false;
  @Input() fullPath = false;
}
