import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';

import { TasksOverviewModule } from '@orion/task-components/overview';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelLoadingModule } from '@sentinel/components/loading';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { AssignedTasksPanelComponent } from './assigned-tasks-panel.component';

@NgModule({
  declarations: [AssignedTasksPanelComponent],
  imports: [
    CommonModule,
    OrionPanelModule,
    SentinelPipesModule,
    MatIconModule,
    OrionBadgeModule,
    SentinelLoadingModule,
    SentinelErrorModule,
    TasksOverviewModule,
  ],
  exports: [AssignedTasksPanelComponent],
})
export class AssignedTasksPanelModule {}
