import { Pipe, PipeTransform } from '@angular/core';
import { Flag } from '@orion/task-components/shared';

@Pipe({
  name: 'taskFlagsTooltip',
})
export class TaskFlagsTooltipPipe implements PipeTransform {
  transform(flags: Flag[]): string {
    return flags.map((flag) => flag.name).join(', ');
  }
}
