import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TaskFlagsComponent } from './task-flags.component';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { TaskFlagsTooltipPipe } from './task-flags-tooltip.pipe';

@NgModule({
  declarations: [TaskFlagsComponent, TaskFlagsTooltipPipe],
  imports: [CommonModule, MatIconModule, MatTooltipModule],
  exports: [TaskFlagsComponent],
})
export class TaskFlagsModule {}
