import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TaskListElementFragment = {
  __typename?: 'Task';
  state?: SchemaTypes.TaskStateEnum | undefined;
  isDecision?: boolean | undefined;
  id: string;
  name: string;
  created?: any | undefined;
  autotrigger?: boolean | undefined;
  isAutomated?: boolean | undefined;
  aggregatesResults?: boolean | undefined;
  stage: {
    __typename?: 'Stage';
    id: string;
    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
  };
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const TaskListElementFragmentDoc = gql`
  fragment taskListElement on Task {
    ...taskName
    ...taskFlags
    state
    isDecision
  }
`;
