import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelResourceSelectorModule } from '@sentinel/components/resource-selector';
import { TaskNameModule } from '../task-name';
import { TaskSelectionComponent } from './task-selection.component';
import { TaskFlagsModule } from '../task-flags';

@NgModule({
  declarations: [TaskSelectionComponent],
  imports: [CommonModule, SentinelResourceSelectorModule, TaskNameModule, SentinelPipesModule, TaskFlagsModule],
  exports: [TaskSelectionComponent],
})
export class TaskSelectionModule {}
