import { formatEnum } from '@orion/common';
import { TaskStateEnum } from '@orion/graphql-types';
import { FilterChip } from '@csirtmu-orion/microframework/filter';

export class TaskStateFilterChip extends FilterChip {
  state: TaskStateEnum;
  constructor(state: TaskStateEnum) {
    super(formatEnum(state));
    this.state = state;
  }
}
