import { AssigneeListElementFragment } from '@orion/case-services';
import { TaskStateEnum } from '@orion/graphql-types';

export interface TaskClientFilter {
  id?: string;
  name?: string;
  idOrName?: string;
  from?: Date;
  to?: Date;
  dueDateUntil?: Date;
  externalReferenceId?: string;
  assignees?: AssigneeListElementFragment[];
  exceptIds?: string[];
  states?: TaskStateEnum[];
  inStageIds?: string[];
}
