import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatTooltipModule } from '@angular/material/tooltip';
import { TTPDescriptionModule } from '@orion/ttps-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { SentinelTableModule } from '@sentinel/components/table';
import { TTTPNameRowModule } from '../ttp-name-row';
import { SubTechniquesPanelComponent } from './panel';
import { SubTechniquesTableComponent } from './table';

@NgModule({
  declarations: [SubTechniquesTableComponent, SubTechniquesPanelComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    TTTPNameRowModule,
    TTPDescriptionModule,
    OrionBadgeModule,
    SentinelPipesModule,
    OrionPanelModule,
    MatTooltipModule,
  ],
  exports: [SubTechniquesTableComponent, SubTechniquesPanelComponent],
})
export class SubTechniqueSharedModule {}
