import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TTPNameModule } from '@orion/ttps-components/shared';
import { OrionNestedTreeModule } from '@csirtmu-orion/microframework/nested-tree';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { TTPDetailSidebarComponent } from './ttp-detail-sidebar.component';

@NgModule({
  declarations: [TTPDetailSidebarComponent],
  imports: [CommonModule, OrionSidebarModule, OrionNestedTreeModule, TTPNameModule],
  exports: [TTPDetailSidebarComponent],
})
export class TTPDetailSidebarModule {}
