import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TTPCardDirective } from './ttp-card.directive';
import { TTPOverviewContentDirective } from './ttp-overview-content.directive';

@NgModule({
  declarations: [TTPCardDirective, TTPOverviewContentDirective],
  imports: [CommonModule],
  exports: [TTPCardDirective, TTPOverviewContentDirective],
})
export class TTPContentInjectionModule {}
