import { gql } from 'apollo-angular';

export type TtpMainContentGroupProcedureFragment = {
  __typename?: 'GroupProcedure';
  id: string;
  created?: any | undefined;
  ttpType?: string | undefined;
  description?: string | undefined;
  name: string;
};

export type TtpMainContentMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  id: string;
  created?: any | undefined;
  ttpType?: string | undefined;
  description?: string | undefined;
  name: string;
};

export type TtpMainContentTacticFragment = {
  __typename?: 'Tactic';
  id: string;
  created?: any | undefined;
  ttpType?: string | undefined;
  description?: string | undefined;
  name: string;
};

export type TtpMainContentTechniqueFragment = {
  __typename?: 'Technique';
  id: string;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  ttpType?: string | undefined;
  description?: string | undefined;
  name: string;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export type TtpMainContentToolProcedureFragment = {
  __typename?: 'ToolProcedure';
  id: string;
  created?: any | undefined;
  ttpType?: string | undefined;
  description?: string | undefined;
  name: string;
};

export type TtpMainContentFragment =
  | TtpMainContentGroupProcedureFragment
  | TtpMainContentMalwareProcedureFragment
  | TtpMainContentTacticFragment
  | TtpMainContentTechniqueFragment
  | TtpMainContentToolProcedureFragment;

export const TtpMainContentFragmentDoc = gql`
  fragment ttpMainContent on ITTP {
    id
    ...ttpName
    ...ttpDetailTabs
  }
`;
