import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TTPNameModule, TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { SentinelSidebarToggleModule } from '@sentinel/layout/sidebar';
import { TTPContentInjectionModule } from './ttp-content-injection';
import { TTPDetailTabsModule } from './ttp-detail-tabs';
import { TTPMainContentComponent } from './ttp-main-content.component';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';

@NgModule({
  declarations: [TTPMainContentComponent],
  imports: [
    CommonModule,
    TTPDetailTabsModule,
    TTPContentInjectionModule,
    TTPNavigatorPipesModule,
    SentinelSidebarToggleModule,
    TTPNameModule,
    EntityToolbarModule,
    EntityToolbarInfoModule,
    SentinelPipesModule,
    OrionTimeAgoModule,
  ],
  exports: [TTPMainContentComponent],
})
export class TTPMainContentModule {}
