import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntitySubtitleModule } from '@orion/shared-components/entity-subtitle';
import { TTPNameModule, TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { TTPNameRowComponent } from './ttp-name-row.component';

@NgModule({
  declarations: [TTPNameRowComponent],
  imports: [
    CommonModule,
    OrionEntityNameModule,
    TTPNavigatorPipesModule,
    TTPNavigatorPipesModule,
    TTPNameModule,
    EntitySubtitleModule,
  ],
  exports: [TTPNameRowComponent],
})
export class TTTPNameRowModule {}
