import { gql } from 'apollo-angular';

export type GroupProcedureDetailContentFragment = {
  __typename?: 'GroupProcedure';
  externalReferences?:
    | {
        __typename?: 'ExternalReferenceNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'ExternalReference';
          id: string;
          url?: string | undefined;
          sourceName: string;
          description?: string | undefined;
        }>;
      }
    | undefined;
  groupTechnique: {
    __typename?: 'Technique';
    isSubtechnique?: boolean | undefined;
    created?: any | undefined;
    ttpType?: string | undefined;
    id: string;
    name: string;
    subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
  };
  group: { __typename?: 'TTPGroup'; id: string; name: string };
};

export const GroupProcedureDetailContentFragmentDoc = gql`
  fragment groupProcedureDetailContent on GroupProcedure {
    ...groupProcedureCardInfo
    externalReferences {
      data {
        ...externalReferencesTableElement
      }
      totalCount
    }
  }
`;
