import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { GroupProcedureDetailFragment } from './graphql';
import { GroupProcedureDetailService } from './group-procedure-detail.service';

@Component({
  selector: 'orion-group-procedure-detail-page',
  templateUrl: './group-procedure-detail-page.component.html',
  styleUrls: ['./group-procedure-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [GroupProcedureDetailService],
})
export class GroupProcedureDetailPageComponent extends EntityDetailPageBaseDirective<GroupProcedureDetailFragment> {
  constructor(protected groupProcedureService: GroupProcedureDetailService) {
    super(groupProcedureService);
  }
}
