import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { GroupDetailFragment } from './graphql';
import { GroupDetailService } from './group-detail.service';

@Component({
  selector: 'orion-group-detail-page',
  templateUrl: './group-detail-page.component.html',
  styleUrls: ['./group-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [GroupDetailService],
})
export class GroupDetailPageComponent extends EntityDetailPageBaseDirective<GroupDetailFragment> {
  constructor(protected groupService: GroupDetailService) {
    super(groupService);
  }
}
