import { gql } from 'apollo-angular';

export type SubTechniqueDetailFragment = {
  __typename?: 'Technique';
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  modified?: any | undefined;
  description?: string | undefined;
  name: string;
  subTechniqueOf?:
    | {
        __typename?: 'Technique';
        id: string;
        ttpType?: string | undefined;
        isSubtechnique?: boolean | undefined;
        created?: any | undefined;
        name: string;
        subTechniques?:
          | {
              __typename?: 'TechniqueNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'Technique';
                id: string;
                description?: string | undefined;
                ttpType?: string | undefined;
                isSubtechnique?: boolean | undefined;
                created?: any | undefined;
                name: string;
                subTechniqueOf?:
                  | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                  | undefined;
              }>;
            }
          | undefined;
        tactics?:
          | {
              __typename?: 'TacticNestedList';
              data: Array<{
                __typename?: 'Tactic';
                id: string;
                created?: any | undefined;
                ttpType?: string | undefined;
                name: string;
              }>;
            }
          | undefined;
        subTechniqueOf?:
          | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
          | undefined;
      }
    | undefined;
  externalReferences?:
    | {
        __typename?: 'ExternalReferenceNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'ExternalReference';
          id: string;
          url?: string | undefined;
          sourceName: string;
          description?: string | undefined;
        }>;
      }
    | undefined;
  tactics?:
    | {
        __typename?: 'TacticNestedList';
        data: Array<{ __typename?: 'Tactic'; id: string; ttpType?: string | undefined }>;
      }
    | undefined;
};

export const SubTechniqueDetailFragmentDoc = gql`
  fragment subTechniqueDetail on Technique {
    ...ttpName
    ...ttpMainContent
    ...subTechniqueCard
    ...selectedTTP
    subTechniqueOf {
      subTechniques {
        data {
          id
          ...subTechniquesTable
        }
        totalCount
      }
    }
    externalReferences {
      data {
        ...externalReferencesTableElement
      }
      totalCount
    }
  }
`;
