import { gql } from 'apollo-angular';

export type SubTechniqueCardFragment = {
  __typename?: 'Technique';
  created?: any | undefined;
  modified?: any | undefined;
  subTechniqueOf?:
    | {
        __typename?: 'Technique';
        id: string;
        isSubtechnique?: boolean | undefined;
        created?: any | undefined;
        ttpType?: string | undefined;
        name: string;
        tactics?:
          | {
              __typename?: 'TacticNestedList';
              data: Array<{
                __typename?: 'Tactic';
                id: string;
                created?: any | undefined;
                ttpType?: string | undefined;
                name: string;
              }>;
            }
          | undefined;
        subTechniqueOf?:
          | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
          | undefined;
      }
    | undefined;
};

export const SubTechniqueCardFragmentDoc = gql`
  fragment subTechniqueCard on Technique {
    ...ttpSharedCardContent
    subTechniqueOf {
      id
      ...ttpName
      tactics {
        data {
          id
          ...ttpName
        }
      }
    }
  }
`;
