import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { SubTechniqueDetailFragment } from './graphql';
import { SubTechniqueDetailService } from './sub-technique-detail.service';

@Component({
  selector: 'orion-sub-technique-detail-page',
  templateUrl: './sub-technique-detail-page.component.html',
  styleUrls: ['./sub-technique-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [SubTechniqueDetailService],
})
export class SubTechniqueDetailPageComponent extends EntityDetailPageBaseDirective<SubTechniqueDetailFragment> {
  constructor(protected subTechniqueService: SubTechniqueDetailService) {
    super(subTechniqueService);
  }
}
