import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { TacticDetailFragment } from './graphql';
import { TacticDetailService } from './tactic-detail.service';

@Component({
  selector: 'orion-tactic-detail-page',
  templateUrl: './tactic-detail-page.component.html',
  styleUrls: ['./tactic-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [TacticDetailService],
})
export class TacticDetailPageComponent extends EntityDetailPageBaseDirective<TacticDetailFragment> {
  constructor(protected tacticService: TacticDetailService) {
    super(tacticService);
  }
}
