import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackById } from '@sentinel/common/utils';
import { TechniqueCardFragment } from './technique-card.fragment.generated';

@Component({
  selector: 'orion-technique-card-content',
  templateUrl: './technique-card-content.component.html',
  styleUrls: ['./technique-card-content.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TechniqueCardContentComponent {
  @Input() technique?: TechniqueCardFragment;
  trackByFn = trackById;
}
