import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { TechniqueDetailFragment } from './graphql';
import { TechniqueDetailService } from './technique-detail.service';

@Component({
  selector: 'orion-technique-detail-page',
  templateUrl: './technique-detail-page.component.html',
  styleUrls: ['./technique-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [TechniqueDetailService],
})
export class TechniqueDetailPageComponent extends EntityDetailPageBaseDirective<TechniqueDetailFragment> {
  constructor(protected techniqueService: TechniqueDetailService) {
    super(techniqueService);
  }
}
