import { gql } from 'apollo-angular';

export type ToolProcedureDetailCardInfoFragment = {
  __typename?: 'ToolProcedure';
  tool: { __typename?: 'Tool'; id: string; name: string };
  toolTechnique: {
    __typename?: 'Technique';
    isSubtechnique?: boolean | undefined;
    created?: any | undefined;
    ttpType?: string | undefined;
    id: string;
    name: string;
    subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
  };
};

export const ToolProcedureDetailCardInfoFragmentDoc = gql`
  fragment toolProcedureDetailCardInfo on ToolProcedure {
    tool {
      id
      name
    }
    toolTechnique {
      ...ttpName
    }
  }
`;
