import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { ToolProcedureDetailFragment } from './graphql';
import { ToolProcedureDetailService } from './tool-procedure-detail.service';

@Component({
  selector: 'orion-tool-procedure-detail-page',
  templateUrl: './tool-procedure-detail-page.component.html',
  styleUrls: ['./tool-procedure-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ToolProcedureDetailService],
})
export class ToolProcedureDetailPageComponent extends EntityDetailPageBaseDirective<ToolProcedureDetailFragment> {
  constructor(protected toolProcedureService: ToolProcedureDetailService) {
    super(toolProcedureService);
  }
}
