import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionDateRangeFormModule } from '@csirtmu-orion/microframework/date-range-forms';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { ProcedureSharedFiltersComponent } from './procedure-shared-filters.component';

@NgModule({
  declarations: [ProcedureSharedFiltersComponent],
  imports: [CommonModule, OrionFilterModule, OrionDateRangeFormModule],
  exports: [ProcedureSharedFiltersComponent],
})
export class ProcedureSharedFiltersModule {}
