import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionDateRangeFormModule } from '@csirtmu-orion/microframework/date-range-forms';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { TechniqueFiltersComponent } from './technique-filters.component';

@NgModule({
  declarations: [TechniqueFiltersComponent],
  imports: [CommonModule, OrionFilterModule, OrionDateRangeFormModule],
  exports: [TechniqueFiltersComponent],
})
export class TechniqueFiltersModule {}
