import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { GroupProceduresTableModule } from '@orion/ttps-components/group-procedures-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { GroupProcedureFiltersModule } from '../../filters/group-procedure';
import { GroupProcedureOverviewPageComponent } from './group-procedure-overview-page.component';

@NgModule({
  declarations: [GroupProcedureOverviewPageComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    GroupProcedureFiltersModule,
    SentinelPipesModule,
    OrionCardModule,
    GroupProceduresTableModule,
  ],
  exports: [GroupProcedureOverviewPageComponent],
})
export class GroupProcedureOverviewPageModule {}
