import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MitigationFiltersModule } from '@orion/ttps-components/filters-mitigation';
import { MitigationsTableModule } from '@orion/ttps-components/mitigations-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { MitigationOverviewPageComponent } from './mitigation-overview-page.component';

@NgModule({
  declarations: [MitigationOverviewPageComponent],
  imports: [
    CommonModule,
    MitigationsTableModule,
    MitigationFiltersModule,
    OrionFilterModule,
    SentinelPipesModule,
    OrionCardModule,
  ],
  exports: [MitigationOverviewPageComponent],
})
export class MitigationOverviewPageModule {}
