import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { PlatformFiltersModule } from '@orion/ttps-components/filters-platform';
import { PlatformsTableModule } from '@orion/ttps-components/platforms-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { PlatformOverviewPageComponent } from './platform-overview-page.component';

@NgModule({
  declarations: [PlatformOverviewPageComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    SentinelPipesModule,
    PlatformFiltersModule,
    PlatformsTableModule,
    OrionCardModule,
  ],
  exports: [PlatformOverviewPageComponent],
})
export class PlatformOverviewPageModule {}
