import { Injectable } from '@angular/core';
import { Observable, ReplaySubject } from 'rxjs';

@Injectable()
export class TacticIdService {
  private idSubject$: ReplaySubject<string> = new ReplaySubject<string>();
  id$: Observable<string> = this.idSubject$.asObservable();

  set(id: string): void {
    this.idSubject$.next(id);
  }
}
