import { gql } from 'apollo-angular';

export type TechniqueListItemFragment = {
  __typename?: 'Technique';
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
  subTechniques?:
    | { __typename?: 'TechniqueNestedList'; totalCount: number; data: Array<{ __typename?: 'Technique'; id: string }> }
    | undefined;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export const TechniqueListItemFragmentDoc = gql`
  fragment techniqueListItem on Technique {
    ...ttpName
    subTechniques {
      totalCount
      data {
        id
      }
    }
  }
`;
