import { gql } from 'apollo-angular';

export type TechniqueOverviewElementFragment = {
  __typename?: 'Technique';
  description?: string | undefined;
  id: string;
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  name: string;
  subTechniques?:
    | {
        __typename?: 'TechniqueNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Technique';
          description?: string | undefined;
          id: string;
          ttpType?: string | undefined;
          isSubtechnique?: boolean | undefined;
          created?: any | undefined;
          name: string;
          subTechniqueOf?:
            | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
            | undefined;
        }>;
      }
    | undefined;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export const TechniqueOverviewElementFragmentDoc = gql`
  fragment techniqueOverviewElement on Technique {
    ...techniqueAndSubTechniqueTable
  }
`;
