import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { RouterModule } from '@angular/router';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { TTPsOverviewPageComponent } from './ttps-overview-page.component';

@NgModule({
  declarations: [TTPsOverviewPageComponent],
  imports: [CommonModule, MatButtonModule, RouterModule, OrionCardModule, MatCardModule],
  exports: [TTPsOverviewPageComponent],
})
export class TTPsOverviewPageModule {}
