import { gql } from 'apollo-angular';

export type RelatedTtpTableElementGroupProcedureFragment = {
  __typename?: 'GroupProcedure';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type RelatedTtpTableElementMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type RelatedTtpTableElementTacticFragment = {
  __typename?: 'Tactic';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type RelatedTtpTableElementTechniqueFragment = {
  __typename?: 'Technique';
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  id: string;
  name: string;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export type RelatedTtpTableElementToolProcedureFragment = {
  __typename?: 'ToolProcedure';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type RelatedTtpTableElementFragment =
  | RelatedTtpTableElementGroupProcedureFragment
  | RelatedTtpTableElementMalwareProcedureFragment
  | RelatedTtpTableElementTacticFragment
  | RelatedTtpTableElementTechniqueFragment
  | RelatedTtpTableElementToolProcedureFragment;

export const RelatedTtpTableElementFragmentDoc = gql`
  fragment relatedTTPTableElement on TTPFederationBase {
    ...ttpFederationName
    ttpType
  }
`;
