import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { RelatedTtpTableElementFragment } from './related-ttp-table.fragment.generated';
import { RelatedTTPsTable } from './related-ttps-table';

@Component({
  selector: 'orion-ttps-table',
  templateUrl: './ttps-table.component.html',
  styleUrls: ['./ttps-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TTPsTableComponent extends EntityTableDirective<RelatedTtpTableElementFragment, RelatedTTPsTable> {
  @Input() subtitleFullPath = false;
  protected createTable(entities: RelatedTtpTableElementFragment[]): RelatedTTPsTable {
    return new RelatedTTPsTable(entities);
  }
}
