import { Optional, Pipe, PipeTransform } from '@angular/core';
import { GroupNavigator } from '@orion/ttps-services';

@Pipe({
  name: 'groupNavigator',
})
export class GroupNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: GroupNavigator) {}

  transform(id: string): string | undefined {
    if (id && this.routeResolver) {
      return this.routeResolver.toDetail(id);
    } else {
      return undefined;
    }
  }
}
