import { NgModule } from '@angular/core';
import { AliasNavigatorPipe } from './alias-navigator.pipe';
import { GroupNavigatorPipe } from './group-navigator.pipe';
import { MalwareNavigatorPipe } from './malware-navigator.pipe';
import { MitigationNavigatorPipe } from './mitigation-navigator.pipe';
import { PlatformNavigatorPipe } from './platform-navigator.pipe';
import { ToolNavigatorPipe } from './tool-navigator.pipe';
import { TtpNavigatorPipe } from './ttp-navigator.pipe';

const pipes = [
  TtpNavigatorPipe,
  MitigationNavigatorPipe,
  GroupNavigatorPipe,
  MalwareNavigatorPipe,
  ToolNavigatorPipe,
  PlatformNavigatorPipe,
  AliasNavigatorPipe,
];

@NgModule({
  declarations: [...pipes],
  exports: [...pipes],
})
export class TTPNavigatorPipesModule {}
