import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { ThemePalette } from '@angular/material/core';
import { TtpNameFragment } from './ttp-name.fragment.generated';

@Component({
  selector: 'orion-ttp-name',
  templateUrl: './ttp-name.component.html',
  styleUrls: ['./ttp-name.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TTPNameComponent {
  @Input() fullPath = false;
  @Input() withSubtitle = false;
  @Input() ttp?: TtpNameFragment;
  @Input() icon?: string;
  @Input() prefixSubtechniques = true;
  @Input() color: ThemePalette = 'primary';
  @Input() maxLength = 45;
  @Input() withLink = true;
}
