import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { EntitySubtitleModule } from '@orion/shared-components/entity-subtitle';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { TTPNavigatorPipesModule } from '../pipes';
import { TTPNameComponent } from './ttp-name.component';
import { TTPNamePipe } from './ttp-name.pipe';

@NgModule({
  declarations: [TTPNameComponent, TTPNamePipe],
  imports: [
    CommonModule,
    OrionEntityNameModule,
    MatIconModule,
    TTPNavigatorPipesModule,
    EntitySubtitleModule,
    SentinelPipesModule,
  ],
  exports: [TTPNameComponent, TTPNamePipe],
})
export class TTPNameModule {}
