import { gql } from 'apollo-angular';

export type TtpSelectionGroupProcedureFragment = {
  __typename?: 'GroupProcedure';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpSelectionMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpSelectionTacticFragment = {
  __typename?: 'Tactic';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpSelectionTechniqueFragment = {
  __typename?: 'Technique';
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export type TtpSelectionToolProcedureFragment = {
  __typename?: 'ToolProcedure';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpSelectionFragment =
  | TtpSelectionGroupProcedureFragment
  | TtpSelectionMalwareProcedureFragment
  | TtpSelectionTacticFragment
  | TtpSelectionTechniqueFragment
  | TtpSelectionToolProcedureFragment;

export const TtpSelectionFragmentDoc = gql`
  fragment ttpSelection on ITTP {
    ...ttpName
  }
`;
