import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntitySelectionDirective } from '@orion/shared-components/related-entity-overview';
import { TtpSelectionFragment } from './ttp-selection.fragment.generated';

@Component({
  selector: 'orion-ttps-selection',
  templateUrl: './ttps-selection.component.html',
  styleUrls: ['./ttps-selection.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TTPsSelectionComponent extends EntitySelectionDirective<TtpSelectionFragment> {
  ttpIdentity = (a: TtpSelectionFragment, b: TtpSelectionFragment) => a.id === b.id && a.ttpType === b.ttpType;
}
