import { gql } from 'apollo-angular';

export type ExternalReferencesTableElementFragment = {
  __typename?: 'ExternalReference';
  id: string;
  url?: string | undefined;
  sourceName: string;
  description?: string | undefined;
};

export const ExternalReferencesTableElementFragmentDoc = gql`
  fragment externalReferencesTableElement on ExternalReference {
    id
    url
    sourceName
    description
  }
`;
