import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { TTPDescriptionModule } from '@orion/ttps-components/shared';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { ExternalReferencesTableComponent } from './external-references-table.component';

@NgModule({
  declarations: [ExternalReferencesTableComponent],
  imports: [
    CommonModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    SentinelTableModule,
    TTPDescriptionModule,
    MatButtonModule,
  ],
  exports: [ExternalReferencesTableComponent],
})
export class ExternalReferencesTableModule {}
