import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TTTPNameRowModule } from '@orion/ttps-components/detail-shared';
import { TTPDescriptionModule, TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { GroupProceduresTableComponent } from './group-procedures-table.component';

@NgModule({
  declarations: [GroupProceduresTableComponent],
  imports: [
    CommonModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    SentinelTableModule,
    TTPNavigatorPipesModule,
    OrionEntityNameModule,
    TTPDescriptionModule,
    TTTPNameRowModule,
  ],
  exports: [GroupProceduresTableComponent],
})
export class GroupProceduresTableModule {}
