import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TTPDescriptionModule, TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { MitigationsTableComponent } from './mitigations-table.component';

@NgModule({
  declarations: [MitigationsTableComponent],
  imports: [
    CommonModule,
    TTPDescriptionModule,
    SentinelTableModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    OrionEntityNameModule,
    TTPNavigatorPipesModule,
  ],
  exports: [MitigationsTableComponent],
})
export class MitigationsTableModule {}
