import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TTTPNameRowModule } from '@orion/ttps-components/detail-shared';
import { TTPDescriptionModule } from '@orion/ttps-components/shared';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { TechniquesTableComponent } from './techniques-table.component';

@NgModule({
  declarations: [TechniquesTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    TTPDescriptionModule,
    TTTPNameRowModule,
    SentinelErrorModule,
    OrionSkeletonLoadingModule,
  ],
  exports: [TechniquesTableComponent],
})
export class TechniquesTableModule {}
