import { gql } from 'apollo-angular';

export type ToolsTableElementFragment = {
  __typename?: 'Tool';
  id: string;
  name: string;
  description?: string | undefined;
};

export const ToolsTableElementFragmentDoc = gql`
  fragment toolsTableElement on Tool {
    id
    name
    description
  }
`;
