import { gql } from 'apollo-angular';

export type TtpIdGroupProcedureFragment = { __typename?: 'GroupProcedure'; id: string; ttpType?: string | undefined };

export type TtpIdMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  id: string;
  ttpType?: string | undefined;
};

export type TtpIdTacticFragment = { __typename?: 'Tactic'; id: string; ttpType?: string | undefined };

export type TtpIdTechniqueFragment = { __typename?: 'Technique'; id: string; ttpType?: string | undefined };

export type TtpIdToolProcedureFragment = { __typename?: 'ToolProcedure'; id: string; ttpType?: string | undefined };

export type TtpIdFragment =
  | TtpIdGroupProcedureFragment
  | TtpIdMalwareProcedureFragment
  | TtpIdTacticFragment
  | TtpIdTechniqueFragment
  | TtpIdToolProcedureFragment;

export type TtpFederationIdGroupProcedureFragment = {
  __typename?: 'GroupProcedure';
  id: string;
  ttpType?: string | undefined;
};

export type TtpFederationIdMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  id: string;
  ttpType?: string | undefined;
};

export type TtpFederationIdTacticFragment = { __typename?: 'Tactic'; id: string; ttpType?: string | undefined };

export type TtpFederationIdTechniqueFragment = { __typename?: 'Technique'; id: string; ttpType?: string | undefined };

export type TtpFederationIdToolProcedureFragment = {
  __typename?: 'ToolProcedure';
  id: string;
  ttpType?: string | undefined;
};

export type TtpFederationIdFragment =
  | TtpFederationIdGroupProcedureFragment
  | TtpFederationIdMalwareProcedureFragment
  | TtpFederationIdTacticFragment
  | TtpFederationIdTechniqueFragment
  | TtpFederationIdToolProcedureFragment;

export const TtpIdFragmentDoc = gql`
  fragment ttpId on ITTP {
    id
    ttpType
  }
`;
export const TtpFederationIdFragmentDoc = gql`
  fragment ttpFederationId on TTPFederationBase {
    id
    ttpType
  }
`;
