import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { UserAccountingFilterModule } from '@orion/user-accounting-components/filters';
import { UserAccountingDataRowModule } from '@orion/user-accounting-components/shared-data-row';
import { UserAccountingTableModule } from '@orion/user-accounting-components/shared-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { UserAccountingOverviewPageComponent } from './user-accounting-overview-page.component';

@NgModule({
  declarations: [UserAccountingOverviewPageComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    SentinelPipesModule,
    OrionCardModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    UserAccountingDataRowModule,
    UserAccountingFilterModule,
    UserAccountingTableModule,
  ],
  exports: [UserAccountingOverviewPageComponent],
})
export class UserAccountingOverviewPageModule {}
