import { gql } from 'apollo-angular';

export type RelatedUsersTableElementFragment = {
  __typename?: 'RelatedUserFederatedType';
  firstName: string;
  lastName: string;
  username: string;
  email: string;
  id: string;
};

export const RelatedUsersTableElementFragmentDoc = gql`
  fragment relatedUsersTableElement on RelatedUserFederatedType {
    id: userId
    firstName
    lastName
    username
    email
  }
`;
