import { gql } from 'apollo-angular';

export type UserAccountingDataRowFragment = {
  __typename?: 'UserAccountingUserIPData';
  acctinputoctets?: number | undefined;
  acctoutputoctets?: number | undefined;
  acctterminatecause?: number | undefined;
  calledstationid?: string | undefined;
  callingstationid?: string | undefined;
  chargeableuseridentity?: string | undefined;
  eapidentity?: string | undefined;
  nasidentifier?: string | undefined;
  nasipaddress?: string | undefined;
};

export const UserAccountingDataRowFragmentDoc = gql`
  fragment userAccountingDataRow on UserAccountingUserIPData {
    acctinputoctets
    acctoutputoctets
    acctterminatecause
    calledstationid
    callingstationid
    chargeableuseridentity
    eapidentity
    nasidentifier
    nasipaddress
  }
`;
