import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { UserSettingsMenuComponent } from './user-settings-menu.component';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatMenuModule } from '@angular/material/menu';
import { MatDividerModule } from '@angular/material/divider';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { ReactiveFormsModule } from '@angular/forms';

@NgModule({
  declarations: [UserSettingsMenuComponent],
  imports: [
    CommonModule,
    MatButtonModule,
    MatIconModule,
    MatMenuModule,
    MatDividerModule,
    MatSlideToggleModule,
    ReactiveFormsModule,
  ],
  exports: [UserSettingsMenuComponent],
})
export class UserSettingsMenuModule {}
