import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CaseTableModule } from '@orion/case-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { UserCasesComponent } from './user-cases.component';

@NgModule({
  declarations: [UserCasesComponent],
  imports: [CommonModule, SentinelPipesModule, OrionCardModule, CaseTableModule],
  exports: [UserCasesComponent],
})
export class UserCasesModule {}
