import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';
import { UserCommentElementFragment } from './user-comment-element.fragment.generated';

@Component({
  selector: 'orion-user-comments',
  templateUrl: './user-comments.component.html',
  styleUrls: ['./user-comments.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UserCommentsComponent {
  @Input() comments?: UserCommentElementFragment[];
  trackById = trackByIndex;
}
