import { gql } from 'apollo-angular';

export type UserNameAndIconFragment = {
  __typename?: 'CaseDBUser';
  id: string;
  name: string;
  iconSrc?: string | undefined;
};

export const UserNameAndIconFragmentDoc = gql`
  fragment userNameAndIcon on CaseDBUser {
    id
    name
    iconSrc
  }
`;
