import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { UserNameAndIconFragment } from '../../../graphql';

@Component({
  selector: 'orion-users-collapsed-sidebar-element',
  templateUrl: './users-collapsed-sidebar-element.component.html',
  styleUrls: ['./users-collapsed-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UsersCollapsedSidebarElementComponent {
  @Input() roleName?: string;
  @Input() users?: UserNameAndIconFragment[];
}
