import { Pipe, PipeTransform } from '@angular/core';
import { UserNameAndIconFragment } from '@orion/user-components/shared';

@Pipe({
  name: 'userSidebarTitle',
})
export class UserSidebarTitlePipe implements PipeTransform {
  transform(roleName = 'user', users?: UserNameAndIconFragment[]): string {
    if (users && users.length) {
      const nameInSingular = `${users.length} ${roleName}`;
      if (users.length === 1) {
        return nameInSingular;
      } else {
        return `${nameInSingular}s`;
      }
    } else {
      return `${roleName}s`;
    }
  }
}
