import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { OrionSidebarElementSelectableEntitiesDirective } from '@csirtmu-orion/microframework/sidebar';
import { UserNameAndIconFragment } from '../../graphql';

@Component({
  selector: 'orion-users-sidebar-element',
  templateUrl: './users-sidebar-element.component.html',
  styleUrls: ['./users-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UsersSidebarElementComponent extends OrionSidebarElementSelectableEntitiesDirective<UserNameAndIconFragment> {
  @Input() roleName?: string;
  @Input() currUser?: UserNameAndIconFragment;
}
