import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { UserNameAndIconFragment } from '../../graphql';

@Component({
  selector: 'orion-entity-toolbar-info',
  templateUrl: './entity-toolbar-info.component.html',
  styleUrls: ['./entity-toolbar-info.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class EntityToolbarInfoComponent {
  @Input() entityIcon?: string;
  @Input() entityName?: string;
  @Input() created?: Date;
  @Input() author?: UserNameAndIconFragment;
}
