import { Pipe, PipeTransform } from '@angular/core';

@Pipe({ name: 'userIconLinkFormat' })
export class UserIconLinkFormatPipe implements PipeTransform {
  transform(src?: string): string {
    return src ? `data:image/png;base64,${src}` : '/assets/icon-placeholder.svg';
  }
}
