import { Pipe, PipeTransform } from '@angular/core';
import { UserNameAndIconFragment } from '../../graphql';

@Pipe({
  name: 'hiddenUserIconsTooltip',
})
export class HiddenUserIconsTooltipPipe implements PipeTransform {
  transform(users?: UserNameAndIconFragment[]): string {
    if (users && users.length) {
      return users.map((user) => user.name).join(', ');
    } else {
      return '';
    }
  }
}
