import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { UserNameAndIconFragment } from '../../graphql';

@Component({
  selector: 'orion-users-table-cell',
  templateUrl: './users-table-cell.component.html',
  styleUrls: ['./users-table-cell.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UsersTableCellComponent {
  @Input() users?: UserNameAndIconFragment[];
}
