import { gql } from 'apollo-angular';

export type EditWorkflowTemplateFragment = {
  __typename?: 'WorkflowTemplate';
  id: string;
  name: string;
  description: string;
  template?: string | undefined;
};

export const EditWorkflowTemplateFragmentDoc = gql`
  fragment editWorkflowTemplate on WorkflowTemplate {
    id
    name
    description
    template
  }
`;
