import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionDateRangeFormModule } from '@csirtmu-orion/microframework/date-range-forms';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { WorkflowTemplateFiltersComponent } from './workflow-template-filters.component';

@NgModule({
  declarations: [WorkflowTemplateFiltersComponent],
  imports: [CommonModule, OrionFilterModule, OrionDateRangeFormModule],
  exports: [WorkflowTemplateFiltersComponent],
})
export class WorkflowTemplateFiltersModule {}
