import { ChangeDetectionStrategy, Component, Input, OnInit } from '@angular/core';
import { WorkflowTemplateTableElementFragment } from '../workflow-template-table-element.fragment.generated';

@Component({
  selector: 'orion-workflow-template-table-detail',
  templateUrl: './workflow-template-table-detail.component.html',
  styleUrls: ['./workflow-template-table-detail.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class WorkflowTemplateTableDetailComponent implements OnInit {
  @Input() data?: WorkflowTemplateTableElementFragment;
  template?: JSON;

  ngOnInit(): void {
    if (this.data?.template) {
      this.template = JSON.parse(this.data.template);
    }
  }
}
