import { gql } from 'apollo-angular';

export type WorkflowAssignedTasksPanelFragment = {
  __typename?: 'Workflow';
  stageIds?: { __typename?: 'StageNestedList'; data: Array<{ __typename?: 'Stage'; id: string }> } | undefined;
};

export const WorkflowAssignedTasksPanelFragmentDoc = gql`
  fragment workflowAssignedTasksPanel on Workflow {
    stageIds: stages(limit: 1000) {
      data {
        id
      }
    }
  }
`;
