import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelResourceSelectorModule } from '@sentinel/components/resource-selector';
import { WorkflowTemplateSelectionComponent } from './workflow-template-selection.component';

@NgModule({
  declarations: [WorkflowTemplateSelectionComponent],
  imports: [CommonModule, SentinelResourceSelectorModule, SentinelPipesModule],
  exports: [WorkflowTemplateSelectionComponent],
})
export class WorkflowTemplateSelectionModule {}
