import { CaseNameFragment } from '@orion/case-components/shared';
import { CASES_PATH, CREATE_WORKFLOW_PATH, WORKFLOW_PATH } from '@orion/case-paths';
import { toAuthPath } from '@orion/common';
import { WorkflowNameFragment } from '@orion/workflow-components/workflow-name';

export class WorkflowNavigator {
  toDetail(workflow: WorkflowNameFragment): string {
    return toAuthPath(`${CASES_PATH}/${workflow?.case?.id}/${WORKFLOW_PATH}/${workflow?.id}`);
  }

  toCreate(parentCase: CaseNameFragment): string {
    return toAuthPath(`${CASES_PATH}/${parentCase?.id}/${WORKFLOW_PATH}/${CREATE_WORKFLOW_PATH}`);
  }
}
