import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { OrionButtonWithIconComponent } from './orion-button-with-icon.component';

@NgModule({
  declarations: [OrionButtonWithIconComponent],
  imports: [CommonModule, MatButtonModule, MatIconModule, MatTooltipModule],
  exports: [OrionButtonWithIconComponent],
})
export class OrionButtonWithIconModule {}
