import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { OwlDateTimeModule, OwlNativeDateTimeModule } from '@danielmoncada/angular-datetime-picker';
import { OrionDateRangeFormInputsComponent } from './date-range-form-inputs/orion-date-range-form-inputs.component';
import { OrionDateRangeFormComponent } from './orion-date-range-form.component';

@NgModule({
  declarations: [OrionDateRangeFormComponent, OrionDateRangeFormInputsComponent],
  imports: [
    CommonModule,
    OwlDateTimeModule,
    OwlNativeDateTimeModule,
    ReactiveFormsModule,
    MatInputModule,
    MatFormFieldModule,
  ],
  exports: [OrionDateRangeFormComponent],
})
export class OrionDateRangeFormModule {}
