# Orion Due Date Component

Orion Due Date Component is a component for displaying due date. It is displayed as a warning when the date is past due.

## Usage

To use in your application:

1. In your module, import `OrionDueDateModule`
2. In your component's template
```
<orion-due-date-component [date]="deadline" [now]="now"></orion-due-date-component>
```
3. Provide a theme for due date component mixin by adding `@include orion-due-date-theme($your-theme-var);` to your `theme.scss` file. For more info see [material theming](https://material.angular.io/guide/theming).


# Orion Due Date Sidebar Component

Orion Due Date Sidebar Component is a component for displaying and editing due date

## Usage

To use in your application:

1. In your module, import `OrionDueDateModule`
2. In your component's template
```
<orion-due-date-sidebar-element [dueDate]="deadline" [minDate]="now" (save)="onDueDateSaved($event)"></orion-due-date-sidebar-element>
```
3. Provide a theme for due date component mixin by adding `@include orion-due-date-theme($your-theme-var);` to your `theme.scss` file. For more info see [material theming](https://material.angular.io/guide/theming).
