import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatTooltipModule } from '@angular/material/tooltip';
import { RouterModule } from '@angular/router';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEntityNameComponent } from './orion-entity-name.component';

@NgModule({
  declarations: [OrionEntityNameComponent],
  imports: [CommonModule, MatTooltipModule, RouterModule, SentinelPipesModule],
  exports: [OrionEntityNameComponent],
})
export class OrionEntityNameModule {}
