export class FilterManager<Filter> {
  filter?: Partial<Filter>;

  update(filter: Partial<Filter>): Partial<Filter> {
    const newFilter: Partial<Filter> = { ...this.filter, ...filter };
    this.filter = newFilter;
    return newFilter;
  }
}
