import { CursorPaginationConverter } from './pagination-converter';
import { CursorPaginationQuery } from './pagination-query';
import { ICursorPaginationEvent } from '@sentinel/common/pagination';

describe('CursorPaginationConverter', () => {
  it('should set cursor and limit correctly from event', () => {
    const event: ICursorPaginationEvent = { cursor: 'abcdef', size: 50 };
    const expected: CursorPaginationQuery = { cursor: 'abcdef', limit: 50 };
    expect(CursorPaginationConverter.convert(event)).toEqual(expected);
  });
});
