import { GraphQLError } from 'graphql';
import { ApolloResultType } from './apollo-result-type';

export class ApolloResult {
  type: ApolloResultType;
  errors?: ReadonlyArray<GraphQLError>;
  constructor(type: ApolloResultType, errors?: ReadonlyArray<GraphQLError>) {
    this.type = type;
    this.errors = errors;
  }
}
