import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';

import { OrionInlineListElementDirective } from './orion-inline-list-element.directive';
import { OrionInlineListComponent } from './orion-inline-list.component';
import { SentinelPipesModule } from '@sentinel/common/pipes';

@NgModule({
  declarations: [OrionInlineListComponent, OrionInlineListElementDirective],
  imports: [CommonModule, SentinelPipesModule],
  exports: [OrionInlineListComponent, OrionInlineListElementDirective],
})
export class OrionInlineListModule {}
