import { ChangeDetectionStrategy, Component, Input } from '@angular/core';

@Component({
  selector: 'orion-card-skeleton',
  templateUrl: './orion-card-skeleton.component.html',
  styleUrls: ['./orion-card-skeleton.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionCardSkeletonComponent {
  @Input() noMargin = false;
  @Input() titleLineCount = 1;
  @Input() contentLineCount = 4;
}
