import { Directive, EventEmitter, Input, Output } from '@angular/core';
import { SidebarState } from '@sentinel/layout/sidebar';

@Directive()
export abstract class OrionSidebarElementDirective {
  @Input() isEditable = true;
  @Input() state?: SidebarState;
  @Output() collapsedElementClick: EventEmitter<void> = new EventEmitter<void>();

  onCollapsedElementClick(): void {
    this.collapsedElementClick.emit();
  }
}
