import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import * as Apollo from 'apollo-angular';
import { ApolloFilterableOrderableBaseService } from './apollo-filterable-orderable-base.service';
import { ApolloQueryServiceOptions } from '../general/apollo-query.service';
export declare abstract class ApolloFilterableOrderableService<Query, QueryVariables, Fragment, OrderableBy, ClientFilter, ApiFilter> extends ApolloFilterableOrderableBaseService<Query, QueryVariables, Fragment, OrderableBy, ClientFilter, ApiFilter> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    filterConverter: FilterConverter<Partial<ClientFilter>, ApiFilter[]>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
}
