import * as Apollo from 'apollo-angular';
import { Observable } from 'rxjs';
import { ApolloBaseResolver } from './apollo-base.resolver';
export declare abstract class ApolloBreadcrumbResolver<Query, QueryVariables> extends ApolloBaseResolver<string, Query, QueryVariables> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>);
    protected abstract createVariables(id: string): QueryVariables;
    protected getEntity(id: string): Observable<string>;
}
