import * as Apollo from 'apollo-angular';
import { ApolloEntitiesBaseService } from './apollo-entities-base.service';
import { ApolloQueryServiceOptions } from './apollo-query.service';
export declare abstract class ApolloChildEntitiesService<Query, QueryVariables, Entity> extends ApolloEntitiesBaseService<Query, QueryVariables, Entity> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
    protected abstract createVariables(parentId: string, ...args: unknown[]): QueryVariables;
    protected updateVariables(parentId: string, ...args: unknown[]): void;
    setParent(parentId: string | number, ...args: unknown[]): void;
    protected resolveId(id: string | number): string;
}
