import * as Apollo from 'apollo-angular';
import { ApolloChildEntitiesService } from './apollo-child-entities.service';
import { ApolloQueryServiceOptions } from './apollo-query.service';
export declare abstract class ApolloInterfaceChildEntitiesService<Query, QueryVariables, Entity, ParentTypeEnum> extends ApolloChildEntitiesService<Query, QueryVariables, Entity> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
    protected abstract createVariables(parentId: string, parentType: ParentTypeEnum): QueryVariables;
    protected updateVariables(parentId: string, parentType: ParentTypeEnum): void;
    setParent(parentId: string, parentType: ParentTypeEnum): void;
}
