import { ActivatedRoute, ParamMap } from '@angular/router';
import { Identifiable } from '@sentinel/common/entity';
import * as Apollo from 'apollo-angular';
import { Observable } from 'rxjs';
import { ApolloEntityBaseService } from './apollo-entity-base.service';
import { ApolloQueryServiceOptions } from './apollo-query.service';
export declare abstract class ApolloRoutedEntityService<Query, QueryVariables, Fragment extends Identifiable> extends ApolloEntityBaseService<Query, QueryVariables, Fragment> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    protected activatedRoute: ActivatedRoute;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, activatedRoute: ActivatedRoute, operationName: string, options?: ApolloQueryServiceOptions);
    protected abstract idFromParamMap(paramMap: ParamMap): string | null;
    protected initVarsFromParamMap(): Observable<void>;
}
