import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import * as Apollo from 'apollo-angular';
import { ApolloPaginatedFilterableBaseService } from '../general/apollo-paginated-filterable-base.service';
import { ApolloQueryServiceOptions } from '../general/apollo-query.service';
export declare abstract class ApolloPaginatedFilterableService<Query, QueryVariables, Entity, OrderableBy, ClientFilter, ApiFilter> extends ApolloPaginatedFilterableBaseService<Query, QueryVariables, Entity, OrderableBy, ClientFilter, ApiFilter> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    filterConverter: FilterConverter<Partial<ClientFilter>, ApiFilter[]>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
}
