import * as Apollo from 'apollo-angular';
import { ApolloPaginatedDmtService } from './apollo-paginated-dmt.service';
import { ApolloQueryServiceOptions } from '../general/apollo-query.service';
export declare abstract class ApolloPaginatedService<QueryData, QueryVariables, Fragment, OrderableBy> extends ApolloPaginatedDmtService<QueryData, QueryVariables, Fragment, OrderableBy> {
    getQuery: Apollo.Query<QueryData, QueryVariables>;
    protected constructor(getQuery: Apollo.Query<QueryData, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
}
