import { BugReportScreenshotInstance } from './bug-report-screenshot-instance';
export interface DialogData {
    /**
     * double variables needed beacause in @dialogs.component.html at
     * need two these so input field won't disappear after text was inserted
     */
    userName: string;
    userEmail: string;
    userNameFromInside: string;
    userEmailFromInside: string;
    /** */
    issueTitle: string;
    issueTemplate?: string;
    problemDescription: string;
    userCreatedScreenshot: HTMLCanvasElement;
    userUploadedScreenshot: File;
    canvasScreenshot: HTMLCanvasElement;
    userScreenshot: BugReportScreenshotInstance;
}
