import { ModuleWithProviders } from '@angular/core';
import { BugReportingConfigRemote } from './config/bug-reporting-config-remote';
import { BugReportingConfigLocal } from './config/bug-reporting-config-local';
import * as i0 from "@angular/core";
import * as i1 from "./sentinel-bug-report.component";
import * as i2 from "./dialogs/bug-report-dialog/bug-report-dialog.component";
import * as i3 from "./dialogs/screenshot-dialog/screenshot-dialog.component";
import * as i4 from "@angular/common";
import * as i5 from "@angular/forms";
import * as i6 from "./sentinel-bug-report-material.module";
import * as i7 from "@sentinel/components/markdown-editor";
export declare class SentinelBugReportModule {
    static forRoot(config: BugReportingConfigLocal | BugReportingConfigRemote): ModuleWithProviders<SentinelBugReportModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelBugReportModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SentinelBugReportModule, [typeof i1.SentinelBugReportComponent, typeof i2.BugReportDialogComponent, typeof i3.ScreenshotDialogComponent], [typeof i4.CommonModule, typeof i5.FormsModule, typeof i6.SentinelBugReportMaterialModule, typeof i7.SentinelMarkdownEditorModule], [typeof i1.SentinelBugReportComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SentinelBugReportModule>;
}
