import { OnChanges, SimpleChanges } from '@angular/core';
import { SentinelControlItem } from '@sentinel/components/controls';
import { OrionCardConfig } from '@csirtmu-orion/microframework/config';
import * as i0 from "@angular/core";
export declare class OrionCardComponent implements OnChanges {
    private readonly config?;
    isLoading?: boolean;
    titleIcon?: string;
    noMargin: boolean;
    /**
     * Angular material elevation size of the card. Default value is 8. See more at https://material.angular.io/guide/elevation
     */
    elevation: number;
    cardTitle?: string;
    subtitle?: string;
    headerImgSrc?: string;
    headerImgAlt?: string;
    controls?: SentinelControlItem[];
    classes: string[];
    private readonly elevationClassPrefix;
    constructor(config?: OrionCardConfig | null | undefined);
    onControlsItem(controlItem: SentinelControlItem): void;
    ngOnChanges(changes: SimpleChanges): void;
    private createClasses;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionCardComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionCardComponent, "orion-card", never, { "isLoading": "isLoading"; "titleIcon": "titleIcon"; "noMargin": "noMargin"; "elevation": "elevation"; "cardTitle": "cardTitle"; "subtitle": "subtitle"; "headerImgSrc": "headerImgSrc"; "headerImgAlt": "headerImgAlt"; "controls": "controls"; }, {}, never, ["*", "orion-card-actions"], false>;
}
