import { EventEmitter } from '@angular/core';
import { SentinelControlItem } from '../model/sentinel-control-item';
import { SentinelControlsButtonStyle } from '@sentinel/components/config';
import * as i0 from "@angular/core";
export declare class BasicControlItemComponent {
    readonly LOADING_STROKE_WIDTH = 3;
    readonly LOADING_DIAMETER = 25;
    controlItem: SentinelControlItem;
    buttonStyle: SentinelControlsButtonStyle;
    inMenu: boolean;
    titlecased?: boolean;
    actionClicked: EventEmitter<SentinelControlItem>;
    onAction(control: SentinelControlItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BasicControlItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BasicControlItemComponent, "sentinel-basic-control-button", never, { "controlItem": "controlItem"; "buttonStyle": "buttonStyle"; "inMenu": "inMenu"; "titlecased": "titlecased"; }, { "actionClicked": "actionClicked"; }, never, never, false>;
}
