import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { DateForm } from './date-form';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import * as i0 from "@angular/core";
export declare class OrionDateFormComponent implements OnChanges {
    label?: string | undefined;
    appearance: MatFormFieldAppearance;
    disabled: boolean;
    required: boolean;
    withIcon: boolean;
    date?: Date;
    min?: Date;
    max?: Date;
    mode: 'date' | 'datetime';
    dateChange: EventEmitter<Date>;
    validityChange: EventEmitter<boolean>;
    form: DateForm;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    updateDisabledState(disabled: boolean): void;
    onDateChange(): void;
    clearDate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionDateFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionDateFormComponent, "orion-date-form", never, { "label": "label"; "appearance": "appearance"; "disabled": "disabled"; "required": "required"; "withIcon": "withIcon"; "date": "date"; "min": "min"; "max": "max"; "mode": "mode"; }, { "dateChange": "dateChange"; "validityChange": "validityChange"; }, never, never, false>;
}
