import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { DateRange, DateRangeFormModel } from '@sentinel/common';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import * as i0 from "@angular/core";
export declare class OrionDateRangeFormInputsComponent {
    appearance: MatFormFieldAppearance;
    fromLabel: string;
    toLabel: string;
    inRow: boolean;
    formGroup?: FormGroup<DateRangeFormModel>;
    dateRangeChange: EventEmitter<DateRange>;
    onDateChange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionDateRangeFormInputsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionDateRangeFormInputsComponent, "orion-date-range-form-inputs", never, { "appearance": "appearance"; "fromLabel": "fromLabel"; "toLabel": "toLabel"; "inRow": "inRow"; "formGroup": "formGroup"; }, { "dateRangeChange": "dateRangeChange"; }, never, never, false>;
}
