import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { DateRange, DateRangeForm } from '@sentinel/common';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import * as i0 from "@angular/core";
export declare class OrionDateRangeFormComponent implements OnChanges {
    appearance: MatFormFieldAppearance;
    fromLabel: string;
    toLabel: string;
    inRow: boolean;
    dateRange?: DateRange;
    dateRangeChange: EventEmitter<DateRange>;
    form: DateRangeForm;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    onDateRangeChange(dateRange: DateRange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionDateRangeFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionDateRangeFormComponent, "orion-date-range-form", never, { "appearance": "appearance"; "fromLabel": "fromLabel"; "toLabel": "toLabel"; "inRow": "inRow"; "dateRange": "dateRange"; }, { "dateRangeChange": "dateRangeChange"; }, never, never, false>;
}
