import { SentinelConfig } from './sentinel-config';
import { PlatformRef, Type } from '@angular/core';
/**
 * Custom bootstrapper. Fetches a config JSON file from provided url, parses it and sets it as dynamic environment before
 * bootstrapping provided module.
 * Optionally, custom platform can be provided. platformBrowserDynamic is used by default.
 */
export declare class SentinelBootstrapper {
    static bootstrap<T, U extends SentinelConfig>(url: string, moduleType: Type<T>, platform: PlatformRef): void;
}
