import { EventEmitter } from '@angular/core';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
import { EntityPaginableOverviewDirective } from './entity-paginable-overview.directive';
import * as i0 from "@angular/core";
export declare abstract class EntityPaginableFilterableOverviewDirective<Entity, Filter> extends EntityPaginableOverviewDirective<Entity> {
    activeFilter?: Filter;
    filterChips?: FilterChip[];
    clearFilters: EventEmitter<void>;
    submitClicked: EventEmitter<void>;
    removeChip: EventEmitter<FilterChip>;
    onClearFilters(): void;
    onRemoveChip(chip: FilterChip): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityPaginableFilterableOverviewDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EntityPaginableFilterableOverviewDirective<any, any>, never, never, { "activeFilter": "activeFilter"; "filterChips": "filterChips"; }, { "clearFilters": "clearFilters"; "submitClicked": "submitClicked"; "removeChip": "removeChip"; }, never, never, false>;
}
