import { EventEmitter } from '@angular/core';
import { IPaginatedElements, IPaginationEvent } from '@sentinel/common/pagination';
import { EntityOverviewDirective } from './entity-overview.directive';
import * as i0 from "@angular/core";
export declare abstract class EntityPaginableOverviewDirective<Entity> extends EntityOverviewDirective<IPaginatedElements<Entity>> {
    sortAttr?: string;
    sortDir?: 'asc' | 'desc';
    pageChange: EventEmitter<IPaginationEvent>;
    onPageChange(pagination: IPaginationEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityPaginableOverviewDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EntityPaginableOverviewDirective<any>, never, never, { "sortAttr": "sortAttr"; "sortDir": "sortDir"; }, { "pageChange": "pageChange"; }, never, never, false>;
}
