import { OnInit } from '@angular/core';
import { ApolloQueryService } from '@csirtmu-orion/microframework/apollo-services';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
declare const EntitySmartOverviewDirective_base: (new (...args: any[]) => {
    [x: string]: unknown;
    destroy$: import("rxjs").Subject<void>;
    ngOnDestroy(): void;
}) & import("@sentinel/common").Constructor<Record<string, unknown>>;
export declare abstract class EntitySmartOverviewDirective<Entity> extends EntitySmartOverviewDirective_base implements OnInit {
    protected entityService: ApolloQueryService<any, any, Entity>;
    isLoading$?: Observable<boolean>;
    initLoading$?: Observable<boolean>;
    hasError$?: Observable<boolean>;
    entities$?: Observable<Entity>;
    tryAgain$: Observable<void>;
    protected constructor(entityService: ApolloQueryService<any, any, Entity>);
    ngOnInit(): void;
    onTryAgain(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntitySmartOverviewDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EntitySmartOverviewDirective<any>, never, never, {}, {}, never, never, false>;
}
export {};
