import { EventEmitter } from '@angular/core';
import { TableActionEvent } from '@sentinel/components/table';
import { EntityTableBaseDirective } from './entity-table-base.directive';
import * as i0 from "@angular/core";
export declare abstract class EntityTableDirective<Entity, TableData> extends EntityTableBaseDirective<Entity[], TableData> {
    selectionChange: EventEmitter<Entity[]>;
    onRowAction(actionEvent: TableActionEvent<Entity>): void;
    onRowSelection(selection: Entity[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityTableDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EntityTableDirective<any, any>, never, never, {}, { "selectionChange": "selectionChange"; }, never, never, false>;
}
