import { EventEmitter } from '@angular/core';
import { TableActionEvent, TableLoadEvent } from '@sentinel/components/table';
import { EntityTableBaseDirective } from './entity-table-base.directive';
import { IPaginatedElements, IPaginationEvent } from '@sentinel/common/pagination';
import * as i0 from "@angular/core";
export declare abstract class OptionallyPaginatedEntityTableDirective<InputData, TableData> extends EntityTableBaseDirective<IPaginatedElements<InputData> | InputData[], TableData> {
    pageChange: EventEmitter<IPaginationEvent>;
    selectionChange: EventEmitter<InputData[]>;
    onTableChange(event?: TableLoadEvent): void;
    onRowAction(actionEvent: TableActionEvent<InputData>): void;
    onRowSelection(selection: InputData[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OptionallyPaginatedEntityTableDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<OptionallyPaginatedEntityTableDirective<any, any>, never, never, {}, { "pageChange": "pageChange"; "selectionChange": "selectionChange"; }, never, never, false>;
}
