import { EventEmitter } from '@angular/core';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import { trackByIndex } from '@sentinel/common/utils';
import * as i0 from "@angular/core";
export declare class OrionEnumerationSelectComponent<T extends string> {
    options?: T[];
    selected?: T;
    label?: string;
    noOptionPossible: boolean;
    noOptionLabel?: string;
    matFormAppearance: MatFormFieldAppearance;
    selectedChange: EventEmitter<T>;
    trackByFn: typeof trackByIndex;
    onSelectionChange(selected: T): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionEnumerationSelectComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionEnumerationSelectComponent<any>, "orion-enumeration-select", never, { "options": "options"; "selected": "selected"; "label": "label"; "noOptionPossible": "noOptionPossible"; "noOptionLabel": "noOptionLabel"; "matFormAppearance": "matFormAppearance"; }, { "selectedChange": "selectedChange"; }, never, never, false>;
}
