import { EventEmitter, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Error component with optional try again button
 */
export declare class SentinelErrorComponent implements OnDestroy {
    /**
     * Emits event when try again button is clicked
     */
    tryAgainClicked: EventEmitter<void>;
    /**
     * Displays try again button if true, false otherwise
     */
    hasTryAgainButton: boolean;
    isAlive: boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelErrorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SentinelErrorComponent, "sentinel-error", never, { "hasTryAgainButton": "hasTryAgainButton"; }, { "tryAgainClicked": "tryAgainClicked"; }, never, never, false>;
}
