import * as i1$1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, EventEmitter, Output, NgModule } from '@angular/core';
import * as i2 from '@angular/material/divider';
import { MatDividerModule } from '@angular/material/divider';
import * as i2$2 from '@csirtmu-orion/microframework/card';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import * as i2$1 from '@sentinel/components/error';
import { SentinelErrorModule } from '@sentinel/components/error';
import * as i1 from 'ngx-skeleton-loader';
import { NgxSkeletonLoaderModule } from 'ngx-skeleton-loader';
import { trackByIndex } from '@sentinel/common/utils';
import { defer } from 'rxjs';

class OrionTextSkeletonComponent {
    constructor() {
        this.lineCount = 4;
    }
}
OrionTextSkeletonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTextSkeletonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionTextSkeletonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionTextSkeletonComponent, selector: "orion-text-skeleton", inputs: { lineCount: "lineCount", theme: "theme" }, ngImport: i0, template: "<ngx-skeleton-loader [count]=\"lineCount\" [theme]=\"theme || null\" appearance=\"line\"></ngx-skeleton-loader>\n", styles: [""], dependencies: [{ kind: "component", type: i1.NgxSkeletonLoaderComponent, selector: "ngx-skeleton-loader", inputs: ["count", "loadingText", "appearance", "animation", "ariaLabel", "theme"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTextSkeletonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-text-skeleton', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ngx-skeleton-loader [count]=\"lineCount\" [theme]=\"theme || null\" appearance=\"line\"></ngx-skeleton-loader>\n" }]
        }], propDecorators: { lineCount: [{
                type: Input
            }], theme: [{
                type: Input
            }] } });

class OrionTabSkeletonComponent {
}
OrionTabSkeletonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabSkeletonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionTabSkeletonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionTabSkeletonComponent, selector: "orion-tab-skeleton", ngImport: i0, template: "<div class=\"tab-placeholder\">\n  <ngx-skeleton-loader\n    appearance=\"circle\"\n    [theme]=\"{ width: '24px', height: '24px' }\"\n    [count]=\"1\"\n  ></ngx-skeleton-loader>\n  <div class=\"text-placeholder\">\n    <ngx-skeleton-loader appearance=\"line\" [count]=\"1\" [theme]=\"{ marginBottom: '0' }\"></ngx-skeleton-loader>\n  </div>\n</div>\n", styles: [".tab-placeholder{display:flex;flex-direction:row;align-items:center}.text-placeholder{width:100px}\n"], dependencies: [{ kind: "component", type: i1.NgxSkeletonLoaderComponent, selector: "ngx-skeleton-loader", inputs: ["count", "loadingText", "appearance", "animation", "ariaLabel", "theme"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabSkeletonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-tab-skeleton', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"tab-placeholder\">\n  <ngx-skeleton-loader\n    appearance=\"circle\"\n    [theme]=\"{ width: '24px', height: '24px' }\"\n    [count]=\"1\"\n  ></ngx-skeleton-loader>\n  <div class=\"text-placeholder\">\n    <ngx-skeleton-loader appearance=\"line\" [count]=\"1\" [theme]=\"{ marginBottom: '0' }\"></ngx-skeleton-loader>\n  </div>\n</div>\n", styles: [".tab-placeholder{display:flex;flex-direction:row;align-items:center}.text-placeholder{width:100px}\n"] }]
        }] });

class OrionSidebarElementSkeletonComponent {
}
OrionSidebarElementSkeletonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarElementSkeletonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionSidebarElementSkeletonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionSidebarElementSkeletonComponent, selector: "orion-sidebar-element-skeleton", ngImport: i0, template: "<div class=\"title-placeholder\">\n  <ngx-skeleton-loader appearance=\"line\" [count]=\"1\"></ngx-skeleton-loader>\n</div>\n<ngx-skeleton-loader appearance=\"line\" [count]=\"1\"></ngx-skeleton-loader>\n", styles: [".title-placeholder{width:30%}\n"], dependencies: [{ kind: "component", type: i1.NgxSkeletonLoaderComponent, selector: "ngx-skeleton-loader", inputs: ["count", "loadingText", "appearance", "animation", "ariaLabel", "theme"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarElementSkeletonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-sidebar-element-skeleton', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"title-placeholder\">\n  <ngx-skeleton-loader appearance=\"line\" [count]=\"1\"></ngx-skeleton-loader>\n</div>\n<ngx-skeleton-loader appearance=\"line\" [count]=\"1\"></ngx-skeleton-loader>\n", styles: [".title-placeholder{width:30%}\n"] }]
        }] });

class OrionSidebarElementsSkeletonComponent {
    constructor() {
        this.count = 3;
        this.elementPlaceholders = [];
        this.trackByFn = trackByIndex;
    }
    ngOnInit() {
        this.createPlaceholders(this.count);
    }
    ngOnChanges(changes) {
        if ('count' in changes && this.count) {
            this.createPlaceholders(this.count);
        }
    }
    createPlaceholders(count) {
        this.elementPlaceholders = [...Array(count).keys()];
    }
}
OrionSidebarElementsSkeletonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarElementsSkeletonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionSidebarElementsSkeletonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionSidebarElementsSkeletonComponent, selector: "orion-sidebar-elements-skeleton", inputs: { count: "count" }, usesOnChanges: true, ngImport: i0, template: "<mat-divider></mat-divider>\n<ng-container *ngFor=\"let placeholder of elementPlaceholders; trackBy: trackByFn\">\n  <orion-sidebar-element-skeleton></orion-sidebar-element-skeleton>\n  <mat-divider></mat-divider>\n</ng-container>\n", styles: ["mat-divider{margin-bottom:10px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: i2.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: OrionSidebarElementSkeletonComponent, selector: "orion-sidebar-element-skeleton" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarElementsSkeletonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-sidebar-elements-skeleton', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-divider></mat-divider>\n<ng-container *ngFor=\"let placeholder of elementPlaceholders; trackBy: trackByFn\">\n  <orion-sidebar-element-skeleton></orion-sidebar-element-skeleton>\n  <mat-divider></mat-divider>\n</ng-container>\n", styles: ["mat-divider{margin-bottom:10px}\n"] }]
        }], propDecorators: { count: [{
                type: Input
            }] } });

class OrionSidebarSkeletonWrapperComponent {
    constructor() {
        this.elementsCount = 6;
    }
}
OrionSidebarSkeletonWrapperComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarSkeletonWrapperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionSidebarSkeletonWrapperComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionSidebarSkeletonWrapperComponent, selector: "orion-sidebar-skeleton-wrapper", inputs: { isLoading: "isLoading", hasError: "hasError", elementsCount: "elementsCount" }, ngImport: i0, template: "<ng-container *sentinelError=\"hasError || false\">\n  <ng-container *ngIf=\"isLoading; else contentTemplate\">\n    <orion-sidebar-elements-skeleton [count]=\"elementsCount\"></orion-sidebar-elements-skeleton>\n  </ng-container>\n  <ng-template #contentTemplate>\n    <ng-content></ng-content>\n  </ng-template>\n</ng-container>\n", styles: [""], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.SentinelErrorDirective, selector: "[sentinelError], [sentinelErrorTryAgain]", inputs: ["sentinelError", "sentinelErrorTryAgain$"] }, { kind: "component", type: OrionSidebarElementsSkeletonComponent, selector: "orion-sidebar-elements-skeleton", inputs: ["count"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarSkeletonWrapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-sidebar-skeleton-wrapper', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *sentinelError=\"hasError || false\">\n  <ng-container *ngIf=\"isLoading; else contentTemplate\">\n    <orion-sidebar-elements-skeleton [count]=\"elementsCount\"></orion-sidebar-elements-skeleton>\n  </ng-container>\n  <ng-template #contentTemplate>\n    <ng-content></ng-content>\n  </ng-template>\n</ng-container>\n" }]
        }], propDecorators: { isLoading: [{
                type: Input
            }], hasError: [{
                type: Input
            }], elementsCount: [{
                type: Input
            }] } });

class OrionTableSkeletonComponent {
    constructor() {
        this.columnsCount = 5;
        this.rowsCount = 10;
        this.withPagination = false;
        this.withActions = false;
        this.trackByFn = trackByIndex;
        this.columnPlaceholders = [];
        this.rowPlaceholders = [];
    }
    ngOnInit() {
        this.createColumnPlaceholders(this.columnsCount);
        this.createRowPlaceholders(this.rowsCount);
    }
    ngOnChanges(changes) {
        if ('columnsCount' in changes && this.columnsCount) {
            this.createColumnPlaceholders(this.columnsCount);
        }
        if ('rowsCount' in changes && this.rowsCount) {
            this.createRowPlaceholders(this.rowsCount);
        }
    }
    createColumnPlaceholders(count) {
        this.columnPlaceholders = [...Array(count).keys()];
    }
    createRowPlaceholders(count) {
        this.rowPlaceholders = [...Array(count + 1).keys()];
    }
}
OrionTableSkeletonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTableSkeletonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionTableSkeletonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionTableSkeletonComponent, selector: "orion-table-skeleton", inputs: { columnsCount: "columnsCount", rowsCount: "rowsCount", withPagination: "withPagination", withActions: "withActions" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"table-placeholder\">\n  <div class=\"column-placeholder\" *ngFor=\"let columnPlaceholder of columnPlaceholders; trackBy: trackByFn\">\n    <div class=\"row-placeholder\" *ngFor=\"let rowPlaceholder of rowPlaceholders; trackBy: trackByFn\">\n      <ngx-skeleton-loader [count]=\"1\" appearance=\"line\"></ngx-skeleton-loader>\n    </div>\n  </div>\n  <div class=\"column-placeholder\" *ngIf=\"withActions\">\n    <div class=\"row-placeholder\" *ngFor=\"let rowPlaceholder of rowPlaceholders; trackBy: trackByFn; let i = index\">\n      <ngx-skeleton-loader *ngIf=\"i === 0; else actionsTemplate\" [count]=\"1\" appearance=\"line\"></ngx-skeleton-loader>\n    </div>\n  </div>\n</div>\n<div *ngIf=\"withPagination\" class=\"pagination-placeholder-container\">\n  <div class=\"pagination-placeholder\">\n    <ngx-skeleton-loader [count]=\"1\" appearance=\"line\"></ngx-skeleton-loader>\n  </div>\n</div>\n\n<ng-template #actionsTemplate>\n  <div class=\"actions-placeholder\">\n    <ngx-skeleton-loader\n      [count]=\"2\"\n      appearance=\"circle\"\n      [theme]=\"{ width: '20px', height: '20px', marginTop: 0, marginBottom: '10px' }\"\n    ></ngx-skeleton-loader>\n  </div>\n</ng-template>\n", styles: [".table-placeholder{margin-top:10px;display:flex;flex-direction:row;justify-content:space-between;width:100%;height:100%}.column-placeholder{width:100%;min-width:100px;margin-right:10px;display:flex;flex-direction:column;align-items:center}.column-placeholder:last-child{margin-right:0}.row-placeholder:first-child{width:60%}.row-placeholder{width:100%;padding:5px 0}.actions-placeholder{justify-self:center;align-self:center}.pagination-placeholder-container{display:flex;justify-content:flex-end}.pagination-placeholder{width:40%;min-width:100px}.actions-placeholder{display:flex;justify-content:center}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i1.NgxSkeletonLoaderComponent, selector: "ngx-skeleton-loader", inputs: ["count", "loadingText", "appearance", "animation", "ariaLabel", "theme"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTableSkeletonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-table-skeleton', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"table-placeholder\">\n  <div class=\"column-placeholder\" *ngFor=\"let columnPlaceholder of columnPlaceholders; trackBy: trackByFn\">\n    <div class=\"row-placeholder\" *ngFor=\"let rowPlaceholder of rowPlaceholders; trackBy: trackByFn\">\n      <ngx-skeleton-loader [count]=\"1\" appearance=\"line\"></ngx-skeleton-loader>\n    </div>\n  </div>\n  <div class=\"column-placeholder\" *ngIf=\"withActions\">\n    <div class=\"row-placeholder\" *ngFor=\"let rowPlaceholder of rowPlaceholders; trackBy: trackByFn; let i = index\">\n      <ngx-skeleton-loader *ngIf=\"i === 0; else actionsTemplate\" [count]=\"1\" appearance=\"line\"></ngx-skeleton-loader>\n    </div>\n  </div>\n</div>\n<div *ngIf=\"withPagination\" class=\"pagination-placeholder-container\">\n  <div class=\"pagination-placeholder\">\n    <ngx-skeleton-loader [count]=\"1\" appearance=\"line\"></ngx-skeleton-loader>\n  </div>\n</div>\n\n<ng-template #actionsTemplate>\n  <div class=\"actions-placeholder\">\n    <ngx-skeleton-loader\n      [count]=\"2\"\n      appearance=\"circle\"\n      [theme]=\"{ width: '20px', height: '20px', marginTop: 0, marginBottom: '10px' }\"\n    ></ngx-skeleton-loader>\n  </div>\n</ng-template>\n", styles: [".table-placeholder{margin-top:10px;display:flex;flex-direction:row;justify-content:space-between;width:100%;height:100%}.column-placeholder{width:100%;min-width:100px;margin-right:10px;display:flex;flex-direction:column;align-items:center}.column-placeholder:last-child{margin-right:0}.row-placeholder:first-child{width:60%}.row-placeholder{width:100%;padding:5px 0}.actions-placeholder{justify-self:center;align-self:center}.pagination-placeholder-container{display:flex;justify-content:flex-end}.pagination-placeholder{width:40%;min-width:100px}.actions-placeholder{display:flex;justify-content:center}\n"] }]
        }], propDecorators: { columnsCount: [{
                type: Input
            }], rowsCount: [{
                type: Input
            }], withPagination: [{
                type: Input
            }], withActions: [{
                type: Input
            }] } });

class OrionTableWrapperSkeletonComponent {
    constructor() {
        this.columnsCount = 5;
        this.rowsCount = 10;
        this.withActions = false;
        this.withPagination = false;
        this.isLoading = false;
    }
}
OrionTableWrapperSkeletonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTableWrapperSkeletonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionTableWrapperSkeletonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionTableWrapperSkeletonComponent, selector: "orion-table-wrapper-skeleton", inputs: { columnsCount: "columnsCount", rowsCount: "rowsCount", withActions: "withActions", withPagination: "withPagination", isLoading: "isLoading" }, ngImport: i0, template: "<ng-container [ngTemplateOutlet]=\"isLoading ? placeholderTemplate : contentTemplate\"></ng-container>\n\n<ng-template #placeholderTemplate>\n  <orion-table-skeleton\n    [columnsCount]=\"columnsCount\"\n    [rowsCount]=\"rowsCount\"\n    [withPagination]=\"withPagination\"\n    [withActions]=\"withActions\"\n  ></orion-table-skeleton>\n</ng-template>\n\n<ng-template #contentTemplate>\n  <ng-content></ng-content>\n</ng-template>\n", styles: [""], dependencies: [{ kind: "directive", type: i1$1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: OrionTableSkeletonComponent, selector: "orion-table-skeleton", inputs: ["columnsCount", "rowsCount", "withPagination", "withActions"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTableWrapperSkeletonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-table-wrapper-skeleton', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container [ngTemplateOutlet]=\"isLoading ? placeholderTemplate : contentTemplate\"></ng-container>\n\n<ng-template #placeholderTemplate>\n  <orion-table-skeleton\n    [columnsCount]=\"columnsCount\"\n    [rowsCount]=\"rowsCount\"\n    [withPagination]=\"withPagination\"\n    [withActions]=\"withActions\"\n  ></orion-table-skeleton>\n</ng-template>\n\n<ng-template #contentTemplate>\n  <ng-content></ng-content>\n</ng-template>\n" }]
        }], propDecorators: { columnsCount: [{
                type: Input
            }], rowsCount: [{
                type: Input
            }], withActions: [{
                type: Input
            }], withPagination: [{
                type: Input
            }], isLoading: [{
                type: Input
            }] } });

class OrionToolbarSkeletonComponent {
}
OrionToolbarSkeletonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionToolbarSkeletonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionToolbarSkeletonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionToolbarSkeletonComponent, selector: "orion-toolbar-skeleton", ngImport: i0, template: "<div class=\"toolbar-placeholder\">\n  <div class=\"text-placeholder\">\n    <ngx-skeleton-loader\n      class=\"line\"\n      count=\"1\"\n      appearance=\"line\"\n      [theme]=\"{ marginTop: '0', marginBottom: '0' }\"\n    ></ngx-skeleton-loader>\n  </div>\n  <span class=\"spacer\"></span>\n  <ngx-skeleton-loader\n    class=\"buttons\"\n    count=\"2\"\n    appearance=\"circle\"\n    [theme]=\"{ borderRadius: '5px', width: '80px', height: '36px', marginTop: '0', marginBottom: '0' }\"\n  ></ngx-skeleton-loader>\n</div>\n<mat-divider></mat-divider>\n", styles: [".toolbar-placeholder{display:flex;flex-direction:row;align-items:center}.text-placeholder{width:30%;max-width:400px}.spacer{flex:1 1 0}mat-divider{margin-bottom:10px}\n"], dependencies: [{ kind: "component", type: i1.NgxSkeletonLoaderComponent, selector: "ngx-skeleton-loader", inputs: ["count", "loadingText", "appearance", "animation", "ariaLabel", "theme"] }, { kind: "component", type: i2.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionToolbarSkeletonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-toolbar-skeleton', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"toolbar-placeholder\">\n  <div class=\"text-placeholder\">\n    <ngx-skeleton-loader\n      class=\"line\"\n      count=\"1\"\n      appearance=\"line\"\n      [theme]=\"{ marginTop: '0', marginBottom: '0' }\"\n    ></ngx-skeleton-loader>\n  </div>\n  <span class=\"spacer\"></span>\n  <ngx-skeleton-loader\n    class=\"buttons\"\n    count=\"2\"\n    appearance=\"circle\"\n    [theme]=\"{ borderRadius: '5px', width: '80px', height: '36px', marginTop: '0', marginBottom: '0' }\"\n  ></ngx-skeleton-loader>\n</div>\n<mat-divider></mat-divider>\n", styles: [".toolbar-placeholder{display:flex;flex-direction:row;align-items:center}.text-placeholder{width:30%;max-width:400px}.spacer{flex:1 1 0}mat-divider{margin-bottom:10px}\n"] }]
        }] });

class OrionTitleSkeletonComponent {
    constructor() {
        this.linesCount = 2;
    }
}
OrionTitleSkeletonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTitleSkeletonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionTitleSkeletonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionTitleSkeletonComponent, selector: "orion-title-skeleton", inputs: { linesCount: "linesCount" }, ngImport: i0, template: "<div class=\"title-placeholder\">\n  <ngx-skeleton-loader count=\"1\" appearance=\"line\"></ngx-skeleton-loader>\n</div>\n<orion-text-skeleton [lineCount]=\"linesCount\"></orion-text-skeleton>\n", styles: [".title-placeholder{width:15%;max-width:200px}\n"], dependencies: [{ kind: "component", type: i1.NgxSkeletonLoaderComponent, selector: "ngx-skeleton-loader", inputs: ["count", "loadingText", "appearance", "animation", "ariaLabel", "theme"] }, { kind: "component", type: OrionTextSkeletonComponent, selector: "orion-text-skeleton", inputs: ["lineCount", "theme"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTitleSkeletonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-title-skeleton', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"title-placeholder\">\n  <ngx-skeleton-loader count=\"1\" appearance=\"line\"></ngx-skeleton-loader>\n</div>\n<orion-text-skeleton [lineCount]=\"linesCount\"></orion-text-skeleton>\n", styles: [".title-placeholder{width:15%;max-width:200px}\n"] }]
        }], propDecorators: { linesCount: [{
                type: Input
            }] } });

class OrionTabsSkeletonComponent {
    constructor() {
        this.tabCount = 6;
        this.tabPlaceholders = [];
        this.trackByFn = trackByIndex;
    }
    ngOnInit() {
        this.createPlaceholders(this.tabCount);
    }
    ngOnChanges(changes) {
        if ('tabCount' in changes && this.tabCount) {
            this.createPlaceholders(this.tabCount);
        }
    }
    createPlaceholders(count) {
        this.tabPlaceholders = [...Array(count).keys()];
    }
}
OrionTabsSkeletonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabsSkeletonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionTabsSkeletonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionTabsSkeletonComponent, selector: "orion-tabs-skeleton", inputs: { tabCount: "tabCount" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"tabs-placeholder\">\n  <orion-tab-skeleton *ngFor=\"let tabPlaceholder of tabPlaceholders; trackBy: trackByFn\"></orion-tab-skeleton>\n</div>\n", styles: [".tabs-placeholder{display:flex;flex-direction:row;justify-content:space-between;width:100%}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: OrionTabSkeletonComponent, selector: "orion-tab-skeleton" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabsSkeletonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-tabs-skeleton', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"tabs-placeholder\">\n  <orion-tab-skeleton *ngFor=\"let tabPlaceholder of tabPlaceholders; trackBy: trackByFn\"></orion-tab-skeleton>\n</div>\n", styles: [".tabs-placeholder{display:flex;flex-direction:row;justify-content:space-between;width:100%}\n"] }]
        }], propDecorators: { tabCount: [{
                type: Input
            }] } });

class OrionCardSkeletonComponent {
    constructor() {
        this.noMargin = false;
        this.titleLineCount = 1;
        this.contentLineCount = 4;
    }
}
OrionCardSkeletonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionCardSkeletonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionCardSkeletonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionCardSkeletonComponent, selector: "orion-card-skeleton", inputs: { noMargin: "noMargin", titleLineCount: "titleLineCount", contentLineCount: "contentLineCount" }, ngImport: i0, template: "<orion-card [noMargin]=\"noMargin\">\n  <div class=\"first-line\">\n    <ngx-skeleton-loader [count]=\"titleLineCount\" appearance=\"line\"></ngx-skeleton-loader>\n  </div>\n  <ngx-skeleton-loader [count]=\"contentLineCount\" appearance=\"line\"></ngx-skeleton-loader>\n</orion-card>\n", styles: [".first-line{width:25%}\n"], dependencies: [{ kind: "component", type: i1.NgxSkeletonLoaderComponent, selector: "ngx-skeleton-loader", inputs: ["count", "loadingText", "appearance", "animation", "ariaLabel", "theme"] }, { kind: "component", type: i2$2.OrionCardComponent, selector: "orion-card", inputs: ["isLoading", "titleIcon", "noMargin", "elevation", "cardTitle", "subtitle", "headerImgSrc", "headerImgAlt", "controls"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionCardSkeletonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-card-skeleton', changeDetection: ChangeDetectionStrategy.OnPush, template: "<orion-card [noMargin]=\"noMargin\">\n  <div class=\"first-line\">\n    <ngx-skeleton-loader [count]=\"titleLineCount\" appearance=\"line\"></ngx-skeleton-loader>\n  </div>\n  <ngx-skeleton-loader [count]=\"contentLineCount\" appearance=\"line\"></ngx-skeleton-loader>\n</orion-card>\n", styles: [".first-line{width:25%}\n"] }]
        }], propDecorators: { noMargin: [{
                type: Input
            }], titleLineCount: [{
                type: Input
            }], contentLineCount: [{
                type: Input
            }] } });

class OrionCardsSkeletonComponent {
    constructor() {
        this.count = 3;
        this.cardPlaceholders = [];
        this.trackByFn = trackByIndex;
    }
    ngOnInit() {
        this.createPlaceholders(this.count);
    }
    ngOnChanges(changes) {
        if ('count' in changes && this.count) {
            this.createPlaceholders(this.count);
        }
    }
    createPlaceholders(count) {
        this.cardPlaceholders = [...Array(count).keys()];
    }
}
OrionCardsSkeletonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionCardsSkeletonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionCardsSkeletonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionCardsSkeletonComponent, selector: "orion-cards-skeleton", inputs: { count: "count" }, usesOnChanges: true, ngImport: i0, template: "<orion-card-skeleton *ngFor=\"let placeholder of cardPlaceholders; trackBy: trackByFn\"></orion-card-skeleton>\n", styles: [""], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: OrionCardSkeletonComponent, selector: "orion-card-skeleton", inputs: ["noMargin", "titleLineCount", "contentLineCount"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionCardsSkeletonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-cards-skeleton', changeDetection: ChangeDetectionStrategy.OnPush, template: "<orion-card-skeleton *ngFor=\"let placeholder of cardPlaceholders; trackBy: trackByFn\"></orion-card-skeleton>\n" }]
        }], propDecorators: { count: [{
                type: Input
            }] } });

class OrionDetailPageContentSkeletonWrapperComponent {
    constructor() {
        this.tabCount = 6;
        this.cardCount = 3;
        this.aboveTabLineCount = 2;
        this.belowTabLineCount = 0;
        this.withToolbar = true;
        this.withTabs = true;
        this.refetch = new EventEmitter();
        this.onTryAgain$ = defer(() => this.refetch.emit());
    }
}
OrionDetailPageContentSkeletonWrapperComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDetailPageContentSkeletonWrapperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionDetailPageContentSkeletonWrapperComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionDetailPageContentSkeletonWrapperComponent, selector: "orion-detail-page-content-skeleton-wrapper", inputs: { isLoading: "isLoading", hasError: "hasError", tabCount: "tabCount", cardCount: "cardCount", aboveTabLineCount: "aboveTabLineCount", belowTabLineCount: "belowTabLineCount", withToolbar: "withToolbar", withTabs: "withTabs" }, outputs: { refetch: "refetch" }, ngImport: i0, template: "<ng-container *sentinelError=\"hasError || false; tryAgain$: onTryAgain$\">\n  <ng-container *ngIf=\"isLoading; else contentTemplate\">\n    <orion-toolbar-skeleton *ngIf=\"withToolbar\"></orion-toolbar-skeleton>\n    <orion-title-skeleton [linesCount]=\"aboveTabLineCount\"></orion-title-skeleton>\n    <orion-tabs-skeleton *ngIf=\"withTabs\" [tabCount]=\"tabCount\"></orion-tabs-skeleton>\n    <orion-title-skeleton [linesCount]=\"belowTabLineCount\"></orion-title-skeleton>\n    <orion-cards-skeleton [count]=\"cardCount\"></orion-cards-skeleton>\n  </ng-container>\n</ng-container>\n\n<ng-template #contentTemplate>\n  <ng-content></ng-content>\n</ng-template>\n", styles: [""], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.SentinelErrorDirective, selector: "[sentinelError], [sentinelErrorTryAgain]", inputs: ["sentinelError", "sentinelErrorTryAgain$"] }, { kind: "component", type: OrionToolbarSkeletonComponent, selector: "orion-toolbar-skeleton" }, { kind: "component", type: OrionTitleSkeletonComponent, selector: "orion-title-skeleton", inputs: ["linesCount"] }, { kind: "component", type: OrionTabsSkeletonComponent, selector: "orion-tabs-skeleton", inputs: ["tabCount"] }, { kind: "component", type: OrionCardsSkeletonComponent, selector: "orion-cards-skeleton", inputs: ["count"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDetailPageContentSkeletonWrapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-detail-page-content-skeleton-wrapper', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *sentinelError=\"hasError || false; tryAgain$: onTryAgain$\">\n  <ng-container *ngIf=\"isLoading; else contentTemplate\">\n    <orion-toolbar-skeleton *ngIf=\"withToolbar\"></orion-toolbar-skeleton>\n    <orion-title-skeleton [linesCount]=\"aboveTabLineCount\"></orion-title-skeleton>\n    <orion-tabs-skeleton *ngIf=\"withTabs\" [tabCount]=\"tabCount\"></orion-tabs-skeleton>\n    <orion-title-skeleton [linesCount]=\"belowTabLineCount\"></orion-title-skeleton>\n    <orion-cards-skeleton [count]=\"cardCount\"></orion-cards-skeleton>\n  </ng-container>\n</ng-container>\n\n<ng-template #contentTemplate>\n  <ng-content></ng-content>\n</ng-template>\n" }]
        }], propDecorators: { isLoading: [{
                type: Input
            }], hasError: [{
                type: Input
            }], tabCount: [{
                type: Input
            }], cardCount: [{
                type: Input
            }], aboveTabLineCount: [{
                type: Input
            }], belowTabLineCount: [{
                type: Input
            }], withToolbar: [{
                type: Input
            }], withTabs: [{
                type: Input
            }], refetch: [{
                type: Output
            }] } });

const components = [
    OrionDetailPageContentSkeletonWrapperComponent,
    OrionSidebarSkeletonWrapperComponent,
    OrionToolbarSkeletonComponent,
    OrionTitleSkeletonComponent,
    OrionTextSkeletonComponent,
    OrionTabsSkeletonComponent,
    OrionTabSkeletonComponent,
    OrionCardsSkeletonComponent,
    OrionCardSkeletonComponent,
    OrionSidebarElementsSkeletonComponent,
    OrionSidebarElementSkeletonComponent,
    OrionTableSkeletonComponent,
    OrionTableWrapperSkeletonComponent,
];
class OrionSkeletonLoadingModule {
}
OrionSkeletonLoadingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSkeletonLoadingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionSkeletonLoadingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionSkeletonLoadingModule, declarations: [OrionDetailPageContentSkeletonWrapperComponent,
        OrionSidebarSkeletonWrapperComponent,
        OrionToolbarSkeletonComponent,
        OrionTitleSkeletonComponent,
        OrionTextSkeletonComponent,
        OrionTabsSkeletonComponent,
        OrionTabSkeletonComponent,
        OrionCardsSkeletonComponent,
        OrionCardSkeletonComponent,
        OrionSidebarElementsSkeletonComponent,
        OrionSidebarElementSkeletonComponent,
        OrionTableSkeletonComponent,
        OrionTableWrapperSkeletonComponent], imports: [CommonModule, NgxSkeletonLoaderModule, MatDividerModule, SentinelErrorModule, OrionCardModule], exports: [OrionDetailPageContentSkeletonWrapperComponent,
        OrionSidebarSkeletonWrapperComponent,
        OrionToolbarSkeletonComponent,
        OrionTitleSkeletonComponent,
        OrionTextSkeletonComponent,
        OrionTabsSkeletonComponent,
        OrionTabSkeletonComponent,
        OrionCardsSkeletonComponent,
        OrionCardSkeletonComponent,
        OrionSidebarElementsSkeletonComponent,
        OrionSidebarElementSkeletonComponent,
        OrionTableSkeletonComponent,
        OrionTableWrapperSkeletonComponent] });
OrionSkeletonLoadingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSkeletonLoadingModule, imports: [CommonModule, NgxSkeletonLoaderModule, MatDividerModule, SentinelErrorModule, OrionCardModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSkeletonLoadingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [...components],
                    imports: [CommonModule, NgxSkeletonLoaderModule, MatDividerModule, SentinelErrorModule, OrionCardModule],
                    exports: [...components],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionCardSkeletonComponent, OrionCardsSkeletonComponent, OrionDetailPageContentSkeletonWrapperComponent, OrionSidebarElementSkeletonComponent, OrionSidebarElementsSkeletonComponent, OrionSidebarSkeletonWrapperComponent, OrionSkeletonLoadingModule, OrionTabSkeletonComponent, OrionTableSkeletonComponent, OrionTableWrapperSkeletonComponent, OrionTabsSkeletonComponent, OrionTextSkeletonComponent, OrionTitleSkeletonComponent, OrionToolbarSkeletonComponent };
//# sourceMappingURL=csirtmu-orion-microframework-loading-skeleton.mjs.map
