import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from 'ngx-timeago';
import { TimeagoModule } from 'ngx-timeago';

class OrionTimeAgoComponent {
    constructor() {
        this.emptyValueText = 'Never';
    }
}
OrionTimeAgoComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTimeAgoComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionTimeAgoComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionTimeAgoComponent, selector: "orion-time-ago", inputs: { date: "date", emptyValueText: "emptyValueText" }, ngImport: i0, template: "<span *ngIf=\"date; else noDate\">{{ date | timeago }}</span>\n<ng-template #noDate\n  ><span>{{ emptyValueText }}</span></ng-template\n>\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i2.TimeagoPipe, name: "timeago" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTimeAgoComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-time-ago', changeDetection: ChangeDetectionStrategy.OnPush, template: "<span *ngIf=\"date; else noDate\">{{ date | timeago }}</span>\n<ng-template #noDate\n  ><span>{{ emptyValueText }}</span></ng-template\n>\n" }]
        }], propDecorators: { date: [{
                type: Input
            }], emptyValueText: [{
                type: Input
            }] } });

class OrionTimeAgoModule {
}
OrionTimeAgoModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTimeAgoModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionTimeAgoModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionTimeAgoModule, declarations: [OrionTimeAgoComponent], imports: [CommonModule, TimeagoModule], exports: [OrionTimeAgoComponent] });
OrionTimeAgoModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTimeAgoModule, imports: [CommonModule, TimeagoModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTimeAgoModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionTimeAgoComponent],
                    imports: [CommonModule, TimeagoModule],
                    exports: [OrionTimeAgoComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionTimeAgoComponent, OrionTimeAgoModule };
//# sourceMappingURL=csirtmu-orion-microframework-time-ago.mjs.map
