import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import * as i2 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';

/**
 * User card to display overview of a user
 */
class UserCardComponent {
}
UserCardComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: UserCardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
UserCardComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: UserCardComponent, selector: "sentinel-user-card", inputs: { user: "user", iconSrc: "iconSrc" }, ngImport: i0, template: "<div *ngIf=\"user\" class=\"user\">\n  <div class=\"user-picture-container\">\n    <img loading=\"lazy\" *ngIf=\"iconSrc; else userPlaceholder\" [alt]=\"user.name\" [src]=\"iconSrc\" />\n  </div>\n  <div class=\"mat-typography\">\n    <div class=\"user-details\">\n      <p class=\"mat-title\">{{ user?.name }}</p>\n      <p class=\"mat-caption\">{{ user?.login }}</p>\n    </div>\n  </div>\n</div>\n\n<ng-template #userPlaceholder>\n  <mat-icon>face</mat-icon>\n</ng-template>\n", styles: [".user{padding:10px;display:flex;flex-direction:row}.user-picture-container{width:70px;height:70px;border-radius:50%;border:1px solid gainsboro;display:flex;align-items:center;justify-content:center}img{width:45px;height:45px}.user-details{display:flex;margin-left:10px;flex-direction:column}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: UserCardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-user-card', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div *ngIf=\"user\" class=\"user\">\n  <div class=\"user-picture-container\">\n    <img loading=\"lazy\" *ngIf=\"iconSrc; else userPlaceholder\" [alt]=\"user.name\" [src]=\"iconSrc\" />\n  </div>\n  <div class=\"mat-typography\">\n    <div class=\"user-details\">\n      <p class=\"mat-title\">{{ user?.name }}</p>\n      <p class=\"mat-caption\">{{ user?.login }}</p>\n    </div>\n  </div>\n</div>\n\n<ng-template #userPlaceholder>\n  <mat-icon>face</mat-icon>\n</ng-template>\n", styles: [".user{padding:10px;display:flex;flex-direction:row}.user-picture-container{width:70px;height:70px;border-radius:50%;border:1px solid gainsboro;display:flex;align-items:center;justify-content:center}img{width:45px;height:45px}.user-details{display:flex;margin-left:10px;flex-direction:column}\n"] }]
        }], propDecorators: { user: [{
                type: Input
            }], iconSrc: [{
                type: Input
            }] } });

/**
 * Module containing user card component
 */
class SentinelUserCardModule {
}
SentinelUserCardModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelUserCardModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelUserCardModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelUserCardModule, declarations: [UserCardComponent], imports: [CommonModule, MatIconModule], exports: [UserCardComponent] });
SentinelUserCardModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelUserCardModule, imports: [CommonModule, MatIconModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelUserCardModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [UserCardComponent],
                    imports: [CommonModule, MatIconModule],
                    exports: [UserCardComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { SentinelUserCardModule, UserCardComponent };
//# sourceMappingURL=sentinel-layout-user-card.mjs.map
