import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';

class OrionKeyValueListComponent {
    constructor() {
        this.entries = [];
        this.inline = false;
        this.separator = ':';
        this.trackBy = trackByIndex;
    }
}
OrionKeyValueListComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionKeyValueListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionKeyValueListComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionKeyValueListComponent, selector: "orion-key-value-list", inputs: { entries: "entries", inline: "inline", separator: "separator" }, ngImport: i0, template: "<ng-container *ngIf=\"entries as entries\">\n  <ng-container *ngIf=\"inline; else lineTemplate\">\n    <span class=\"key-value-entry\" *ngFor=\"let entry of entries; trackBy: trackBy\">\n      <ng-container\n        [ngTemplateOutlet]=\"keyValueTemplate\"\n        [ngTemplateOutletContext]=\"{ $implicit: entry }\"\n      ></ng-container>\n    </span>\n  </ng-container>\n</ng-container>\n\n<ng-template #lineTemplate>\n  <div class=\"key-value-entry\" *ngFor=\"let entry of entries; trackBy: trackBy\">\n    <ng-container [ngTemplateOutlet]=\"keyValueTemplate\" [ngTemplateOutletContext]=\"{ $implicit: entry }\"></ng-container>\n  </div>\n</ng-template>\n\n<ng-template #keyValueTemplate let-entry>\n  <span class=\"key\">{{ entry[0] }}{{ separator }}</span>\n  {{ entry[1] }}\n</ng-template>\n", styles: [".key{background-color:#ebeeef;font-weight:600}.key-value-entry{font-family:monospace;font-size:.8em;word-break:break-word}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionKeyValueListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-key-value-list', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngIf=\"entries as entries\">\n  <ng-container *ngIf=\"inline; else lineTemplate\">\n    <span class=\"key-value-entry\" *ngFor=\"let entry of entries; trackBy: trackBy\">\n      <ng-container\n        [ngTemplateOutlet]=\"keyValueTemplate\"\n        [ngTemplateOutletContext]=\"{ $implicit: entry }\"\n      ></ng-container>\n    </span>\n  </ng-container>\n</ng-container>\n\n<ng-template #lineTemplate>\n  <div class=\"key-value-entry\" *ngFor=\"let entry of entries; trackBy: trackBy\">\n    <ng-container [ngTemplateOutlet]=\"keyValueTemplate\" [ngTemplateOutletContext]=\"{ $implicit: entry }\"></ng-container>\n  </div>\n</ng-template>\n\n<ng-template #keyValueTemplate let-entry>\n  <span class=\"key\">{{ entry[0] }}{{ separator }}</span>\n  {{ entry[1] }}\n</ng-template>\n", styles: [".key{background-color:#ebeeef;font-weight:600}.key-value-entry{font-family:monospace;font-size:.8em;word-break:break-word}\n"] }]
        }], propDecorators: { entries: [{
                type: Input
            }], inline: [{
                type: Input
            }], separator: [{
                type: Input
            }] } });

class OrionKeyValueListModule {
}
OrionKeyValueListModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionKeyValueListModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionKeyValueListModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionKeyValueListModule, declarations: [OrionKeyValueListComponent], imports: [CommonModule], exports: [OrionKeyValueListComponent] });
OrionKeyValueListModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionKeyValueListModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionKeyValueListModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionKeyValueListComponent],
                    imports: [CommonModule],
                    exports: [OrionKeyValueListComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionKeyValueListComponent, OrionKeyValueListModule };
//# sourceMappingURL=csirtmu-orion-microframework-key-value-list.mjs.map
