import { BehaviorSubject, Observable } from 'rxjs';
export declare abstract class FilterService<Filter> {
    readonly EMPTY_FILTER: Filter;
    protected filterLocalStateSubject$: BehaviorSubject<Filter>;
    protected filterSubject$: BehaviorSubject<Filter>;
    filterLocalState$: Observable<Filter>;
    filter$: Observable<Filter>;
    protected constructor();
    get(): Filter;
    update(filter: Partial<Filter>): void;
    updateAndSubmit(filter: Partial<Filter>): void;
    submit(): void;
    clear(): void;
    set(filter: Filter): void;
    protected abstract createEmptyFilter(): Filter;
}
