import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { AlignMonths, HeatmapCalendarItem } from './model/interfaces';
import * as i0 from "@angular/core";
export declare class SentinelHeatmapCalendarComponent implements AfterViewInit {
    private changeDetectionRef;
    data: HeatmapCalendarItem[];
    color: string;
    alignMonths: AlignMonths;
    monthsCount: number;
    daySelected: EventEmitter<number>;
    container: ElementRef;
    width: number;
    height: number;
    isSizeSetup: boolean;
    constructor(changeDetectionRef: ChangeDetectorRef);
    onResize(): void;
    ngAfterViewInit(): void;
    onDaySelected(daySelected: number): void;
    private setSizes;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelHeatmapCalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SentinelHeatmapCalendarComponent, "sentinel-heatmap-calendar", never, { "data": "data"; "color": "color"; "alignMonths": "alignMonths"; "monthsCount": "monthsCount"; }, { "daySelected": "daySelected"; }, never, never, false>;
}
