import { RoleDTO } from './role-dto';
/**
 * Role of a user in some microservice
 */
export declare class UserRole {
    id: number;
    microserviceId: number;
    microserviceName: string;
    roleType: string;
    description: string;
    /**
     * Creates role object from DTO
     * @param roleDto DTO from which Role class should be created
     */
    static fromDTO(roleDto: RoleDTO): UserRole;
    toString(): string;
}
