import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';
import * as i0 from "@angular/core";
export declare class OrionTableSkeletonComponent implements OnInit, OnChanges {
    columnsCount: number;
    rowsCount: number;
    withPagination: boolean;
    withActions: boolean;
    trackByFn: typeof trackByIndex;
    columnPlaceholders: number[];
    rowPlaceholders: number[];
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private createColumnPlaceholders;
    private createRowPlaceholders;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionTableSkeletonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionTableSkeletonComponent, "orion-table-skeleton", never, { "columnsCount": "columnsCount"; "rowsCount": "rowsCount"; "withPagination": "withPagination"; "withActions": "withActions"; }, {}, never, never, false>;
}
