/**
 * Class holding state of editor selection
 */
export declare class EditorSelection {
    from: number;
    to: number;
    private constructor();
    /**
     * Get position of current markdown editor selection
     * @param editor html text area element
     */
    static getSelectedPosition(editor: HTMLTextAreaElement): EditorSelection;
}
