import { SentinelNotificationTypeEnum } from '../model/sentinel-notification-type.enum';
import * as i0 from "@angular/core";
/**
 * Component displaying notification icon based on its type
 */
export declare class NotificationIconComponent {
    /**
     * Type of notification
     */
    type: SentinelNotificationTypeEnum;
    /**
     * True if icons should be displayed in color, false if white
     */
    color: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationIconComponent, "sentinel-notification-icon", never, { "type": "type"; "color": "color"; }, {}, never, never, false>;
}
