import { CdkVirtualScrollViewport } from '@angular/cdk/scrolling';
import { BehaviorSubject, Observable } from 'rxjs';
import { SentinelNotification } from '../model/sentinel-notification';
import { NotificationOverviewService } from '../services/notification-overview.service';
import { BaseDirective } from '@sentinel/layout/internal';
import * as i0 from "@angular/core";
export declare class SentinelNotificationOverviewComponent extends BaseDirective {
    private notificationOverviewService;
    viewport: CdkVirtualScrollViewport;
    theEnd: boolean;
    offset: BehaviorSubject<any>;
    notifications$: Observable<SentinelNotification[]>;
    private readonly PAGE_SIZE;
    constructor(notificationOverviewService: NotificationOverviewService);
    nextBatch(offset: number): void;
    trackByIdx(i: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelNotificationOverviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SentinelNotificationOverviewComponent, "sentinel-notification-overview", never, {}, {}, never, never, false>;
}
