import { ActivatedRouteSnapshot, Resolve, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { SentinelNotification } from '../model/sentinel-notification';
import { SentinelNotificationApi } from './sentinel-notification-api.service';
import * as i0 from "@angular/core";
export declare class NotificationResolver implements Resolve<SentinelNotification> {
    private api;
    constructor(api: SentinelNotificationApi);
    resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<SentinelNotification> | Promise<SentinelNotification> | SentinelNotification;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationResolver, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotificationResolver>;
}
