import { Observable } from 'rxjs';
import { SidebarWidthOptions } from './sidebar-types';
import { SidebarStateService } from './sidebar-state.service';
import * as i0 from "@angular/core";
export declare class SidebarSizeService {
    private sidebarState;
    DEFAULT_WIDTH: string;
    DEFAULT_SEMI_COLLAPSED_WIDTH: string;
    DEFAULT_HEIGHT: string;
    private sidebarWidthSubject$;
    private sidebarHeightSubject$;
    sidebarWidth$: Observable<string>;
    sidebarHeight$: Observable<string>;
    constructor(sidebarState: SidebarStateService);
    setWidth(width: SidebarWidthOptions, changeDefault?: boolean): void;
    setHeight(height: string, changeDefault?: boolean): void;
    clearWidth(): void;
    private resolveWidth;
    static ɵfac: i0.ɵɵFactoryDeclaration<SidebarSizeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SidebarSizeService>;
}
