# Sentinel Stepper Component

Sentinel Stepper is a stepper component with customizable behaviour and visuals. It internally uses Angular Material CDK for implementing drag and drop behaviour.

## Features

- Static stepper for displaying current, previous and next steps in a proccess
- Dynamic stepper allowing changing order of the steps both offline and online
- Can serve as a navigation control (you navigate between steps by clicking on them in stepper)
- Each step can have different [Material icon](https://material.io/tools/icons/)
- Each step can have different states

## Usage

To use the stepper in your Angular application follow these steps:

1. Import **SentinelStepperModule**
1. Use `sentinel-stepper` element in your component template and pass data implementing `SentinelStepper` interface through data binding
1. For more details, consult the documentation
