import { ComponentFactoryResolver, OnChanges, SimpleChanges } from '@angular/core';
import { ExpandState } from '../../model/utils/expand-state.type';
import { ExpandedRowHostDirective } from '../../directives/expanded-row-host.directive';
import { RowExpand } from '../../model/row-expand';
import * as i0 from "@angular/core";
export declare class TableExpandedRowDetailComponent<T> implements OnChanges {
    private componentFactoryResolver;
    state: ExpandState;
    expandConfig: RowExpand;
    expandElement: T;
    expandedRowHost: ExpandedRowHostDirective;
    constructor(componentFactoryResolver: ComponentFactoryResolver);
    ngOnChanges(changes: SimpleChanges): void;
    private destroyExpandedRowComponent;
    private createExpandedRowComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableExpandedRowDetailComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableExpandedRowDetailComponent<any>, "sentinel-table-expanded-row-detail", never, { "state": "state"; "expandConfig": "expandConfig"; "expandElement": "expandElement"; }, {}, never, never, false>;
}
