import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { SentinelBaseDirective } from '@sentinel/common';
import * as i0 from "@angular/core";
export declare class TableFilterComponent extends SentinelBaseDirective implements OnInit, OnChanges {
    label: string;
    disabled: boolean;
    valueChange: EventEmitter<string>;
    filterControl: FormControl<string>;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableFilterComponent, "sentinel-table-filter", never, { "label": "label"; "disabled": "disabled"; }, { "valueChange": "valueChange"; }, never, never, false>;
}
