import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { ICursorPagination } from '@sentinel/common/pagination';
import { CursorPageEvent } from '../../../model/table-events/cursor-page-event';
import * as i0 from "@angular/core";
export declare class CursorPaginationComponent implements OnChanges {
    DEFAULT_PAGE_SIZE_OPTIONS: number[];
    pagination?: ICursorPagination;
    disabled: boolean;
    paginationChange: EventEmitter<CursorPageEvent>;
    pageSizeOptions: number[];
    ngOnChanges(changes: SimpleChanges): void;
    onCursorChange(cursor: string): void;
    onPageSizeChange(pageSize: number): void;
    private updatePageSizeOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<CursorPaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CursorPaginationComponent, "sentinel-cursor-pagination", never, { "pagination": "pagination"; "disabled": "disabled"; }, { "paginationChange": "paginationChange"; }, never, never, false>;
}
