import { Observable } from 'rxjs';
/**
 * Class of row action
 */
export declare class RowAction {
    id: string;
    label: string;
    matIcon: string;
    matColor: 'primary' | 'warn' | 'accent';
    tooltip: string;
    disabled$: Observable<boolean>;
    result$: Observable<any>;
    isLoading$: Observable<boolean>;
    constructor(id: string, label: string, matIcon: string, matColor: 'primary' | 'warn' | 'accent', tooltip: string, disabled$: Observable<boolean>, result$: Observable<any>, isLoading$?: Observable<boolean>);
}
