import { AfterContentInit, QueryList } from '@angular/core';
import { OrionTabService } from '../services/orion-tab.service';
import { Observable } from 'rxjs';
import { ProjectedTabLabels } from './projected-tab-labels';
import { ProjectedTabs } from './projected-tabs';
import { TabContentDirective } from './tab-content.directive';
import { TabLabelDirective } from './tab-label.directive';
import * as i0 from "@angular/core";
export declare class OrionTabsComponent implements AfterContentInit {
    private tabsService;
    selectedTabIndex$: Observable<number>;
    tabs: string[];
    projectedTabs?: ProjectedTabs;
    projectedLabels?: ProjectedTabLabels;
    tabContentDirectives?: QueryList<TabContentDirective>;
    tabLabelDirectives?: QueryList<TabLabelDirective>;
    constructor(tabsService: OrionTabService);
    ngAfterContentInit(): void;
    onTabSelected(index: number): void;
    private createProjectedTabs;
    private createProjectedLabels;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionTabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionTabsComponent, "orion-tabs", never, {}, {}, ["tabContentDirectives", "tabLabelDirectives"], never, false>;
}
